//	AdLibLink.r
//	Copyright  1993-1994 Nick Nallick.  All rights reserved.
//
//
//	Changes:
//
//			Explicitly include MacAppTypes.r for the 'aedt' definition.
//

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif


//	Define a template for the 'BHVR' resource.
type 'BHVR'
{
	integer = $$CountOf(BehaviorArray);
	wide array BehaviorArray
	{
StartOfBehavior:
		integer = 3;										// kSignatureAndClassname
		literal longint = '    ';				// signature
		longint = ((EndOfBehavior[$$ArrayIndex(BehaviorArray)] - StartOfBehavior[$$ArrayIndex(BehaviorArray)]) / 8) - 6;
		pstring;												// class name
		literal longint noID = '    ';	// fIdentifier
		byte	notEnabled, enabled;			// fEnabled
  	longint noIdle = 2147483647;		// fIdleFreq
EndOfBehavior:
	};
};


//	Create a resource to add a TAdLibLink behavior to the application.
//	The application must be derived from TBehaviorApp.
//
resource 'BHVR' (990)
{
	{
		"TAdLibLink", 'aLib', enabled, noIdle
	};
};


//	Create an 'aedt' resource to register Ad Lib's resource saving AppleEvents.
//
//	Note that we are using values that are technically reserved for MacApp itself.  This is to
//	ensure that there is not a conflict with the application's values.  It is possible
//	(although unlikely) that Apple will modify MacApp to use these values.
//	In case they will have to be changed.
//
resource 'aedt' (990)
{
	{
		'aLib', 'Ping', 990;
		'aLib', 'Add ', 991;
		'aLib', 'Chng', 992;
		'aLib', 'Rmve', 993;
		'aLib', 'Set ', 994;
		'aLib', 'Updt', 995;
	}
};

