#ifndef __UCmdKeyBehavior__
#define __UCmdKeyBehavior__


#ifndef __MacAppCompatibility__
#include "MacAppCompatibility.h"
#endif

const IDType	kCmdKeySignature = 'ckey';


/////////////////////////////// TCmdKeyBehavior ///////////////////////////////
//
//	A behavior which triggers a control when the command key equivalent is recieved.
//

class TCmdKeyBehavior : public TBehavior
{
#if qMacAppVersion > 30
	MA_DECLARE_CLASS;
#endif

	public:

#ifdef HANDLE_BASED_OBJECTS
		VIRTUAL void						Initialize();
#elif qMacAppVersion <= 33
														TCmdKeyBehavior();
#else
														TCmdKeyBehavior(IDType itsIdentifier = kNoIdentifier_AC, char cmdKey = '\0');
#endif

#if qMacAppVersion <= 33
		VIRTUAL void						ICmdKeyBehavior(IDType itsIdentifier, char cmdKey);
#endif

		VIRTUAL void						DoCommandKeyEvent(TToolboxEvent* event);
		VIRTUAL void						DoKeyEvent(TToolboxEvent* event);
		VIRTUAL IDType					GetStandardSignature() CONST;
		VIRTUAL void						ReadFrom(TStream* stream);
		VIRTUAL void						SetOwner(TEventHandler* itsOwner);
		VIRTUAL void						WriteTo(TStream* stream) CONST;

		VIRTUAL char						GetKey();
		        void						SetKey(char newKey);
		VIRTUAL Boolean					DoesCmdKeyOnly();
		VIRTUAL void						SetCmdKeyOnly(Boolean useCmdKeyOnly);

	private:
		VIRTUAL void						SendDefaultEvent();

						char						fKey,							// the lower-case key value
														fShiftedKey;			// the upper-case key value
						Boolean					fCommandKeyOnly;	// respond to command key combination only
						TEventHandler*	fBackupOwner;			// a backup copy of the behavior's owner
};

#endif