//----------------------------------------------------------------------------------------
// CAppleGuide_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Change History:
		09/03/97	bpa		Fixed up non-precompiled includes.
		08/24/97	bpa		Created.
*/

#ifndef __CAppleGuide_AC__
#define __CAppleGuide_AC__

// Suite

#ifndef __AppleGuide_AC__
#include "AppleGuide_AC.h"
#endif

// ACS


#ifndef __CHandle_AC__
#include "CHandle_AC.h"
#endif

// Toolbox

#ifndef __APPLEGUIDE__
#include <AppleGuide.h>
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class CRect_AC;

//----------------------------------------------------------------------------------------

typedef struct EXPORT_AC ContextData_AC
{
	OSType identifier;
} ContextData_AC;

typedef struct EXPORT_AC ContextCheckData_AC
{
	AEEventID eventID; // what
	ContextData_AC data; // who
} ContextCheckData_AC, *ContextCheckDataPtr_AC;

//----------------------------------------------------------------------------------------

class EXPORT_AC CAppleGuide_AC
{
public:
	CAppleGuide_AC();
	
	virtual ~CAppleGuide_AC();	
	
	// AppleGuide session APIs

	static inline void Start() { ::ThrowIfOSErr_AC(::AGStart()); }
	
	static inline AGStatus GetStatus() { return ::AGGetStatus(); }
	
	static inline UInt32 GetAvailableDBTypes() { return ::AGGetAvailableDBTypes(); }
	
	static inline void Stop() { ::ThrowIfOSErr_AC(::AGQuit()); }

	// Coach mark handlers
	
	void SetCoachMarkHandler();
	
	void SetContextCheckHandler(OSType contextType); // e.g. creator type

	void RemoveCoachMarkHandler();
	
	void RemoveContextCheckHandler();

	// Methods to override to implement coachmark replies and context replies
			
	virtual void DoCoachReply(CRect_AC& replyRect, Ptr name);
	
	virtual void DoContextReply(ContextCheckDataPtr_AC pInputData, Size inputDataSize, Ptr* ppOutputData, Size& pOutputDataSize, AGAppInfoHdl hAppInfo);
		
protected:
	TemplateTempRoutineDescriptor<CoachReplyUPP> fCoachReplyUPP;
	TemplateTempRoutineDescriptor<ContextReplyUPP> fContextReplyUPP;

	AGCoachRefNum fCoachRefNum;
	AGContextRefNum fContextRefNum;
	
};

//----------------------------------------------------------------------------------------

EXPORT_AC bool HasAppleGuide_AC();

#endif
