//----------------------------------------------------------------------------------------
// CGuideFile_AC.cpp
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Change History:
		09/03/97	bpa		Fixed up non-precompiled includes.
		08/24/97	bpa		Created.
*/

#ifndef __CGuideFile_AC__
#include "CGuideFile_AC.h"
#endif

// ACS

#ifndef __CFSSpec_AC__
#include "CFSSpec_AC.h"
#endif

//----------------------------------------------------------------------------------------

AGRefNum CGuideFileOpener_AC::Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const
{
	AGRefNum resultRefNum;
	::ThrowIfOSErr_AC(::AGOpen((FSSpec*) &fileSpec, flags, mixinControl, &resultRefNum));
	return resultRefNum;
}

//----------------------------------------------------------------------------------------

AGRefNum CGuideFileOpenerWithSearch_AC::Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const
{
	AGRefNum resultRefNum;
	::ThrowIfOSErr_AC(::AGOpenWithSearch((FSSpec*) &fileSpec, flags, mixinControl, fSearchString, &resultRefNum));
	return resultRefNum;	
}
	
//----------------------------------------------------------------------------------------

AGRefNum CGuideFileOpenerWithSequence_AC::Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const
{
	AGRefNum resultRefNum;
	::ThrowIfOSErr_AC(::AGOpenWithSequence((FSSpec*) &fileSpec, flags, mixinControl, fSequenceID, &resultRefNum));
	return resultRefNum;	
}

//----------------------------------------------------------------------------------------

AGRefNum CGuideFileOpenerWithView_AC::Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const
{
	AGRefNum resultRefNum;
	::ThrowIfOSErr_AC(::AGOpenWithView((FSSpec*) &fileSpec, flags, mixinControl, fViewNum, &resultRefNum));
	return resultRefNum;	
}

//----------------------------------------------------------------------------------------

CGuideFile_AC::CGuideFile_AC(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl, const CGuideFileOpener_AC& fileOpener)
	:
	fRefNum(fileOpener.Open(fileSpec, flags, mixinControl))
{
}

//----------------------------------------------------------------------------------------

CGuideFile_AC::~CGuideFile_AC() 
{ 
	::ThrowIfOSErr_AC(::AGClose(&fRefNum)); 
}

//----------------------------------------------------------------------------------------

CFSSpec_AC CGuideFile_AC::GetFileSpec() const
{
	FSSpec returnSpec; 
	::ThrowIfOSErr_AC(::AGGetFSSpec(fRefNum, &returnSpec)); 
	return CFSSpec_AC(returnSpec);
}

//----------------------------------------------------------------------------------------
// end of file
