//----------------------------------------------------------------------------------------
// CGuideFile_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Change History:
		09/03/97	bpa		Fixed up non-precompiled includes.
		08/24/97	bpa		Created.
*/

#ifndef __CGuideFile_AC__
#define __CGuideFile_AC__

// Suite

#ifndef __AppleGuide_AC__
#include "AppleGuide_AC.h"
#endif

#ifndef __CPascalString_AC__
#include "CPascalString_AC.h"
#endif

// Toolbox

#ifndef __APPLEGUIDE__
#include <AppleGuide.h>
#endif

//----------------------------------------------------------------------------------------

class CFSSpec_AC;

//----------------------------------------------------------------------------------------

class EXPORT_AC CGuideFileOpener_AC
{
public:
	CGuideFileOpener_AC() 
		{}
	
	virtual ~CGuideFileOpener_AC() 
		{}

	virtual AGRefNum Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const;
};

//----------------------------------------------------------------------------------------

class EXPORT_AC CGuideFileOpenerWithSearch_AC
{
public:
	CGuideFileOpenerWithSearch_AC(const CStr255_AC& searchString) : 
		fSearchString(searchString)
		{}
	
	virtual ~CGuideFileOpenerWithSearch_AC() 
		{}

	virtual AGRefNum Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const;
	
protected:
	CStr255_AC fSearchString;
};

//----------------------------------------------------------------------------------------

class EXPORT_AC CGuideFileOpenerWithSequence_AC
{
public:
	CGuideFileOpenerWithSequence_AC(short sequenceID) : 
		fSequenceID(sequenceID)
		{}
	
	virtual ~CGuideFileOpenerWithSequence_AC() 
		{}

	virtual AGRefNum Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const;
	
protected:
	short fSequenceID;
};

//----------------------------------------------------------------------------------------

class EXPORT_AC CGuideFileOpenerWithView_AC
{
public:
	CGuideFileOpenerWithView_AC(short viewNum) :
		fViewNum(viewNum)
		{}
	
	virtual ~CGuideFileOpenerWithView_AC() 
		{}

	virtual AGRefNum Open(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl) const;
	
protected:
	short fViewNum;
};

//----------------------------------------------------------------------------------------

class EXPORT_AC CGuideFile_AC
{
public:

	// AppleGuide file APIs
		
	CGuideFile_AC(const CFSSpec_AC& fileSpec, UInt32 flags, Handle mixinControl, const CGuideFileOpener_AC& fileOpener);

	~CGuideFile_AC();
	
	CFSSpec_AC GetFileSpec() const;
	
	inline AGWindowKind GetFrontWindowKind() const { return ::AGGetFrontWindowKind(fRefNum); }
	
	inline void General(AGEvent theEvent) const { ThrowIfOSErr_AC(::AGGeneral(fRefNum, theEvent)); }
	
	inline bool IsOpen() const { return ::AGIsDatabaseOpen(fRefNum); }

protected:
	AGRefNum fRefNum;
};

//----------------------------------------------------------------------------------------

#endif
