//----------------------------------------------------------------------------------------
// UAppleGuideBehavior.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/24/97	bpa		Created.
*/

#ifndef __UAPPLEGUIDEBEHAVIOR__
#define __UAPPLEGUIDEBEHAVIOR__

// ACS

#ifndef __CAppleGuide_AC__
#include "CAppleGuide_AC.h"
#endif

// MacApp

#ifndef __UBEHAVIOR__
#include "UBehavior.h"
#endif

//----------------------------------------------------------------------------------------

class EXPORT_MA TAppleGuideBehavior : public TBehavior, public CAppleGuide_AC
{
public:
	TAppleGuideBehavior();
	
	virtual ~TAppleGuideBehavior();	
	

	// TBehavior methods to handle AppleGuide commands
	
	virtual bool DoScriptCommand(CommandNumber aCommandNumber,
										  TAppleEvent* message,
										  TAppleEvent* reply);
										  
protected:

	// CAppleGuide methods that implement coachmark replies and context replies
			
	virtual void DoCoachReply(CRect_AC& replyRect, Ptr name);
	
	virtual void DoContextReply(ContextCheckDataPtr_AC pInputData, Size inputDataSize, Ptr* ppOutputData, Size& pOutputDataSize, AGAppInfoHdl hAppInfo);
	
	// New methods to support finding coach marks, resolving context

public:
	
	static TView* FindViewByID(IDType viewID);
	
	bool FindFrameByViewID(IDType viewID, CViewRect& viewFrame);

	CViewPoint FramePositionToPoint(CViewRect frame, short positionCodeH, short positionCodeV);
};

//----------------------------------------------------------------------------------------

#endif
