//----------------------------------------------------------------------------------------
// UAppleGuideCommands.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/24/97	bpa		Created.
*/

#ifndef __UAPPLEGUIDECOMMANDS__
#define __UAPPLEGUIDECOMMANDS__

// ACS

#ifndef __CAppleGuide_AC__
#include "CAppleGuide_AC.h"
#endif

// MacApp

#ifndef __UCommand__
#include "UCommand.h"
#endif

//----------------------------------------------------------------------------------------

class EXPORT_MA TChooseMenuCommand : public TCommand
{
public:
	TChooseMenuCommand(CommandNumber itsCommandNumber,
											TAppleEvent* message,
											TAppleEvent* reply);
	
	virtual void DoIt();	

protected:
	CommandNumber fMenuCommand;								
};

//----------------------------------------------------------------------------------------

class EXPORT_MA TClickViewCommand : public TCommand
{
public:
	TClickViewCommand(CommandNumber itsCommandNumber,
											TAppleEvent* message,
											TAppleEvent* reply);
	
	virtual void DoIt();

protected:
	IDType fViewID;
};

//----------------------------------------------------------------------------------------

class CTempFocus
{
public:
	inline CTempFocus(TView* otherView) { TView::GetFocus(fFocusRec); otherView->Focus(); }
	
	inline ~CTempFocus() { TView::SetFocus(fFocusRec); }
	
	FocusRec fFocusRec;
};

//----------------------------------------------------------------------------------------

#endif
