/*
	MSchedule.cp

	Copyright 1991-1995 Apple Computer, Inc.
	All rights reserved

	Change History:

	9/23/91		LPG	Created file
	12/20/91	LPG	Version 1.0	(uses MacApp 3.0b3)
	2/18/92		LPG	Version 1.1	(uses MacApp 3.0 Final)
	3/5/95		JS 3.1.3 (uses MacApp 3.1.3/3.5)
 */

#ifndef __UDIALOG__
#include <UDialog.h>
#endif

#ifndef __UEDITIONDOCUMENT__
#include <UEditionDocument.h>
#endif

#ifndef __UGRIDVIEW__
#include <UGridView.h>
#endif

#ifndef __UPRINTING__
#include <UPrinting.h>
#endif

#ifndef __USECTIONMGR__
#include <USectionMgr.h>
#endif

#ifndef __USYNCHSCROLLER__
#include <USynchScroller.h>
#endif

#ifndef __UTEVIEW__
#include <UTEView.h>
#endif

#ifndef __USCHEDULEAPPLICATION__
#include "UScheduleApplication.h"
#endif

#ifndef __USCHEDULEBEHAVIOR__
#include "UScheduleBehavior.h"
#endif

#ifndef __USCHEDULEPRINTING__
#include "USchedulePrinting.h"
#endif

#ifndef __USCHEDULEVIEW__
#include "UScheduleView.h"
#endif

#ifndef __UMENUEDWINDOW__
#include "UMenuedWindow.h"
#endif

#ifndef __UERRORMGR__
#include <UErrorMgr.h>
#endif

//----------------------------------------------------------------------------------------
// Global Constant
//----------------------------------------------------------------------------------------

const ResNumber mWindows = 5;

//----------------------------------------------------------------------------------------
// Main Routine
//----------------------------------------------------------------------------------------

void main ()
{
	InitUMacApp(8);										// Initialize MacApp

	InitUDialog();										// Initialize MacApp's units
	InitUEditionDocument();
	InitUGridView();
	InitUPrinting();
	InitUSynchScroller();
	InitUTEView();

	InitUScheduleBehavior();							// Initialize my units.
	InitUSchedulePrinting();
	InitUScheduleView();

	TScheduleApplication* gScheduleApplication = TH_new TScheduleApplication;
														// Allocate application object
#ifndef MACAPP_R_13
	gScheduleApplication->IScheduleApplication();		// Initialize the object
#endif
	InitUMenuedWindow(mWindows);						// These must be called _after_ IApplication.
	InitUSectionMgr();

	gScheduleApplication->Run();						// Well lets run it then!
}

