/*
	UScheduleApplication.h

	Copyright 1991-1995 Apple Computer, Inc.
	All rights reserved

	Change History:

	9/23/91		LPG	Created file
	12/20/91	LPG	Version 1.0	(uses MacApp 3.0b3)
	2/18/92		LPG	Version 1.1	(uses MacApp 3.0 Final)
	3/5/95		JS 3.1.3 (uses MacApp 3.1.3/3.5)
 */

#ifndef __USCHEDULEAPPLICATION__
#define __USCHEDULEAPPLICATION__

#ifndef __USCHEDULEOBJECTS__
#include "UScheduleObjects.h"
#endif

#ifndef __USCHEDULEDOCUMENT__
#include "UScheduleDocument.h"
#endif

#ifndef __UAPPLICATION__
#include <UApplication.h>
#endif

#ifndef __UFILE__
#include <UFile.h>
#endif

//----------------------------------------------------------------------------------------
// CLASS TScheduleApplication
//----------------------------------------------------------------------------------------

class TScheduleApplication: public TApplication
{
	DeclareClass(TScheduleApplication);

public:
#ifdef MACAPP_R_13
	// Construction/Destruction
	TScheduleApplication() : TApplication(kDocumentFileType, kSignature) {}
#else
	void IScheduleApplication() { IApplication(kDocumentFileType, kSignature); }
		// We must call IApplication separately from the constructor, in order to handle 
		// the polymorphic call to DoMakeDependencySpace() 
		// For R13, this isn't a problem, because DoInitialState() calls 
		// DoMakeDependencySpace() from Run().
#endif

	// Document operations
	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber,
									  TFile* itsFile );			// OVERRIDE

	// Clipboard operations
	virtual TView* MakeViewForAlienClipboard();					// OVERRIDE

	// Global Command operations
	virtual void DoSetupMenus(); 								// OVERRIDE
	virtual void DoMenuCommand(CommandNumber aCommandNumber); 	// OVERRIDE

	// AppleEvent processing
	virtual void DoScriptCommand(CommandNumber aCommandNumber,
								   APPLEEVENTPTR message,
								   APPLEEVENTPTR reply);		// OVERRIDE

	// Global lookup
	virtual void IsAppointmentAvailable(DayIndex theDay, TimeIndex theTime,
									TimeIndex& theDuration, CStr255& documentTitle);

	// Misc.
	virtual void DoAboutBox();									// OVERRIDE
	virtual void DoMakeDependencySpace();						// OVERRIDE

};

#endif
