//----------------------------------------------------------------------------------------
// CJavaAppletContainer_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		09/03/97	bpa		Fixed up non-precompiled includes.
		08/26/97	bpa		Created.
*/

#ifndef __CJavaAppletContainer_AC__
#define __CJavaAppletContainer_AC__

// Suite

#ifndef __Java_AC__
#include "Java_AC.h"
#endif

// ACS

#ifndef __CLongGeometry_AC__
#include "CLongGeometry_AC.h"
#endif

#ifndef __CPascalString_AC__
#include "CPascalString_AC.h"
#endif

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

// Toolbox

#ifndef __JMANAGER__
#include <JManager.h>
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class CList_AC;
class CJavaAppletContext_AC;
class CTempJavaAppletLocator_AC;

//----------------------------------------------------------------------------------------
// CJavaAppletContainer_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CJavaAppletContainer_AC
{
	
public:
	CJavaAppletContainer_AC(const CStr255_AC& url, const CStr255_AC& htmlText = kEmptyString_AC);

	CJavaAppletContainer_AC(const CTempJavaAppletLocator_AC& locator);
	
	virtual ~CJavaAppletContainer_AC();
	
	CStr255_AC GetURL() const;
	
	JMAppletLocatorRef GetAppletLocator();
			
	virtual UInt32 CountApplets();

	virtual CLongRect_AC GetAppletBounds(UInt32 appletIndex);

	virtual CStr255_AC GetAppletName(UInt32 appletIndex);

	virtual Handle GetAppletTag(UInt32 appletIndex);

	virtual void LocatorCompleted(JMLocatorErrors error);

	virtual void AddContext(CJavaAppletContext_AC* aJavaAppletContext);

	virtual void RemoveContext(CJavaAppletContext_AC* aJavaAppletContext);

	CJavaAppletContext_AC* GetLastContext();
	
	void StartAllApplets();
		// Creates a context for each applet.
	
	virtual CJavaAppletContext_AC* DoMakeContext(UInt32 appletIndex);
		// Factory method that creates a context for the indexed applet.
	
	virtual void ReportError(const CStr255_AC& errorMsg, const CStr255_AC& urlText);
		// Reports an error. This calls ProgramReport_AC by default.

	//------------------------------------------------------------------------------------
	// CALLBACKS
	//------------------------------------------------------------------------------------

	static void LocatorCompletedProc(JMAppletLocatorRef ref, JMLocatorErrors status);
	
private:
	CStr255_AC fURL;
	JMAppletLocatorRef fAppletLocator;
	CAutoPtr_AC<CList_AC> fContextList;

	static JMAppletLocatorCallbacks	fgAppletCallbacks;
};

//----------------------------------------------------------------------------------------
// CJavaAutoAppletContainer_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CJavaAutoAppletContainer_AC : public CJavaAppletContainer_AC
{

public:
	CJavaAutoAppletContainer_AC(const CStr255_AC& url, const CStr255_AC& htmlText = kEmptyString_AC);

	CJavaAutoAppletContainer_AC(const CTempJavaAppletLocator_AC& locator);

	virtual ~CJavaAutoAppletContainer_AC();
	
	virtual void LocatorCompleted(JMLocatorErrors error); // override
};

//----------------------------------------------------------------------------------------

#endif
