//----------------------------------------------------------------------------------------
// LJavaApplication.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/26/97	bpa		Created.
*/

#ifndef _H_LJavaApplication
#define _H_LJavaApplication

// PowerPlant

#ifndef _H_LDocApplication
#include "LDocApplication.h"
#endif

// ACS

#ifndef __CJavaSession_AC__
#include "CJavaSession_AC.h"
#endif

// Toolbox

//----------------------------------------------------------------------------------------
// LJavaApplication
//----------------------------------------------------------------------------------------

class LJavaApplication : public LDocApplication, public CJavaSession_AC
{
public:

	LJavaApplication();
	
	virtual ~LJavaApplication();

	// Methods overridden from PowerPlant
		
	virtual void StartUp();
	
	virtual void ProcessNextEvent();

	// Methods overridden from CJavaSession
	
	virtual void RequestFrame(JMAWTContextRef context,
										JMFrameRef newFrame,
										JMFrameKind kind,
										UInt32 initialWidth,
										UInt32 initialHeight,
										Boolean resizeable,
										JMFrameCallbacks* callbacks);

	// New methods
	
	virtual LWindow* DoMakeJavaWindow(JMAWTContextRef context,
										JMFrameRef newFrame,
										ViewCoordinate width,
										ViewCoordinate height,
										bool resizeable,
										JMFrameKind kind,
										JMFrameCallbacks* callbacks);
};

//----------------------------------------------------------------------------------------

class LJavaMenuBar : public LMenuBar
{
public:
	LJavaMenuBar(ResIDT inMBARid) :
		LMenuBar(inMBARid)
		{}
		
	virtual ~LJavaMenuBar()
		{}
	
	virtual CommandT	MenuCommandSelection(
								const EventRecord	&inMouseEvent,
								Int32				&outMenuChoice) const;

};

//----------------------------------------------------------------------------------------

#endif
