// MacApplet.r

/*  Auto-Include the requirements for this source */

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __TYPES__
#include "Types.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

#if qPowerPC
#include "CodeFragmentTypes.r"
#endif

#ifndef __MacAppletConstants__
#include "MacAppletConstants.h"
#endif

resource 'CMNU' (mApplet, "Applet", nonpurgeable) {
	mApplet,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Applet",
	 {
		"Reload Applet",			noIcon,	noKey,	noMark,	plain,	cReloadApplet;
		"Restart Applet",			noIcon,	noKey,	noMark,	plain,	cRestartApplet;
		"-",						noIcon,	noKey,	noMark,	plain,	nocommand;
		"Suspend Applet",			noIcon,	noKey,	noMark,	plain,	cSuspendApplet;
		"Resume Applet",			noIcon,	noKey,	noMark,	plain,	cResumeApplet;
		"-",						noIcon,	noKey,	noMark,	plain,	nocommand;
		"Show Applet Tag",			noIcon,	noKey,	noMark,	plain,	cShowAppletTag;
	}
};

resource 'CMNU' (mDemo, "Demo", nonpurgeable) {
	mDemo,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Demo",
	 {
		"Local Applet",				noIcon,	noKey,	noMark,	plain,	cLocalApplet;
		"Remote Applet",			noIcon,	noKey,	noMark,	plain,	cRemoteApplet;
		"Embed Local Applet",		noIcon,	noKey,	noMark,	plain,	cEmbeddedApplet;
		"Resource Applet",			noIcon,	noKey,	noMark,	plain,	cResourceApplet;
	}
};

resource 'CMNU' (mBuzzwords, "Buzzwords", nonpurgeable) {
	mBuzzwords,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Buzzwords",
	{
		"Typing",				noIcon,	noKey,	noMark,	plain,	cTyping;
		"Page Setup Change",	noIcon,	noKey,	noMark,	plain,	cChangePrinterStyle
#if qDrag
		;
		"Drag",					noIcon, noKey, noMark, plain, cDrag;
		"Drop",					noIcon, noKey, noMark, plain, cDrop;
		"Drag Move",			noIcon, noKey, noMark, plain, cDragMove
#endif
	}
};

resource 'CMNU' (mApple, "Apple", purgeable) {
	mApple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
	"About ^0", noIcon, noKey, noMark, plain, cAboutApp;		// The ^0 will be dynamically replaced with CurApName
	"-",		 noIcon, noKey, noMark, plain, nocommand
	}
};

resource 'CMNU' (mFile, "File", purgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"Open",			noIcon, "O",	noMark, plain, cOpen;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"Save",				noIcon, "S",	noMark, plain, cSave;
	"Save As",			noIcon, noKey,	noMark, plain, cSaveAs;
	"Revert",			noIcon, noKey,	noMark, plain, cRevert;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Page Setup",		noIcon, noKey,	noMark, plain, cPageSetup;
	"Print",			noIcon, "P",	noMark, plain, cPrint;
	"Print One",		noIcon, noKey,	noMark, plain, cPrintOne;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};

resource 'CMNU' (mEdit, "Edit", purgeable) {
	mEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",				noIcon, "Z",	noMark, plain, cUndo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Cut",				noIcon, "X",	noMark, plain, cCut;
	"Copy",				noIcon, "C",	noMark, plain, cCopy;
	"Paste",			noIcon, "V",	noMark, plain, cPaste;
	"Clear",			noIcon, noKey,	noMark, plain, cClear;
	"Select All",		noIcon, "A",	noMark, plain, cSelectAll;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Show Clipboard",	noIcon, noKey,	noMark, plain, cShowClipboard
	}
};

resource 'MBAR' (kMBarDisplayed,
#if qNames
"kMBarDisplayed",
#endif
nonpurgeable) {

	{mApple; mFile; mEdit; mApplet; mDemo}
};

#if qPowerPC
resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Nothing"
	}
};
#endif

/*--------------------------------------------------------------------------------
	memory stuff
--------------------------------------------------------------------------------*/
resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};


/*--------------------------------------------------------------------------------
 Drag and Drop resources
--------------------------------------------------------------------------------*/

/* 
   Ad Lib editing of TDragDropBehavior's requires the presence of a 'CLSS'
   resource describing the additional data in the document that is being edited.
*/

data 'CLSS' (128, "TDragDropBehavior") {
	$"2020 2020 2020 2020 0000 0000 0000 0000"            /*         ........ */
	$"0000 0000 0954 4265 6861 7669 6F72 0004"            /* ....TBehavior.. */
	$"0964 7261 6767 6162 6C65 0000 014B 0964"            /* draggable...Kd */
	$"726F 7070 6162 6C65 0000 014B 1164 7261"            /* roppable...K.dra */
	$"6720 6D6F 7665 2063 6F6E 7465 7874 0004"            /* g move context.. */
	$"0000 1064 7261 6720 6D6F 7665 2066 616D"            /* ...drag move fam */
	$"696C 7900 0003 2020 2020"                           /* ily...     */
};


