//----------------------------------------------------------------------------------------
// UJavaApplication.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/26/97	bpa		Created.
*/

#ifndef __UJAVAAPPLICATION__
#define __UJAVAAPPLICATION__

// MacApp

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

// ACS

#ifndef __CJavaSession_AC__
#include "CJavaSession_AC.h"
#endif

// Toolbox

//----------------------------------------------------------------------------------------
// TJavaApplication
//----------------------------------------------------------------------------------------

class EXPORT_MA TJavaApplication : public TApplication, public CJavaSession_AC
{
public:

	TJavaApplication(OSType itsMainFileType = kTextType_AC, OSType itsCreator = kAllQuestionsType_AC);
	
	virtual ~TJavaApplication();

	// Methods overridden from MacApp
		
	virtual void DoInitialState();
	
	virtual TToolboxEvent* GetEvent(short eventMask, unsigned long sleep, 
											RgnHandle sleepRegion);

	virtual void MenuEvent(short theMenuNumber, short theItemNumber);

	// Methods overridden from CJavaSession
	
	virtual void RequestFrame(JMAWTContextRef context,
										JMFrameRef newFrame,
										JMFrameKind kind,
										const CLongPoint_AC& initialSize,
										bool resizeable,
										JMFrameCallbacks* callbacks);

	// New methods

	static void RequestDocumentFrame(TDocument* itsDocument,
										JMAWTContextRef context,
										JMFrameRef newFrame,
										JMFrameKind kind,
										const CViewPoint& initialSize,
										bool resizeable,
										JMFrameCallbacks* callbacks);

	
	static TWindow* DoMakeJavaWindow(JMAWTContextRef context,
										JMFrameRef newFrame,
										JMFrameKind kind,
										const CViewPoint& initialSize,
										bool resizeable,
										JMFrameCallbacks* callbacks);
};

//----------------------------------------------------------------------------------------

#endif
