//----------------------------------------------------------------------------------------
// UJavaAutoView.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		08/26/97	bpa		Created.
*/

#ifndef __UJAVAAUTOVIEW__
#define __UJAVAAUTOVIEW__

// MacApp

#ifndef __UJAVAVIEW__
#include "UJAVAVIEW.h"
#endif

#ifndef __USTATICTEXT__
#include "UStaticText.h"
#endif


//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------

const IDType 	kMessageViewIdentifier		= 'MESG';
const IDType 	kJavaViewIdentifier			= 'JAVA';

//----------------------------------------------------------------------------------------
// TJavaAutoView
//----------------------------------------------------------------------------------------

class EXPORT_MA TJavaAutoView : public TJavaView
// This view is designed to correspond to a standalone resizeable window which is created via Java. 
{
	MA_DECLARE_CLASS;
	
public:
	TJavaAutoView(const CViewRect& itsFrame = gZeroRect, JMAWTContextRef context = NULL,
															JMFrameRef frame = NULL);
	
	virtual ~TJavaAutoView();

	virtual bool ResizeRequest(CRect_AC& desiredRect);

	virtual void StatusMessageRequest(const CStr255_AC& statusMsg);

	virtual void ShowHideRequest(bool showIt);

	virtual void SetTitleRequest(const CStr255_AC& title);

	virtual void ReleaseFrameRequest();
};

//----------------------------------------------------------------------------------------
// TJavaAutoMessageView
//----------------------------------------------------------------------------------------

class EXPORT_MA TJavaAutoMessageView : public TStaticText
// This is a companion utility class used by TJavaAutoView.
{
	MA_DECLARE_CLASS;
	
public:
	TJavaAutoMessageView();

	virtual ~TJavaAutoMessageView();
	
	virtual void DoPostCreate(TDocument* itsDocument);

	virtual void SuperViewChangedFrame(const CViewRect& oldFrame, const CViewRect& newFrame,
															bool invalidate);

	void AlignToSuperView();

};

//----------------------------------------------------------------------------------------

EXPORT_MA void InitUJavaAutoView();

//----------------------------------------------------------------------------------------

#endif
