//----------------------------------------------------------------------------------------
// UJavaDocumentContext.cpp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		09/02/97	bpa		Updated using changes from UMacAppletDocument.
		08/26/97	bpa		Created.
*/

#ifndef __UJAVADOCUMENTCONTEXT__
#include "UJavaDocumentContext.h"
#endif

// MacApp

#ifndef __UDOCUMENT__
#include "UDocument.h"
#endif

// ACS

#ifndef __UJAVAAPPLICATION__
#include "UJavaApplication.h"
#endif

//========================================================================================
// CLASS TJavaDocumentContainer
//========================================================================================

//----------------------------------------------------------------------------------------
// TJavaDocumentContainer::TJavaDocumentContainer:
//----------------------------------------------------------------------------------------

TJavaDocumentContainer::TJavaDocumentContainer(TDocument* itsDocument, const CStr255_AC& url) :
	CJavaAppletContainer_AC(url),
	fDocument(itsDocument)
{
}

//----------------------------------------------------------------------------------------
// TJavaDocumentContainer::~TJavaDocumentContainer:
//----------------------------------------------------------------------------------------

TJavaDocumentContainer::~TJavaDocumentContainer()
{
}

//----------------------------------------------------------------------------------------
// TJavaDocumentContainer::DoMakeContext:
//----------------------------------------------------------------------------------------

CJavaAppletContext_AC* TJavaDocumentContainer::DoMakeContext(UInt32 appletIndex)
{
	return TH_new TJavaDocumentContext(fDocument, this, appletIndex);
}

//========================================================================================
// CLASS TJavaAutoDocumentContainer
//========================================================================================

//----------------------------------------------------------------------------------------
// TJavaAutoDocumentContainer::TJavaAutoDocumentContainer:
//----------------------------------------------------------------------------------------

TJavaAutoDocumentContainer::TJavaAutoDocumentContainer(TDocument* itsDocument, const CStr255_AC& url) :
	CJavaAutoAppletContainer_AC(url),
	fDocument(itsDocument)
{
}

//----------------------------------------------------------------------------------------
// TJavaAutoDocumentContainer::~TJavaAutoDocumentContainer:
//----------------------------------------------------------------------------------------

TJavaAutoDocumentContainer::~TJavaAutoDocumentContainer()
{
}

//----------------------------------------------------------------------------------------
// TJavaAutoDocumentContainer::DoMakeContext:
//----------------------------------------------------------------------------------------

CJavaAppletContext_AC* TJavaAutoDocumentContainer::DoMakeContext(UInt32 appletIndex)
{
	return TH_new TJavaDocumentContext(fDocument, this, appletIndex);
}

//========================================================================================
// CLASS TJavaDocumentContext
//========================================================================================

//----------------------------------------------------------------------------------------
// TJavaDocumentContext::TJavaDocumentContext:
//----------------------------------------------------------------------------------------

TJavaDocumentContext::TJavaDocumentContext(TDocument* itsDocument, CJavaAppletContainer_AC* appletContainer, UInt32 appletIndex) :
	CJavaAppletContext_AC(appletContainer, appletIndex),
	fDocument(itsDocument)

{
}

//----------------------------------------------------------------------------------------
// TJavaDocumentContext::~TJavaDocumentContext:
//----------------------------------------------------------------------------------------

TJavaDocumentContext::~TJavaDocumentContext()
{
}

//----------------------------------------------------------------------------------------
// TJavaDocumentContext::RequestFrame
//----------------------------------------------------------------------------------------

void TJavaDocumentContext::RequestFrame(JMAWTContextRef context,
									JMFrameRef newFrame,
									JMFrameKind kind,
									const CLongPoint_AC& initialSize,
									bool resizeable,
									JMFrameCallbacks* callbacks)
{
	TJavaApplication::RequestDocumentFrame(fDocument, context, newFrame, kind, initialSize, resizeable, callbacks);
}

//----------------------------------------------------------------------------------------
// end of file