//----------------------------------------------------------------------------------------
// UJavaDocumentContext.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	Change History:
		09/02/97	bpa		Updated using changes from UMacAppletDocument.
		08/26/97	bpa		Created.
*/

#ifndef __UJAVADOCUMENTCONTEXT__
#define __UJAVADOCUMENTCONTEXT__

// ACS

#ifndef __CJavaAppletContainer_AC__
#include "CJavaAppletContainer_AC.h"
#endif

#ifndef __CJavaAppletContext_AC__
#include "CJavaAppletContext_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class TDocument;

//----------------------------------------------------------------------------------------
//
//----------------------------------------------------------------------------------------

class TJavaDocumentContainer : public CJavaAppletContainer_AC
{
public:
	TJavaDocumentContainer(TDocument* itsDocument, const CStr255_AC& url);
	
	virtual ~TJavaDocumentContainer();

	virtual CJavaAppletContext_AC* DoMakeContext(UInt32 appletIndex);
		// Factory method that creates a context for the indexed applet.
		
protected:
	TDocument* fDocument;
};

//----------------------------------------------------------------------------------------
//
//----------------------------------------------------------------------------------------

class TJavaAutoDocumentContainer : public CJavaAutoAppletContainer_AC
{
public:
	TJavaAutoDocumentContainer(TDocument* itsDocument, const CStr255_AC& url);
	
	virtual ~TJavaAutoDocumentContainer();

	virtual CJavaAppletContext_AC* DoMakeContext(UInt32 appletIndex);
		// Factory method that creates a context for the indexed applet.
		
protected:
	TDocument* fDocument;
};

//----------------------------------------------------------------------------------------
//
//----------------------------------------------------------------------------------------

class TJavaDocumentContext : public CJavaAppletContext_AC
{
public:
	TJavaDocumentContext(TDocument* itsDocument, CJavaAppletContainer_AC* appletContainer, UInt32 appletIndex);

	virtual ~TJavaDocumentContext();
	
	virtual void RequestFrame(JMAWTContextRef context,
									JMFrameRef newFrame,
									JMFrameKind kind,
									const CLongPoint_AC& initialSize,
									bool resizeable,
									JMFrameCallbacks* callbacks);
	// Obtain a new applet frame.  Forwards the request to TJavaApplication by default.
	// We modify the call it makes to include fDocument so that the window is associated with our document.

protected:
	TDocument* fDocument;
};

//----------------------------------------------------------------------------------------

#endif
