//-----------------------------------------------------------------------------------
// ULiveScrollerScrollBars.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved.
// Contains: TScrollbar subclass that does live scrolling if the user drags the thumb
// Based on UMouserScrollBars by Mary Boetcher
//-----------------------------------------------------------------------------------

/*
	Change History:
*/



#ifndef	__ULIVESCROLLERSCROLLBAR__
#define __ULIVESCROLLERSCROLLBAR__

#ifndef	__UCONTROL__
#include "UControl.h"
#endif

//-----------------------------------------------------------------------------------
// TLiveScrollerScrollBar
//-----------------------------------------------------------------------------------

EXPORT_MA void InitULiveScrollerScrollBars();
	// Initialize this unit. 


class EXPORT_MA TLiveScrollerScrollBar : public TScrollerScrollBar
// Subclasses the standard scroller scrollbar in order to provide a
// scrolling thumb when the control key is held down. 
{
	MA_DECLARE_CLASS;

public:	
	TLiveScrollerScrollBar(const CViewPoint& itsLocation = gZeroVPt,
								const CViewPoint& itsSize = gZeroVPt,
								SizeDeterminer itsHSizeDet = sizeVariable,
								SizeDeterminer itsVSizeDet = sizeVariable,
								VHSelect itsDirection = hSel,
								long itsMax = 0,
								TScroller* itsScroller = NULL);
	
	virtual void DoMouseCommand(CViewPoint& theMouse,
								TToolboxEvent* event,
								CPoint_AC hysteresis);		// Override
	
	virtual void TrackMouse(TrackPhase aTrackPhase,
							CViewPoint& anchorPoint,
							CViewPoint& previousPoint,
							CViewPoint& nextPoint,
							bool mouseDidMove);		// Override

	virtual bool IsScrollPoint(CViewPoint& thePoint);

 protected:
	CViewRect	fThumbRect;
	long		fOriginalValue;
};


#endif