//--------------------------------------------------------------------------------------------------
// SimpleSizer.view.help.r
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//
//	Resource file containing help for views for SimpleSizer. 
//--------------------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------------------
// Includes 
//--------------------------------------------------------------------------------------------------

// Standard Includes 

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

//--------------------------------------------------------------------------------------------------
// CONSTANTS 
//--------------------------------------------------------------------------------------------------

// STR# resources
// --------------

#define kSimpleSizerViewHelp			1001

//--------------------------------------------------------------------------------------------------
// Balloon Help Resources for Views 
//
// These help resources have the same ID as the view for which
// they are used.
//--------------------------------------------------------------------------------------------------

resource 'hdlg' (1001) 		// Main window.
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMStringItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			"",		// Enabled
			"This is the main view (MAIN) and it has a TSizeToParent sizer attached which monitors the window and "
			"adjusts the views height and width according to changes in the windows height and width.",	// Disabled
			"" ,	// Checked
			"" 		// Other state
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view (FRAM) is used to frame the enclosed TStaticText.  It has a TSizeToParent sizer attached "
			"which monitors its superview (MAIN) to adjusts its height and width according to changes in the "
			"superviews height and width.", "", "" 
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This TStaticText view shows the examples instructions.  It has a TSizeToParent sizer "
			"which monitors its superview (FRAM) to adjusts its height and width according to changes in the "
			"superviews height and width.", "", "" 
		}
	}
};

resource 'hdlg' (1002) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMStringItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			"",		// Enabled
			"This is the main view and it has a TSizeToParent sizer attached which monitors the window and "
			"adjusts the views height and width according to changes in the windows height and width.",	// Disabled
			"" ,	// Checked
			"" 		// Other state
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view sticks to the right of the containing view using a TStickToRightOfParent behavior.", "", "" 
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view sticks to the bottom of the containing view using a TStickToBottomOfParent behavior.", "", "" 
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view sticks to the bottom right corner of the containing view using a TStickToBottomRightOfParent behavior.", "", "" 
		}
	}
};

resource 'hdlg' (1003) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMStringItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			"",		// Enabled
			"This example is very similar to Show Sticky Views with the exception that there is no main view.  "
			"The three subviews are contained directly within the window.  This is meant to test that window "
			"placement has no inadvertent effect on view resizing.",	// Disabled
			"" ,	// Checked
			"" 		// Other state
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view sticks to the right of the containing window using a TStickToRightOfParent behavior.", "", "" 
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view sticks to the bottom of the containing window using a TStickToBottomOfParent behavior.", "", "" 
		},
		HMStringItem 
		{
			{ -1,0 }, { 0,0,0,0 },
			"", "This view sticks to the bottom right corner of the containing window using a TStickToBottomRightOfParent behavior.", "", "" 
		}
	}
};

resource 'hdlg' (1004) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMPictItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,10,10 }, /* hot rectangle */
			1002, /* PICT id */
			1002, /* PICT id */
			1002, /* PICT id */
			1002, /* PICT id */
		}
	}
};

