//----------------------------------------------------------------------------------------
// USSApplication.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// SimpleSizer

#ifndef __USSApplication__
#include "USSApplication.h"
#endif

// MacApp

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif

#ifndef __UWINDOW__
#include "UWindow.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const CommandNumber cFirstWindow = 1001;
const CommandNumber cLastWindow = 1004;

//========================================================================================
// CLASS TSSApplication
//========================================================================================

MA_DEFINE_CLASS(TSSApplication);

//----------------------------------------------------------------------------------------
// TSSApplication::DoMenuCommand
//----------------------------------------------------------------------------------------
void TSSApplication::DoMenuCommand(CommandNumber aCommandNumber)
{
	// Convert cFinderNew into the main window.
	if (aCommandNumber == cFinderNew)
		aCommandNumber = cFirstWindow;

	// Try to make a new window based on the command number.
	if (!MakeAWindow(aCommandNumber))
		TApplication::DoMenuCommand(aCommandNumber);
}

//----------------------------------------------------------------------------------------
// TSSApplication::DoSetupMenus
//----------------------------------------------------------------------------------------
void TSSApplication::DoSetupMenus() // Override 
{
	TApplication::DoSetupMenus();				// Always call the inherited method first
	for (CommandNumber theCommandNum = cFirstWindow; theCommandNum <= cLastWindow; theCommandNum++)
		::Enable(theCommandNum, true);
}

//----------------------------------------------------------------------------------------
// TSSApplication::MakeAWindow
//----------------------------------------------------------------------------------------
bool TSSApplication::MakeAWindow(CommandNumber aWindowNumber)
{
	bool	windowMade = false;
	// Try to make a new window based on the command number.
	if (aWindowNumber >= cFirstWindow && aWindowNumber <= cLastWindow)
	{
		TWindow* aWindow = gViewServer->NewTemplateWindow(aWindowNumber, NULL);
		::ThrowIfNULL_AC(aWindow);
		/*
		TSSView* aSSView = (TSSView*) (aWindow->FindSubView('SKEL'));	// Must cast because FindSubView returns TView

		TStdPrintHandler* aHandler = TH_new TStdPrintHandler(this,		// its document 
								   aSSView,	// its view 
								   kFixedSize,		// horzontal page size is fixed 
								   kFixedSize);		// vertical page size is fixed
		*/
		aWindow->Open();
		windowMade = true;
	}

	return windowMade;
}

//----------------------------------------------------------------------------------------
// End of USSApplication.cp


