// ACS.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// ACS Suites header files.

/*
	Usage Note:
		Flip the precompile flags at top to change precompile behavior so that
		the logic is in only one place. Of course the flags can be further tweaked
		in AutoSwitches_AC.h

*/

#ifndef __ACS__
#define __ACS__

// ACS Core - Which will properly include the conditional macro definitions.

#ifndef __Core_AC__
#	include "Core_AC.h"
#endif

#ifndef qPrecompile_AC
#	ifdef qUSE_PRECOMPILED_HEADERS
#		define qPrecompile_AC 				qUSE_PRECOMPILED_HEADERS
#	else
#		define qPrecompile_AC 				1
#	endif
#endif

#ifndef qPrecompileCore_AC
#	define qPrecompileCore_AC 				qPrecompile_AC
#endif

#ifndef qPrecompilePatterns_AC		
#	if 	qPowerPC 
#		define qPrecompilePatterns_AC 		qPrecompileCore_AC
#	else
#		define qPrecompilePatterns_AC 		0 // doens't work for 68k right now
#	endif
#endif

#ifndef qPrecompileStreams_AC
#	define qPrecompileStreams_AC 			qPrecompilePatterns_AC
#endif

#ifndef qPrecompileNetwork_AC
#	define qPrecompileNetwork_AC 			0 // qPrecompilePatterns_AC
	
	// metrowerks pro final 6/18/97
#endif

#ifndef qPrecompileALOE_AC
#	if qPowerPC
#		define qPrecompileALOE_AC 			qPrecompileCore_AC
#	else
#		define qPrecompileALOE_AC 			0
#	endif
#endif

#ifndef qPrecompileContainers_AC
#	define qPrecompileContainers_AC 		qPrecompileCore_AC
#endif

#ifndef qPrecompileFiles_AC
#	define qPrecompileFiles_AC 				qPrecompileCore_AC
#endif

#ifndef qPrecompileImaging_AC
#	define qPrecompileImaging_AC 			qPrecompileCore_AC
#endif

#ifndef qPrecompileThreads_AC
#	if qPowerPC	 // Not building for 68K right now.
#		define qPrecompileThreads_AC 		0 //qPrecompileCore_AC
#	else
#		define qPrecompileThreads_AC 		0 //qPrecompileCore_AC
#	endif
#endif

#ifndef qPrecompileTextEditor_AC
#	define qPrecompileTextEditor_AC 		qPrecompileCore_AC
#endif

#ifndef qPrecompileText_AC
#	define qPrecompileText_AC 				qPrecompileCore_AC
#endif

#ifndef qPrecompileToolbox_AC 
#	define qPrecompileToolbox_AC 			qPrecompileCore_AC
#endif

// Suite Includes

// core
#if qPrecompileCore_AC
#	include "CAssertionFailure_AC.h"
#	include "CAutoPtr_AC.h"
#	include "CException_AC.h"
#	include "CHandle_AC.h"
#	include "ConditionalMacros_AC.h"
#	include "CoreSwitches_AC.h"
#	include "CPascalString_AC.h"
#	include "CRefCountingPtr_AC.h"
#	include "CReporter_AC.h"
#	include "Debug_AC.h"
#	include "dout_AC.h"
#	include "MemoryUtils_AC.h"
#	include "MRefCountable_AC.h"
#	include "Types_AC.h"
#	include "Utils_AC.h"
// TidyHeap
#	if qTidyHeap
	// don't include this if it ain't defined.
#		include "TidyHeap_AC.h"
#	endif
#endif

// ALOE
#if qPrecompileALOE_AC
#	include "ALOE_AC.h"
#	include "CODAdaptor_AC.h"
#	include "CODAdaptorMgr_AC.h"
#	include "CODAdaptorView_AC.h"
#	include "CODClipboardPromise_AC.h"
#	include "CODSession_AC.h"
#	include "CODWindow_AC.h"
#	include "ODUtils_AC.h"
#endif

// Appearance
#if qPrecompileAppearance
#	include "AGA_AC.h"
#	include "AGAImaging_AC.h"
#	include "Appearance_AC.h"
#	include "CButton_AC.h"
#	include "CCheckBox_AC.h"
#	include "CCluster_AC.h"
#	include "CControl_AC.h"
#	include "CDialog_AC.h"
#	include "CDisclosureTriangle_AC.h"
#	include "CGroupsContainer_AC.h"
#	include "CIconButton_AC.h"
#	include "CIndicator_AC.h"
#	include "ColorRamp_AC.h"
#	include "CPopup_AC.h"
#	include "CProgressIndicator_AC.h"
#	include "CRadioButton_AC.h"
#	include "CScrollBar_AC.h"
#	include "CSeparator_AC.h"
#	include "CSimpleOffscreenImage_AC.h"
#	include "CSlider_AC.h"
#	include "CStaticText_AC.h"
#	include "CTabbedView_AC.h"
#	include "CUpDownControl_AC.h"
#	include "NewControls_AC.h"
#	include "StandardControls_AC.h"
#endif

// containers
#if qPrecompileContainers_AC
#	include "CDynamicArray_AC.h"
#	include "CIterator_AC.h"
#	include "CList_AC.h"
#	include "CListIterator_AC.h"
#	include "CMap_AC.h"
#	include "CMapIterator_AC.h"
#endif

// files
#if qPrecompileFiles_AC
#	include "CFile_AC.h"
#	include "CFSSpec_AC.h"
#	include "Files_AC.h"
#	include "FileTypes_AC.h"
#	include "ResFileUtils_AC.h"
#endif

// imaging
#if qPrecompileImaging_AC
#	include "CDrawingEnvironment_AC.h"
#	include "CGDIterator_AC.h"
#	include "CLongGeometry_AC.h"
#	include "CPoint_AC.h"
#	include "CRect_AC.h"
#	include "CRegion_AC.h"
#	include "CRGBColor_AC.h"
#	include "CTemplatePoint_AC.h"
#	include "CTemplateRect_AC.h"
#	include "CTempRegion_AC.h"
#	include "Imaging_AC.h"
#	include "ImagingUtils_AC.h"
#	include "TextBox_AC.h"
#endif

// patterns
#if qPrecompilePatterns_AC		// Not building for 68K right now.
#	include "MDependable_AC.h"
#	include "CDependencies_AC.h"
#	include "CAbstractTask_AC.h"
#	include "CAbstractTimer_AC.h"
#	include "CBuffer_AC.h"
#	include "CByteIterator_AC.h"
#	include "CEvent_AC.h"
#	include "CEventAdaptor_AC.h"
#	include "CEventTransceiverTimer_AC.h"
#	include "CEventWithData_AC.h"
#	include "CIdleTimeDispenser_AC.h"
#	include "CIdleTimeEngine_AC.h"
#	include "ClassRegistration_AC.h"
// #	include "CReactor_AC.h"
// #	include "CReactorIterator_AC.h"
#	include "CStateMachine_AC.h"
#	include "CTemplatedTimer_AC.h"
#	include "CThreadedIdleEngine_AC.h"
#	include "MEventReceiver_AC.h"
#	include "MEventRouter_AC.h"
#	include "MEventTransceiver_AC.h"
#	include "MIdler_AC.h"
#	include "PatternEvents_AC.h"
#	include "Patterns_AC.h"
#	include "PatternSwitches_AC.h"
#endif

// streams
#if qPrecompileStreams_AC
#	include"Streams_AC.h"
#	include"StreamSwitches_AC.h"
#	include"CAsyncStream_AC.h"
#	include"CBufferedStreamRep_AC.h"
#	include"CBufferStream_AC.h"
#	include"CCharOutputSink_AC.h"
#	include"CCountingStream_AC.h"
#	include"CHandleStream_AC.h"
#	include"CoreStreaming_AC.h"
#	include"CRandomAccessStream_AC.h"
#	include"CStreamContext_AC.h"
#	include"CStreamRep_AC.h"
#	include"CStream_AC.h"
// #	include"CTraceStream_AC.h"
#	include"MStreamable_AC.h"
#endif

// Network
#if qPrecompileNetwork_AC
#	include "CAbsServiceHandlerMgr_AC.h"
#	include "CAbstractConnectionMgr_AC.h"






#	include "CAcceptor_AC.h"
#	include "CConnector_AC.h"
#	include "CDataReceiver_AC.h"
#	include "CDataSender_AC.h"
#	include "CFileReceiver_AC.h"
#	include "CFileSender_AC.h"
#	include "CFileTransaction_AC.h"
#	include "CMultiConnectionManager_AC.h"
#	include "CNetGlobals_AC.h"
#	include "CProvider_AC.h"
#	include "CServiceHandler_AC.h"
#	include "CServiceState_AC.h"
#	include "DisconnectTransactions_AC.h"

#	include "Net_AC.h"
#	include "NetEvents_AC.h"
#	include "NetSwitches_AC.h"
#	include "NetTypes_AC.h"

// Network:Internet
#	include "CInternetAddress_AC.h"
#	include "CInternetHost_AC.h"
#	include "CMultiTCPConnectionMgr_AC.h"
#	include "CTCPAcceptor_AC.h"
#	include "CTCPConnection_AC.h"
#	include "CTCPConnector_AC.h"


// Network:MacTCP
#	include "CMacTCPAcceptor_AC.h"
#	include "CMacTCPConnection_AC.h"
#	include "CMacTCPConnector_AC.h"
#	include "CMacTCPDebug_AC.h"
#	include "CMacTCPDisconnector_AC.h"

#	include "CMacTCPProvider_AC.h"
#	include "CMacTCPStream_AC.h"
#	include "MacTCPPrivate_AC.h"

// Network:OpenTransport
#	include "COTAcceptor_AC.h"
#	include "COTConfig_AC.h"
#	include "COTConnection_AC.h"
#	include "COTConnector_AC.h"
#	include "COTDisconnector_AC.h"
#	include "COTEndpoint_AC.h"
#	include "COTInternetEndpoint_AC.h"
#	include "COTListener_AC.h"
#	include "COTOpener_AC.h"
#	include "COTProvider_AC.h"
#	include "COTServiceState_AC.h"
#	include "COTStrategies_AC.h"
#	include "COTTCPConnection_AC.h"

#	include "OTDebug_AC.h"
#endif

// text
#if qPrecompileText_AC
#	include "Text_AC.h"
#	include "TextSwitches_AC.h"
#	include "CTextParser_AC.h"
#endif

// TextEditor
#if qPrecompileTextEditor_AC
#	include "CTextStyle_AC.h"
#endif

// Threads
#if qPrecompileThreads_AC		
#	include "CAbstractMonitorLock_AC.h"
#	include "CAbstractThreadContext_AC.h"
#	include "CAbstractThreadSchedule_AC.h"
#	include "CMonitorCondition_AC.h"
#	include "CMonitorLock_AC.h"
#	include "CMPAllocator_AC.h"
#	include "CMPMonitorLock_AC.h"
#	include "CMPSchedule_AC.h"
#	include "CMPThreadContext_AC.h"
#	include "CTempSynchronize_AC.h"
#	include "CThread_AC.h"
#	include "CThreadedIdleEngine_AC.h"
#	include "CThreadMgrMonitorLock_AC.h"
#	include "CThreadMgrSchedule_AC.h"
#	include "CThreadMgrThreadContext_AC.h"
#	include "CThreadRunner_AC.h"
#	include "CTime_AC.h"
#	include "CWinMonitorLock_AC.h"
#	include "CWinSchedule_AC.h"
#	include "CWinThreadContext_AC.h"
#	include "CWinThreads_AC.h"
#	include "CYieldThread_AC.h"
#	include "Threads_AC.h"
#	include "ThreadUtilities_AC.h"
#endif

// toolbox
#if qPrecompileToolbox_AC
#	include "AEObjects_AC.h"
#	include "CClipboard_AC.h"
#	include "Configuration_AC.h"
#	include "Toolbox_AC.h"
#	include "ToolboxSwitches_AC.h"
#endif

#endif // __ACS__
