//
//	ACS.pch.h
//
//	Generates the 'ACSHeaders<xxx>' precompiled header for Metrowerks C/C++.
//  Copyright  1993-1997 Apple Computer, Inc.  All rights reserved.
//
//
//--------------------------------------------------------------------------------

#ifndef __ACS_PCH_H__
#define __ACS_PCH_H__

#pragma once on
#pragma check_header_flags on

#ifndef	MSL_USE_PRECOMPILED_HEADERS 
#define MSL_USE_PRECOMPILED_HEADERS	0	/* We supply our own in ACS */
#endif 

#ifndef __ansi_prefix__
#include <ansi_prefix.mac.h>
#endif 

// Set to 1 if you want to use precompiled ACS Headers
#ifndef	qUSE_PRECOMPILED_HEADERS 
#define qUSE_PRECOMPILED_HEADERS    1
#endif 

//-------------------------------------------------------
// CoreSwitches_AC.h must be first here because
// it sets up the compile flags even before
// ConditionalMacros_AC.h (which must be first elsewhere).
//-------------------------------------------------------
#if !qUSE_PRECOMPILED_HEADERS
	#include "CoreSwitches_AC.h"
#else
	#if __option(precompile)
		#include "CoreSwitches_AC.h"
		#include "CWACSHeaders.h"

		//	Support for automatically naming the precompiled header file ...
		//	
		#if __CFM68K__
			#if wantDebugging
				#pragma precompile_target "ACSHeadersCFM68K_d"
			#else
				#pragma precompile_target "ACSHeadersCFM68K_nd"
			#endif
		#elif __MC68K__
			#if wantDebugging
				#pragma precompile_target "ACSHeaders68K_d"
			#else
				#pragma precompile_target "ACSHeaders68K_nd"
			#endif
		#elif __POWERPC__
			#if wantDebugging
				#pragma precompile_target "ACSHeadersPPC_d"
			#else
				#pragma precompile_target "ACSHeadersPPC_nd"
			#endif
		#elif __INTEL__
			#if wantDebugging
				#pragma precompile_target "ACSHeadersx86_d"
			#else
				#pragma precompile_target "ACSHeadersx86_nd"
			#endif
		#else
			#error "target currently unsupported"
		#endif
	#else
		#if __CFM68K__
			#if wantDebugging
				#include "ACSHeadersCFM68K_d"
			#else
				#include "ACSHeadersCFM68K_nd"
			#endif
		#elif __MC68K__
			#if wantDebugging
				#include "ACSHeaders68K_d"
			#else
				#include "ACSHeaders68K_nd"
			#endif
		#elif __POWERPC__
			#if wantDebugging
				#include "ACSHeadersPPC_d"
			#else
				#include "ACSHeadersPPC_nd"
			#endif
		#elif __POWERPC__
			#if wantDebugging
				#include "ACSHeadersx86_d"
			#else
				#include "ACSHeadersx86_nd"
			#endif
		#else
			#error "target currently unsupported"
		#endif
	#endif
#endif

#endif
//----------------------------------------------------------------------------------------
// End of ACS.pch.h

