/*
 	File:		ALOE.h
 
 	Contains:	OpenDoc...
 
 	Version:	1.0a1
 
 	DRI:		Vicent Lo
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.
 				All rights reserved.
 
 	Warning:	*** APPLE INTERNAL USE ONLY ***
 				This file may contain unreleased API's
 
 	BuildInfo:	Built by:			David Stafford
 				With Interfacer:	2.0d13   (PowerPC native)
 				From:				ALOE.i
 					Revision:		0+
 					Dated:			12/11/96
 					Last change by:	ngk
 					Last comment:	First created from ALOE.h
 
 	Bugs:		Report bugs to Radar component System Interfaces, Latest
 				List the version information (from above) in the Problem Description.
 
*/
#ifndef __ALOE__
#define __ALOE__

#ifndef __TYPES__
#include <Types.h>
#endif
#ifndef __PRINTING__
#include <Printing.h>
#endif
#ifndef __AEOBJECTS__
#include <AEOBJECTS.h>
#endif
#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif
#ifndef __DRAG__
#include <Drag.h>
#endif
#ifndef __SCRAP__
#include <SCRAP.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

/* ALOE Types */
typedef long ALOEAdaptor;
typedef long ALOEAdaptorView;
typedef long ALOEAdaptorMgr;
/* These two should be defined in terms of som types, octet & corbaString */
typedef unsigned char ALOEPersistentID[4];
typedef unsigned char ALOEClonedID[4];
typedef char *ALOEISOString;
/* ALOE Null persistent id */
const ALOEPersistentID kALOENullPersistentID = {0,0,0,0};
#define kALOEAdaptorSwapTokenType			'adap'
/* ALOE Highlight states */
typedef long ALOEHighlightState;

enum {
	kALOENoHighlight			= 0,
	kALOEFullHighlight			= 1,
	kALOEDimHighlight			= 2
};

typedef long ALOECloneKind;

enum {
	kALOECopy					= 1,
	kALOECut					= 2,
	kALOEPaste					= 3,
	kALOEDrag					= 4,
	kALOEDrop					= 5
};

/* Window Management */
typedef long ALOEWindowAction;

enum {
	kALOEAddWindow				= 0,
	kALOERemoveWindow			= 1,
	kALOEShowWindow				= 2,
	kALOEHideWindow				= 3,
	kALOESelectWindow			= 4
};

/* ALOE Error Code Constants */

enum {
	kALOEBaseErrorCode			= -25400,
	kALOEFailedToInitialize		= -25400,
	kALOEFailedToTerminate		= -25401,
	kALOEAlreadyInitialized		= -25402,
	kALOENotInitialized			= -25403,
	kErrInvalidParameter		= -25404,
	kFailedToCloseAdaptorMgr	= -25405,
	kUnRegisteredWindow			= -25406,
	kUnableToCreateAdaptor		= -25407,
	kUnableToRemoveAdaptor		= -25408,
	kUnableToCreateView			= -25409,
	kUnableToRemoveView			= -25410,
	kErrDrawingView				= -25411,
	kAdaptorHasOutstandingViews	= -25412,
	kErrGettingViewBounds		= -25413,
	kErrSettingViewBounds		= -25414,
	kALOEErrPutScrapPromiseNotSupported = -25415,
	kALOEInvalidAdaptorView		= -25416,
	kALOEErrClipboardChanged	= -25417,
	kUnableRetrieveSharedlibFunc = -25418,
	kALOEErrCloneNotBegun		= -25419,
	kALOEErrCloneInProgress		= -25420,
	kALOEErrInvalidScrapCloneKind = -25421,
	kALOEErrCannotCloneViewFromScrap = -25422,
	kALOEErrNoRootFrame			= -25423,
	kALOEErrNoAdaptorPart		= -25424,
	kALOEErrWrongAdaptorMgr		= -25425,
	kALOEErrInvalidDragCloneKind = -25426,
	kALOEErrCannotGetPart		= -25427,
	kALOEErrInvalidNilWindow	= -25428,
	kALOEErrInvalidCloneKind	= -25429,
	kALOEErrNoContent			= -25430,
	kALOEErrContentSUNotCloned	= -25431,
	kALOEErrInvalidClonedID		= -25432,
	kALOEErrFrameHasFacets		= -25433,
	kALOEErrNoWriteScrapCallback = -25434,
	kALOEErrInvalidPromise		= -25435,
	kALOEPropogateAEVTToContainer = -25436,
	kALOEInvalidAdaptor			= -25437,
	kALOEErrAdaptorNotInitialized = -25438,
	kALOEErrAdaptorAlreadyInitialized = -25439,
	kALOEOpenDocNotInstalledErr	= -25440,
	kALOENewerOpenDocRequiredErr = -25441,
	kALOEErrNotImplemented		= -25499
};

/* Callback typedefs */
typedef pascal void (*ALOEAdaptorImageUpdatedProcPtr)(ALOEAdaptorView view, void *contextPtr);
typedef pascal void (*ALOERevealAdaptorProcPtr)(ALOEAdaptor adaptor, void *contextPtr);
typedef pascal void (*ALOEAdaptorChangedProcPtr)(ALOEAdaptorView view, void *contextPtr);
typedef pascal void (*ALOEAdjustActiveBorderShapeProcPtr)(ALOEAdaptorView view, RgnHandle shape, void *contextPtr);
typedef pascal void (*ALOEActivateApplicationProcPtr)(Boolean activate, void *contextPtr);
typedef pascal void (*ALOEWindowCallbackProcPtr)(WindowPtr window, ALOEWindowAction action, Boolean param, void *contextPtr);
typedef pascal OSErr (*ALOEWriteScrapProcPtr)(ResType theType, void *contextPtr);
typedef pascal OSErr (*ALOEAdaptorShapeRequestProcPtr)(ALOEAdaptor theAdaptor, RgnHandle theRequestedRegion, void *contextPtr);
typedef pascal void (*ALOEResetMenuBarProcPtr)(WindowPtr window, void *contextPtr);
typedef pascal void (*ALOECreateAdaptorObjectSpecifierProcPtr)(ALOEAdaptorMgr mgr, ALOEAdaptor adaptor, WindowPtr currentResolutionContext, AEDesc *objectSpec, Boolean *specIsWindowOnly, void *contextPtr);
typedef pascal void (*ALOEWindowActivationCallbackProcPtr)(WindowPtr window, Boolean active, void *contextPtr);

#if GENERATINGCFM
typedef UniversalProcPtr ALOEAdaptorImageUpdatedUPP;
typedef UniversalProcPtr ALOERevealAdaptorUPP;
typedef UniversalProcPtr ALOEAdaptorChangedUPP;
typedef UniversalProcPtr ALOEAdjustActiveBorderShapeUPP;
typedef UniversalProcPtr ALOEActivateApplicationUPP;
typedef UniversalProcPtr ALOEWindowCallbackUPP;
typedef UniversalProcPtr ALOEWriteScrapUPP;
typedef UniversalProcPtr ALOEAdaptorShapeRequestUPP;
typedef UniversalProcPtr ALOEResetMenuBarUPP;
typedef UniversalProcPtr ALOECreateAdaptorObjectSpecifierUPP;
typedef UniversalProcPtr ALOEWindowActivationCallbackUPP;
#else
typedef ALOEAdaptorImageUpdatedProcPtr ALOEAdaptorImageUpdatedUPP;
typedef ALOERevealAdaptorProcPtr ALOERevealAdaptorUPP;
typedef ALOEAdaptorChangedProcPtr ALOEAdaptorChangedUPP;
typedef ALOEAdjustActiveBorderShapeProcPtr ALOEAdjustActiveBorderShapeUPP;
typedef ALOEActivateApplicationProcPtr ALOEActivateApplicationUPP;
typedef ALOEWindowCallbackProcPtr ALOEWindowCallbackUPP;
typedef ALOEWriteScrapProcPtr ALOEWriteScrapUPP;
typedef ALOEAdaptorShapeRequestProcPtr ALOEAdaptorShapeRequestUPP;
typedef ALOEResetMenuBarProcPtr ALOEResetMenuBarUPP;
typedef ALOECreateAdaptorObjectSpecifierProcPtr ALOECreateAdaptorObjectSpecifierUPP;
typedef ALOEWindowActivationCallbackProcPtr ALOEWindowActivationCallbackUPP;
#endif

enum {
	uppALOEAdaptorImageUpdatedProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ALOEAdaptorView)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(void *))),
	uppALOERevealAdaptorProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ALOEAdaptor)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(void *))),
	uppALOEAdaptorChangedProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ALOEAdaptorView)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(void *))),
	uppALOEAdjustActiveBorderShapeProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ALOEAdaptorView)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(RgnHandle)))
		 | STACK_ROUTINE_PARAMETER(3, SIZE_CODE(sizeof(void *))),
	uppALOEActivateApplicationProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(Boolean)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(void *))),
	uppALOEWindowCallbackProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(WindowPtr)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(ALOEWindowAction)))
		 | STACK_ROUTINE_PARAMETER(3, SIZE_CODE(sizeof(Boolean)))
		 | STACK_ROUTINE_PARAMETER(4, SIZE_CODE(sizeof(void *))),
	uppALOEWriteScrapProcInfo = kPascalStackBased
		 | RESULT_SIZE(SIZE_CODE(sizeof(OSErr)))
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ResType)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(void *))),
	uppALOEAdaptorShapeRequestProcInfo = kPascalStackBased
		 | RESULT_SIZE(SIZE_CODE(sizeof(OSErr)))
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ALOEAdaptor)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(RgnHandle)))
		 | STACK_ROUTINE_PARAMETER(3, SIZE_CODE(sizeof(void *))),
	uppALOEResetMenuBarProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(WindowPtr)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(void *))),
	uppALOECreateAdaptorObjectSpecifierProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(ALOEAdaptorMgr)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(ALOEAdaptor)))
		 | STACK_ROUTINE_PARAMETER(3, SIZE_CODE(sizeof(WindowPtr)))
		 | STACK_ROUTINE_PARAMETER(4, SIZE_CODE(sizeof(AEDesc *)))
		 | STACK_ROUTINE_PARAMETER(5, SIZE_CODE(sizeof(Boolean *)))
		 | STACK_ROUTINE_PARAMETER(6, SIZE_CODE(sizeof(void *))),
	uppALOEWindowActivationCallbackProcInfo = kPascalStackBased
		 | STACK_ROUTINE_PARAMETER(1, SIZE_CODE(sizeof(WindowPtr)))
		 | STACK_ROUTINE_PARAMETER(2, SIZE_CODE(sizeof(Boolean)))
		 | STACK_ROUTINE_PARAMETER(3, SIZE_CODE(sizeof(void *)))
};

#if GENERATINGCFM
#define NewALOEAdaptorImageUpdatedProc(userRoutine)		\
		(ALOEAdaptorImageUpdatedUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEAdaptorImageUpdatedProcInfo, GetCurrentArchitecture())
#define NewALOERevealAdaptorProc(userRoutine)		\
		(ALOERevealAdaptorUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOERevealAdaptorProcInfo, GetCurrentArchitecture())
#define NewALOEAdaptorChangedProc(userRoutine)		\
		(ALOEAdaptorChangedUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEAdaptorChangedProcInfo, GetCurrentArchitecture())
#define NewALOEAdjustActiveBorderShapeProc(userRoutine)		\
		(ALOEAdjustActiveBorderShapeUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEAdjustActiveBorderShapeProcInfo, GetCurrentArchitecture())
#define NewALOEActivateApplicationProc(userRoutine)		\
		(ALOEActivateApplicationUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEActivateApplicationProcInfo, GetCurrentArchitecture())
#define NewALOEWindowCallbackProc(userRoutine)		\
		(ALOEWindowCallbackUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEWindowCallbackProcInfo, GetCurrentArchitecture())
#define NewALOEWriteScrapProc(userRoutine)		\
		(ALOEWriteScrapUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEWriteScrapProcInfo, GetCurrentArchitecture())
#define NewALOEAdaptorShapeRequestProc(userRoutine)		\
		(ALOEAdaptorShapeRequestUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEAdaptorShapeRequestProcInfo, GetCurrentArchitecture())
#define NewALOEResetMenuBarProc(userRoutine)		\
		(ALOEResetMenuBarUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEResetMenuBarProcInfo, GetCurrentArchitecture())
#define NewALOECreateAdaptorObjectSpecifierProc(userRoutine)		\
		(ALOECreateAdaptorObjectSpecifierUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOECreateAdaptorObjectSpecifierProcInfo, GetCurrentArchitecture())
#define NewALOEWindowActivationCallbackProc(userRoutine)		\
		(ALOEWindowActivationCallbackUPP) NewRoutineDescriptor((ProcPtr)(userRoutine), uppALOEWindowActivationCallbackProcInfo, GetCurrentArchitecture())
#else
#define NewALOEAdaptorImageUpdatedProc(userRoutine)		\
		((ALOEAdaptorImageUpdatedUPP) (userRoutine))
#define NewALOERevealAdaptorProc(userRoutine)		\
		((ALOERevealAdaptorUPP) (userRoutine))
#define NewALOEAdaptorChangedProc(userRoutine)		\
		((ALOEAdaptorChangedUPP) (userRoutine))
#define NewALOEAdjustActiveBorderShapeProc(userRoutine)		\
		((ALOEAdjustActiveBorderShapeUPP) (userRoutine))
#define NewALOEActivateApplicationProc(userRoutine)		\
		((ALOEActivateApplicationUPP) (userRoutine))
#define NewALOEWindowCallbackProc(userRoutine)		\
		((ALOEWindowCallbackUPP) (userRoutine))
#define NewALOEWriteScrapProc(userRoutine)		\
		((ALOEWriteScrapUPP) (userRoutine))
#define NewALOEAdaptorShapeRequestProc(userRoutine)		\
		((ALOEAdaptorShapeRequestUPP) (userRoutine))
#define NewALOEResetMenuBarProc(userRoutine)		\
		((ALOEResetMenuBarUPP) (userRoutine))
#define NewALOECreateAdaptorObjectSpecifierProc(userRoutine)		\
		((ALOECreateAdaptorObjectSpecifierUPP) (userRoutine))
#define NewALOEWindowActivationCallbackProc(userRoutine)		\
		((ALOEWindowActivationCallbackUPP) (userRoutine))
#endif

#if GENERATINGCFM
#define CallALOEAdaptorImageUpdatedProc(userRoutine, view, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEAdaptorImageUpdatedProcInfo, (view), (contextPtr))
#define CallALOERevealAdaptorProc(userRoutine, adaptor, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOERevealAdaptorProcInfo, (adaptor), (contextPtr))
#define CallALOEAdaptorChangedProc(userRoutine, view, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEAdaptorChangedProcInfo, (view), (contextPtr))
#define CallALOEAdjustActiveBorderShapeProc(userRoutine, view, shape, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEAdjustActiveBorderShapeProcInfo, (view), (shape), (contextPtr))
#define CallALOEActivateApplicationProc(userRoutine, activate, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEActivateApplicationProcInfo, (activate), (contextPtr))
#define CallALOEWindowCallbackProc(userRoutine, window, action, param, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEWindowCallbackProcInfo, (window), (action), (param), (contextPtr))
#define CallALOEWriteScrapProc(userRoutine, theType, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEWriteScrapProcInfo, (theType), (contextPtr))
#define CallALOEAdaptorShapeRequestProc(userRoutine, theAdaptor, theRequestedRegion, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEAdaptorShapeRequestProcInfo, (theAdaptor), (theRequestedRegion), (contextPtr))
#define CallALOEResetMenuBarProc(userRoutine, window, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEResetMenuBarProcInfo, (window), (contextPtr))
#define CallALOECreateAdaptorObjectSpecifierProc(userRoutine, mgr, adaptor, currentResolutionContext, objectSpec, specIsWindowOnly, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOECreateAdaptorObjectSpecifierProcInfo, (mgr), (adaptor), (currentResolutionContext), (objectSpec), (specIsWindowOnly), (contextPtr))
#define CallALOEWindowActivationCallbackProc(userRoutine, window, active, contextPtr)		\
		CallUniversalProc((UniversalProcPtr)(userRoutine), uppALOEWindowActivationCallbackProcInfo, (window), (active), (contextPtr))
#else
#define CallALOEAdaptorImageUpdatedProc(userRoutine, view, contextPtr)		\
		(*(userRoutine))((view), (contextPtr))
#define CallALOERevealAdaptorProc(userRoutine, adaptor, contextPtr)		\
		(*(userRoutine))((adaptor), (contextPtr))
#define CallALOEAdaptorChangedProc(userRoutine, view, contextPtr)		\
		(*(userRoutine))((view), (contextPtr))
#define CallALOEAdjustActiveBorderShapeProc(userRoutine, view, shape, contextPtr)		\
		(*(userRoutine))((view), (shape), (contextPtr))
#define CallALOEActivateApplicationProc(userRoutine, activate, contextPtr)		\
		(*(userRoutine))((activate), (contextPtr))
#define CallALOEWindowCallbackProc(userRoutine, window, action, param, contextPtr)		\
		(*(userRoutine))((window), (action), (param), (contextPtr))
#define CallALOEWriteScrapProc(userRoutine, theType, contextPtr)		\
		(*(userRoutine))((theType), (contextPtr))
#define CallALOEAdaptorShapeRequestProc(userRoutine, theAdaptor, theRequestedRegion, contextPtr)		\
		(*(userRoutine))((theAdaptor), (theRequestedRegion), (contextPtr))
#define CallALOEResetMenuBarProc(userRoutine, window, contextPtr)		\
		(*(userRoutine))((window), (contextPtr))
#define CallALOECreateAdaptorObjectSpecifierProc(userRoutine, mgr, adaptor, currentResolutionContext, objectSpec, specIsWindowOnly, contextPtr)		\
		(*(userRoutine))((mgr), (adaptor), (currentResolutionContext), (objectSpec), (specIsWindowOnly), (contextPtr))
#define CallALOEWindowActivationCallbackProc(userRoutine, window, active, contextPtr)		\
		(*(userRoutine))((window), (active), (contextPtr))
#endif
/* Descriptor Destruction Convenience */
extern pascal void ALOEDisposeRoutineDescriptor(void *proc);

/* Initialization and Termination */
extern pascal OSErr StartALOE(void);

extern pascal OSErr TerminateALOE(void);

extern pascal OSErr ALOESetScratchVRefNum(short volRefNum);

extern pascal OSErr ALOESizeWindow(WindowPtr window, short w, short h, Boolean fUpdate);

extern pascal OSErr ALOEDragWindow(WindowPtr window, Point startPt, const Rect *boundsRect);

extern pascal Boolean IsALOEWindow(WindowPtr window);

extern pascal Boolean IsALOEFloatingWindow(WindowPtr window);

extern pascal OSErr ALOESetWindowCallback(ALOEWindowCallbackUPP windowCallbackProc, void *contextPtr);

extern pascal OSErr ALOEWindowActionDispatch(WindowPtr window, ALOEWindowAction action, Boolean param);

extern pascal OSErr ALOEDeactivateWindow(WindowPtr window);

extern pascal OSErr ALOESetWindowActivationCallback(ALOEWindowActivationCallbackUPP windowActivationCallbackProc, void *contextPtr);

/* Window Utility Macros */
#define ALOEAddWindow(window) 			ALOEWindowActionDispatch(window, kALOEAddWindow, false)
#define ALOERemoveWindow(window) 		ALOEWindowActionDispatch(window, kALOERemoveWindow, false)
#define ALOEShowWindow(window) 			ALOEWindowActionDispatch(window, kALOEShowWindow, false)
#define ALOEHideWindow(window) 			ALOEWindowActionDispatch(window, kALOEHideWindow, false)
#define ALOESelectWindow(window) 		ALOEWindowActionDispatch(window, kALOESelectWindow, false)
#define ALOEShowHideWindow(window, show)	ALOEWindowActionDispatch(window, show ? kALOEShowWindow : kALOEHideWindow, false)
/* Menu bar Management */
extern pascal OSErr ALOESetResetMenuBarCallback(ALOEResetMenuBarUPP resetMenuBarProc, void *contextPtr);

extern pascal OSErr ALOESetBaseMenuBar(short mbarResource);

extern pascal OSErr ALOESetBaseMenuBarHandle(Handle mbarHandle);

extern pascal OSErr ALOERegisterMenuCommand(short menuID, short menuItem, long CommandID);

extern pascal OSErr ALOEGetMenuCommand(short menuID, short menuItem, long *CommandID);

extern pascal OSErr ALOEAdjustMenus(void);

/* Event Handling */
extern pascal Boolean ALOEHandleEvent(EventRecord *event);

extern pascal Boolean ALOEIdle(void);

extern pascal RgnHandle ALOEGetSleepRegion(RgnHandle appSleepRegion);

extern pascal EventMask ALOEGetEventMask(EventMask appMask);

extern pascal UInt32 ALOEGetSleepTime(UInt32 appSleepTime);

/* Modal state handling */
extern pascal OSErr ALOEApplicationModal(Boolean requestModalFocus);

extern pascal OSErr ALOEApplicationActive(void);

/* Undo Management */
extern pascal Boolean ALOEIsUndoClear(void);

extern pascal OSErr ALOEClearUndo(void);

/* Clipboard */
extern pascal PScrapStuff ALOEInfoScrap(void);

extern pascal short ALOEGetScrapCount(void);

extern pascal Boolean ALOEScrapCountStillValid(short scrapCount);

extern pascal long ALOEZeroScrap(void);

extern pascal long ALOEPutScrap(long length, ResType theType, Ptr source);

extern pascal long ALOEGetScrap(Handle hDest, ResType theType, long *offset);

extern pascal long ALOEUnloadScrap(void);

extern pascal long ALOELoadScrap(void);

extern pascal Boolean ALOEIsScrapEmpty(void);

extern pascal OSErr ALOEUpdateScrap(void);

extern pascal OSErr ALOESetWriteScrapCallback(ALOEWriteScrapUPP writeScrapProc, void *contextPtr);

extern pascal OSErr ALOEBeginScrapClone(ALOEAdaptorMgr adaptorMgr, WindowPtr window, ALOECloneKind kind);

extern pascal OSErr ALOECloneAdaptorFromContent(ALOEAdaptor adaptor, Point offset, ALOEClonedID clonedId);

extern pascal OSErr ALOECloneAdaptorToContent(ALOEClonedID id, ALOEAdaptor *newAdaptor);

extern pascal OSErr ALOEAbortClone(void);

extern pascal OSErr ALOEEndClone(void);

extern pascal OSErr ALOEEmbedScrap(ALOEAdaptorMgr adaptorMgr, WindowPtr window, ALOEAdaptor *newAdaptor);

/* Drag and Drop */
extern pascal OSErr ALOEBeginDragClone(ALOEAdaptorMgr adaptorMgr, WindowPtr window, DragReference theDragRef, ALOECloneKind kind);

extern pascal OSErr ALOEAddDragItemFlavor(DragReference theDragRef, ItemReference theItemRef, FlavorType theFlavorType, void *data, Size dataSize, FlavorFlags theFlags);

extern pascal Boolean ALOEAdaptorViewCanAcceptDrop(ALOEAdaptorView view);

extern pascal OSErr ALOEEmbedDrag(ALOEAdaptorMgr adaptorMgr, WindowPtr window, DragReference theDragRef, long index, ALOEAdaptor *newAdaptor);

/* Scripting */
extern pascal OSErr ALOEObjectInit(Boolean callAEObjectInit);

extern pascal OSErr ALOESetCreateAdaptorObjectSpecifierCallback(ALOECreateAdaptorObjectSpecifierUPP proc, void *contextPtr);

extern pascal void ALOESetCurrentResolutionContext(WindowPtr currentContext);

extern pascal WindowPtr ALOEGetCurrentResolutionContext(void);

extern pascal OSErr ALOECreateAdaptorSwapToken(AEDesc *swapToken, ALOEAdaptor adaptor);

extern pascal OSErr ALOEInstallEventHandler(AEEventClass theAEEventClass, AEEventID theAEEventID, AEEventHandlerUPP handler, long handlerRefCon, Boolean isSysHandler);

extern pascal OSErr ALOEGetEventHandler(AEEventClass theAEEventClass, AEEventID theAEEventID, AEEventHandlerUPP *handler, long *handlerRefCon, Boolean isSysHandler);

extern pascal OSErr ALOERemoveEventHandler(AEEventClass theAEEventClass, AEEventID theAEEventID, AEEventHandlerUPP handler, Boolean isSysHandler);

extern pascal OSErr ALOEInstallPreDispatchHandler(AEEventHandlerUPP handler, Boolean isSysHandler);

extern pascal OSErr ALOEGetPreDispatchHandler(AEEventHandlerUPP *handler, Boolean isSysHandler);

extern pascal OSErr ALOERemovePreDispatchHandler(AEEventHandlerUPP handler, Boolean isSysHandler);

extern pascal OSErr ALOEInstallObjectAccessor(DescType desiredClass, DescType containerType, OSLAccessorUPP theAccessor, long accessorRefCon, Boolean isSysHandler);

extern pascal OSErr ALOEGetObjectAccessor(DescType desiredClass, DescType containerType, OSLAccessorUPP *theAccessor, long *accessorRefCon, Boolean isSysHandler);

extern pascal OSErr ALOERemoveObjectAccessor(DescType desiredClass, DescType containerType, OSLAccessorUPP theAccessor, Boolean isSysHandler);

extern pascal OSErr ALOESetObjectCallbacks(OSLCompareUPP compareProc, OSLCountUPP countProc, OSLDisposeTokenUPP disposeTokenProc, OSLGetMarkTokenUPP getMarkTokenProc, OSLMarkUPP markProc, OSLAdjustMarksUPP adjustMarksProc, OSLGetErrDescUPP getErrDescProc);

extern pascal OSErr ALOEInstallCoercionHandler(DescType fromType, DescType toType, AECoercionHandlerUPP handler, long handlerRefCon, Boolean fromTypeIsDesc, Boolean isSysHandler);

extern pascal OSErr ALOEGetCoercionHandler(DescType fromType, DescType toType, AECoercionHandlerUPP *handler, long *handlerRefCon, Boolean *fromTypeIsDesc, Boolean isSysHandler);

extern pascal OSErr ALOERemoveCoercionHandler(DescType fromType, DescType toType, AECoercionHandlerUPP handler, Boolean isSysHandler);

extern pascal OSErr ALOEResolve(AEDesc *objectSpecifier, short callbackFlags, AEDesc *theToken);

extern pascal OSErr ALOEDisposeToken(AEDesc *theToken);

/* --- ALOEAdaptorManager --- */
/* Creation and Destruction */
extern pascal OSErr ALOENewAdaptorMgr(ALOEAdaptorMgr *newAdaptorMgr);

extern pascal OSErr ALOENewAdaptorMgrFromFile(long refNum, ALOEAdaptorMgr *newAdaptorMgr);

extern pascal OSErr ALOENewAdaptorMgrFromMemory(Handle source, ALOEAdaptorMgr *newAdaptorMgr);

extern pascal OSErr ALOEDisposeAdaptorMgr(ALOEAdaptorMgr adaptorMgr);

/* Storage */
extern pascal OSErr ALOEIsAdaptorMgrDirty(ALOEAdaptorMgr adaptorMgr, Boolean *changed, Boolean *isSameSize);

extern pascal OSErr ALOEWriteAdaptorMgrToFile(ALOEAdaptorMgr adaptorMgr, long refNum, long *bytesWritten);

extern pascal OSErr ALOENewHandleFromAdaptorMgr(ALOEAdaptorMgr adaptorMgr, Handle *destination, Boolean allocateInTempMem);

/* --- ALOEAdaptor --- */
/* Creation and Destruction */
extern pascal OSErr ALOENewAdaptor(ALOEAdaptorMgr adaptorMgr, WindowPtr window, ALOEISOString kind, Ptr dataPtr, long dataSize, RgnHandle shape, ALOEAdaptor *newAdaptor);

extern pascal OSErr ALOENewAdaptorFromFile(ALOEAdaptorMgr adaptorMgr, WindowPtr window, FSSpec *fileSpec, ALOEAdaptor *newAdaptor);

extern pascal OSErr ALOENewSynchronizedAdaptor(ALOEAdaptor fromAdaptor, WindowPtr window, ALOEAdaptor *newAdaptor);

extern pascal OSErr ALOEBeginDuplicateClone(ALOEAdaptorMgr fromAdaptorMgr, ALOEAdaptorMgr toAdaptorMgr, WindowPtr window);

extern pascal OSErr ALOEDuplicateAdaptor(ALOEAdaptor fromAaptor, ALOEAdaptor *newAdaptor);

extern pascal OSErr ALOEDisposeAdaptor(ALOEAdaptor adaptor);

/* Storage */
extern pascal OSErr ALOEGetPersistentID(ALOEAdaptor adaptor, ALOEPersistentID id);

extern pascal OSErr ALOEGetAdaptor(ALOEAdaptorMgr adaptorMgr, ALOEPersistentID id, WindowPtr window, ALOEAdaptor *newAdaptor);

/* Activation / Events */
extern pascal OSErr ALOESetActivateApplicationCallback(ALOEActivateApplicationUPP proc, void *contextPtr);

extern pascal OSErr ALOEActivateAdaptor(ALOEAdaptor adaptor);

extern pascal OSErr ALOESetAdjustActiveBorderShapeCallback(ALOEAdjustActiveBorderShapeUPP proc, void *contextPtr);

extern pascal OSErr ALOESetDoesPropagateEvents(ALOEAdaptor adaptor, Boolean doesPropagate);

/* Layout */
extern pascal OSErr ALOEMoveAdaptorViewBefore(ALOEAdaptorView moveView, ALOEAdaptorView beforeView);

extern pascal OSErr ALOESetAdaptorShapeRequestCallback(ALOEAdaptorShapeRequestUPP proc, void *contextPtr);

extern pascal OSErr ALOEGetAdaptorShape(ALOEAdaptor adaptor, RgnHandle adaptorShape);

extern pascal OSErr ALOESetAdaptorShape(ALOEAdaptor adaptor, RgnHandle adaptorShape);

/* OpenDoc States */
extern pascal Boolean ALOEGetAdaptorBundleState(ALOEAdaptor adaptor);

extern pascal OSErr ALOESetAdaptorBundleState(ALOEAdaptor adaptor, Boolean bundled);

extern pascal OSErr ALOESetAdaptorRemovedState(ALOEAdaptor adaptor, Boolean removed);

/* Linking support */
extern pascal OSErr ALOESetRevealAdaptorCallback(ALOERevealAdaptorUPP proc, void *contextPtr);

extern pascal OSErr ALOESetAdaptorChangedCallback(ALOEAdaptorChangedUPP proc, void *contextPtr);

/* --- ALOEAdaptorView --- */
/* Creation and Destruction */
extern pascal OSErr ALOENewAdaptorView(ALOEAdaptor adaptor, GrafPtr port, Point offset, THPrint printJob, ALOEAdaptorView *newView);

extern pascal OSErr ALOEDisposeAdaptorView(ALOEAdaptorView view);

/* Imaging */
extern pascal OSErr ALOEGetAdaptorViewOffset(ALOEAdaptorView view, Point *offset);

extern pascal OSErr ALOESetAdaptorViewOffset(ALOEAdaptorView view, Point offset);

extern pascal OSErr ALOEDrawAdaptorView(ALOEAdaptorView view, RgnHandle viewClip);

extern pascal OSErr ALOESetAdaptorViewScaleFactor(ALOEAdaptorView view, Fixed horzScaleFactor, Fixed vertScaleFactor);

extern pascal OSErr ALOEGetAdaptorViewScaleFactor(ALOEAdaptorView view, Fixed *horzScaleFactor, Fixed *vertScaleFactor);

extern pascal OSErr ALOESetAdaptorImageUpdatedCallback(ALOEAdaptorImageUpdatedUPP proc, void *contextPtr);

extern pascal OSErr ALOEGetAdaptorViewPicture(ALOEAdaptorView view, PicHandle *image);

extern pascal Boolean ALOEGetAdaptorViewSelectState(ALOEAdaptorView view);

extern pascal ALOEHighlightState ALOEGetAdaptorViewHighlightState(ALOEAdaptorView view);

extern pascal OSErr ALOESetAdaptorViewSelectState(ALOEAdaptorView view, Boolean selected);

extern pascal OSErr ALOESetAdaptorViewHighlightState(ALOEAdaptorView view, ALOEHighlightState highlighted);

/* Info Dialog */
extern pascal OSErr ALOEShowAdaptorViewInfo(ALOEAdaptorView view);

/* --- Utilities --- */
extern pascal ALOEAdaptor ALOEGetAdaptorFromAdaptorView(ALOEAdaptorView view);

extern pascal ALOEAdaptorMgr ALOEGetAdaptorMgrFromAdaptor(ALOEAdaptor adaptor);

extern pascal ALOEISOString ALOEGetKindFromResType(ResType theType);

extern pascal char *ALOEGetAdaptorName(ALOEAdaptor adaptor);

extern pascal OSErr ALOESetAdaptorName(ALOEAdaptor adaptor, char *name);

/* --- Edition Manager Support --- */
extern pascal Boolean ALOEReserveSectionID(long sectionID);


#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __ALOE__ */

