//----------------------------------------------------------------------------------------
// CODWindow_AC.cp
// Copyright  1996 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CODWindow_AC__
#include "CODWindow_AC.h"
#endif

//----------------------------------------------------------------------------------------
// HandleEvent: check whether we should be handling a mouse event on ALOE's behalf
//----------------------------------------------------------------------------------------
  
bool CODWindow_AC::HandleEvent(EventRecord* event)
{
	bool wasHandled = false;
	WindowPtr window;
	short whereMouseDown = FindWindow(event->where, &window);

	if (window && IsODWindow(window))
	{
		CODWindow_AC sWindow(window);
		
		// dispatch according to where the mouse was pressed 
		switch (whereMouseDown)
		{
			case inDrag:
				sWindow.MoveByUser(event->where);
				wasHandled = true;
				break;

			default:
				break;
		}
	}
	
	return wasHandled;
}
  
//----------------------------------------------------------------------------------------
// GetFrontNonFloatingWindow
//----------------------------------------------------------------------------------------

WindowPtr CODWindow_AC::GetFrontNonFloatingWindow()
{
	WindowPtr current = ::FrontWindow();
	
	while (current)
	{
		if (!IsFloatingWindow(current) && ::IsWindowVisible(current))
			return current;
		
		current = ::GetNextWindow(current);
	}
	
	return NULL;
}

//----------------------------------------------------------------------------------------
// MoveByUser: user is moving a window
//----------------------------------------------------------------------------------------

void CODWindow_AC::MoveByUser(Point theMouse) const
{
	Select();
	
	// ??? Add a callback for subclasses to handle updating before DragWindow?
	
	Rect grayBox;
	grayBox = (*GetGrayRgn())->rgnBBox;
	InsetRect(&grayBox, 4, 4);
	
	ThrowIfError_AC(::ALOEDragWindow(fWindow, theMouse, &grayBox));
} 