// CButton_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#pragma once

#ifndef __CButton_AC__
#define __CButton_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

#ifndef __CControl_AC__
#include "CControl_AC.h"
#endif

// ACS

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CButton_AC
// CButton_AC implements the standard AGA pushbutton. It automatically
// draws the default button outline if you set its fIsDefault property
// by calling SetDefault; you specify whether the outline is inside or
// outside the object's mBounds.
//----------------------------------------------------------------------------------------

class EXPORT_AC CButton_AC : public CControl_AC
{
public:

	CButton_AC(const CRect_AC& bounds, const CTextStyle_AC& textStyle, const CStr255_AC& buttonTitle = kEmptyString_AC);
	CButton_AC(const CRect_AC& bounds, const CTextStyle_AC& textStyle, SInt16 stringListResourceID, SInt16 stringIndex);
	virtual ~CButton_AC();
	
	virtual void	DrawObject();

	virtual void	SetTitle(const CStr255_AC& buttonTitle, bool redraw);
	
	virtual void	SetDefault(bool isDefault, bool frameInside);
	virtual bool	IsDefault();

	virtual void	DrawButton(bool pressed);
	
protected:

	virtual bool	HitTest(const CPoint_AC& mouseLocation);
	virtual void	SetTrackingState(bool isIn);

	virtual void	DrawButtonNormal(bool deep);
	virtual void	DrawButtonPressed(bool deep);
	virtual void	DrawButtonDisabled(bool deep);
	
	virtual void	DrawOutlineNormal(bool deep);
	virtual void	DrawOutlineDisabled(bool deep);

	bool			fIsDefault;		// if true this button gets a default frame
	bool			fFrameInside;	// if true the frame is inside mBounds; else outside
	CStr255_AC		fTitle;
	CTextStyle_AC	fTextStyle;
};


#endif // __CButton_AC__
