// CCheckBox_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#pragma once

#ifndef __CCheckBox_AC__
#define __CCheckBox_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

#ifndef __CControl_AC__
#include "CControl_AC.h"
#endif

// ACS

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CCheckBox_AC
// CCheckBox_AC implements the standard AGA check box. It also supports
// a mixed state that is neither on nor off, which is drawn as a dash.
//----------------------------------------------------------------------------------------

class EXPORT_AC CCheckBox_AC : public CControl_AC
{
public:

	enum { kCheckBoxSize = 12 };
	enum { kCheckBoxOff = 0, kCheckBoxOn = 1, kCheckBoxMixed = 2 };

	CCheckBox_AC(const CRect_AC& bounds, const CTextStyle_AC& textStyle, const CStr255_AC& buttonTitle = kEmptyString_AC, bool automaticState = kNoAutomaticState);
	CCheckBox_AC(const CRect_AC& bounds, const CTextStyle_AC& textStyle, SInt16 stringListResourceID, SInt16 stringIndex, bool automaticState = kNoAutomaticState);
	virtual ~CCheckBox_AC();
	
	virtual void	DrawObject();
	virtual bool	TrackMouse(const CPoint_AC& mouseLocation);

	virtual void	SetTitle(const CStr255_AC& buttonTitle, bool redraw);
	
	virtual SInt32 GetValue() const;
	virtual void	SetValue(SInt32 newValue, bool redraw);

	virtual void	DrawButton(bool pressed);

protected:

	virtual void	SetTrackingState(bool isIn);

	virtual void	DrawButtonNormal(bool deep);
	virtual void	DrawButtonPressed(bool deep);
	virtual void	DrawButtonDisabled(bool deep);
	
	SInt32			fValue;
	bool			fAutomaticState;	// if true, check is toggled on click w/o caller needing to call SetValue
	CStr255_AC		fTitle;
	CTextStyle_AC	fTextStyle;
};


#endif // __CCheckBox_AC__
