// CSimpleOffscreenImage_AC.h
//  Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//  Portions Copyright  1996 by Trygve Isaacson.

#ifndef __CSimpleOffscreenImage_AC__
#define __CSimpleOffscreenImage_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

// ACS

#ifndef __CRGBColor_AC__
#include "CRGBColor_AC.h"
#endif

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

#ifndef __CRect_AC__
#include "CRect_AC.h"
#endif

#ifndef __CRegion_AC__
#include "CRegion_AC.h"
#endif

// Toolbox

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif

//----------------------------------------------------------------------------------------
// CSimpleOffscreenImage_AC
// AGAOffscreenImage holds the data needed to blast a clipped region
// of pixel values onto the current port.
//----------------------------------------------------------------------------------------

class EXPORT_AC CSimpleOffscreenImage_AC
{
public:

	CSimpleOffscreenImage_AC();
	virtual ~CSimpleOffscreenImage_AC();
	
	virtual void CreateImageData(const CPoint_AC& imageSize,
							SInt8* imageColorIndexes,
							RgnHandle clippingRegion,
							const CRGBColor_AC& outsideColor);
	
	void DrawImage(SInt16 imageHOrigin, SInt16 imageVOrigin);	// splats 1 copy of the image
	void DrawPattern(const CRect_AC& imageRect);							// splats multiple copies of the image

protected:

	CRect_AC		fImageSourceRect;	// 0, 0, x, y
	PixMapHandle	fImagePixMap;
	RgnHandle		fClippingRegion;
};

#endif
