// CStaticText_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#pragma once

#ifndef __CStaticText_AC__
#define __CStaticText_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

#ifndef __CControl_AC__
#include "CControl_AC.h"
#endif

// ACS

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CStaticText_AC
// CStaticText_AC draws a static text string on a gray background.
//----------------------------------------------------------------------------------------

class EXPORT_AC CStaticText_AC : public CControl_AC
{
public:
	enum { kEraseFirst = true, kDontEraseFirst = false };

	CStaticText_AC(const CRect_AC& bounds, const CTextStyle_AC& textStyle, SInt32 justification, bool eraseFirst = kDontEraseFirst, const CStr255_AC& title = kEmptyString_AC);
	CStaticText_AC(const CRect_AC& bounds, const CTextStyle_AC& textStyle, SInt32 justification, bool eraseFirst, SInt16 stringListResourceID, SInt16 stringIndex);
	virtual ~CStaticText_AC();
	
	virtual void	DrawObject();

	virtual void	SetTitle(const CStr255_AC& buttonTitle, bool redraw);
	virtual void	SetTextStyle(const CTextStyle_AC& textStyle, bool redraw);
	virtual void	SetJustification(SInt32 justification, bool redraw);

protected:
	
	SInt32			fJustification;
	CStr255_AC		fTitle;
	CTextStyle_AC	fTextStyle;
	bool			fEraseFirst;
};


#endif // __CStaticText_AC__
