// CUpDownControl_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#pragma once

#ifndef __CUpDownControl_AC__
#define __CUpDownControl_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

#ifndef __CControl_AC__
#include "CControl_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CUpDownControl_AC
// CUpDownControl_AC implements the standard AGA little arrows. To respond
// to continuous messages during tracking, you should either install a
// notification routine or subclass and override NotifyDelta. The supplied
// MacApp and PowerPlant classes do this for you.
//----------------------------------------------------------------------------------------

class CUpDownControl_AC;

// This is the live tracking notification prototype for CUpDownControl_AC.
typedef void (*CUpDownControlCallback_AC)(CUpDownControl_AC* theIndicator, SInt32 pressedPart, void* userData);

class EXPORT_AC CUpDownControl_AC : public CControl_AC
{
public:

	enum { kDownArrowPressed = -1, kNoArrowPressed = 0, kUpArrowPressed = 1 };

	CUpDownControl_AC(const CRect_AC& bounds);
	virtual ~CUpDownControl_AC();
	
	virtual void	InstallNotificationRoutine(CUpDownControlCallback_AC notificationRoutine, void* userData);
	
	virtual void	DrawObject();
	virtual bool	TrackMouse(const CPoint_AC& mouseLocation);

	virtual void	DrawButton(SInt32 pressedPart);
	
protected:

	enum { kLittleArrowWidth = 13, kLittleArrowHeight = 12, kLittleArrowTotalHeight = 23 };

	virtual bool	TrackPart(const CPoint_AC& mouseLocation, SInt32 partHit);
	virtual SInt32	TrackTestPart(const CPoint_AC& mouseLocation);

	virtual void	NotifyDelta(SInt32 partHit);
	
	CUpDownControlCallback_AC	fNotificationRoutine;
	void*						fUserData;
};

#endif // __CUpDownControl_AC__

