// ColorRamp_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1996 by Trygve Isaacson.

#ifndef __ColorRamp_AC__
#define __ColorRamp_AC__

// Appearance

#ifndef __Appearance_AC__
#include "Appearance_AC.h"
#endif

// ACS

#ifndef __CRGBColor_AC__
#include "CRGBColor_AC.h"
#endif

//----------------------------------------------------------------------------------------
// These are the kRGBColorRamp RGB color value indexes.
// They match the numbers specified in the AGA doc.
// rW is white.
// 1 thru 12 go from light gray to dark gray, matching AGA doc indexes.
// rA1 and rA2 are the additional dark grays referenced in the AGA doc.
// rB is black.
// rP1 thru rP4 are the purple shades for the disclosure triangle.
//----------------------------------------------------------------------------------------

typedef enum
	{
	rW = 0,
	r1 = 1,
	r2 = 2,
	r3 = 3,
	r4 = 4,
	r5 = 5,
	r6 = 6,
	r7 = 7,
	r8 = 8,
	r9 = 9,
	r10 = 10,
	r11 = 11,
	r12 = 12,
	rA1 = 13,
	rA2 = 13,
	rB = 15,
	rP1 = 16,
	rP2 = 17,
	rP3 = 18,
	rP4 = 19,
	
	reP = 20,
	rFP = 21,
	
	kNumRampColors,
	
	OUT = -1
	} RampIndex;

extern const CRGBColor_AC kRGBColorRamp[kNumRampColors];

#endif
