//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMultiTCPConnectionManager_AC__
#define __CMultiTCPConnectionManager_AC__

// net includes

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CMultiConnectionManager_AC__
#include "CMultiConnectionManager_AC.h"
#endif

// forward references

class CTCPConnection_AC;
class CInternetAddress_AC;

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC manages multiple TCP connections.
//----------------------------------------------------------------------------------------

class EXPORT_AC CMultiTCPConnectionManager_AC : public CMultiConnectionManager_AC
{
public:
	enum { kCreateConnection = NULL };

	CMultiTCPConnectionManager_AC();

	virtual ~CMultiTCPConnectionManager_AC();

// connecting
	virtual CTCPConnection_AC* ConnectTo(	const CInternetAddress_AC& remoteHost, 
											CTCPConnection_AC* inConnection = kCreateConnection );

	virtual CTCPConnection_AC* ConnectTo( 	const char* inDomainName, 
											long remotePort,
											CTCPConnection_AC* inConnection = kCreateConnection);

// accepting
	virtual void ListenTo(CInternetPortID_AC inLocalPort);
		// Listen to a port num for connection requests

	virtual void ListenTo(CInternetPortID_AC inLocalPort, const CInternetAddress_AC& remoteAddress);
		// Listen to a port num for connection requests from a specific IP address.

protected:
			
	virtual CConnector_AC*		CreateConnector(CReactor_AC* inReactor, CServiceHandlerFactory_AC* inFactory);
	virtual CAcceptor_AC* 		CreateAcceptor(CReactor_AC* inReactor, CServiceHandlerFactory_AC* inFactory);
	
};

#endif