//----------------------------------------------------------------------------------------
// CTCPAcceptor.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTCPAcceptor_AC__
#define __CTCPAcceptor_AC__

// network
#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CAcceptor_AC__
#include "CAcceptor_AC.h"
#endif

// forward refs
class CInternetAddress_AC;

//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC listen for and accepts TCP connection requests.
//----------------------------------------------------------------------------------------

class EXPORT_AC CTCPAcceptor_AC : public CAcceptor_AC
{
public:
	CTCPAcceptor_AC(CReactor_AC* inReactor, CServiceHandlerFactory_AC* inFactory = NULL);
	virtual ~CTCPAcceptor_AC();
	
	virtual void ListenTo(CInternetPortID_AC inLocalPort);
		// Listen to a port num for connection requests

	virtual void ListenTo(CInternetPortID_AC inLocalPort, const CInternetAddress_AC& remoteAddress);
		// Listen to a port num for connection requests from a specific IP address.

protected:
  	
 	virtual CServiceHandler_AC* CreateConnection(CReactor_AC* inReactor);
 	
 	virtual CServiceAcceptor_AC* CreateServiceAcceptor(CReactor_AC* inReactor, long timeOut);
 		// this is declared in a platform specific .cp file.
};

typedef CRefCountingPtr_AC<CTCPAcceptor_AC> CTCPConnectorPtr_AC;

#endif