//----------------------------------------------------------------------------------------
// CTCPConnection.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CTCPConnection_AC__
#define __CTCPConnection_AC__

// network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CServiceHandler_AC__
#include "CServiceHandler_AC.h"
#endif

#ifndef __CInternetAddress_AC__
#include "CInternetAddress_AC.h"
#endif

// Forward refs

class CReactor_AC;
class CService_AC;

//----------------------------------------------------------------------------------------
// CTCPConnection_AC is subclass of CServiceHandler_AC that represents a TCP
// connection. Adds concept of max num connections.
//----------------------------------------------------------------------------------------

class EXPORT_AC CTCPConnection_AC : public CServiceHandler_AC
{
public:
	CTCPConnection_AC(CReactor_AC* inReactor);
	virtual ~CTCPConnection_AC();
	
	static void SetMaxNumConnections(unsigned long max);
		// defaults to 0xFFFFFFFF

	static unsigned long GetMaxNumConnections();
	
	static unsigned long GetConnectionCount();
		
protected:
	CService_AC* CreateService(CReactor_AC* inReactor);
};

typedef CRefCountingPtr_AC<CTCPConnection_AC> CTCPConnectionPtr_AC;

#endif