//----------------------------------------------------------------------------------------
// MInternetHostEventRcvr.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __MInternetHostEventReceiver__
#define __MInternetHostEventReceiver__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

// Patterns

#ifndef __MEventReceiver_AC__
#include "MEventReceiver_AC.h"
#endif

// forward references

class CInternetHost_AC;
class MEventTransceiver_AC;
class CReactor_AC;

//----------------------------------------------------------------------------------------
// class MInternetHostEventReceiver_AC;
//----------------------------------------------------------------------------------------

class EXPORT_AC MInternetHostEventReceiver_AC : public MEventReceiver_AC
{
public:
	MInternetHostEventReceiver_AC();
	
	virtual ~MInternetHostEventReceiver_AC();
	
	virtual void AddressToNameResolved(CInternetHost_AC* inHost);

	virtual void NameToAddressResolved(CInternetHost_AC* inHost);

	void RegisterHost(CInternetHost_AC* inHost);

	void UnregisterHost(CInternetHost_AC* inHost);

	CInternetHost_AC* CreateInternetHost(CReactor_AC* inReactor = NULL);
		// this will make a default reactor for you if you don't specify one.

protected:			
	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
};



#endif