//----------------------------------------------------------------------------------------
// CInternetAddress_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CInternetAddress_AC__
#include "CInternetAddress_AC.h"
#endif
#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif

const CInternetAddress_AC CInternetAddress_AC::fgNullAddress;

//----------------------------------------------------------------------------------------
// CInternetAddress_AC::ConvertToString
//----------------------------------------------------------------------------------------

void CInternetAddress_AC::ConvertToString(CStr255_AC& inString) const
{
	static char str[32];
	CInternetUtils_AC::ConvertAddressToString(str, fHost);
	inString = str;
}

//----------------------------------------------------------------------------------------
// CInternetAddress_AC::ConvertFromString
//----------------------------------------------------------------------------------------

void CInternetAddress_AC::ConvertFromString(const CStr255_AC& inString)
{
	CInternetHostID_AC tempHost = kNullIPAddress;
	CInternetUtils_AC::ConvertStringToAddress(tempHost, inString);
	fHost = tempHost;
}

//----------------------------------------------------------------------------------------
// CInternetAddress_AC::IsIPAddress
//----------------------------------------------------------------------------------------

bool CInternetAddress_AC::IsIPAddress(const char* inString)
{
	bool out = true;
	char* walker = const_cast_AC(char*, inString);

	while(*walker)
	{
		if( *walker != '.' && (*walker < '0' || *walker > '9'))
		{
			out = false;
			break;
		}
		
		++walker;
	}
	
	return out;
}

//----------------------------------------------------------------------------------------
//  CInternetAddress_AC::GetLocalAddress
//----------------------------------------------------------------------------------------

CInternetAddress_AC CInternetAddress_AC::GetLocalAddress()
{
	static bool gotIt = false;
	static CInternetAddress_AC gAddress;
	
	if(!gotIt)
	{
		gAddress = CInternetUtils_AC::GetLocalAddress();
		gotIt = true;
	}

	return gAddress;
}
