//----------------------------------------------------------------------------------------
// CInternetUtils_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif

#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif


CAutoPtr_AC<CInternetUtilsRep_AC> CInternetUtils_AC::fgUtilsRep;


//----------------------------------------------------------------------------------------
// CInternetUtils_AC::ConvertAddressToString
//----------------------------------------------------------------------------------------

void CInternetUtils_AC::ConvertAddressToString(char* str, CInternetHostID_AC host )
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
		
	fgUtilsRep->ConvertAddressToString(str, host);
}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::ConvertStringToAddress
//----------------------------------------------------------------------------------------

void CInternetUtils_AC::ConvertStringToAddress(CInternetHostID_AC& host, const char* str)
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
		
	fgUtilsRep->ConvertStringToAddress(host, str);
}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::GetLocalAddress
//----------------------------------------------------------------------------------------

CInternetAddress_AC CInternetUtils_AC::GetLocalAddress()
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
		
	return fgUtilsRep->GetLocalAddress();
}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::SetMaxNumTCPConnections
//----------------------------------------------------------------------------------------

void CInternetUtils_AC::SetMaxNumTCPConnections(unsigned long max)
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
		
 	fgUtilsRep->SetMaxNumTCPConnections(max);
}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::GetMaxNumTCPConnections
//----------------------------------------------------------------------------------------

unsigned long CInternetUtils_AC::GetMaxNumTCPConnections()
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
		
	return fgUtilsRep->GetMaxNumTCPConnections();
}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::GetTCPConnectionCount
//----------------------------------------------------------------------------------------

unsigned long CInternetUtils_AC::GetTCPConnectionCount()
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
		
	return fgUtilsRep->GetTCPConnectionCount();

}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::IsOpen
//----------------------------------------------------------------------------------------

bool CInternetUtils_AC::IsOpen()
{
	return fgUtilsRep->IsOpen();
}

//----------------------------------------------------------------------------------------
// CInternetUtils_AC::Open
//----------------------------------------------------------------------------------------

void CInternetUtils_AC::Open()
{
	if(!fgUtilsRep)
		fgUtilsRep = CreateUtilsRep();
}

//----------------------------------------------------------------------------------------
// InitInternetSuite_AC()
//----------------------------------------------------------------------------------------

bool InitInternetSuite_AC()
{
	bool networkOpen = InitNetworkSuite_AC();

	if(networkOpen)
	{
		CInternetUtils_AC::Open();
		networkOpen = CInternetUtils_AC::IsOpen();
	}
	
	return networkOpen;
}

