//----------------------------------------------------------------------------------------
// CMultiTCPConnectionMgr.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network

#ifndef __CMultiTCPConnectionMgr_AC__
#include "CMultiTCPConnectionMgr_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif

#ifndef __CTCPConnector_AC__
#include "CTCPConnector_AC.h"
#endif

#ifndef __CTCPAcceptor_AC__
#include "CTCPAcceptor_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif



//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC::CMultiTCPConnectionManager_AC
//----------------------------------------------------------------------------------------

CMultiTCPConnectionManager_AC::CMultiTCPConnectionManager_AC()
{
}

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC::~CMultiTCPConnectionManager_AC
//----------------------------------------------------------------------------------------

CMultiTCPConnectionManager_AC::~CMultiTCPConnectionManager_AC()
{
}

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC::CreateConnector
//----------------------------------------------------------------------------------------

CConnector_AC* CMultiTCPConnectionManager_AC::CreateConnector(CReactor_AC*inReactor, CServiceHandlerFactory_AC* inFactory)
{
	return TH_new CTCPConnector_AC(inReactor, inFactory);
}

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC::CreateAcceptor
//----------------------------------------------------------------------------------------

CAcceptor_AC* CMultiTCPConnectionManager_AC::CreateAcceptor(CReactor_AC*inReactor, CServiceHandlerFactory_AC* inFactory)
{
	return TH_new CTCPAcceptor_AC(inReactor, inFactory);
}

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC::ConnectTo
//----------------------------------------------------------------------------------------

CTCPConnection_AC* CMultiTCPConnectionManager_AC::ConnectTo(	const CInternetAddress_AC& remoteHost, 
								CTCPConnection_AC* inConnection )
{
	CTCPConnector_AC* connector = NULL;
	
	GetConnector(connector);
	
	AssertNotNULL_AC(connector);
	
	return connector->ConnectTo(remoteHost, inConnection);
}

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC:: ConnectTo
//----------------------------------------------------------------------------------------

CTCPConnection_AC* CMultiTCPConnectionManager_AC:: ConnectTo( 	const char* inDomainName, 
								long remotePort,
								CTCPConnection_AC* inConnection)
{
	CTCPConnector_AC* connector = NULL;
	
	GetConnector(connector);
	
	AssertNotNULL_AC(connector);
	
	return connector->ConnectTo(inDomainName, remotePort, inConnection);
}

//----------------------------------------------------------------------------------------
// CMultiTCPConnectionManager_AC::ListenTo
//----------------------------------------------------------------------------------------

void CMultiTCPConnectionManager_AC::ListenTo(CInternetPortID_AC inLocalPort)
{
	CTCPAcceptor_AC* acceptor = NULL;
	GetAcceptor(acceptor);
	AssertNotNULL_AC(acceptor);
	acceptor->ListenTo(inLocalPort);
}

//----------------------------------------------------------------------------------------
//  CMultiTCPConnectionManager_AC::ListenTo
//----------------------------------------------------------------------------------------

void CMultiTCPConnectionManager_AC::ListenTo(CInternetPortID_AC inLocalPort, const CInternetAddress_AC& remoteAddress)
{
	CTCPAcceptor_AC* acceptor = NULL;
	GetAcceptor(acceptor);
	AssertNotNULL_AC(acceptor);
	acceptor->ListenTo(inLocalPort, remoteAddress);
}
