//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network

#ifndef __CSimpleHTTPServer_AC__
#include "CSimpleHTTPServer_AC.h"
#endif

#ifndef __CFileSender_AC__
#include "CFileSender_AC.h"
#endif

#ifndef __CFileReceiver_AC__
#include "CFileReceiver_AC.h"
#endif

#ifndef __DisconnectTransactions_AC__
#include "DisconnectTransactions_AC.h"
#endif

#ifndef __CDataReceiver_AC__
#include "CDataReceiver_AC.h"
#endif

#ifndef __CServiceHandler_AC__
#include "CServiceHandler_AC.h"
#endif

#ifndef __CServiceState_AC__
#include "CServiceState_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif

// Text

#ifndef __CTextParser_AC__
#include "CTextParser_AC.h"
#endif

// Patterns

#ifndef __CErrorHandler_AC__
#include "CErrorHandler_AC.h"
#endif


// Streams

#if qTrace_AC	
	#ifndef __CTraceStream_AC__
	#include "CTraceStream_AC.h"
	#endif
#endif

// Core

#if qNetDebug_AC
	#ifndef __dout_AC__
	#include "dout_AC.h"
	#endif
#endif


//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC::CSimpleHTTPServer_AC
//----------------------------------------------------------------------------------------

CSimpleHTTPServer_AC::CSimpleHTTPServer_AC()
	: CNetworkStrategy_AC(NULL)
{
}

//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC::~CSimpleHTTPServer_AC
//----------------------------------------------------------------------------------------

CSimpleHTTPServer_AC::~CSimpleHTTPServer_AC()
{
}

//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC::PrepareToReceiveData
//----------------------------------------------------------------------------------------

void CSimpleHTTPServer_AC::PrepareToReceiveData(CServiceHandler_AC* inConnection)
{
	inConnection->Receive(TH_new CDataReceiver_AC);
}

//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC::ReceiveData
//----------------------------------------------------------------------------------------

void CSimpleHTTPServer_AC::ReceiveData(	CServiceHandler_AC* inSession, CNetworkTransaction_AC* inReceiver)
{
	CFSSpec_AC spec;

	CTextParser_AC parser;
	parser.SetDelimeters( kStandardDelimeters );
	
	CTextParser_AC::CToken token = parser.Start( inReceiver->GetStream().GetReadPositionPtr() );
	::ThrowIfNULL_AC(token);
	
	if(token == "GET")
	{
		token = parser.GetNextToken();
		::ThrowIfNULL_AC(token);
	
		if(token == "/")
		{
			spec.SetName( CStr63_AC("index.html"));
		}
		else
		{
			spec.SetName( CStr63_AC(token+1));
				// advance over the '/'
		}

#if qTrace_AC		
		CTCPConnection_AC* connection = dynamic_cast<CTCPConnection_AC*>(inSession);
		if(connection)
		{
			CInternetAddress_AC address;
			connection->GetState()->GetRemoteAddress(address);
			TRACE << HighTracePriority_AC << "Sending Data To: " << address.GetAsString() << endl_AC; 
		}	
#endif	
		CFileSender_AC* sender = TH_new CFileSender_AC(spec, CFileSender_AC::kDataFork );
		sender->SetErrorHandler(this);

		inSession->Send(sender);
	}	
	
	inSession->Send( TH_new CDisconnect_AC );
}

//----------------------------------------------------------------------------------------
// CSimpleHTTPServer_AC::RespondToError
//----------------------------------------------------------------------------------------

CError_AC CSimpleHTTPServer_AC::RespondToError(CError_AC error, MErrorProne_AC* /*offendingObject*/)
{
	
#if qNetDebug_AC
	dout << "Error occured in CSimpleHTTPServer: " << error << ". Browser may ask for file again." << flush_AC;
#endif
	
	return error;
}
