//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Net

#ifndef __MInternetHostEventRcvr_AC__
#include "MInternetHostEventRcvr_AC.h"
#endif

#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

#ifndef __CInternetHost_AC__
#include "CInternetHost_AC.h"
#endif

// Patterns

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

#ifndef __CEventWithData_AC__
#include "CEventWithData_AC.h"
#endif

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

#ifndef __CReactorFactory_AC__
#include "CReactorFactory_AC.h"
#endif


//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::MInternetHostEventReceiver_AC
//----------------------------------------------------------------------------------------

MInternetHostEventReceiver_AC::MInternetHostEventReceiver_AC()
{
	Open();
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::~MInternetHostEventReceiver_AC
//----------------------------------------------------------------------------------------

MInternetHostEventReceiver_AC::~MInternetHostEventReceiver_AC()
{
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::AddressToNameResolved
//----------------------------------------------------------------------------------------

void MInternetHostEventReceiver_AC::AddressToNameResolved(CInternetHost_AC* /*inHost*/)
{
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::NameToAddressResolved
//----------------------------------------------------------------------------------------

void MInternetHostEventReceiver_AC::NameToAddressResolved(CInternetHost_AC* /*inHost*/)
{
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::ReceiveEvent
//----------------------------------------------------------------------------------------

void MInternetHostEventReceiver_AC::ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender)
{
	switch(inEvent->GetEventID())
	{
		case CNetEvent_AC::kInternetNameToAddressResolved:
		{	
			ReceiveEvent_AC(inEvent);
			CInternetHost_AC* host = dynamic_cast_AC(CInternetHost_AC*,inSender);
			NameToAddressResolved(host);	
		}	
		break;
		
		case CNetEvent_AC::kInternetAddressToNameResolved:
		{	
			ReceiveEvent_AC(inEvent);
			CInternetHost_AC* host = dynamic_cast_AC(CInternetHost_AC*,inSender);
			AddressToNameResolved(host);	
		}
		break;
	}
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::RegisterHost
//----------------------------------------------------------------------------------------

void MInternetHostEventReceiver_AC::RegisterHost(CInternetHost_AC* inHost)
{
	RegisterForEventsFrom(inHost);
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::UnregisterHost
//----------------------------------------------------------------------------------------

void MInternetHostEventReceiver_AC::UnregisterHost(CInternetHost_AC* inHost)
{
	UnregisterForEventsFrom(inHost);
}

//----------------------------------------------------------------------------------------
// MInternetHostEventReceiver_AC::CreateInternetHost
//----------------------------------------------------------------------------------------

CInternetHost_AC* MInternetHostEventReceiver_AC::CreateInternetHost(CReactor_AC* inReactor)
{
	CInternetHost_AC* hostee = TH_new CInternetHost_AC(inReactor);
	
	RegisterHost(hostee);

	return hostee;
}





