//----------------------------------------------------------------------------------------
// MacOSInternet_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Net

#ifndef __CInternetHost_AC__
#include "CInternetHost_AC.h"
#endif

#ifndef __CInternetUtils_AC__
#include "CInternetUtils_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif

#ifndef __CTCPConnector_AC__
#include "CTCPConnector_AC.h"
#endif

#ifndef __CTCPAcceptor_AC__
#include "CTCPAcceptor_AC.h"
#endif

#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif

#if qWantsOpenTransport_AC

#	ifndef __COTInternetHostRep_AC__
#	include "COTInternetHostRep_AC.h"
#	endif

#	ifndef __COTProvider_AC__
#	include "COTProvider_AC.h"
#	endif

#	ifndef __COTInternetUtilsRep_AC__
#	include "COTInternetUtilsRep_AC.h"
#	endif

#	ifndef __COTAcceptor_AC__
#	include "COTAcceptor_AC.h"
#	endif

#	ifndef __COTConnector_AC__
#	include "COTConnector_AC.h"
#	endif

#	ifndef __COTConnection_AC__
#	include "COTConnection_AC.h"
#	endif

#	ifndef __COTProvider_AC__
#	include "COTProvider_AC.h"
#	endif
#endif

#if qWantsMacTCP_AC

#	ifndef __CMacTCPInternetHostRep_AC__
#	include "CMacTCPInternetHostRep_AC.h"
#	endif

#	ifndef __CMacTCPInternetUtilsRep_AC__
#	include "CMacTCPInternetUtilsRep_AC.h"
#	endif

#	ifndef __CMacTCPProvider_AC__
#	include "CMacTCPProvider_AC.h"
#	endif

#	ifndef __CMacTCPConnector_AC__
#	include "CMacTCPConnector_AC.h"
#	endif

#	ifndef __CMacTCPAcceptor_AC__
#	include "CMacTCPAcceptor_AC.h"
#	endif

#	ifndef __CMacTCPConnection_AC__
#	include "CMacTCPConnection_AC.h"
#	endif

#	ifndef __CMacTCPProvider_AC__
#	include "CMacTCPProvider_AC.h"
#	endif

#endif



//----------------------------------------------------------------------------------------
// CInternetUtils_AC::CreateUtilsRep
//----------------------------------------------------------------------------------------

CInternetUtilsRep_AC* CInternetUtils_AC::CreateUtilsRep()
{
#if qWantsOpenTransport_AC
	if( CProvider_AC::IsProviderID(COTProvider_AC::kProviderID) )
	{
		return TH_new COTInternetUtilsRep_AC;
	}
#endif

#if qWantsMacTCP_AC
	if( CProvider_AC::IsProviderID(CMacTCPProvider_AC::kProviderID) )
	{
		return TH_new CMacTCPInternetUtilsRep_AC;
	}
#endif	

	return NULL;
}


//----------------------------------------------------------------------------------------
// CInternetHost_AC::CreateHostRep
//----------------------------------------------------------------------------------------

CInternetHostRep_AC* CInternetHost_AC::CreateHostRep(CInternetHost_AC* inHost)
{
#if qWantsOpenTransport_AC
	if( CProvider_AC::IsProviderID(COTProvider_AC::kProviderID) )
	{
		return TH_new COTInternetHostRep_AC(inHost);
	}
#endif

#if qWantsMacTCP_AC
	if( CProvider_AC::IsProviderID(CMacTCPProvider_AC::kProviderID) )
	{
		return TH_new CMacTCPInternetHostRep_AC(inHost);
	}
#endif

	return NULL;
}

//----------------------------------------------------------------------------------------
// CTCPAcceptor_AC::CreateServiceAcceptor
//----------------------------------------------------------------------------------------

CServiceAcceptor_AC* CTCPAcceptor_AC::CreateServiceAcceptor(CReactor_AC* inReactor, long timeOut)
{
	CServiceAcceptor_AC* acceptor = NULL;
#if qWantsOpenTransport_AC
	if( CProvider_AC::IsProviderID(COTProvider_AC::kProviderID) )
	{
		acceptor = TH_new COTAcceptor_AC<InetAddress>(inReactor, timeOut); 
	}	
#endif

#if qWantsMacTCP_AC
	if( CProvider_AC::IsProviderID(CMacTCPProvider_AC::kProviderID) )
	{
		acceptor = TH_new CMacTCPAcceptor_AC(inReactor, timeOut);
	}
#endif	
	::AssertNotNULL_AC(acceptor);

	return acceptor;
}

//----------------------------------------------------------------------------------------
// CTCPConnector_AC::CreateServiceConnector
//----------------------------------------------------------------------------------------

CServiceConnector_AC* CTCPConnector_AC::CreateServiceConnector(CReactor_AC* inReactor, CServiceHandler_AC* inConnection)
{
	CServiceConnector_AC* out = NULL;
	
#if qWantsOpenTransport_AC
	if( CProvider_AC::IsProviderID(COTProvider_AC::kProviderID) )
	{
		out = TH_new COTConnector_AC<InetAddress>(inReactor, inConnection); 
	}
#endif

#if qWantsMacTCP_AC
	if( CProvider_AC::IsProviderID(CMacTCPProvider_AC::kProviderID) )
	{
		out = TH_new CMacTCPConnector_AC(inReactor, inConnection);
	}
#endif	

	::AssertNotNULL_AC(out);

	return out;
}		

//----------------------------------------------------------------------------------------
// CTCPConnection_AC::CreateService
//----------------------------------------------------------------------------------------

CService_AC* CTCPConnection_AC::CreateService(CReactor_AC* inReactor)
{
	CService_AC* service = NULL;
	
#if qWantsOpenTransport_AC
	if( CProvider_AC::IsProviderID(COTProvider_AC::kProviderID) )
	{
		service = TH_new COTConnection_AC<InetAddress>(inReactor); 
	}
#endif

#if qWantsMacTCP_AC
	if( CProvider_AC::IsProviderID(CMacTCPProvider_AC::kProviderID) )
	{
		service = TH_new CMacTCPConnection_AC(inReactor);
	}
#endif	

	::AssertNotNULL_AC(service);

	return service;
}


