//----------------------------------------------------------------------------------------
// CMacTCPAcceptor_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPAcceptor_AC__
#define __CMacTCPAcceptor_AC__


#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// net

#ifndef __CServiceAcceptor_AC__
#include "CServiceAcceptor_AC.h"
#endif

#ifndef __CInternetAddress_AC__
#include "CInternetAddress_AC.h"
#endif

// core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

// forward references

class CNetworkAddress_AC;
class CServiceHandler_AC;

class CMacTCPStream_AC;
class CMacTCPOpenTCPStream_AC;

template <class T> class CLinkedList_AC;

//----------------------------------------------------------------------------------------
// class CMacTCPAcceptor_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPAcceptor_AC : public CServiceAcceptor_AC
{
public:
	CMacTCPAcceptor_AC(CReactor_AC* inReactor, long timeOut);

	virtual ~CMacTCPAcceptor_AC();
	
	virtual void ListenTo(	const CNetworkAddress_AC& inLocalAddress, 
							const CNetworkAddress_AC& inRemoteAddress);
	
	virtual void Accept(CServiceHandler_AC* inConnection);

protected:
	void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);

	void DoPassiveOpen(CMacTCPStream_AC* inStream);
	
	void HandleConnectionRequest(CMacTCPStream_AC* inOnStream);
	
protected:
	typedef CLinkedList_AC<CRefCountingPtr_AC<CMacTCPStream_AC> > CList;
	
	CInternetAddress_AC 						fRemoteAddress;
	CInternetAddress_AC 						fLocalAddress;
	CRefCountingPtr_AC<CMacTCPOpenTCPStream_AC> fOpener;
	CAutoPtr_AC<CList> 							fOpeningStreams;
	CAutoPtr_AC<CList>							fStreams;
	long										fListeningCount;
};

#endif

#endif