//----------------------------------------------------------------------------------------
// CMacTCPConnector_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPConnector_AC__
#define __CMacTCPConnector_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// Network

#ifndef __CServiceConnector_AC__
#include "CServiceConnector_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif

#ifndef __NetGlobals_AC__
#include "CNetGlobals_AC.h"
#endif

// forward references

class CInternetAddress_AC;
class CMacTCPStream_AC;
class CMacTCPOpenTCPStream_AC;
template <class T> class CLinkedList_AC;

//----------------------------------------------------------------------------------------
// class CMacTCPConnector_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPConnector_AC : public CServiceConnector_AC
{
public:
		
	CMacTCPConnector_AC(CReactor_AC* inReactor, CServiceHandler_AC* inHandler);
	
	virtual ~CMacTCPConnector_AC();
	
	virtual void SetRemoteAddress(const CNetworkAddress_AC& inAddress);
	
	virtual void SetLocalAddress(const CNetworkAddress_AC& inAddress);
	
	virtual void GetRemoteAddress(CNetworkAddress_AC& inAddress) const;

	virtual void GetLocalAddress(CNetworkAddress_AC& inAddress) const;

	virtual void DoConnect(	long inTimeOut );
		
protected:

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);

	void DoActiveOpen(CMacTCPStream_AC* inStream);

private:
	typedef CLinkedList_AC<CRefCountingPtr_AC<CMacTCPStream_AC> > CList;
	
	CAutoPtr_AC<CList>										fConnections;
	CRefCountingPtr_AC<CMacTCPOpenTCPStream_AC> 			fOpener;
	
	CInternetAddress_AC 									fRemoteAddress;
	CInternetAddress_AC 									fLocalAddress;
};

#endif


#endif