//----------------------------------------------------------------------------------------
// CMacTCPDisconnector_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CMacTCPDisconnector_AC__
#define __CMacTCPDisconnector_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

// core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif


// forward reference

class CMacTCPStream_AC;
class CReactor_AC;


//----------------------------------------------------------------------------------------
// class CMacTCPDisconnector_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPDisconnector_AC : public MEventTransceiver_AC
{

public:

	CMacTCPDisconnector_AC(CReactor_AC* inReactor);

	virtual ~CMacTCPDisconnector_AC();
	
	virtual void Open(CMacTCPStream_AC* inStream);

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
	
	virtual void Disconnect();
	
	virtual void Hangup();
	
private:
	typedef CRefCountingPtr_AC<CMacTCPStream_AC> CStreamPtr;

	CStreamPtr fStream;

private:
	CMacTCPDisconnector_AC& operator = (const CMacTCPDisconnector_AC& /*in*/) { return *this; }
	CMacTCPDisconnector_AC(const CMacTCPDisconnector_AC& /*in*/) {}
};

#endif
#endif

