//----------------------------------------------------------------------------------------
// CMacTCPInternetHostRep_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPInternetHostRep_AC__
#define __CMacTCPInternetHostRep_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// net

#ifndef __CInternetHostRep_AC__
#include "CInternetHostRep_AC.h"
#endif

// streams

#ifndef __CAsyncStream_AC__
#include "CAsyncStream_AC.h"
#endif

// patterns

#ifndef __MIdler_AC__
#include "MIdler_AC.h"
#endif

// core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

// containers

#ifndef __MLinkable_AC__
#include "MLinkable_AC.h"
#endif

// toolbox

#ifndef __MacTCP__
#include <MacTCP.h>
#endif

#ifndef __ADDRESSXLATION__
#include "AddressXlation.h"
#endif

// forward ref

class CMacTCPHostList_AC;


//----------------------------------------------------------------------------------------
// class CMacTCPInternetHostRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPInternetHostRep_AC : 	public CInternetHostRep_AC, 
												public MLinkable_AC<CMacTCPInternetHostRep_AC>
{
public:
	CMacTCPInternetHostRep_AC(CInternetHost_AC* host);
	
	virtual ~CMacTCPInternetHostRep_AC();

	virtual void SetAddress(const CInternetAddress_AC& inAddress, long id);
	
	virtual void SetAddresses(CInternetHostID_AC* inAddresses, long numAddresses);
		// Will make a copy of inAddresses. 

	virtual void AddAddress(const CInternetAddress_AC& inAddress);
	
	virtual long GetNumAddresses() const;
	
	virtual CInternetAddress_AC GetAddress(long id = 0);

	virtual const char* GetHostName() const;
	
	virtual void SetHostName(const char* inName);

	virtual long GetMaxNumHosts() const;
	
	virtual void ResolveNameToAddressAsync();
	
	virtual void ResolveAddressToNameAsync();

	static void Open();
	
	static void Close();
	
	static bool IsOpen()
	{	return fgDNRCodePtr != NULL; }
	
	static void ConvertAddressToString(char* str, CInternetHostID_AC host );
	
	static void ConvertStringToAddress(CInternetHostID_AC& host, const char* str);

protected:
	
	virtual void Idle();

	void CompleteCall()
	{	fComplete = true; }
	
	void StartCall()
	{	fPending = true; fComplete = false; StartTimer(); }

	static short OpenOurRF();
	static short SearchFolderForDNRP(long targetType, long targetCreator, short vRefNum, long dirID);

	static pascal void ResultProc (
		struct hostInfo *hostInfoPtr, CMacTCPHostList_AC* hostList);

protected:
	hostInfo						fHostInfo;
	short							fNumHosts;
	bool							fPending, fComplete;

	char							fPendingHostName[256];
	CInternetHostID_AC				fPendingAddress;

// Gross MacTCP DNR Glue Stuff 
	static ResultUPP				fgResultUPP;
	static Handle 					fgDNRCodeHndl;
	static ProcPtr					fgDNRCodePtr;

};

#endif
#endif