//----------------------------------------------------------------------------------------
// CMacTCPProvider_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CMacTCPProvider_AC__
#define __CMacTCPProvider_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// net

#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif

// toolbox

#ifndef __MACTCP__
#include <MacTCP.h>
#endif

#ifndef __GESTALT__
#include <Gestalt.h>
#endif

//----------------------------------------------------------------------------------------
// class CMacTCPProvider_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPProvider_AC : public CProvider_AC
{
public:
	
	enum { kProviderID = 'MTCP' };
	
	CMacTCPProvider_AC()
	{
	}
	virtual bool IsAvailable() 
	{ 
		long value;
		return Gestalt('mtcp', &value) == 0 && value >= 1; 
	}
	
	virtual void InitProvider();
	
	virtual OSType GetProviderID() const
	{	return kProviderID; }

	static short GetRefNum()
	{
		return fgMacTCPRef;
	}
	
	virtual bool IsOpen() const
	{
		return fgMacTCPRef != 0;
	}

private:
	static short fgMacTCPRef;

};

#endif
	// qWantsOpenTransport_AC

#endif