//----------------------------------------------------------------------------------------
// CMacTCPServiceState_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPServiceState_AC__
#define __CMacTCPServiceState_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsMacTCP_AC

// net

#ifndef __CServiceState_AC__
#include "CServiceState_AC.h"
#endif

#ifndef __CMacTCPStream_AC__
#include "CMacTCPStream_AC.h"
#endif

// core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

//----------------------------------------------------------------------------------------
// class CMacTCPServiceState_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPServiceState_AC : public CServiceState_AC
{
public:
	CMacTCPServiceState_AC(CMacTCPStream_AC* inStream);

	virtual ~CMacTCPServiceState_AC();
	
	virtual long GetServiceState();

	// address / service type
	
	virtual eStateBool IsConnectionOriented();
	
	virtual eStateBool IsTransactionBased();
	
	virtual eStateBool SupportsOrderlyDisconnect();
	
	virtual eStateBool SupportsZeroLengthTSDU();
	
	// options
	
	virtual long GetMaxSizeOfOptions();
	
	// data sizes/info
	
	virtual long GetTSDUSize();

	virtual long GetExpeditedTSDUSize();

	virtual long GetMaxDataSizeOnConnect() ;
	
	virtual long GetMaxDataSizeOnDisconnect();

	virtual void GetRemoteAddress(CNetworkAddress_AC& inAddress);
	
	CMacTCPStream_AC* GetStream();
	
	virtual unsigned long GetAddressType();
	
private:
	CMacTCPStream_AC* fStream;
};

#endif
#endif