//----------------------------------------------------------------------------------------
// MacTCPPrivate_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __MacTCPPrivate_AC__
#define __MacTCPPrivate_AC__

// Net

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

// toolbox

#ifndef __MACTCP__
#include <MacTCP.h>
#endif

//----------------------------------------------------------------------------------------
// class CMacTCPParamBlockTCP_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPParamBlockTCP_AC : public TCPiopb
{
public:
	CMacTCPParamBlockTCP_AC()
	{	Clean(); }
	
	void Clean()
	{	::Erase_AC(this); }
	
	void DoDriverCall(bool async = true);
};

//----------------------------------------------------------------------------------------
// class CMacTCPDataWriter
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPDataWriter : public wdsEntry
{
public:
	CMacTCPDataWriter()
	{ 	length = 0; ptr = NULL; }

	CMacTCPDataWriter(const char* inPtr, unsigned short inLen)
	{ 	Set(inPtr, inLen); }
	
	void Set(const char* inPtr, unsigned short inLen)
	{ 
		length = inLen; 
		ptr = const_cast<Ptr>(inPtr);
		::Assertion_AC(	(ptr != NULL) && 
						(length <= 65535) && 
						(length >= 1), 
						"Invalid wdsEntry"); 
	}
};

//----------------------------------------------------------------------------------------
// class CMacTCPDataReader
//----------------------------------------------------------------------------------------

class EXPORT_AC CMacTCPDataReader : public rdsEntry
{
public:
	CMacTCPDataReader()
	{ 	length = 0; ptr = NULL; }

	CMacTCPDataReader(Ptr inPtr, unsigned short inLen)
	{ 	Set(inPtr, inLen); }
	
	void Set(Ptr inPtr, unsigned short inLen)
	{ 
		length = inLen; 
		ptr = inPtr;
		::Assertion_AC(	(ptr != NULL) && 
						(length <= 65535) && 
						(length >= 1), 
						"Invalid wdsEntry"); 
	}
};
#endif