//----------------------------------------------------------------------------------------
// CMacTCPDebug_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __Net_AC__
#include "Net_AC.h"
#endif


#if qWantsMacTCP_AC

#if qNetDebug_AC

#ifndef __stdio__
#include <stdio.h>
#endif

#ifndef __MacTCP__
#include <MacTCP.h>
#endif

#ifndef __CMacTCPDebug_AC__
#include "CMacTCPDebug_AC.h"
#endif


#define TableElement( STR, VAL ) { STR, VAL }

//----------------------------------------------------------------------------------------
// CMacTCPDebug_AC::MacTCPTableLookup
//----------------------------------------------------------------------------------------

const char* CMacTCPDebug_AC::MacTCPTableLookup(const TLookupTable* inTable, long inKey)
{
	static char str[256];
	const char* lookup = TableLookup(inTable, inKey );
	
	if(lookup[0] == '?')
	{
		::sprintf(str, "?%d", inKey);
		lookup = str;
	}
	return lookup;
}

//----------------------------------------------------------------------------------------
// CMacTCPDebug_AC::GetTCPEventCode
//----------------------------------------------------------------------------------------

const char* CMacTCPDebug_AC::GetTCPEventCode(short inErr)
{
	static const TLookupTable kTable[] = 
	{
		TableElement("None", 0),
		TableElement("TCPCreate", TCPCreate),
		TableElement("TCPPassiveOpen", TCPPassiveOpen),
		TableElement("TCPActiveOpen", TCPActiveOpen),
		TableElement("TCPSend", TCPSend),
		TableElement("TCPNoCopyRcv", TCPNoCopyRcv),
		TableElement("TCPRcvBfrReturn", TCPRcvBfrReturn),
		TableElement("TCPRcv", TCPRcv),
		TableElement("TCPClose", TCPClose),
		TableElement("TCPAbort", TCPAbort),
		TableElement("TCPStatus", TCPStatus),
		TableElement("TCPExtendedStat", TCPExtendedStat),
		TableElement("TCPRelease", TCPRelease),
		TableElement("TCPGlobalInfo", TCPGlobalInfo),
		TableElement("TCPCtlMax", TCPCtlMax),
		TableElement("TCPClosing", TCPClosing),
		TableElement("TCPULPTimeout", TCPULPTimeout),
		TableElement("TCPTerminate", TCPTerminate),
		TableElement("TCPDataArrival", TCPDataArrival),
		TableElement("TCPUrgent", TCPUrgent),
		TableElement("TCPICMPReceived", TCPICMPReceived),
		{ 0, 0 },
	};

	return MacTCPTableLookup(kTable, inErr);
}

//----------------------------------------------------------------------------------------
// CMacTCPDebug_AC::GetTCPTerminationReason
//----------------------------------------------------------------------------------------

const char* CMacTCPDebug_AC::GetTCPTerminationReason(long inID)
{
	static const TLookupTable kTable[] = 
	{
		TableElement("None", 0),
		TableElement("TCPRemoteAbort", TCPRemoteAbort),
		TableElement("TCPNetworkFailure", TCPNetworkFailure),
		TableElement("TCPSecPrecMismatch", TCPSecPrecMismatch),
		TableElement("TCPULPTimeoutTerminate", TCPULPTimeoutTerminate),
		TableElement("TCPULPAbort", TCPULPAbort),
		TableElement("TCPULPClose", TCPULPClose),
		TableElement("TCPServiceError", TCPServiceError),
		{ 0, 0 },
	};

	return MacTCPTableLookup(kTable, inID);
}


#endif
#endif