//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPInternetUtilsRep_AC__
#include "CMacTCPInternetUtilsRep_AC.h"
#endif

#if qWantsMacTCP_AC

#ifndef __CMacTCPProvider_AC__
#include "CMacTCPProvider_AC.h"
#endif

#ifndef __CMacTCPInternetHostRep_AC__
#include "CMacTCPInternetHostRep_AC.h"
#endif

#ifndef __CMacTCPConnection_AC__
#include "CMacTCPConnection_AC.h"
#endif



//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::CMacTCPInternetUtilsRep_AC
//----------------------------------------------------------------------------------------

CMacTCPInternetUtilsRep_AC::CMacTCPInternetUtilsRep_AC()
{
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::~CMacTCPInternetUtilsRep_AC
//----------------------------------------------------------------------------------------

CMacTCPInternetUtilsRep_AC::~CMacTCPInternetUtilsRep_AC()
{
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::ConvertAddressToString
//----------------------------------------------------------------------------------------

void CMacTCPInternetUtilsRep_AC::ConvertAddressToString(char* str, CInternetHostID_AC host )
{
	CMacTCPInternetHostRep_AC::ConvertAddressToString(str, host);
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::ConvertStringToAddress
//----------------------------------------------------------------------------------------

void CMacTCPInternetUtilsRep_AC::ConvertStringToAddress(
	CInternetHostID_AC& host, const char* str)
{
	CMacTCPInternetHostRep_AC::ConvertStringToAddress(host, str);
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::GetLocalAddress
//----------------------------------------------------------------------------------------

CInternetAddress_AC CMacTCPInternetUtilsRep_AC::GetLocalAddress()
{
	GetAddrParamBlock block;
	::Erase_AC(&block);
	
	block.csCode = ipctlGetAddr;
	block.ioCRefNum = CMacTCPProvider_AC::GetRefNum();
	
	::ThrowIfError_AC(
		PBControlSync((ParmBlkPtr) &block));

	CInternetAddress_AC address = block.ourAddress;
	return address;
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::SetMaxNumTCPConnections
//----------------------------------------------------------------------------------------

void CMacTCPInternetUtilsRep_AC::SetMaxNumTCPConnections(unsigned long max)
{
	CMacTCPConnection_AC::SetMaxConnectionCount(max);
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::GetMaxNumTCPConnections
//----------------------------------------------------------------------------------------

unsigned long CMacTCPInternetUtilsRep_AC::GetMaxNumTCPConnections() const
{
	return CMacTCPConnection_AC::GetMaxConnectionCount();
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::GetTCPConnectionCount
//----------------------------------------------------------------------------------------

unsigned long CMacTCPInternetUtilsRep_AC::GetTCPConnectionCount() const
{
	return CMacTCPConnection_AC::GetConnectionCount();
}

//----------------------------------------------------------------------------------------
// CMacTCPInternetUtilsRep_AC::IsOpen
//----------------------------------------------------------------------------------------

bool CMacTCPInternetUtilsRep_AC::IsOpen() const
{
	return true;
}

#endif