//----------------------------------------------------------------------------------------
// CMacTCPOpenTCPStream_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMacTCPOpenTCPStream_AC__
#include "CMacTCPOpenTCPStream_AC.h"
#endif

#if qWantsMacTCP_AC

#ifndef __CMacTCPStream_AC__
#include "CMacTCPStream_AC.h"
#endif

#ifndef __CReactor_AC__
#include "CReactor_AC.h"
#endif

#ifndef __CMacTCPProvider_AC__
#include "CMacTCPProvider_AC.h"
#endif

#ifndef __CBuffer_AC__
#include "CBuffer_AC.h"
#endif

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

#ifndef __CEventWithData_AC__
#include "CEventWithData_AC.h"
#endif

#ifndef __CInternetAddress_AC__
#include "CInternetAddress_AC.h"
#endif

#ifndef __MacTCPPrivate_AC__
#include "MacTCPPrivate_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CMacTCPOpenTCPStream_AC::CMacTCPOpenTCPStream_AC
//----------------------------------------------------------------------------------------

CMacTCPOpenTCPStream_AC::CMacTCPOpenTCPStream_AC(CReactor_AC* inReactor)
:	MEventTransceiver_AC(inReactor)
{
}

//----------------------------------------------------------------------------------------
// CMacTCPOpenTCPStream_AC::~CMacTCPOpenTCPStream_AC
//----------------------------------------------------------------------------------------

CMacTCPOpenTCPStream_AC::~CMacTCPOpenTCPStream_AC()
{
}

//----------------------------------------------------------------------------------------
// CMacTCPOpenTCPStream_AC::Open
//----------------------------------------------------------------------------------------

CMacTCPStream_AC* CMacTCPOpenTCPStream_AC::Open()
{
	CMacTCPStreamPtr_AC newStream = TH_new CMacTCPStream_AC(GetReactor());
	
	CMacTCPParamBlockTCP_AC* pb = newStream->StartTCPCommand(TCPCreate);
	
	pb->csParam.create.rcvBuff			= newStream->GetBuffer()->GetBuffer();	
	pb->csParam.create.rcvBuffLen		= newStream->GetBuffer()->GetSize();	
	pb->csParam.create.notifyProc		= newStream->GetTCPNotifyUPP();
	
	pb->DoDriverCall(false);
		
	newStream->SetMacTCPStream(pb->tcpStream);
	
	PostEvent( 
		CreateEventWithData_AC(CNetEvent_AC::kProviderOpen, newStream));
		
	return newStream;		
}


#endif