//----------------------------------------------------------------------------------------
// COTConfig_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __COTConfig_AC__
#define __COTConfig_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Toolbox

#ifndef __OPENTRANSPORT__
#include <OpenTransport.h>
#endif

//----------------------------------------------------------------------------------------
// class COTConfig_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC COTConfig_AC
{
public:

	enum ePredefinedConfig
	{
		kTCP,
		kUDP,
		kRawIP
		
		// appletalk types not yet explicitly supported
	};

	COTConfig_AC(ePredefinedConfig inType);

	COTConfig_AC(const char* inConfig);

	COTConfig_AC(const COTConfig_AC& inConfig) ;

	COTConfig_AC();
	
	~COTConfig_AC();
	
	OTConfiguration* GetClonedOTConfig() const;
		// this allocates a new config and returns it. Be sure and delete it!
	
	void operator = (const char* inConfig);

	void operator = (const OTConfiguration* inConfig);

	COTConfig_AC& operator = (const COTConfig_AC& inConfig) ;

	void SetOpenFlags(OTOpenFlags inFlags);

	OTOpenFlags GetOpenFlags();
	
	void CreateTCPConfig();
	
	void CreateUDPConfig();
	
	void CreateRawIPConfig();
	
private:
	OTConfiguration* 	fConfig;
	OTOpenFlags			fFlags;
};

#endif
#endif