//----------------------------------------------------------------------------------------
// COTConnection_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __COTConnection_AC__
#define __COTConnection_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CService_AC__
#include "CService_AC.h"
#endif

#ifndef __COTDisconnector_AC__
#include "COTDisconnector_AC.h"
#endif

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// Toolbox

#ifndef __OPENTPTINTERNET__
#include <OpenTptInternet.h>
#endif

// fwd refs
template <class T> class COTEndpoint_AC;
template <class ADDRESS> class COTEndpoint_AC;
class CReactor_AC;

//----------------------------------------------------------------------------------------
// class COTConnection_AC
//----------------------------------------------------------------------------------------

template <class ADDRESS>
class EXPORT_AC COTConnection_AC : public CService_AC
{	
public:
	COTConnection_AC(CReactor_AC* inReactor);
	
	virtual ~COTConnection_AC();

	void Open(COTEndpoint_AC<ADDRESS>* inPoint);	
		// we'll get our reactor from our endpoint when we're opened.

	virtual void Hangup();
	virtual void Disconnect();
	
	virtual void Rcv(char*, long amt, long &flags);	
	virtual void Snd(const char*, long amt, long flags);
	
	virtual long GetUnreceivedDataAmount() const;

	virtual	CServiceState_AC* GetState() const;

	static void SetMaxConnectionCount(unsigned long max);
		
	static unsigned long GetMaxConnectionCount();
	
	static unsigned long GetConnectionCount();

protected:
	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);

protected:
	
	CRefCountingPtr_AC<COTEndpoint_AC<ADDRESS> > 		fEndpoint;
	CRefCountingPtr_AC<COTDisconnector_AC<ADDRESS> >	fDisconnector;
	bool 												fConnected;

	const char* 										fPendingSndData;
	long												fPendingSndAmt;
	long												fPendingFlags;
	
	static unsigned long 								fgMaxConnections;
	static unsigned long								fgConnectionCount;
};
#endif
#endif

