//----------------------------------------------------------------------------------------
// COTConnector_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __COTTCPConnector_AC__
#define __COTTCPConnector_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network 

#ifndef __CServiceConnector_AC__
#include "CServiceConnector_AC.h"
#endif

#ifndef __COTOpener_AC__
#include "COTOpener_AC.h"
#endif

#ifndef __CTCPConnection_AC__
#include "CTCPConnection_AC.h"
#endif

#ifndef __COTDisconnector_AC__
#include "COTDisconnector_AC.h"
#endif

// Toolbox

#ifndef __OPENTPTINTERNET__
#include <OpenTptInternet.h>
#endif

//----------------------------------------------------------------------------------------
// class COTConnector_AC
//----------------------------------------------------------------------------------------

template <class ADDRESS>
class EXPORT_AC COTConnector_AC : public CServiceConnector_AC
{
public:
		
	COTConnector_AC(CReactor_AC* inReactor, CServiceHandler_AC* inHandler);
	
	virtual ~COTConnector_AC();
	
	virtual void SetRemoteAddress(const CNetworkAddress_AC& inAddress);
	
	virtual void SetLocalAddress(const CNetworkAddress_AC& inAddress);
	
	virtual void GetRemoteAddress(CNetworkAddress_AC& inAddress) const;

	virtual void GetLocalAddress(CNetworkAddress_AC& inAddress) const;

	virtual void DoConnect(	long timeOutAfter);

	
protected:

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
	
	virtual void DoConnect();
	
	virtual void HandleConnect();
				
private:
	CRefCountingPtr_AC<COTOpener_AC<ADDRESS> >	 		fOpener;
	CRefCountingPtr_AC<COTEndpoint_AC<ADDRESS> >		fEndpoint;
	CRefCountingPtr_AC<COTDisconnector_AC<ADDRESS> >	fDisconnector;
	ADDRESS 											fLocalAddress;
	ADDRESS 											fRemoteAddress;
};
#endif
#endif
