//----------------------------------------------------------------------------------------
// COTDisconnector_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __COTDisconnector_AC__
#define __COTDisconnector_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

// Core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

// forward refs

template <class ADDRESS> class COTEndpoint_AC;
class CReactor_AC;

//----------------------------------------------------------------------------------------
// class COTDisconnector_AC
//----------------------------------------------------------------------------------------

template <class ADDRESS>
class EXPORT_AC COTDisconnector_AC : public MEventTransceiver_AC
{
public:

	COTDisconnector_AC(CReactor_AC* inDisconnector);

	virtual ~COTDisconnector_AC();
	
	virtual void Open(COTEndpoint_AC<ADDRESS>* inEndpoint);

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
	
	virtual void Disconnect();
	
	virtual void Hangup();

protected:
	void HandleDISCONNECT();
	
	void HandleORDREL();
	
private:
	CRefCountingPtr_AC<COTEndpoint_AC<ADDRESS> > fEndpoint;
	bool fSentOrdrel;

private:
	COTDisconnector_AC& operator = (const COTDisconnector_AC& /*in*/) { return *this; }
	COTDisconnector_AC(const COTDisconnector_AC& /*in*/) {}
};

#endif
#endif

