//----------------------------------------------------------------------------------------
// COTEndpoint_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __COTEndpoint_AC__
#define __COTEndpoint_AC__


#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

#ifndef __MIdler_AC__
#include "MIdler_AC.h"
#endif

// Streams

#ifndef __CAsyncStream_AC__
#include "CAsyncStream_AC.h"
#endif

// Core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

// Toolbox

#ifndef __OPENTRANSPORT__
#include <OpenTransport.h>
#endif

// fwd references
class CReactor_AC;
class CEventTransceiverTimer_AC;
class CServiceState_AC;

//----------------------------------------------------------------------------------------
// class COTEndpoint_AC
//----------------------------------------------------------------------------------------

template <class ADDRESS>
class EXPORT_AC COTEndpoint_AC  : public MEventTransceiver_AC
{
public:

	COTEndpoint_AC(CReactor_AC* inReactor);
	
	virtual ~COTEndpoint_AC();

	TEndpoint* GetOTEndpoint() const 
		{ 	return fEndpoint; }
	
	void SetOTEndpoint(TEndpoint* inEndpoint)
		{ 	fEndpoint = inEndpoint; }
	
	virtual void Idle();
	
	OTNotifyProcPtr GetNotifyProcPtr() const;
	
	static pascal void OTCallback(
		COTEndpoint_AC* ep, unsigned long blah, CError_AC inError , void* inCookie);

	TEndpointInfo* GetOTEndpointInfo() 
		{ 	return &fInfo; }
		
	void Close();
	
	bool IsOpen() const 
		{ 	return fEndpoint != NULL; }
	
	ADDRESS& GetRemoteAddress()
		{	return fRemoteAddress; }
		
	ADDRESS& GetLocalAddress()
		{	return fLocalAddress; }
	
	void SetRemoteAddress(const ADDRESS& inAddress);
	
	void SetLocalAddress(const ADDRESS& inAddress);

	void* GetSavedCookie() const 
		{ return fSavedCookie; }

	long GetID() const
		{	return fID; }
		
	void StartTimer(long interval);
	
	void StopTimer();
		
	CServiceState_AC* GetState();	
			
protected:
	
	CRefCountingPtr_AC<CEventTransceiverTimer_AC>	fTimer;	
	CAutoPtr_AC<CServiceState_AC>					fState;
				
	TEndpoint* 				fEndpoint;
	TEndpointInfo 			fInfo;
	CAsyncStream_AC	 		fEventStream;
	
	ADDRESS					fLocalAddress;
	ADDRESS					fRemoteAddress;
	
	void*					fSavedCookie;
	long					fID;
	
	static long				fgCounter;

private:
	COTEndpoint_AC(const COTEndpoint_AC&) {}
	COTEndpoint_AC& operator = (const COTEndpoint_AC&) { return *this; }

};


#endif
#endif
