//----------------------------------------------------------------------------------------
// COTInternetHostRep_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __COTInternetHostRep_AC__
#define __COTInternetHostRep_AC__

// network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CInternetHostRep_AC__
#include "CInternetHostRep_AC.h"
#endif

// containers
#ifndef __MLinkable_AC__
#include "MLinkable_AC.h"
#endif

// streams
#ifndef __CAsyncStream_AC__
#include "CAsyncStream_AC.h"
#endif

// OT
#ifndef __OPENTPTINTERNET__
#include <OpenTptInternet.h>
#endif


// forward ref
class COTHostList_AC;

//----------------------------------------------------------------------------------------
// class COTInternetHostRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC COTInternetHostRep_AC : public CInternetHostRep_AC,	
										public MLinkable_AC<COTInternetHostRep_AC>
{
public:
	COTInternetHostRep_AC(CInternetHost_AC* host);
	
	virtual ~COTInternetHostRep_AC();

	void SetAddress(const CInternetAddress_AC& inAddress, long id);
	
	void SetAddresses(CInternetHostID_AC* inAddresses, long numAddresses);
		// Will make a copy of inAddresses. 

	virtual void AddAddress(const CInternetAddress_AC& inAddress);
	
	virtual long GetNumAddresses() const;
	
	virtual CInternetAddress_AC GetAddress(long id = 0);
	
	virtual long GetMaxNumHosts() const
	{	return kMaxHostAddrs; }

	virtual void ResolveNameToAddressAsync();
		// asynchronous
	
	virtual void ResolveAddressToNameAsync();
		// asynchronous

	virtual const char* GetHostName() const;
	
	void SetHostName(const char* inHostName);

	static void OpenInternetServices();
	
	static bool IsOpen()
	{	ThrowIfError_AC(fgStartupError);
		return fgRef != NULL; }
	
private:
	virtual void Idle();

private:
	static pascal void OTCallback(
		COTHostList_AC* inListPtr, 
		CEventID_AC inEventID, CError_AC inError, void* inCookie);


private:
	CAsyncStream_AC	 			fEventStream;
	InetHostInfo				fHostInfo;
	short						fNumHosts;
	static TInternetServices*	fgRef;
	static CError_AC			fgStartupError;
};

#endif
#endif