//----------------------------------------------------------------------------------------
// COTOpener_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __COTOpenEndpoint_AC__
#define __COTOpenEndpoint_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CInternetAddress_AC__
#include "CInternetAddress_AC.h"
#endif

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// Core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

// forward refs
template <class ADDRESS> class COTEndpoint_AC;
class CReactor_AC;
class COTConfig_AC;
class CErrorEvent_AC;

//----------------------------------------------------------------------------------------
// class COTOpener_AC
//----------------------------------------------------------------------------------------

template <class ADDRESS>
class EXPORT_AC COTOpener_AC : public MEventTransceiver_AC
{
	
public:
	// interface
	
	COTOpener_AC(CReactor_AC* inReactor);
	
	virtual ~COTOpener_AC();

	virtual void Open(
		const COTConfig_AC& inConfig,
		const ADDRESS& bindTo, 
		bool doBind = true);

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
	
	virtual COTEndpoint_AC<ADDRESS>* GetEndpoint() const;

protected:
	// implementation
	
	virtual void HandleOpenFailed(CEvent_AC* inEvent);
	virtual void StartBind();
	virtual void HandleOpenComplete();

protected:
	bool											fDoBind;
	ADDRESS 										fBindTo;
	CRefCountingPtr_AC<COTEndpoint_AC<ADDRESS> > 	fEndpoint;
};


#endif
#endif
