//----------------------------------------------------------------------------------------
// COTProvider_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __COTProvider_AC__
#define __COTProvider_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif

// Toolbox

#ifndef __OPENTRANSPORT__
#include <OpenTransport.h>
#endif

//----------------------------------------------------------------------------------------
// class COTProvider_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC COTProvider_AC : public CProvider_AC
{
public:
	
	enum { kProviderID = 'OpnT' };
	
	COTProvider_AC()
	: fOpen(false)
	{
	}
	virtual bool IsAvailable() 
	{ 
		long value;
	
		// for now checking for TCP here.
		
		return Gestalt('otan', &value) == 0 && 
			(value & (gestaltOpenTptPresentMask + gestaltOpenTptTCPPresentMask)); 
	}
	
	virtual void InitProvider() 
	{
		if(!fOpen)
		{
			::ThrowIfError_AC(
			  	::InitOpenTransport());
			fOpen = true;
		}
	}

	virtual OSType GetProviderID() const
	{	return kProviderID; }
	
	
	virtual bool IsOpen() const
	{
		return fOpen;
	}
	
private:
	bool fOpen;
};

#endif
	// qWantsOpenTransport_AC

#endif