//----------------------------------------------------------------------------------------
// COTServiceState_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __COTServiceState__
#define __COTServiceState__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CServiceState_AC__
#include "CServiceState_AC.h"
#endif

// Core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

// Toolbox

#ifndef __OPENTPTINTERNET__
#include <OpenTptInternet.h>
#endif

// forward ref

template <class T> class COTEndpoint_AC;

//----------------------------------------------------------------------------------------
// class COTServiceState_AC
//----------------------------------------------------------------------------------------

template <class ADDRESS>
class EXPORT_AC COTServiceState_AC : public CServiceState_AC
{
public:
	COTServiceState_AC(COTEndpoint_AC<ADDRESS>* inEndpoint);

	virtual ~COTServiceState_AC();
	
	virtual long GetServiceState();

	// address / service type
	
	virtual eStateBool IsConnectionOriented();
	
	virtual eStateBool IsTransactionBased();
	
	virtual eStateBool SupportsOrderlyDisconnect();
	
	virtual eStateBool SupportsZeroLengthTSDU();
	
	// options
	
	virtual long GetMaxSizeOfOptions();
	
	// data sizes/info
	
	virtual long GetTSDUSize();

	virtual long GetExpeditedTSDUSize();

	virtual long GetMaxDataSizeOnConnect() ;
	
	virtual long GetMaxDataSizeOnDisconnect();

	virtual void GetRemoteAddress(CNetworkAddress_AC& inAddress);
	
	COTEndpoint_AC<ADDRESS>* GetEndpoint();
	
	virtual unsigned long GetAddressType();
	
private:
	COTEndpoint_AC<ADDRESS>* fEndpoint;
};

#endif

#endif