//----------------------------------------------------------------------------------------
// COTStrategies_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __COTStrategy_AC__
#define __COTStrategy_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __COTConfig_AC__
#include "COTConfig_AC.h"
#endif

// Core

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

// fwd Refs

struct InetAddress;
class CInternetAddress_AC;

//-----------------------------------------------------------------------------------------
// class COTAcceptorStrategy_AC
//-----------------------------------------------------------------------------------------

class EXPORT_AC COTAcceptorStrategy_AC
{
public:
	COTAcceptorStrategy_AC();
	
	virtual ~COTAcceptorStrategy_AC();
	
	virtual COTConfig_AC GetConfig() 
		{ return COTConfig_AC( COTConfig_AC::kTCP); }
	
	static COTAcceptorStrategy_AC* Create();

	static void SetStrategy(COTAcceptorStrategy_AC* inStrategy) 
		{ fgMaker = inStrategy; }

protected:

	virtual COTAcceptorStrategy_AC* DoCreateStrategy() 
		{ return TH_new COTAcceptorStrategy_AC(); }
	
protected:
	static CAutoPtr_AC<COTAcceptorStrategy_AC> fgMaker;
};	


#endif
	
#endif