//----------------------------------------------------------------------------------------
// COTUtils_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __COTUtils_AC__
#define __COTUtils_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#if qWantsOpenTransport_AC

// Network

#ifndef __CInternetAddress_AC__
#include "CInternetAddress_AC.h"
#endif

// Toolbox

#ifndef __OPENTRANSPORT__
#include <OpenTransport.h>
#endif

#ifndef __OPENTPTINTERNET__
#include <OpenTptInternet.h>
#endif

//----------------------------------------------------------------------------------------
// class COTUtils_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC COTUtils_AC
{
public:
	static InetAddress& Convert (InetAddress& inAddress, const CInternetAddress_AC& addressToConvert)
	{
		::OTInitInetAddress(&inAddress, 
						addressToConvert.GetPort(), 
						addressToConvert.GetHost());
		return inAddress;
	}
	static CInternetAddress_AC& Convert (CInternetAddress_AC& inAddress, const InetAddress& addressToConvert)
	{
		inAddress.Set(addressToConvert.fHost, addressToConvert.fPort);
		return inAddress;
	}
	static InetAddress& Convert (InetAddress& inAddress, const CNetworkAddress_AC& addressToConvert)
	{
		CInternetAddress_AC temp = dynamic_cast<const CInternetAddress_AC&>(addressToConvert);
		
		::OTInitInetAddress(&inAddress, 
						temp.GetPort(), 
						temp.GetHost());
		return inAddress;
	}
	static CNetworkAddress_AC& Convert (CNetworkAddress_AC& inAddress, const InetAddress& addressToConvert)
	{
		CInternetAddress_AC& out = dynamic_cast<CInternetAddress_AC&>(inAddress);
		out.Set(addressToConvert.fHost, addressToConvert.fPort);
		return inAddress;
	}

};
#endif

#endif