//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __COTInternetUtilsRep_AC__
#include "COTInternetUtilsRep_AC.h"
#endif


#if qWantsOpenTransport_AC

#ifndef __OPENTRANSPORT__
#	ifndef __OpenTransport__
#	include <OpenTransport.h>
#	endif
#endif

#ifndef __OPENTPTINTERNET__
#include <OpenTptInternet.h>
#endif

#ifndef __COTConnection_AC__
#include "COTConnection_AC.h"
#endif

#ifndef __COTInternetHostRep_AC__
#include "COTInternetHostRep_AC.h"
#endif



//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::COTInternetUtilsRep_AC
//----------------------------------------------------------------------------------------

COTInternetUtilsRep_AC::COTInternetUtilsRep_AC() 
{
	COTInternetHostRep_AC::OpenInternetServices();
}

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::~COTInternetUtilsRep_AC
//----------------------------------------------------------------------------------------

COTInternetUtilsRep_AC::~COTInternetUtilsRep_AC() 
{
}


//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::ConvertAddressToString
//----------------------------------------------------------------------------------------

void COTInternetUtilsRep_AC::ConvertAddressToString(char* str, CInternetHostID_AC host )
{ 	
	::OTInetHostToString(host, str); 
}

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::ConvertStringToAddress
//----------------------------------------------------------------------------------------

void COTInternetUtilsRep_AC::ConvertStringToAddress(CInternetHostID_AC& host, const char* str)
{ 	
	::ThrowIfError_AC(
		::OTInetStringToHost(const_cast_AC(char*, str), &host)); 
} 

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::GetLocalAddress
//----------------------------------------------------------------------------------------

CInternetAddress_AC COTInternetUtilsRep_AC::GetLocalAddress()
{
	InetInterfaceInfo info;

	Erase_AC(&info);

	if(IsOpen())
	{
		ThrowIfError_AC(
			::OTInetGetInterfaceInfo(&info, kDefaultInetInterface));
	}		
#if qNetDebug_AC
	else
		ProgramBreak_AC("OT Internet Services not open yet. GetLocalAddress Failed");
#endif

	return CInternetAddress_AC(info.fAddress);
}

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::SetMaxNumTCPConnections
//----------------------------------------------------------------------------------------

void COTInternetUtilsRep_AC::SetMaxNumTCPConnections(unsigned long max)
{
	COTConnection_AC<InetAddress>::SetMaxConnectionCount(max);
}

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::GetMaxNumTCPConnections
//----------------------------------------------------------------------------------------

unsigned long COTInternetUtilsRep_AC::GetMaxNumTCPConnections() const
{
	return COTConnection_AC<InetAddress>::GetMaxConnectionCount();
}

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::GetTCPConnectionCount
//----------------------------------------------------------------------------------------

unsigned long COTInternetUtilsRep_AC::GetTCPConnectionCount() const
{
	return COTConnection_AC<InetAddress>::GetConnectionCount();
}

//----------------------------------------------------------------------------------------
// COTInternetUtilsRep_AC::IsOpen
//----------------------------------------------------------------------------------------

bool COTInternetUtilsRep_AC::IsOpen() const
{
	return COTInternetHostRep_AC::IsOpen();
}
#endif