//----------------------------------------------------------------------------------------
// CDataReceiver_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CDataReceiver_AC__
#define __CDataReceiver_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CNetworkTransaction_AC__
#include "CNetworkTransaction_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CDataReceiver_AC is a network transaction for receiving a raw buffer of data.
//----------------------------------------------------------------------------------------

class EXPORT_AC CDataReceiver_AC : public CNetworkTransaction_AC
{
public:
	CDataReceiver_AC(const CDataReceiver_AC& inReceiver);
		// copy ctor

	CDataReceiver_AC(unsigned long size = kDefaultBufferSize, char* inPtr  = NULL, bool priority = false);
		// Specify buffer

	virtual ~CDataReceiver_AC();
		// dtor

	CDataReceiver_AC& operator = (const CDataReceiver_AC& inReceiver);		
		// assignemnt
	
// Misc
	
	virtual CNetworkTransaction_AC *Clone();

protected:	
	virtual void Process( CServiceHandler_AC* inServiceHandler);
	
	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
	
};

#endif