//----------------------------------------------------------------------------------------
// CDataSender_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CDataSender_AC__
#define __CDataSender_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CNetworkTransaction_AC__
#include "CNetworkTransaction_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CDataSender_AC is a network transaction for sending a raw buffer of data.
//----------------------------------------------------------------------------------------

class EXPORT_AC CDataSender_AC : public CNetworkTransaction_AC
{
public:
	CDataSender_AC(const CDataSender_AC& inSender);
		// copy ctor
	
	CDataSender_AC(unsigned long size = kDefaultBufferSize, char* inPtr  = NULL, bool priority = false);
		// specify buffer
	
	virtual ~CDataSender_AC();
		// dtor

	CDataSender_AC& operator = (const CDataSender_AC& inSender);
		// assigment operator
	
	virtual CNetworkTransaction_AC *Clone();
	
protected:	
	virtual void Process( CServiceHandler_AC* inStream);
	
	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
};



#endif