//----------------------------------------------------------------------------------------
// CFileSender_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CFileSender_AC__
#define __CFileSender_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CFileTransaction_AC__
#include "CFileTransaction_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CFileSender_AC is a net transaction for sending files.
//----------------------------------------------------------------------------------------

class EXPORT_AC CFileSender_AC : public CFileTransaction_AC
{
public:
	
	CFileSender_AC(const CFileSender_AC& inSender);
		// copy ctor

	CFileSender_AC( 	const CFSSpec_AC& inSpec, 
						long fileUsage,
						CBuffer_AC* inBuffer, 
						bool doExpedite 		= false);
		// specify file usage, the spec of where to write the file, and a buffer
		// to use.
		
	CFileSender_AC( 	const CFSSpec_AC& inSpec, 
						long fileUsage,
						long bufferSize 		= kDefaultBufferSize, 
						char* inPtr				= NULL,
						bool doExpedite 		= false);
		// specify file usage, the spec of where to write the file, and a buffer
		// to use.
		
	virtual ~CFileSender_AC();
		// dtor
	
	CFileSender_AC& operator = (const CFileSender_AC& inSender);
		// assignment operator
	
	virtual CNetworkTransaction_AC *Clone();
	
protected:	
	virtual void Process( CServiceHandler_AC* inStream);
	
	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);

protected:
	bool LoadNextChunk(short& fileRef, long amount);

private:
	bool fSentDataFork;
	bool fReadNextChunkFromFile;
	short fDataForkRef;
	short fResForkRef;
};

#endif