//----------------------------------------------------------------------------------------
// CNetGlobals_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __NetGlobals_AC__
#define __NetGlobals_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CNetGlobals_AC defines some suite-wide globals
//----------------------------------------------------------------------------------------

class EXPORT_AC CNetGlobals_AC
{
public:

	enum eEnums
	{	
		kDefaultTimeOut = 7200 // two minutes.
	};

	static void SetDefaultTimeOut(long inDefault); 		
		// Most timers get their default timeout value from here, so if you
		// change the default timeout, you'll affect the values of all 
		// the timers created after the value is changed.
		
	static long GetDefaultTimeOut();
		
	

private:
	static long fgDefaultTimeOut;
};

// inline methods

inline long CNetGlobals_AC::GetDefaultTimeOut()
{
	return fgDefaultTimeOut;
}
	
inline void CNetGlobals_AC::SetDefaultTimeOut(long inDefault)
{
	fgDefaultTimeOut = inDefault;
}


#endif