//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CNetworkStrategy_AC__
#define __CNetworkStrategy_AC__

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// forward reference

class CServiceHandler_AC;
class CNetworkTransaction_AC;
class CEvent_AC;

//----------------------------------------------------------------------------------------
// class CNetworkStrategy_AC is a base class for strategies, which is basically
// sending and receiving data by a set of rules, like FTP or HTTP.
//----------------------------------------------------------------------------------------

class EXPORT_AC CNetworkStrategy_AC : public MEventTransceiver_AC
{
protected:

	CNetworkStrategy_AC(CReactor_AC* inReactor);
		// ctor

public:
		
	virtual ~CNetworkStrategy_AC();
		// dtor
	
protected:

//
// overide the following to handle event
//

	virtual void RespondToAcceptorEvent(CServiceHandler_AC* inHandler);
	
	virtual void CompleteInitiatedConnection(CServiceHandler_AC* inHandler);
	
	virtual void RespondToConnectorError(CServiceHandler_AC* inHandler, CError_AC inError);
	
	virtual void RespondToAcceptorError(CError_AC inError);
	
	virtual void RespondToDisconnect(CServiceHandler_AC* inHandler, long inReason);

	// data receiving

	virtual void PrepareToReceiveData(CServiceHandler_AC* inHandler);
	
	virtual void ReceiveData(CServiceHandler_AC* inHandler, CNetworkTransaction_AC* inTransaction);

	virtual void PrepareToReceiveExpeditedData(CServiceHandler_AC* inHandler);
	
	virtual void ReceiveExpeditedData(CServiceHandler_AC* inHandler, CNetworkTransaction_AC* inTransaction);
	
	// data sending
	
	virtual void RespondToDataSent(CServiceHandler_AC* inHandler, CNetworkTransaction_AC* inTransaction);
	
	// timeouts
	virtual void RespondToTimeOut(CServiceHandler_AC* inHandler);

protected:

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);

};


#endif