//----------------------------------------------------------------------------------------
// CServiceAcceptor_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	This class is implementation specific.

*/

#ifndef __CServiceAcceptor_AC__
#define __CServiceAcceptor_AC__

// Net

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// forward references

class CServiceHandler_AC;
class CNetworkAddress_AC;

//----------------------------------------------------------------------------------------
// Class CServiceAcceptor_AC is a base class for the provider specific implementations.
//----------------------------------------------------------------------------------------

class EXPORT_AC CServiceAcceptor_AC : 	public MEventTransceiver_AC
{
public:
	
	CServiceAcceptor_AC(CReactor_AC* inReactor,  long timeOut) 
		: MEventTransceiver_AC(inReactor),
		fTimeOut(timeOut)
		{}
	
	virtual ~CServiceAcceptor_AC() 
		{}
		
	virtual void Accept(CServiceHandler_AC* inHandler) = 0;
	
	virtual void ListenTo(const CNetworkAddress_AC& localAddress, const CNetworkAddress_AC& remoteAddress) = 0;
		
	virtual void SetTimeOut( long inTimeOut);
	
	long GetTimeOut() const;

protected:
	long fTimeOut;
		
protected:
	CServiceAcceptor_AC(const CServiceAcceptor_AC& inAcceptor);
	CServiceAcceptor_AC& operator = (const CServiceAcceptor_AC& inAcceptor);

};

// inline methods

inline long CServiceAcceptor_AC::GetTimeOut() const
{
	return fTimeOut;
}
inline void CServiceAcceptor_AC::SetTimeOut( long inTimeOut)
{
	fTimeOut = inTimeOut;	
}



#endif

