//----------------------------------------------------------------------------------------
// CServiceConnector_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

/*
	This class is implementation specific.

*/

#ifndef __CServiceConnector_AC__
#define __CServiceConnector_AC__


// Net

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

// Patterns

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// core

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

// forward references

class CServiceHandler_AC;
class CNetworkAddress_AC;
class CServiceConnector_AC;

typedef CRefCountingPtr_AC<CServiceConnector_AC> CServiceConnectorPtr_AC;

//----------------------------------------------------------------------------------------
// Class CServiceConnector_AC is a base class for the provider specific implementations.
//----------------------------------------------------------------------------------------

class EXPORT_AC CServiceConnector_AC : public MEventTransceiver_AC
{
public:
	CServiceConnector_AC(CReactor_AC* inReactor, CServiceHandler_AC *inConnection ) 
		: MEventTransceiver_AC(inReactor) , fConnection(inConnection) 
	{}
	
	virtual ~CServiceConnector_AC() 
	{}
		
	virtual void SetRemoteAddress(const CNetworkAddress_AC& inAddress) = 0;
	
	virtual void SetLocalAddress(const CNetworkAddress_AC& inAddress) = 0;
	
	virtual void GetRemoteAddress(CNetworkAddress_AC& inAddress) const = 0;

	virtual void GetLocalAddress(CNetworkAddress_AC& inAddress) const = 0;

	virtual void DoConnect(	long timeOutAfter = CNetGlobals_AC::GetDefaultTimeOut()) = 0;
	
	virtual CServiceHandler_AC* GetPendingConnection() const 
	{ return fConnection; }	

protected:
	typedef CRefCountingPtr_AC<CServiceHandler_AC> CConnectionPtr;

	CConnectionPtr	fConnection;
	
protected:
	CServiceConnector_AC(const CServiceConnector_AC&);
	CServiceConnector_AC& operator = (const CServiceConnector_AC&);

};



#endif

