//----------------------------------------------------------------------------------------
// CServiceState_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CServiceState_AC__
#define __CServiceState_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

// Forward reference

class CNetworkAddress_AC;
 

//----------------------------------------------------------------------------------------
// CServiceState_AC is a base class that defines the interface for provider specific 
// service state subclasses.
//----------------------------------------------------------------------------------------

class EXPORT_AC CServiceState_AC
{
public:

	CServiceState_AC() {}
	
	virtual ~CServiceState_AC() {}

	// gets current state of service

	enum eStates
	{
		kUninitialized,
		kUnbound,
		kIdle,
		kOutgoingConnection,
		kIncomingConnection,
		kDataTransfer,
		kOutgoingRelease,
		kIncomingRelease
	};

	virtual long GetServiceState() = 0;

	// address / service type
	
	enum eAddressTypes
	{
		kInternet = 'inet'
	};

	enum eStateBool
	{
		kFalse,
		kTrue,
		kUnknown = -1
	};

	virtual void GetRemoteAddress(CNetworkAddress_AC& inAddress) = 0;
	
	virtual unsigned long GetAddressType() = 0;

	virtual eStateBool IsConnectionOriented() = 0;
	
	virtual eStateBool IsTransactionBased() = 0;
	
	virtual eStateBool SupportsOrderlyDisconnect() = 0;
	
	virtual eStateBool SupportsZeroLengthTSDU() = 0;
	
	// Note: these will return -1 if value is unknown

	// options
	
	virtual long GetMaxSizeOfOptions() = 0;
	
	// data sizes/info
	
	virtual long GetTSDUSize() = 0;

	virtual long GetExpeditedTSDUSize() = 0;

	virtual long GetMaxDataSizeOnConnect()  = 0;
	
	virtual long GetMaxDataSizeOnDisconnect() = 0;

};

#endif