//----------------------------------------------------------------------------------------
// DisconnectTransactions_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __DisconnectTransactions_AC__
#define __DisconnectTransactions_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CNetworkTransaction_AC__
#include "CNetworkTransaction_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CDisconnect_AC attempts to do an orderly disconnect.
//----------------------------------------------------------------------------------------

class EXPORT_AC CDisconnect_AC : public CNetworkTransaction_AC
{
public:
	CDisconnect_AC();
	
	CDisconnect_AC(const CDisconnect_AC& inDisconnect);
	
	virtual ~CDisconnect_AC();

	CDisconnect_AC& operator = (const CDisconnect_AC& inDisconnect);
	
	virtual CNetworkTransaction_AC *Clone();

protected:
	virtual void Process( CServiceHandler_AC* inHandler );
};

//----------------------------------------------------------------------------------------
// CHangup_AC disconnects the connection immediately.
//----------------------------------------------------------------------------------------

class EXPORT_AC CHangup_AC : public CNetworkTransaction_AC
{
public:
	CHangup_AC();
	
	CHangup_AC(const CHangup_AC& inHangup);
	
	virtual ~CHangup_AC();

	CHangup_AC& operator = (const CHangup_AC& inHangup);
	
	virtual CNetworkTransaction_AC *Clone();
	
protected:
	virtual void Process( CServiceHandler_AC* inHandler );
};

#endif