//----------------------------------------------------------------------------------------
// MTemplatedSvcEventRcvr_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------



#ifndef __MTemplatedSvcEventRcvr_AC__
#define __MTemplatedSvcEventRcvr_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __CServiceHandler_AC__
#include "CServiceHandler_AC.h"
#endif

#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

// Patterns

#ifndef __MEventReceiver_AC__
#include "MEventReceiver_AC.h"
#endif

// forward reference

class CServiceHandler_AC;
class CNetworkTransaction_AC;
class CEvent_AC;

//----------------------------------------------------------------------------------------
// MServiceEventReceiver_AC is a templated mixin for receiving events from the templated
// data type. It is templated to provide a typed safe interface to minimize down casts
// by the client.
//----------------------------------------------------------------------------------------

template <class SERVICE_HANDLER>
class MTemplatedServiceEventReceiver_AC : public MEventReceiver_AC
{
public:
		
	virtual ~MTemplatedServiceEventReceiver_AC();
	
protected:

	MTemplatedServiceEventReceiver_AC();

//
// overide the following to handle event
//
	
	// normal connection events

	virtual void RespondToConnectorEvent(CEvent_AC* inEvent, SERVICE_HANDLER* inHandler);
	
	virtual void RespondToAcceptorEvent(CEvent_AC* inEvent, SERVICE_HANDLER* inHandler);
	
	virtual void RespondToDisconnect(SERVICE_HANDLER* inHandler, CNetEvent_AC::eEvent inReason);

	// Error handling	
		
	virtual void RespondToError(SERVICE_HANDLER* inHandler, CError_AC inError);
	
	// data receiving

	virtual void PrepareToReceiveData(SERVICE_HANDLER* inHandler);
	
	virtual void ReceiveData(SERVICE_HANDLER* inHandler, CNetworkTransaction_AC* inTransaction);

	virtual void PrepareToReceiveExpeditedData(SERVICE_HANDLER* inHandler);
	
	virtual void ReceiveExpeditedData(SERVICE_HANDLER* inHandler, CNetworkTransaction_AC* inTransaction);
	
	// data sending
	
	virtual void RespondToDataSent(SERVICE_HANDLER* inHandler, CNetworkTransaction_AC* inTransaction);
	
	// timeouts
	virtual void RespondToTimeOut(SERVICE_HANDLER* inHandler);

protected:

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);

};

#endif
