//----------------------------------------------------------------------------------------
// CNetEvents_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __NetEvents_AC__
#define __NetEvents_AC__

// Network

#ifndef __Net_AC__
#include "Net_AC.h"
#endif

#ifndef __PatternEvents_AC__
#include "PatternEvents_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CNetEvent_AC defines all of the current network event types.
//----------------------------------------------------------------------------------------

class EXPORT_AC CNetEvent_AC : public CPatternEvent_AC
{
public:
	enum eEvent
	{
	// accepting connections
		kAcceptSucceeded				= 'asuc',	
		kAcceptFailed					= 'afal',
		kAcceptRejected					= 'arej',
		kAcceptTimedOut					= 'atim',
	
	// initiating connections
		kConnectSucceeded				= 'csuc',
		kConnectFailed					= 'cfal',
		kConnectRejected				= 'crej',
		kConnectTimedOut				= 'ctim',

	// ending connection	
		kConnectionTerminated			= 'cont',
			// these are the reasons for the disconnection
			kRcvdHangup					= 'rhng',
			kRcvdDisconnect				= 'rdis',	
			kHangupComplete				= 'hngc',
			kDisconnectComplete			= 'disc',
	
	// incoming data
		kIncomingData					= 'idat',
		kReceivedData					= 'rdat',
		kIncomingExpeditedData			= 'iedt',
		kReceivedExpeditedData			= 'redt',
	
	// sending data events	
		kSentData						= 'sdat',
		kSentExpeditedData				= 'sedt',
	
	// internet dnr events
		kInternetAddressToNameResolved  = 'adnm',
		kInternetNameToAddressResolved  = 'nmad',
		
	// internal events
		kResendData						= 'sndd',
		kProvider						= 'serv',
		kProviderOpen					= 'srvo'
	};
#if qNetDebug_AC
	static const char* What(long);
#endif
};

#endif