//----------------------------------------------------------------------------------------
// CAbsServiceHandlerMgr.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network

#ifndef __CAbsServiceHandlerMgr_AC__
#include "CAbsServiceHandlerMgr_AC.h"
#endif

#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif

#ifndef __CNetworkStrategy_AC__
#include "CNetworkStrategy_AC.h"
#endif

// Patterns

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

// containers

#ifndef __CLinkedList_AC__
#include "CLinkedList_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CAbstractServiceHandlerManager_AC::CAbstractServiceHandlerManager_AC
//----------------------------------------------------------------------------------------

CAbstractServiceHandlerManager_AC::CAbstractServiceHandlerManager_AC()
	: fServiceHandlerTimer(false),
	fTimeOut(CNetGlobals_AC::GetDefaultTimeOut())
{
	CProvider_AC::Open();
}

//----------------------------------------------------------------------------------------
// CAbstractServiceHandlerManager_AC::~CAbstractServiceHandlerManager_AC
//----------------------------------------------------------------------------------------

CAbstractServiceHandlerManager_AC::~CAbstractServiceHandlerManager_AC()
{
}

//----------------------------------------------------------------------------------------
// CAbstractServiceHandlerManager_AC::EnableServiceHandlerTimer
//----------------------------------------------------------------------------------------

void CAbstractServiceHandlerManager_AC::EnableServiceHandlerTimer(long timeOut)
{
	fServiceHandlerTimer = true;
	fTimeOut = timeOut;
}

//----------------------------------------------------------------------------------------
// CAbstractServiceHandlerManager_AC::DisableServiceHandlerTimer
//----------------------------------------------------------------------------------------
	
void CAbstractServiceHandlerManager_AC::DisableServiceHandlerTimer()
{
	if(fServiceHandlerTimer)
	{
		fServiceHandlerTimer = false;
	}
}

//----------------------------------------------------------------------------------------
// CAbstractServiceHandlerManager_AC::AddStrategy
//----------------------------------------------------------------------------------------
	
void CAbstractServiceHandlerManager_AC::AddStrategy(CNetworkStrategy_AC* inStrategy)
{	
	CRefCountingPtr_AC<CNetworkStrategy_AC> strategyPtr = inStrategy;

	if(!fStrategies)
		fStrategies = TH_new CList;
	
	if(!fStrategies->InList(strategyPtr))
	{
		strategyPtr->RegisterForEventsFrom(this);
		fStrategies->Push(strategyPtr);
	}
}

//----------------------------------------------------------------------------------------
// CAbstractServiceHandlerManager_AC::RemoveStrategy
//----------------------------------------------------------------------------------------
	
void CAbstractServiceHandlerManager_AC::RemoveStrategy(CNetworkStrategy_AC* inStrategy)
{	
	fStrategies->Remove(inStrategy);
	inStrategy->UnregisterForEventsFrom(this);
}
