//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network includes

#ifndef __CNetworkStrategy_AC__
#include "CNetworkStrategy_AC.h"
#endif

#ifndef __CServiceHandler_AC__
#include "CServiceHandler_AC.h"
#endif

#ifndef __CNetworkTransaction_AC__
#include "CNetworkTransaction_AC.h"
#endif

#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

// Pattern includes

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

#ifndef __CEventWithData_AC__
#include "CEventWithData_AC.h"
#endif


//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::CNetworkStrategy_AC
//----------------------------------------------------------------------------------------
	
CNetworkStrategy_AC::CNetworkStrategy_AC(CReactor_AC* inReactor)
	: MEventTransceiver_AC(inReactor) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::~CNetworkStrategy_AC
//----------------------------------------------------------------------------------------
	
CNetworkStrategy_AC::~CNetworkStrategy_AC()
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC:: RespondToAcceptorEvent
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC:: RespondToAcceptorEvent(CServiceHandler_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::CompleteInitiatedConnection
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::CompleteInitiatedConnection(CServiceHandler_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::RespondToConnectorError
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::RespondToConnectorError(CServiceHandler_AC*, CError_AC ) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::RespondToAcceptorError
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::RespondToAcceptorError(CError_AC) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::RespondToDisconnect
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::RespondToDisconnect(CServiceHandler_AC*, long /*inReason*/) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::PrepareToReceiveData
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::PrepareToReceiveData(CServiceHandler_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::ReceiveData
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::ReceiveData(CServiceHandler_AC*, CNetworkTransaction_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::PrepareToReceiveExpeditedData
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::PrepareToReceiveExpeditedData(CServiceHandler_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::ReceiveExpeditedData
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::ReceiveExpeditedData(CServiceHandler_AC*, CNetworkTransaction_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::RespondToDataSent
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::RespondToDataSent(CServiceHandler_AC*, CNetworkTransaction_AC*) 
{
}

//----------------------------------------------------------------------------------------
// CNetworkStrategy_AC::RespondToTimeOut
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::RespondToTimeOut(CServiceHandler_AC*) 
{
}

//----------------------------------------------------------------------------------------
//  CNetworkStrategy_AC::ReceiveEvent
//----------------------------------------------------------------------------------------
	
void CNetworkStrategy_AC::ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender)
{
	switch(inEvent->GetEventID())
	{
		case CNetEvent_AC::kAcceptSucceeded:
			RespondToAcceptorEvent( GetDataFromEvent_AC(inEvent, CServiceHandlerPtr_AC ) );
		break;
	
		case CNetEvent_AC::kConnectSucceeded:
			CompleteInitiatedConnection( GetDataFromEvent_AC(inEvent, CServiceHandlerPtr_AC) );
		break;
				
		case CNetEvent_AC::kConnectionTerminated:
		
			RespondToDisconnect(dynamic_cast_AC(CServiceHandler_AC*, inSender), inEvent->GetLongData());
		break;
	
		case CNetEvent_AC::kTimedOut:
			RespondToTimeOut(dynamic_cast_AC(CServiceHandler_AC*, inSender));
		break;	
// receiving of data
	
		case CNetEvent_AC::kIncomingData:
			PrepareToReceiveData(dynamic_cast_AC(CServiceHandler_AC*, inSender));
		break;

		case CNetEvent_AC::kIncomingExpeditedData:
			PrepareToReceiveExpeditedData(dynamic_cast_AC(CServiceHandler_AC*, inSender));
		break;

		case CNetEvent_AC::kReceivedData:
			ReceiveData(dynamic_cast_AC(CServiceHandler_AC*, inSender), GetDataFromEvent_AC(inEvent,CNetworkTransactionPtr_AC));
		break;
				
		case CNetEvent_AC::kReceivedExpeditedData:
			ReceiveExpeditedData(dynamic_cast_AC(CServiceHandler_AC*, inSender), GetDataFromEvent_AC(inEvent,CNetworkTransactionPtr_AC));
		break;

		case CNetEvent_AC::kSentData:
			RespondToDataSent(dynamic_cast_AC(CServiceHandler_AC*, inSender), GetDataFromEvent_AC(inEvent,CNetworkTransactionPtr_AC));
		break;

	}
}