//----------------------------------------------------------------------------------------
// CService_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network includes

#ifndef __CService_AC__
#include "CService_AC.h"
#endif

#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

// Pattern includes

#ifndef __CReactor_AC__
#include "CReactor_AC.h"
#endif

#ifndef __CEventTransceiverTimer_AC__
#include "CEventTransceiverTimer_AC.h"
#endif


//----------------------------------------------------------------------------------------
// CService_AC::CService_AC
//----------------------------------------------------------------------------------------
	
CService_AC::CService_AC(CReactor_AC* inReactor) 
	: MEventTransceiver_AC(inReactor),
	fTiming(false)
{
}

//----------------------------------------------------------------------------------------
// CService_AC::~CService_AC
//----------------------------------------------------------------------------------------
	
CService_AC::~CService_AC() 
{
	if(fTimer)
	{
		fTimer->Stop();
	}
}

//----------------------------------------------------------------------------------------
// CService_AC::EnableServiceHandlerTimer
//----------------------------------------------------------------------------------------
	
void CService_AC::EnableServiceHandlerTimer(long timeOut, bool startTimer)
{
	fTiming = true;
	
	if(!fTimer) 
	{
		fTimer = TH_new CEventTransceiverTimer_AC(this, timeOut, CNetEvent_AC::kTimedOut);
		fTimer->GetIdleTimeFrom(GetReactor());
	}
	else
		fTimer->SetDuration(timeOut);
	
	if(startTimer)
	{
		fTimer->Start();
	}
}

//----------------------------------------------------------------------------------------
// CService_AC::DisableServiceHandlerTimer
//----------------------------------------------------------------------------------------
	
void CService_AC::DisableServiceHandlerTimer()
{
	if(fTiming)
	{
		fTimer->Stop();
		fTiming = false;	
	}
}

//----------------------------------------------------------------------------------------
// CService_AC::Hangup
//----------------------------------------------------------------------------------------
	
void CService_AC::Hangup()
{	
	::Assertion_AC(false, "Can't hang up a non connection oriented stream."); 
}

//----------------------------------------------------------------------------------------
// CService_AC::Disconnect
//----------------------------------------------------------------------------------------
	
void CService_AC::Disconnect()
{	
	::Assertion_AC(false, "Can't Disconnect a non connection oriented stream."); 
}
		
