//----------------------------------------------------------------------------------------
// DisconnectTransactions_AC.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// Network includes

#ifndef __DisconnectTransactions_AC__
#include "DisconnectTransactions_AC.h"
#endif

#ifndef __CService_AC__
#include "CService_AC.h"
#endif

#ifndef __CServiceHandler_AC__
#include "CServiceHandler_AC.h"
#endif

//----------------------------------------------------------------------------------------
// class CDisconnect_AC
//----------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------
// CDisconnect_AC::CDisconnect_AC(
//----------------------------------------------------------------------------------------
	
CDisconnect_AC::CDisconnect_AC()
{
	SetPriority(kCommandPriority);
}

//----------------------------------------------------------------------------------------
// CDisconnect_AC::CDisconnect_AC
//----------------------------------------------------------------------------------------
	
CDisconnect_AC::CDisconnect_AC(
	const CDisconnect_AC& inBlock)
{
	*this = inBlock;
}

//----------------------------------------------------------------------------------------
// CDisconnect_AC::~CDisconnect_AC
//----------------------------------------------------------------------------------------
	
CDisconnect_AC::~CDisconnect_AC()
{
}

//----------------------------------------------------------------------------------------
// CDisconnect_AC::operator =
//----------------------------------------------------------------------------------------
	
CDisconnect_AC& CDisconnect_AC::operator = 
	(const CDisconnect_AC& inBlock)
{
	CNetworkTransaction_AC::operator = (inBlock);
	return *this;
}

//----------------------------------------------------------------------------------------
// CDisconnect_AC::Clone
//----------------------------------------------------------------------------------------
	
CNetworkTransaction_AC *CDisconnect_AC::Clone()
{
	return TH_new CDisconnect_AC(*this);
}

//----------------------------------------------------------------------------------------
// CDisconnect_AC::Process
//----------------------------------------------------------------------------------------
	
void CDisconnect_AC::Process( CServiceHandler_AC* inStream)
{
	inStream->Disconnect();
	
	Complete();
}

//----------------------------------------------------------------------------------------
// class CHangup_AC
//----------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------
// CHangup_AC::CHangup_AC
//----------------------------------------------------------------------------------------
	
CHangup_AC::CHangup_AC()
{
	SetPriority(kCommandPriority);
}

//----------------------------------------------------------------------------------------
// CHangup_AC::CHangup_AC
//----------------------------------------------------------------------------------------
	
CHangup_AC::CHangup_AC(const CHangup_AC& inBlock)
{
	*this = inBlock;
}

//----------------------------------------------------------------------------------------
// CHangup_AC::~CHangup_AC
//----------------------------------------------------------------------------------------
	
CHangup_AC::~CHangup_AC()
{
}

//----------------------------------------------------------------------------------------
// CHangup_AC::operator =
//----------------------------------------------------------------------------------------
	
CHangup_AC& CHangup_AC::operator = (
	const CHangup_AC& inBlock)
{
	CNetworkTransaction_AC::operator = (inBlock);
	return *this;
}

//----------------------------------------------------------------------------------------
// CHangup_AC::Clone
//----------------------------------------------------------------------------------------
	
CNetworkTransaction_AC *CHangup_AC::Clone()
{
	return TH_new CHangup_AC(*this);
}

//----------------------------------------------------------------------------------------
// CHangup_AC::Process
//----------------------------------------------------------------------------------------
	
void CHangup_AC::Process( CServiceHandler_AC* inStream)
{
	inStream->Hangup();

	Complete();
}
