// MTemplatedServiceEventReceiver_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Network

#ifndef __MServiceEventReceiver_AC__
#include "MServiceEventReceiver_AC.h"
#endif

#ifndef __CServiceHandler_AC__
#include "CServiceHandler_AC.h"
#endif

#ifndef __NetEvents_AC__
#include "NetEvents_AC.h"
#endif

#ifndef __CNetworkTransaction_AC__
#include "CNetworkTransaction_AC.h"
#endif

// Patterns

#ifndef __CEventWithData_AC__
#include "CEventWithData_AC.h"
#endif

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif


//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::MTemplatedServiceEventReceiver_AC
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::MTemplatedServiceEventReceiver_AC()
{
}
	

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::~MTemplatedServiceEventReceiver_AC
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::~MTemplatedServiceEventReceiver_AC()
{
}


//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::ReceiveEvent
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender)
{
	CServiceHandlerPtr_AC workPtr;
	switch(inEvent->GetEventID())
	{
		case CNetEvent_AC::kAcceptTimedOut:
		case CNetEvent_AC::kAcceptFailed:
		case CNetEvent_AC::kAcceptRejected:		
			RespondToAcceptorEvent(inEvent, NULL );
			break;
	
		case CNetEvent_AC::kAcceptSucceeded:
			RespondToAcceptorEvent(inEvent, 
				dynamic_cast_AC(SERVICE_HANDLER*, GetDataFromEvent_AC(inEvent, CServiceHandlerPtr_AC ).get()) );
			break;
	
		case CNetEvent_AC::kConnectTimedOut:
		case CNetEvent_AC::kConnectFailed:
		case CNetEvent_AC::kConnectSucceeded:
		case CNetEvent_AC::kConnectRejected:
		{
			CRefCountingPtr_AC<SERVICE_HANDLER> ptr = dynamic_cast_AC(SERVICE_HANDLER*,GetDataFromEvent_AC(inEvent, CServiceHandlerPtr_AC).get());
			RespondToConnectorEvent(inEvent, ptr);
		}
		break;

		case CNetEvent_AC::kConnectionTerminated:
			RespondToDisconnect(
				dynamic_cast_AC(SERVICE_HANDLER*, inSender), static_cast<CNetEvent_AC::eEvent>(inEvent->GetLongData()));
		break;
		
// receiving of data
	
		case CNetEvent_AC::kIncomingData:
			PrepareToReceiveData(
				dynamic_cast_AC(SERVICE_HANDLER*, inSender));
		break;

		case CNetEvent_AC::kIncomingExpeditedData:
			PrepareToReceiveExpeditedData(
				dynamic_cast_AC(SERVICE_HANDLER*, inSender));
		break;

		case CNetEvent_AC::kReceivedData:
			ReceiveData(
				dynamic_cast_AC(SERVICE_HANDLER*, inSender), GetDataFromEvent_AC(inEvent,CNetworkTransactionPtr_AC).get());
		break;
				
		case CNetEvent_AC::kReceivedExpeditedData:
			ReceiveExpeditedData(
				dynamic_cast_AC(SERVICE_HANDLER*, inSender), 
				GetDataFromEvent_AC(inEvent,CNetworkTransactionPtr_AC).get());
		break;
		
		case CNetEvent_AC::kTimedOut:
			RespondToTimeOut(
				dynamic_cast_AC(SERVICE_HANDLER*, inSender));
		break;

		case CNetEvent_AC::kSentData:
			RespondToDataSent(	dynamic_cast_AC(SERVICE_HANDLER*, inSender),	
									GetDataFromEvent_AC(inEvent,CNetworkTransactionPtr_AC).get());
		break;

	}
}


//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToAcceptorEvent
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToAcceptorEvent(CEvent_AC* /*inEvent*/, SERVICE_HANDLER* /*inHandler*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToConnectorEvent
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToConnectorEvent(CEvent_AC* /*inEvent*/, SERVICE_HANDLER* /*inHandler*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToDisconnect
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToDisconnect(SERVICE_HANDLER* /*inHandler*/, CNetEvent_AC::eEvent /*inReason*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::PrepareToReceiveData
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::PrepareToReceiveData(SERVICE_HANDLER* /*inHandler*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::ReceiveData
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::ReceiveData(SERVICE_HANDLER* /*inHandler*/, CNetworkTransaction_AC* /*inTransaction*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::PrepareToReceiveExpeditedData
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::PrepareToReceiveExpeditedData(SERVICE_HANDLER* /*inHandler*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::ReceiveExpeditedData
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::ReceiveExpeditedData(SERVICE_HANDLER* /*inHandler*/, CNetworkTransaction_AC* /*inTransaction*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToDataSent
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToDataSent(SERVICE_HANDLER* /*inHandler*/, CNetworkTransaction_AC* /*inTransaction*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToTimeOut
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToTimeOut(SERVICE_HANDLER* /*inHandler*/) 
{
}

//----------------------------------------------------------------------------------------
// MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToError
//----------------------------------------------------------------------------------------
	
template <class SERVICE_HANDLER>
void MTemplatedServiceEventReceiver_AC<SERVICE_HANDLER>::RespondToError(SERVICE_HANDLER* /*inHandler*/, CError_AC /*inError*/)
{

}