//----------------------------------------------------------------------------------------
// MacOSProvider_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CProvider_AC__
#include "CProvider_AC.h"
#endif


#if qWantsOpenTransport_AC
#ifndef __COTProvider_AC__
#include "COTProvider_AC.h"
#endif
#endif
#if qWantsMacTCP_AC
#ifndef __CMacTCPProvider_AC__
#include "CMacTCPProvider_AC.h"
#endif
#endif

//----------------------------------------------------------------------------------------
// CProvider_AC::CreateProvider
//----------------------------------------------------------------------------------------
	
CProvider_AC* CProvider_AC::CreateProvider()
{
	CProvider_AC* provider = NULL;
	
#if qWantsOpenTransport_AC
	provider = TH_new COTProvider_AC;

	if(provider->IsAvailable())
		provider->InitProvider();
	else
		provider = NULL;
#endif

#if qWantsMacTCP_AC
	if(!provider)
	{	
		provider = TH_new CMacTCPProvider_AC;
		if(provider->IsAvailable())
			provider->InitProvider();
		else
			provider = NULL;
	}
#endif
	return provider;
}