
//----------------------------------------------------------------------------------------
// CMPMonitorLock_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CMPMonitorLock_AC__
#define __CMPMonitorLock_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#if qWantsMP

#ifndef __CAbstractMonitorLock_AC__
#include "CAbstractMonitorLock_AC.h"
#endif

#ifndef MP_h
#include <MP.h>
#endif

//----------------------------------------------------------------------------------------
// Class CMPMonitorLock_AC provides a monitor specialized for the MP API.
//----------------------------------------------------------------------------------------

class EXPORT_AC   CMPMonitorLock_AC : public CAbstractMonitorLock_AC
{

public:

        CMPMonitorLock_AC();

        virtual ~CMPMonitorLock_AC();

	virtual void    	    Acquire();
	virtual void    		Release();

private:
	CMPMonitorLock_AC ( const CMPMonitorLock_AC& ) {};
	CMPMonitorLock_AC& operator = ( const CMPMonitorLock_AC& ) { return *this; };

	MPSemaphoreID			fSemaphore;

};

#endif // qWantsMP

#endif // CMPMonitorLock_AC

