//----------------------------------------------------------------------------------------
// CMonitorLock_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------



#ifndef __CMonitorLock_AC__
#define __CMonitorLock_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#ifndef	__CThreadMgrMonitorLock_AC__
#include "CThreadMgrMonitorLock_AC.h"
#endif

#ifndef __CMonitorCondition_AC__
#include "CMonitorCondition_AC.h"
#endif

//----------------------------------------------------------------------------------------
//	Class CMonitorLock_AC synchronizes between MP and cooperative threads.
//----------------------------------------------------------------------------------------

#if GENERATING68K || !qWantsMP

// CThreadManagerMonitorLock is used as CMonitorLock for 68K or non-MP threads

class EXPORT_AC   CMonitorLock_AC : public CThreadManagerMonitorLock_AC {};

#else	//	PPC

class EXPORT_AC   CMonitorLock_AC : public CAbstractMonitorLock_AC
{

public:

    CMonitorLock_AC();

    virtual ~CMonitorLock_AC();

	virtual void    	    Acquire();

	virtual void    	    Release();

private:
	CMonitorLock_AC ( const CMonitorLock_AC& ) {};
	CMonitorLock_AC& operator = ( const CMonitorLock_AC& ) { return *this; };

	CAbstractMonitorLock_AC*		fInternalMonitor;
	CMonitorCondition_AC*			fCondition;
	CAbstractThreadContext_AC*		fHolder;
};

#endif	//	GENERATING68K  || !qWantsMP

#endif // CMonitorLock_AC
