//----------------------------------------------------------------------------------------
// CTempSynchronize.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Copyright (C) 1994 Taligent, Inc.
//----------------------------------------------------------------------------------------

#ifndef __CTempSynchronize_AC__
#define __CTempSynchronize_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class CAbstractMonitorLock_AC;

//----------------------------------------------------------------------------------------
// CTempSynchronize_AC
//		
// Provides a stack-based mechanism for monitor entry and exit.
// Also known as a MonitorEntry.
//----------------------------------------------------------------------------------------

class EXPORT_AC   CTempSynchronize_AC 
{

public:

    CTempSynchronize_AC(CAbstractMonitorLock_AC* theLock);

    virtual ~CTempSynchronize_AC();

private:

    // operators new and delete are private so that CTempSynchronize_AC's can only be
    // allocated on the stack, thus providing automatic entry and exit (and the
    // associated monitor lock acquire and release) with scope entry and exit.

    static void* operator new(size_t size); // not implemented
    static void  operator delete(void* /*pointer*/) {};
   
	CTempSynchronize_AC (const CTempSynchronize_AC& aSynchronizer);
	CTempSynchronize_AC& operator = (const CTempSynchronize_AC& aSynchronizer);

	CAbstractMonitorLock_AC*	fMonitorLock;
};



#endif // CTempSynchronize_AC
