//----------------------------------------------------------------------------------------
// CThreadMgrMonitorLock_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __CThreadMgrMonitorLock_AC__
#define __CThreadMgrMonitorLock_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#ifndef	__CAbstractMonitorLock_AC__
#include "CAbstractMonitorLock_AC.h"
#endif

#ifndef __THREADS__
#include <Threads.h>
#endif

template <class T>
class allocator;
#ifdef MSIPL_DEF_TEMPARG
template <class T, class Allocator = allocator<T> > 
#else
template <class T, class Allocator> 
#endif
class deque;

//----------------------------------------------------------------------------------------
//	CThreadManagerMonitorLock_AC provides a monitor specialized for ThreadManager threads.
//----------------------------------------------------------------------------------------

class EXPORT_AC   CThreadManagerMonitorLock_AC : public CAbstractMonitorLock_AC
{

public:

        CThreadManagerMonitorLock_AC();

        virtual ~CThreadManagerMonitorLock_AC();

public:
	virtual void    	    Acquire();
	virtual void    	    Release();

private:
	CThreadManagerMonitorLock_AC ( const CThreadManagerMonitorLock_AC& ) {};
	CThreadManagerMonitorLock_AC& operator = ( const CThreadManagerMonitorLock_AC& ) { return *this; };

	deque<ThreadID, allocator<ThreadID> >*	fWaiters;
	ThreadID			fHolder;

};

#endif // CThreadMgrMonitorLock_AC
