//----------------------------------------------------------------------------------------
// CThreadedIdleEngine_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __CThreadedIdleEngine_AC__
#define __CThreadedIdleEngine_AC__

// ACS threads

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#ifndef __CThreadRunner_AC__
#include "CThreadRunner_AC.h"
#endif

// ACS patterns

#ifndef __CIdleTimeEngine_AC__
#include "CIdleTimeEngine_AC.h"
#endif

// ACS Core

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CThreadedIdleEngine is a convenience class which implements a thread to call back 
// to the idle engine's dispenser to process (e.g., idle).  
// Uses the CIdleTimeEngine pattern.
//----------------------------------------------------------------------------------------

class EXPORT_AC CThreadedIdleEngine_AC : public CIdleTimeEngine_AC
{
public:
	CThreadedIdleEngine_AC();
		
	virtual ~CThreadedIdleEngine_AC();
	
	virtual void Run();
		// Creates a thread which calls back to GetDispenser()->Idle() until
		// the Stop method is called.
	
	virtual void Stop();
		// Stop the thread.
	
	virtual bool IsRunning() const;
		// Returns whether the thread is running.
		
private:
	CAutoPtr_AC<CThreadRunner_AC> fThreadRunner;	// runs the thread.
};


#endif