//----------------------------------------------------------------------------------------
// CWhileSynchronized.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
// Copyright (C) 1994 Taligent, Inc.
//----------------------------------------------------------------------------------------

#ifndef __CWhileSynchronized_AC__
#define __CWhileSynchronized_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class CAbstractMonitorLock_AC;

//----------------------------------------------------------------------------------------
// CWhileSynchronized_AC
//		
// Provides a stack-based mechanism for monitor lock entry and exit.
// Also known as a Monitor Entry.
//----------------------------------------------------------------------------------------

class EXPORT_AC   CWhileSynchronized_AC 
{

public:

    CWhileSynchronized_AC(CAbstractMonitorLock_AC *theLock);
    	// acquires the lock

    ~CWhileSynchronized_AC(); // non-virtual
    	// releases the lock

private:

    // operators new and delete are private so that CWhileSynchronized_AC's can only be
    // allocated on the stack, thus providing automatic entry and exit (and the
    // associated monitor lock acquire and release) with scope entry and exit.

    static void* operator new(size_t size); // not implemented
    static void  operator delete(void* /*pointer*/) {};
   
	CWhileSynchronized_AC ( const CWhileSynchronized_AC& );
	CWhileSynchronized_AC& operator = ( const CWhileSynchronized_AC& );

	CAbstractMonitorLock_AC*	fMonitorLock;
};


#endif // CWhileSynchronized_AC
