//----------------------------------------------------------------------------------------
// CWinMonitorLock_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __CWinMonitorLock_AC__
#define __CWinMonitorLock_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#if qMSWindows

#ifndef	__CAbstractMonitorLock_AC__
#include "CAbstractMonitorLock_AC.h"
#endif

#ifndef __CWinThreads_AC__
#include "CWinThreads_AC.h"
#endif

//----------------------------------------------------------------------------------------
//	CWinMonitorLock_AC provides a monitor specialized for Win threads.
//----------------------------------------------------------------------------------------

class EXPORT_AC   CWinMonitorLock_AC : public CAbstractMonitorLock_AC
{

public:

        CWinMonitorLock_AC();

        virtual ~CWinMonitorLock_AC();

public:
	virtual void    	    Acquire();
	virtual void    	    Release();

private:
	CWinMonitorLock_AC ( const CWinMonitorLock_AC& ) {};
	CWinMonitorLock_AC& operator = ( const CWinMonitorLock_AC& ) { return *this; };

	DWORD				fHolder;
	HANDLE				fMutex;
	int					fLockCount; // number of locks acquired by owner of mutex
};

#endif // qMSWindows

#endif // __CWinMonitorLock_AC__
