//----------------------------------------------------------------------------------------
// CWinSchedule_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __CWinSchedule_AC__
#define __CWinSchedule_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#if 0 

// ACS

#ifndef __CAbstractThreadSchedule_AC__
#include "CAbstractThreadSchedule_AC.h"
#endif

// Toolbox 

#ifndef __CWinThreads_AC__
#include "CWinThreads_AC.h"
#endif

#ifndef __THREADS__
#include <Threads.h>
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class CThread_AC;

//----------------------------------------------------------------------------------------
// CWinSchedule_AC is a specialization for Thread Manager tasks.
//----------------------------------------------------------------------------------------

class EXPORT_AC CWinSchedule_AC : public CAbstractThreadSchedule_AC 
{
public:

	CWinSchedule_AC (ThreadStyle style = kCooperativeThread);
	// Characterstic: responsive, they handle the
	// application's human interface. For application
	// processing that takes an appreciable amount of
	// time, helper tasks with CApplicationSchedule_AC
	// should be used. See CAbstractThreadSchedule_AC before using this class.

	virtual ~CWinSchedule_AC ();

	CWinSchedule_AC ( const CWinSchedule_AC& aWinSchedule ) ;

	CWinSchedule_AC& operator = ( const CWinSchedule_AC& aWinSchedule ) ;

	virtual CAbstractThreadContext_AC* CreateThreadContext( size_t stackSize, SimpleTaskProcPtr entry, void* parameter,
			CThread_AC* adoptedThread = NULL);
	
	virtual CAbstractMonitorLock_AC* CreateMonitorLock();

private:
	ThreadStyle fStyle;
	static const PriorityLevels		kNumberOfLevels;
	static const AbsolutePriority	kMaximumPriority;
	static const AbsolutePriority	kMinimumPriority;
	static const SchedulingPolicy	kPolicy;
	static const AbsolutePriority	kDefaultPriority;
	AbsolutePriority				fPriority;

public:
	// Noose methods
	virtual AbsolutePriority 		GetPriority () const ;
	virtual SchedulingPolicy  		GetPolicy   () const ;
	virtual AbsolutePriority 		GetMaximumPriority () const ;
	virtual AbsolutePriority 		GetMinimumPriority () const ;
	virtual void 					SetPriority (const AbsolutePriority thePriority) ;

};

#endif // qMSWindows

#endif // __CWinSchedule_AC__
