//----------------------------------------------------------------------------------------
// CWinThreads_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __CWinThreads_AC__
#define __CWinThreads_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

#if qMSWindows

// MSWindows

// Use Windows_AC.h instead of <windows.h> for XPlatform compatability.
#ifndef __Windows_AC__
#include "Windows_AC.h"
#endif

// The Win32 Threads API is buried in WinBase.h, which is included in Windows.h.

//----------------------------------------------------------------------------------------
// Convenient MSWindows Threads -> near-Mac Threads name mappings that help reduce 
// over-capitalization and manage consistency between the implementations.
//----------------------------------------------------------------------------------------

const	DWORD 				kNoWinThreadID = 0;	

inline void GetCurrentWinThread(DWORD* threadID)
	{ *threadID = ::GetCurrentThreadId(); }

#undef Yield	// WinBase.h #defines Yield() to be nothing, which gives us compiler errors


#endif // qMSWindows

#endif // __CWinThreads_AC__