// ThreadUtilities_AC.h
// Copyright  1996 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __ThreadUtilities_AC__
#define __ThreadUtilities_AC__

#ifndef __Threads_AC__
#include "Threads_AC.h"
#endif

//----------------------------------------------------------------------------------------

EXPORT_AC void InitThreads_AC();
	// Initializes the threads suite.
	
EXPORT_AC bool HasThreadManager_AC();
	// Returns whether this computer has the thread manager installed.
	
EXPORT_AC bool HasMP_AC();
	// Returns whether this is an MP computer and has the MP library installed.

EXPORT_AC void IdleThreads_AC(bool frontProcess, long idleFrequency);
	// Allow threads to run, using the suggested idle frequency as appropriate
	// for the threads currently being run (on ThreadMgr & MP), and accounting for 
	// whether the process is the front process.
	
EXPORT_AC void AssertToolboxSafeMPTask_AC();
	// Check if the current MP task allows allocations via new(), and throw if not.
	// This should be called by allocators such as operator new().
	
//----------------------------------------------------------------------------------------
// Inlined implementations
//----------------------------------------------------------------------------------------

inline bool UsingThreadManager_AC()
{
#if qWantsThreadManager
	return HasThreadManager_AC();
#else
	return false;
#endif
}

inline bool UsingMP_AC()
{
#if qWantsMP
	return HasMP_AC();
#else
	return false;
#endif
}

#if !qWantsMP
inline void AssertToolboxSafeMPTask_AC()
{
}
#endif

#endif
