//----------------------------------------------------------------------------------------
// CMPMonitorLock_AC.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef	__CMPMonitorLock_AC__
#include "CMPMonitorLock_AC.h"
#endif

#if qWantsMP

#ifndef __Instrumentation_AC__
#include "Instrumentation_AC.h"
#endif

//========================================================================================
//	Class CMPMonitorLock_AC provides a monitor specialized for the MP API.
//========================================================================================

//----------------------------------------------------------------------------------------
// Constructor
//----------------------------------------------------------------------------------------

CMPMonitorLock_AC::CMPMonitorLock_AC()
{
	TRACE_SETUP;
	LOG_ENTRY( "CMPMonitorLock_AC:Constructor" );
	::MPCreateBinarySemaphore(&fSemaphore);
	LOG_EXIT;
}

//----------------------------------------------------------------------------------------
// Constructor
//----------------------------------------------------------------------------------------

CMPMonitorLock_AC::~CMPMonitorLock_AC()
{
	TRACE_SETUP;
	LOG_ENTRY( "CMPMonitorLock_AC:Destructor" );
	::MPDeleteSemaphore(fSemaphore);
	LOG_EXIT;
}

//----------------------------------------------------------------------------------------
// Acquire
//----------------------------------------------------------------------------------------

void CMPMonitorLock_AC::Acquire()
{
	TRACE_SETUP;
	LOG_ENTRY( "CMPMonitorLock_AC:Acquire" );

//	Reentrant monitor is needed for this next line to work.
//	DEBUG_SETUP_STACK_FRAME();

	::MPWaitOnSemaphore(fSemaphore, kDurationForever);
	LOG_EXIT;
}

//----------------------------------------------------------------------------------------
// Release
//----------------------------------------------------------------------------------------

void CMPMonitorLock_AC::Release()
{
	TRACE_SETUP;
	LOG_ENTRY( "CMPMonitorLock_AC:Release" );
	::MPSignalSemaphore(fSemaphore);
	LOG_EXIT;
}

#endif
