//----------------------------------------------------------------------------------------
// CWinMonitorLock_AC.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------




#ifndef	__CWinMonitorLock_AC__
#include "CWinMonitorLock_AC.h"
#endif

#if qMSWindows

//----------------------------------------------------------------------------------------
//	CWinMonitorLock_AC provides a monitor specialized for Win threads.
//----------------------------------------------------------------------------------------

CWinMonitorLock_AC::CWinMonitorLock_AC() :
	fHolder(kNoWinThreadID),
	fMutex(NULL),
	fLockCount(0)
{
	fMutex = ::CreateMutex(NULL, false, NULL);
}

//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------

CWinMonitorLock_AC::~CWinMonitorLock_AC()
{
	// Release all waiters.
	
}

//----------------------------------------------------------------------------------------
// Acquire
//----------------------------------------------------------------------------------------

void CWinMonitorLock_AC::Acquire()
{
	DWORD current = ::GetCurrentThreadId();
	if (fLockCount > 0 && fHolder == current)
	{
		++fLockCount;
	}
	else
	{
		DWORD dwTimeOut = INFINITE;
		DWORD err = ::WaitForSingleObject(fMutex, dwTimeOut);
		
		fHolder = current;
		fLockCount = 1;
	}
}

//----------------------------------------------------------------------------------------
// Release
//----------------------------------------------------------------------------------------

void CWinMonitorLock_AC::Release()
{
	DWORD current = ::GetCurrentThreadId();
	Assertion_AC(fLockCount > 0, "Lock count went to zero before this call to Release (too many releases?).");
	Assertion_AC(fHolder == current, "This lock belongs to another thread (trampled memory?).");
	
	--fLockCount;
	
	if (fLockCount == 0)
	{
		fHolder = NULL;
		DWORD err = ::ReleaseMutex(fMutex);
		
	}
}

#endif // qMSWindows