
//----------------------------------------------------------------------------------------
// CTidyHeapActionsMore_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTidyHeapActionsMore_AC__
#define __CTidyHeapActionsMore_AC__

#ifndef __CTidyHeap_AC__
#include "CTidyHeap_AC.h"
#endif

#if qTidyHeap

#ifndef __CTidyHeapAction_AC__
#include "CTidyHeapAction_AC.h"
#endif

//========================================================================================
// class CActionExcemptUnknownBlocks_AC
//
// This action exempts all blocks that are not created with TH_new macro.
//
// This needs to be a global new action
//
//========================================================================================

class EXPORT_AC CActionExcemptUnknownBlocks_AC: public CTidyHeapAction_AC
{
public:
	CActionExcemptUnknownBlocks_AC() {}

	virtual ~CActionExcemptUnknownBlocks_AC() {}
	
	virtual void DoAction(CTidyHeapBlock_AC* inBlock);
};

//========================================================================================
// class CActionGarbageIn_AC
//
// This needs to be a global new action
//
//========================================================================================

class EXPORT_AC CActionGarbageIn_AC : public CTidyHeapAction_AC
{
	enum { kGarbageInValue = 0xF5 };
public:
	CActionGarbageIn_AC() {}

	virtual ~CActionGarbageIn_AC() {}
	
	virtual void DoAction(CTidyHeapBlock_AC* inBlock);
};

//========================================================================================
// class CActionGarbageOut_AC
//
// This needs to be a global delete action
//
//========================================================================================

class EXPORT_AC CActionGarbageOut_AC : public CTidyHeapAction_AC
{
	enum { kGarbageOutValue = 0xF6 };
public:
	CActionGarbageOut_AC() {}

	virtual ~CActionGarbageOut_AC() {}
	
	virtual void DoAction(CTidyHeapBlock_AC* inBlock);
};

//========================================================================================
// class CActionBreakOnUnknownBlock_AC
//
// This needs to be a global delete action
//
//========================================================================================

class EXPORT_AC CActionBreakOnUnknownBlock_AC : public CTidyHeapAction_AC
{
public:
	CActionBreakOnUnknownBlock_AC() {}

	virtual ~CActionBreakOnUnknownBlock_AC() {}
	
	virtual void DoAction(CTidyHeapBlock_AC* inBlock);
};


#endif
#endif