//  UIterator.h
//  Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

/*
	Theory of Operation:
	
		They are intended to be used in
		this fashion:
		
			extern void DoSomethingWith( MAFoo* );
			extern void OrSomethingWith( MAFoo* );
			...
			MABazz *bazz;
			...
			for( CIterator_AC iter(bazz); iter.Current(); iter.Next() ) {
				DoSomethingWith(iter);
				OrSomethingWith(iter.Current());
				// within the loop you can use iter.Current() or just iter
				// to refer to the current object it's pointing to.
			}
		
		True C++meisters can even do the for loop like this:
		
			for( TempODFooIterator iter(ev,bazz); iter; ++iter )

		or this: (if your compiler _PROPERLY_ supports declarations in while expressions)
			while( TMyObject* obj = iter++ )

		If you wish you can also call First() to reset the iterator to
		the beginning and return the first element.
			
*/


#ifndef __CIterator_AC__
#define __CIterator_AC__

// ACS

#ifndef __Core_AC__
#include "Core_AC.h"
#endif

#ifndef __ConditionalMacros_AC__
#include "ConditionalMacros_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CIterator_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CIterator_AC
{
/* - Although iterators don't have to derive from this class, these are the member
		functions that users expect to find.
public:

	CIterator_AC();
	// Constructor

	//
	// Required functions 
	//
	TMyObject* First();
		// Resets the iterator to the beginning and returns the first element

	inline TMyObject* Current() const { return fCurrent; }
		// Returns the current element, nil if no element

	TMyObject* Next();
		// PreIncrement. Advances the iteration then returns the current element

	//
	// Convenience functions for C++meisters
	//
	inline TMyObject* operator++() { Return Next(); }
		// PreIncrement

	inline TMyObject* operator++(int) { TMyObject* returnVal = Current(); Next(); return returnVal; }
		// PostIncrement

	inline operator TMyObject*() const { return Current(); }
		// Coerce to current element
		
	inline TMyObject* operator->() const { return Current(); }
		// Coerce to current element
		
protected:
	TMyObject* fCurrent;
*/
};

#endif
