// ConditionalMacros_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.

#if !defined(__ConditionalMacros_AC__)
#define __ConditionalMacros_AC__

#if defined(__CONDITIONALMACROS__)
#	error "ConditionalMacros_AC.h must be included before ConditionalMacros.h."
#endif

// =======================================================================================
// Controls for the Mac OS
//
// check system 8.0 requirements
//
#if !defined(qNeedsSystem8)
#	define qNeedsSystem8 0
#endif

// check system 7.6 requirements
//
#if !defined(qNeedsSystem7_6)
#	define qNeedsSystem7_6 0
#endif

//
// check system 7.5 requirements
//
#if !defined(qNeedsSystem7_5)
#	define qNeedsSystem7_5 0
#endif

#if !defined(SystemSevenFiveOrLater)
#	define SystemSevenFiveOrLater qNeedsSystem7_5
#endif

// For ACS and MacApp 3.3 and later, System 7 is required. 

#if !defined(SystemSevenOrLater)
#	define SystemSevenOrLater 1
#endif

// System 6 is required in all cases. 

#if !defined(SystemSixOrLater)
#	define SystemSixOrLater 1
#endif

#if !defined(qNeedsColorQD)
#	define qNeedsColorQD 1
#endif


// =======================================================================================
// The qMSWindows identifier should be set to true when compiling for MS Windows.
// It is the identifier to test against for MS Windows conditional compilation.
#if !defined(qMSWindows)
#	define qMSWindows 0
#endif

// Not all of these will ultimately be necessary, but for now (1/13/97) they are required to compile successfully.
// "onWindows" needs to be defined before including ConditionalMacros.h
#if qMSWindows
// help the headers to know about the target platform
#	define onWindows 1
#	ifndef _MSC_VER
#		include <x86_prefix.h>
#	endif
#endif

// =======================================================================================
// Controls for the code generation model
//
#if !defined(qPowerPC)
#	define qPowerPC 0
#endif

#if !qMSWindows && !qPowerPC
#	define q68K 1
#else
#	define q68K 0
#endif

#if !defined(qModelCFM)
#	if defined(__CFM68K__)
#		define qModelCFM 1
#	else
#		define qModelCFM 0
#	endif
#endif

#if !defined(qNeedsFPU)
#	define qNeedsFPU 0
#endif

#if !defined(qNeedsMC68040)
#	define qNeedsMC68040 0
#endif

#if !defined(qNeedsMC68030)
#	define qNeedsMC68030 qNeedsMC68040
#endif

#if !defined(qNeedsMC68020)
#	define qNeedsMC68020 qNeedsMC68030
#endif

// =======================================================================================
// Controls for the Universal Headers
#if !defined(qUniversal2Headers)
#	define qUniversal2Headers 1
#endif

// When compiling with the Universal 2.0 headers we can have problems if some
// of the headers (such as AOCE) depend on the 1.0 macros. So here they are. 

#if !defined(USES68KINLINES)
#	define USES68KINLINES GENERATING68K
#endif
#if !defined(USESCODEFRAGMENTS)
#	define USESCODEFRAGMENTS GENERATINGCFM
#endif
#if !defined(USESROUTINEDESCRIPTORS)
#	define USESROUTINEDESCRIPTORS GENERATINGCFM
#endif

// ACS uses the new names for system calls. 
// It compiles with 2.1.2 versions of the Universal Headers. 

#if !defined(OLDROUTINENAMES)
#	define OLDROUTINENAMES 0
#endif

#if !defined(CGLUESUPPORTED)
#	define CGLUESUPPORTED 0
#endif

#if !defined(OLDROUTINELOCATIONS)
#	define OLDROUTINELOCATIONS 0
#endif

// =======================================================================================
// =======================================================================================
// Include the toolbox headers conditional macros
// =======================================================================================
// =======================================================================================
#if !defined(REZ)	// (ConditionalMacros.h breaks Rez)
#	include <ConditionalMacros.h>
#endif

// Final Universal headers 2.1.2 or better are required. 
// For MacApp r10 and later, Final Universal headers 2.1.2 or better are required. 
// This conditional did not exist prior to version 2.1
#if !qMSWindows && !defined(REZ)	// (ConditionalMacros.h breaks Rez)
#	if !defined(UNIVERSAL_INTERFACES_VERSION)
#		error "Version 2.1 (or better) of the universal headers is required"
#	endif
#endif


#endif // __ConditionalMacros_AC__
