//----------------------------------------------------------------------------------------
// CoreSwitches_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

/*
	Note: this is a seperate file to make it easy to mro it and set your own
	flags locally according to your preferences.
*/

#ifndef __CoreSwitches_AC__
#define __CoreSwitches_AC__

#define qDebugLevelOne_AC  			1
#define qDebugLevelTwo_AC			2
#define qDebugLevelThree_AC			3
#define qDebugLevelFour_AC			4

#define qPreAlphaQuality_AC			1
#define qAlphaQuality_AC			2
#define qBetaQuality_AC				3
#define qFinalQuality_AC			4

#ifndef qAutoSwitches
#	define qAutoSwitches 			1
#endif


#if qAutoSwitches
#	ifndef __AutoSwitches_AC__
#		define __AutoSwitches_AC__
#		include "AutoSwitches_AC.h"
#	endif
#endif

#ifndef qQualityLevel_AC	
#define qQualityLevel_AC			qFinalQuality_AC
#endif

// ========================================================

// 0=nodebug, 1=debug
// ========================================================

#ifndef wantDebugging
	#define wantDebugging 			1	
#endif

#if wantDebugging && !defined(qCoreDebug)
#	define qCoreDebug  				1
#endif

#ifndef qCoreDebug
#	ifdef qDebug
#		define qCoreDebug 			qDebug
#	else	
#		define qCoreDebug 			0 // default to off
#	endif
#endif

#if qCoreDebug

// ACS Flags

#	ifndef qDebugExceptions
#	define qDebugExceptions 		qDebugLevelFour_AC
#	endif

// exceptions debugging
// Level 1: Catch and Throw messages are compiled out. Still get throw location though.
// Level 2: Catch and Throw messages are compiled in, throw message on by default, catch
// 			message off by default. Can change runtime switch for enabling disabling
//			catch and throw messages.
// Level 3: Catch and Throw messages are compiled in, throw message off by default, catch
// 			message on by default. Can change runtime switch for enabling disabling
//			catch and throw messages.
// Level 4: Catch and Throw messages are compiled in, throw message on by default, catch
// 			message on by default. Can change runtime switch for enabling disabling
//			catch and throw messages

#	ifndef qAssertions			
#		define qAssertions			1
#	endif

#	ifndef qTidyHeap
#		define qTidyHeap			1
#	endif

#	ifndef qDebugMsg
#	define qDebugMsg 				1
#	endif

#	ifndef qRangeCheck
#	define qRangeCheck 				1
#	endif

#else
	// qCoreDebug
	
#	ifndef qDebugExceptions
#		define qDebugExceptions 	0
#	endif

#	ifndef qAssertions			
#		define qAssertions			0
#	endif

#	ifndef qTidyHeap
#		define qTidyHeap			0
#	endif

#	ifndef qDebugMsg
#	define qDebugMsg 				0
#	endif

#	ifndef qRangeCheck
#	define qRangeCheck 				0
#	endif

#endif
	// qCoreDebug

#if !defined(qBackwardCompatible)
#	define qBackwardCompatible 0
// set to true to leave in compatibility sops that will probably be removed
// in a subsequent release
#endif

// ========================================================
// Processor requirements
// ========================================================

#define qPowerPC 0
#	ifdef __POWERPC__
#		if __POWERPC__
#		undef qPowerPC
#		define qPowerPC 1
#	endif
#endif

#ifdef __CFM68K__
#	if __CFM68K__
#		define qModelCFM 1
#	endif
#endif

//__MC68881__ and __MC68020__ are set in the processor pane
#ifdef __MC68881__
#	if __MC68881__
// remember that you won't be able to run the resulting app on a PPC if you set this
#		define qNeedsFPU 1
#	endif
#endif

#ifdef __MC68020__
#	if __MC68020__
#		define qNeedsMC68020 1
#	endif
#endif

// ========================================================
// Sanity Checks
// ========================================================

#if qTidyHeap && !qPowerPC
# 	undef qTidyHeap
#	define qTidyHeap 0
#endif

#ifdef __MWERKS__
#	if !__option(bool)
#	error "bool support must be enabled in order to build ACS and MacApp"
#	endif

#	if !__option(exceptions)
#	error "native C++ exceptions must be enabled in order to build ACS and MacApp"
#	endif
#endif

#endif