//----------------------------------------------------------------------------------------
// CDebug_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __Debug_AC__
#define __Debug_AC__

#ifndef __Core_AC__
#error "Include CoreAC.h to get Debug_AC.h"
#endif

#ifndef __CoreSwitches_AC__
#include "CoreSwitches_AC.h"
#endif

#ifndef __ConditionalMacros_AC__
#include "ConditionalMacros_AC.h"
#endif

#ifndef __Types_AC__
#include "Types_AC.h"
#endif

#ifndef __CException_AC__
#include "CException_AC.h"
#endif

#ifndef __CAssertionFailure_AC__
#include "CAssertionFailure_AC.h"
#endif

#ifndef __CReporter_AC__
#include "CReporter_AC.h"
#endif


// Set up TidyHeap stuff

#if qTidyHeap

#ifndef __TidyHeap_AC__
#include "TidyHeap_AC.h"
#endif

#else

#ifndef __CTidyHeap_AC__
#define __CTidyHeap_AC__
	// copied from CTidyHeap_AC.h this will remove
	// a non debug build dependency.

	inline void TH_Stub() {}

	#define TH_new new
	#define TH_SaveBlockInfo() TH_Stub()
#endif

#endif

// Other Debug Stuff

#if qCoreDebug

#define SubClassResponsibility_AC() DebugSubClassResponsibility_AC(__FILE__, __LINE__)

EXPORT_AC void DebugSubClassResponsibility_AC(const char* fileName, short lineNum);

//----------------------------------------------------------------------------------------
// class CDebug_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CDebug_AC
{
private:
	CDebug_AC();
	~CDebug_AC();
	
public:
	typedef struct SLookupTable
	{
		const char *fDescription;
		long fKey;
	} TLookupTable;

	static const char* TableLookup(const TLookupTable* inTable, long inKey);
	
	static const char* 	OSTypeToStr(OSType t, char* out)
	{
		*((long*) out) = t;
		out[4] = '\0';
		return out;
	}
	
	static const char* TrimTypeName(const char* inName);
		// send a template type name into this and it will copy inName into 
		// a string without the templated type like this:
		// "AutoPtr_AC<CMyClass>" becomes "AutoPtr_AC".

};

#else

inline void SubClassResponsibility_AC() {}

#endif

#endif
