//----------------------------------------------------------------------------------------
// MRefCountable_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __MRefCountable_AC__
#define __MRefCountable_AC__

#ifndef __Core_AC__
#include "Core_AC.h"
#endif

class EXPORT_AC MRefCountable_AC
{
public:
	MRefCountable_AC() 
		: fRefCount(0) 
	{}

	virtual ~MRefCountable_AC() 
	{}
	
	long GetRefCount() const 
	{ 	return fRefCount; }
		
	void aquire() 
	{ 	++fRefCount; }

	void release() 
	{ 	--fRefCount; }

private:
	long fRefCount;
};

inline MRefCountable_AC* AquireCountedObject_AC(MRefCountable_AC* inCountable)
{
	if(inCountable)
		inCountable->aquire();
		
	return inCountable;
}
template <class T>
inline T* ReleaseCountedObject_AC(T*& inCountable, bool canDelete = true)
{
	if(inCountable)
	{
		inCountable->release(); 
		if(canDelete && inCountable->GetRefCount() == 0)
			::DeleteIfObject_AC(inCountable);
		else
			inCountable = NULL;
	}
		
	return inCountable;
}
#endif