//----------------------------------------------------------------------------------------
// Debug_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __Core_AC__
#include "Core_AC.h"
#endif


#if qCoreDebug


//----------------------------------------------------------------------------------------
// CDebug_AC::TableLookup
//----------------------------------------------------------------------------------------

const char* CDebug_AC::TableLookup(const TLookupTable* inTable, long inKey)
{
	static const char* defaultMessage = "? (Lookup Error)";
	
	const char* outPtr = defaultMessage;
	
	long counter = 0;
	while( inTable[counter].fDescription )
	{
		if(inKey == inTable[counter].fKey )
		{
			outPtr = inTable[counter].fDescription;
			break;
		}
	
		++counter;
	}
	
	return outPtr;
}

//----------------------------------------------------------------------------------------
// CDebug_AC::TrimTypeName
//----------------------------------------------------------------------------------------

const char* CDebug_AC::TrimTypeName(const char* inName)
{
	enum { kSize = 512 };
	static char out[kSize];
	
	long count = 0;
	
	char* walker = const_cast<char*>(inName);
	char* outPtr = out;
	
	while( *walker != '\0' )
	{
		if(++count == kSize || *walker == '<')
			break;
		
		*outPtr++ = *walker++;
		
	}

	*outPtr = '\0';

	return out;
}

//----------------------------------------------------------------------------------------
// DebugSubClassResponsibility_AC
//----------------------------------------------------------------------------------------

void DebugSubClassResponsibility_AC(const char* fileName, short lineNum)
{
	::ProgramBreak_AC("Required Override not overridden: File %s, Line %d", fileName, lineNum);
}


#endif
