//----------------------------------------------------------------------------------------
// CFileResourceStream_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CFileResourceStream_AC__
#define __CFileResourceStream_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

#ifndef __CResourceStream_AC__
#include "CResourceStream_AC.h"
#endif

class CFile_AC;

//----------------------------------------------------------------------------------------
// CFileResourceStream_AC: This implements a stream that reads and writes to partial resources.
// Since the partial resources traps are only available in System 7, this stream class can
// only be used under System 7. 
//----------------------------------------------------------------------------------------

class EXPORT_AC CFileResourceStream_AC : public CResourceStream_AC
{
public:
	CFileResourceStream_AC(	CFile_AC* theFile = NULL, 
							ResType theType = kNoIdentifier_AC, 
							ResNumber theID = kNoResource_AC);

	virtual ~CFileResourceStream_AC();
		// Destructor
	
	virtual void WriteBytes(const void* p, long count);

	virtual void ReadBytes(void* p, long count);

	virtual void SetSize(long newSize);

public:
	CFile_AC*		fFile;
};


#endif