//----------------------------------------------------------------------------------------
// ResFileUtils_AC.h
// Copyright  1988-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __ResFileUtils_AC__
#define __ResFileUtils_AC__

#ifndef __Files_AC__
#include "Files_AC.h"
#endif

EXPORT_AC short CurResFile_AC();
// Use instead of CurResFile, avoids trap call

EXPORT_AC short UseResFile_AC(short refNum);
// Use instead of UseResFile, avoids trap call if possible

//----------------------------------------------------------------------------------------
// Manage UseResFile State
//----------------------------------------------------------------------------------------
class EXPORT_AC CTempUseResFile_AC 
{
public:
	inline CTempUseResFile_AC(short refNum) : fOldResFile(UseResFile_AC(refNum)) { }

	inline ~CTempUseResFile_AC() { UseResFile_AC(fOldResFile); }

	inline operator short&() { return fOldResFile; }
		// Conversion operator, for converting data to desired return type.

	//------------------------------------------------------------------------------------
	// data members
	//------------------------------------------------------------------------------------
protected:
	short	fOldResFile;
};

#endif
