//----------------------------------------------------------------------------------------
// CFileResourceStream_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CFileResourceStream_AC__
#include "CFileResourceStream_AC.h"
#endif

#ifndef __ResFileUtils_AC__
#include "ResFileUtils_AC.h"
#endif

#ifndef __CFile_AC__
#include "CFile_AC.h"
#endif

//========================================================================================
// CLASS CFileResourceStream_AC
//========================================================================================

//----------------------------------------------------------------------------------------
// CFileResourceStream_AC::CFileResourceStream_AC: 
//----------------------------------------------------------------------------------------

CFileResourceStream_AC::CFileResourceStream_AC( CFile_AC* theFile, 
												ResType theType, 
												ResNumber theID) 
	: CResourceStream_AC(theType, theID),
	fFile(NULL)
{
	if (fFile)
	{
		CTempUseResFile_AC tempUseResFile(theFile->GetRsrcRefNum());
		
		fFile = theFile;
	}
}

//----------------------------------------------------------------------------------------
// CFileResourceStream_AC destructor
//----------------------------------------------------------------------------------------

CFileResourceStream_AC::~CFileResourceStream_AC()
{
}

//----------------------------------------------------------------------------------------
// CFileResourceStream_AC::WriteBytes: 
//----------------------------------------------------------------------------------------

void CFileResourceStream_AC::WriteBytes(const void* p, long count)
{
	CTempUseResFile_AC tempUseResFile(fFile->GetRsrcRefNum());
	
	CResourceStream_AC::WriteBytes(p, count);
}

//----------------------------------------------------------------------------------------
// CFileResourceStream_AC::ReadBytes: 
//----------------------------------------------------------------------------------------

void CFileResourceStream_AC::ReadBytes(void* p, long count)
{
	CTempUseResFile_AC tempUseResFile(fFile->GetRsrcRefNum());
	
	CResourceStream_AC::ReadBytes(p, count);
}

//----------------------------------------------------------------------------------------
// CFileResourceStream_AC::SetSize: 
//----------------------------------------------------------------------------------------

void CFileResourceStream_AC::SetSize(long newSize)
{
	CTempUseResFile_AC tempUseResFile(fFile->GetRsrcRefNum());
	
	CResourceStream_AC::SetSize(newSize);
}

//----------------------------------------------------------------------------------------
// End of UFileStream.cp
