// CDrawingEnvironment_AC.h
//  Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//  Portions Copyright  1996 by Trygve Isaccson.

#ifndef __CDrawingEnvironment_AC__
#define __CDrawingEnvironment_AC__

// ACS

#ifndef __Imaging_AC__
#include "Imaging_AC.h"
#endif

#ifndef __CRGBColor_AC__
#include "CRGBColor_AC.h"
#endif

#ifndef __CTextStyle_AC__
#include "CTextStyle_AC.h"
#endif

// Toolbox

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif

//----------------------------------------------------------------------------------------
// CTempPenState_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CTempPenState_AC
{
public:
	CTempPenState_AC()
		{ ::GetPenState(&fSavedPenState); ::PenNormal(); }

	virtual ~CTempPenState_AC()
		{ ::SetPenState(&fSavedPenState); }
		
protected:
	PenState			fSavedPenState;
};


//----------------------------------------------------------------------------------------
// CTempForeColor_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CTempForeColor_AC : public CRGBColor_AC
{
public:
	CTempForeColor_AC(const CRGBColor_AC& newColor = CRGBColor_AC::kRGBBlack) 
		{ GetForeColor(); newColor.SetForeColor(); }
	virtual ~CTempForeColor_AC()
		{ SetForeColor(); }
};

//----------------------------------------------------------------------------------------
// CTempBackColor_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CTempBackColor_AC : public CRGBColor_AC
{
public:
	CTempBackColor_AC(const CRGBColor_AC& newBkColor = CRGBColor_AC::kRGBWhite)
		{ GetBackColor(); newBkColor.SetBackColor(); }
	
	virtual ~CTempBackColor_AC()
		{ SetBackColor(); }
};

//----------------------------------------------------------------------------------------
// CTempTextStyle_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CTempTextStyle_AC : public CTextStyle_AC
{
public:
	CTempTextStyle_AC()
		{ GetPortTextStyle(); CTextStyle_AC::kSystemStyle.SetPortTextStyle();; }

	virtual ~CTempTextStyle_AC()
		{ SetPortTextStyle(); }

};

//----------------------------------------------------------------------------------------
// CDrawingEnvironment_AC
//----------------------------------------------------------------------------------------



//----------------------------------------------------------------------------------------
// CTempDrawingEnvironment_AC: temporary save/restore of a collection of states
//----------------------------------------------------------------------------------------

class EXPORT_AC CTempDrawingEnvironment_AC
{
public:
	CTempDrawingEnvironment_AC() {}
	virtual ~CTempDrawingEnvironment_AC() {}

protected:
	CTempPenState_AC	fSavedPenState;
	CTempForeColor_AC	fSavedForeColor;
	CTempBackColor_AC	fSavedBackColor;
	CTempTextStyle_AC	fSavedTextStyle;
};


#endif
