// CRGBColor_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.

#ifndef __CRGBColor_AC__
#define __CRGBColor_AC__

// ACS

#ifndef __Imaging_AC__
#include "Imaging_AC.h"
#endif

// Toolbox

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif

//----------------------------------------------------------------------------------------
// CRGBColor_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CRGBColor_AC : public RGBColor
{
public:
	// CONSTRUCTORS:

	inline CRGBColor_AC() { Clear(); }
	inline CRGBColor_AC(unsigned short theRed, unsigned short theGreen, unsigned short theBlue) { Set(theRed, theGreen, theBlue); }
	inline CRGBColor_AC(const CRGBColor_AC& color) { Set(color); }
	inline CRGBColor_AC(const RGBColor& color) { Set(color); }

	inline CRGBColor_AC& operator=(const CRGBColor_AC& color) { Set(color); return *this; }
		
	// CONVERSION:
	
	inline operator RGBColor*() { return this; }
	inline operator const RGBColor*() const { return this; }
	inline operator RGBColor&() { return *this; }
	inline operator const RGBColor&() const { return *this; }
	
	// ARITHMETIC:

	CRGBColor_AC& operator +=(const CRGBColor_AC& color);
	CRGBColor_AC& operator -=(const CRGBColor_AC& color);
	CRGBColor_AC& operator *=(const CRGBColor_AC& color);
	CRGBColor_AC& operator /=(const CRGBColor_AC& color);
	CRGBColor_AC operator +(const CRGBColor_AC& color) const;
	CRGBColor_AC operator -(const CRGBColor_AC& color) const;
	CRGBColor_AC operator *(const CRGBColor_AC& color) const;
	CRGBColor_AC operator /(const CRGBColor_AC& color) const;

	CRGBColor_AC& operator +=(const unsigned short a);
	CRGBColor_AC& operator -=(const unsigned short a);
	CRGBColor_AC& operator *=(const unsigned short a);
	CRGBColor_AC& operator /=(const unsigned short a);
	CRGBColor_AC operator +(const unsigned short a) const;
	CRGBColor_AC operator -(const unsigned short a) const;
	CRGBColor_AC operator *(const unsigned short a) const;
	CRGBColor_AC operator /(const unsigned short a) const;

	// COMPARISON:

	bool operator ==(const CRGBColor_AC& color) const;
	inline bool operator !=(const CRGBColor_AC& color) const { return !(*this == color); }

	// UTILITY:

	inline void Clear() { *(long*)this = 0; blue = 0; }
	// cheat, we know we're three shorts

	inline void Set(unsigned short theRed, unsigned short theGreen, unsigned short theBlue) { red = theRed; green = theGreen; blue = theBlue; }
	void Set(const RGBColor& color);

	// COLOR QUICKDRAW EXTENSIONS:
	
	void GetForeColor();
	void SetForeColor() const;
	void GetBackColor();
	void SetBackColor() const;

	static bool IsColorPort();
		// Returns whether qd.thePort is a color port.
	
	static const CRGBColor_AC kRGBBlack;
	static const CRGBColor_AC kRGBWhite;
	static const CRGBColor_AC kRGBRed;
	static const CRGBColor_AC kRGBGreen;
	static const CRGBColor_AC kRGBBlue;
	
	// For Apple grayscale colors, see the ACS Appearance ColorRamp.
};


#endif // __CRGBColor_AC__
