//----------------------------------------------------------------------------------------
// ImagingStreaming_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __ImagingStreaming_AC__
#define __ImagingStreaming_AC__

#ifndef __Imaging_AC__
#include "Imaging_AC.h"
#endif

#ifndef __CStream_AC__
#include "CStream_AC.h"
#endif
#ifndef __CPoint_AC__
#include "CPoint_AC.h"
#endif
#ifndef __CLongGeometry_AC__
#include "CLongGeometry_AC.h"
#endif
#ifndef __CRGBColor_AC__
#include "CRGBColor_AC.h"
#endif

// writers

inline CStream_AC& operator << (CStream_AC& inStream, const CPoint_AC& inData)
{
	inStream << inData.v << inData.h;
	return inStream;
}
inline CStream_AC& operator << (CStream_AC& inStream, const CLongPoint_AC& inData)
{
	inStream << inData.v << inData.h;
	return inStream;
}
inline CStream_AC& operator << (CStream_AC& inStream, const CRect_AC& inData)
{
	inStream << inData.top << inData.left << inData.bottom << inData.right;
	return inStream;
}
inline CStream_AC& operator << (CStream_AC& inStream, const CLongRect_AC& inData)
{
	inStream << inData.top << inData.left << inData.bottom << inData.right;
	return inStream;
}
inline CStream_AC& operator << (CStream_AC& inStream, const CRGBColor_AC& inData)
{
	inStream << inData.red << inData.green << inData.blue;
	return inStream;
}


// readers

inline CStream_AC& operator >> (CStream_AC& inStream, CPoint_AC& inData)
{
	inStream >> inData.v >> inData.h;
	return inStream;
}
inline CStream_AC& operator >> (CStream_AC& inStream, CLongPoint_AC& inData)
{
	inStream >> inData.v >> inData.h;
	return inStream;
}
inline CStream_AC& operator >> (CStream_AC& inStream,CRect_AC& inData)
{
	inStream >> inData.top >> inData.left >> inData.bottom >> inData.right;
	return inStream;
}
inline CStream_AC& operator >> (CStream_AC& inStream,CLongRect_AC& inData)
{
	inStream >> inData.top >> inData.left >> inData.bottom >> inData.right;
	return inStream;
}
inline CStream_AC& operator >> (CStream_AC& inStream,CRGBColor_AC& inData)
{
	inStream >> inData.red >> inData.green >> inData.blue;
	return inStream;
}

#endif