//----------------------------------------------------------------------------------------
// CPoint_AC.cp 
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CPoint_AC__
#include "CPoint_AC.h"
#endif

// ACS Imaging

#ifndef __CRect_AC__
#include "CRect_AC.h"
#endif

// Toolbox

// Use Memory_AC.h instead of <memory.h> for XPlatform compatability.
#ifndef __Memory_AC__
#include "Memory_AC.h"
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

// ANSI

#ifndef __STDIO__
#include <stdio.h>
#endif



//========================================================================================
// CLASS CPoint_AC
//========================================================================================

const CPoint_AC CPoint_AC::kZeroPt(0, 0);			// Constructor keeps this from getting dead-stripped

//----------------------------------------------------------------------------------------
// CPoint_AC::operator+=:
//----------------------------------------------------------------------------------------
CPoint_AC& CPoint_AC::operator+=(const CPoint_AC& pt)
{
	v += pt.v;
	h += pt.h;

	return *this;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator-=:
//----------------------------------------------------------------------------------------
CPoint_AC& CPoint_AC::operator-=(const CPoint_AC& pt)
{
	v -= pt.v;
	h -= pt.h;

	return *this;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator*=:
//----------------------------------------------------------------------------------------
CPoint_AC& CPoint_AC::operator*=(const CPoint_AC& pt)
{
	v *= pt.v;
	h *= pt.h;

	return *this;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator-=:
//----------------------------------------------------------------------------------------
CPoint_AC& CPoint_AC::operator/=(const CPoint_AC& pt)
{
	v /= pt.v;
	h /= pt.h;

	return *this;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator+:
//----------------------------------------------------------------------------------------
CPoint_AC CPoint_AC::operator+(const CPoint_AC& pt) const
{ return CPoint_AC(*this) += pt; }

//----------------------------------------------------------------------------------------
// CPoint_AC::operator-:
//----------------------------------------------------------------------------------------
CPoint_AC CPoint_AC::operator-(const CPoint_AC& pt) const
{ return CPoint_AC(*this) -= pt; }

//----------------------------------------------------------------------------------------
// CPoint_AC::operator*:
//----------------------------------------------------------------------------------------
CPoint_AC CPoint_AC::operator*(const CPoint_AC& pt) const
{ return CPoint_AC(*this) *= pt; }

//----------------------------------------------------------------------------------------
// CPoint_AC::operator-:
//----------------------------------------------------------------------------------------
CPoint_AC CPoint_AC::operator/(const CPoint_AC& pt) const
{ return CPoint_AC(*this) /= pt; }

//----------------------------------------------------------------------------------------
// CPoint_AC::operator-:
//----------------------------------------------------------------------------------------
CPoint_AC CPoint_AC::operator-() const
{
	return CPoint_AC(-h, -v);
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator++:
//----------------------------------------------------------------------------------------
CPoint_AC& CPoint_AC::operator++()
{
	++v;
	++h;

	return *this;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator--:
//----------------------------------------------------------------------------------------
CPoint_AC& CPoint_AC::operator--()
{
	--v;
	--h;

	return *this;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator>=:
//----------------------------------------------------------------------------------------
bool CPoint_AC::operator>=(const CPoint_AC& pt) const
{
	return v >= pt.v && h >= pt.h;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator<=:
//----------------------------------------------------------------------------------------
bool CPoint_AC::operator<=(const CPoint_AC& pt) const
{
	return v <= pt.v && h <= pt.h;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator>:
//----------------------------------------------------------------------------------------
bool CPoint_AC::operator>(const CPoint_AC& pt) const
{
	return v > pt.v && h > pt.h;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::operator<=:
//----------------------------------------------------------------------------------------
bool CPoint_AC::operator<(const CPoint_AC& pt) const
{
	return v < pt.v && h < pt.h;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::Offset:
//----------------------------------------------------------------------------------------
void CPoint_AC::Offset(short iH, short iV)
{
	v += iV;
	h += iH;
}

//----------------------------------------------------------------------------------------
// CPoint_AC::ConstrainTo:
//----------------------------------------------------------------------------------------
void CPoint_AC::ConstrainTo(const CRect_AC& rt)
{
	if (v < rt.top)
		v = rt.top;
	if (v > rt.bottom)
		v = rt.bottom;
	if (h < rt.left)
		h = rt.left;
	if (h > rt.right)
		h = rt.right;
}


//----------------------------------------------------------------------------------------
// End of CPoint_AC.cp


