//----------------------------------------------------------------------------------------
// ImagingUtils_AC.cp
//  Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//  Portions Copyright  1996 by Trygve Isaacson.
//----------------------------------------------------------------------------------------

#ifndef __ImagingUtils_AC__
#include "ImagingUtils_AC.h"
#endif

//----------------------------------------------------------------------------------------
// ClipFurtherTo_AC
//----------------------------------------------------------------------------------------

void ClipFurtherTo_AC(const CRect_AC& clippingRect)
{
	// Shrink the clip region further to prevent drawing outside
	// the specified rect.

	RgnHandle	oldClip = ::NewRgn();
	RgnHandle	newClip = ::NewRgn();
	
	if ((oldClip != NULL) && (newClip != NULL))
	{
		::GetClip(oldClip);
		::RectRgn(newClip, &clippingRect);

		::SectRgn(oldClip, newClip, newClip);
		::SetClip(newClip);
		
		::DisposeRgn(oldClip);
		::DisposeRgn(newClip);
	}
}

