//----------------------------------------------------------------------------------------
// CDataFilter_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CDataFilter_AC__
#define __CDataFilter_AC__

// Patterns
#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

// Core
#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

// Containers
#ifndef __MLinkable_AC__
#include "MLinkable_AC.h"
#endif

// fwd refs
class CDataFilter_AC;
class EXPORT_AC MLinkable_AC<CDataFilter_AC>;

//----------------------------------------------------------------------------------------
// CDataFilter is a base class for filtering operations.
//----------------------------------------------------------------------------------------

class EXPORT_AC CDataFilter_AC : public MLinkable_AC<CDataFilter_AC>
{
protected:
	CDataFilter_AC();

public:
	virtual ~CDataFilter_AC();

	virtual void FilterOutput(unsigned char& inData);
	virtual void FilterOutput(char& inData);
	virtual void FilterOutput(bool& inData);
	virtual void FilterOutput(short& inData);
	virtual void FilterOutput(unsigned short& inData);
	virtual void FilterOutput(long& inData);
	virtual void FilterOutput(unsigned long& inData);
	virtual void FilterOutput(int& inData);
	virtual void FilterOutput(unsigned int& inData);
	virtual void FilterOutput(float& inData);
   	virtual void FilterOutput(double& inData);
	virtual const char* FilterOutput(const char* inStr, long& len);
	virtual const unsigned char* FilterOutput(const unsigned char* inStr);

	virtual const void* FilterOutput(const void* inData, long& inSize);

	virtual void FilterInput(unsigned char& inData);
	virtual void FilterInput(char& inData);
	virtual void FilterInput(bool& inData);
	virtual void FilterInput(short& inData);
	virtual void FilterInput(unsigned short& inData);
	virtual void FilterInput(long& inData);
	virtual void FilterInput(unsigned long& inData);
	virtual void FilterInput(int& inData);
	virtual void FilterInput(unsigned int& inData);
	virtual void FilterInput(float& inData);
   	virtual void FilterInput(double& inData);

	virtual void FilterInput(void* inData, long& inSize);
};

// inline functions

inline CDataFilter_AC::CDataFilter_AC() 
{ 
}

inline CDataFilter_AC::~CDataFilter_AC() 
{ 
}

inline void CDataFilter_AC::FilterOutput(unsigned char& /*inData*/) 
{ 
}

inline void CDataFilter_AC::FilterOutput(char& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(bool& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(short& /*inData*/) 
{ 
}

inline void CDataFilter_AC::FilterOutput(unsigned short& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(long& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(unsigned long& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(float& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(double& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(int& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterOutput(unsigned int& /*inData*/)
{ 
}

inline const char* CDataFilter_AC::FilterOutput(const char* inStr, long& /*inSize*/)
{
	return inStr;
}

inline const unsigned char* CDataFilter_AC::FilterOutput(const unsigned char* inStr)
{
	return inStr;
}

inline const void* CDataFilter_AC::FilterOutput(const void* inData, long& /*inSize*/)
{
	return inData;
}

// input filters

inline void CDataFilter_AC::FilterInput(unsigned char& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(char& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(bool& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(short& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(unsigned short& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(long& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(unsigned long& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(float& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(double& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(void* /*inData*/, long& /*inSize*/)
{ 
}

inline void CDataFilter_AC::FilterInput(int& /*inData*/)
{ 
}

inline void CDataFilter_AC::FilterInput(unsigned int& /*inData*/)
{ 
}


#endif