//----------------------------------------------------------------------------------------
// CEventAdaptor_AC.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CEventAdaptor_AC__
#define __CEventAdaptor_AC__

// patterns
#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

#ifndef __MEventReceiver_AC__
#include "MEventReceiver_AC.h"
#endif

// core includes
#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

// pattern includes

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

// Forward References
class CEvent_AC;
template <class T> class CLinkedList_AC;

//----------------------------------------------------------------------------------------
// CEventAdaptor_AC Takes an event and changes it into an event destined for a MEventReceiver,
// from an event destined for a MEventTransceiver.
//
// This is so you can mix in an MEventReceiver_AC and not worry about the ref counting
// found in a MEventTransceiver.
//----------------------------------------------------------------------------------------

class EXPORT_AC CEventAdaptor_AC : public MEventTransceiver_AC
{
public:
	CEventAdaptor_AC();
		// ctor
	
	virtual ~CEventAdaptor_AC();
		// dtor

protected:
	
	// Use the MEventReceiver_AC api to register/unregister for events.
	
	void AttachReceiver(MEventReceiver_AC* Receiver);

	void DetachReceiver(MEventReceiver_AC* Receiver);

	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);		
				
private:
	CEventAdaptor_AC(const CEventAdaptor_AC& /*in*/) {}
	CEventAdaptor_AC& operator = (const CEventAdaptor_AC& /*in*/) { return *this; }

private:
	typedef class EXPORT_AC CLinkedList_AC<MEventReceiver_AC*> CList;

	CAutoPtr_AC<CList> fReceivers;
	
	friend class MEventReceiver_AC;
};

#endif




