//----------------------------------------------------------------------------------------
// MEventTransceiverTimer_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CEventTransceiverTimer_AC__
#define __CEventTransceiverTimer_AC__

// Pattern includes

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

#ifndef __CAbstractTimer_AC__
#include "CAbstractTimer_AC.h"
#endif

// forward references

class MEventTransceiver_AC;

//----------------------------------------------------------------------------------------
// CEventTransceiverTimer_AC is for timing MEventTransceivers. When the timer times out
// it sends and event with the saved MEventTransceiver_AC pointer as the sender for 
// the event, so objects registered to receive events from the MEventTransceiver will
// get the time out event.
//----------------------------------------------------------------------------------------

class EXPORT_AC CEventTransceiverTimer_AC : public CAbstractTimer_AC
{
public:

	CEventTransceiverTimer_AC(	MEventTransceiver_AC* inEventTransceiver, 
								long inDuration = 0,
								CEventID_AC inEvent = CPatternEvent_AC::kTimedOut);
		// Set the MEventTransceiver_AC to time, the duration of the timer,
		// and the event to send.
		
	virtual ~CEventTransceiverTimer_AC();
		// dtor
	
	virtual void SetEventTransceiver(MEventTransceiver_AC* inEventTransceiver);
		// Set the MEventTransceiver_AC to time.
	
	MEventTransceiver_AC* GetEventTransceiver() const;

protected:
	virtual void HandleTimerEvent();

protected:
	MEventTransceiver_AC* fEventTransceiver;

};

// Inlines.

inline	MEventTransceiver_AC* CEventTransceiverTimer_AC::GetEventTransceiver() const
{
	return fEventTransceiver;
}

#endif
