//----------------------------------------------------------------------------------------
// CIdleTimeEngine_AC.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


#ifndef __CIdleTimeEngine_AC__
#define __CIdleTimeEngine_AC__

// Patterns

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

// forward references

class CIdleTimeDispenser_AC;

//----------------------------------------------------------------------------------------
// CIdleTimeEngine_AC is a base class for objects that drives idle time, like a thread, or
// in the case of MacApp, a CoHandler.
//----------------------------------------------------------------------------------------

class EXPORT_AC CIdleTimeEngine_AC
{
public:
	CIdleTimeEngine_AC();
		// ctor
	
	virtual ~CIdleTimeEngine_AC();
		// dtor
	
	virtual void Run() = 0;
		// start idle time processing
	
	virtual void Stop() = 0;
		// stop idle time processing
	
	virtual bool IsRunning() const = 0;
		// is idle time being processed?
	
	CIdleTimeDispenser_AC* GetDispenser() const;
		// Get the dispenser that this engine is currently driving idle time for

protected:
	void SetDispenser(CIdleTimeDispenser_AC* inDispenser);
		
protected:
	CIdleTimeDispenser_AC* fDispenser;
	
	friend class CIdleTimeDispenser_AC;
};

// inline functions

inline void CIdleTimeEngine_AC::SetDispenser(CIdleTimeDispenser_AC* inDispenser)
{	
	fDispenser = inDispenser; 
}

inline CIdleTimeDispenser_AC* CIdleTimeEngine_AC::GetDispenser() const
{	
	return fDispenser; 
}


#endif
