//----------------------------------------------------------------------------------------
// CPair_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CPair_AC__
#define __CPair_AC__

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CPair holds two templated data types.
//----------------------------------------------------------------------------------------

template <class FIRST, class SECOND>
class EXPORT_AC CPair_AC 
{
public:
	CPair_AC() 
	{}
	
	CPair_AC(FIRST inItemA, SECOND inItemB)
		: fFirst(inItemA), fSecond(inItemB)
	{}
	
	CPair_AC(const CPair_AC& inPair)
		: fFirst(inPair.fFirst), fSecond(inPair.fSecond)
	{}
	
	~CPair_AC()
	{}
	
	CPair_AC& operator = (const CPair_AC& inPair)
	{	fFirst = inPair.fFirst; fSecond = inPair.fSecond; return *this; }
	
	bool operator == (const CPair_AC& inPair) const
	{	return fFirst == inPair.fFirst && fSecond == inPair.fSecond; }
	
	bool operator != (const CPair_AC& inPair) const
	{	return fFirst != inPair.fFirst || fSecond != inPair.fSecond; }
	
	FIRST fFirst;
	SECOND fSecond;
	
};

#endif