//----------------------------------------------------------------------------------------
// CProperty_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CProperty_AC__
#define __CProperty_AC__

//----------------------------------------------------------------------------------------
// CProperty_AC is basically an object version of a bool. Because the () operator is overloaded
// you can set the value like this:
// 		CProperty_AC prop;
//		prop(true);
//		prop(false);
//		if(prop())
//
// Make a CProperty a public data member of your object and you have a bool with instant
// setters and getters.
// Example:
//		myObject.MyBool(true);
//		if(myObject.MyBool())
//			myObject.MyBool(false);
//----------------------------------------------------------------------------------------

class EXPORT_AC CProperty_AC
{
public:
	CProperty_AC();
		// ctor
		
	CProperty_AC(const CProperty_AC& inPref);
		// copy ctor
	
	CProperty_AC(bool inPref);
		// set with a bool
	
	~CProperty_AC();
		// dtor
	
	CProperty_AC& operator = (const CProperty_AC& inPref);
		// Assignment operator
	
	void operator = (bool inPref);
		// Set with a bool
		
	bool operator == (const CProperty_AC& inPref) const;
	bool operator != (const CProperty_AC& inPref) const;
		// Compare against another CProperty_AC
		
	bool operator == (bool inPref) const;
	bool operator != (bool inPref) const;
		// Compare against a bool

	operator const bool& () const;
	operator bool& ();
		// Convert to bool refs
	
	bool operator () () const;
		// Get the value of the CProperty_AC.

	void operator () (bool inVal);
		// Set the value of the CProperty_AC.
	
private:
	bool fPref;
};
	
// inline functions

inline CProperty_AC::CProperty_AC() 
: fPref(false) 
{
}

inline CProperty_AC::CProperty_AC(const CProperty_AC& inPref) 
: fPref(inPref.fPref) 
{
}

inline CProperty_AC::CProperty_AC(bool inPref) 
: fPref(inPref) 
{
}

inline CProperty_AC::~CProperty_AC() 
{
}

inline CProperty_AC& CProperty_AC::operator = (const CProperty_AC& inPref)
{	
	fPref = inPref.fPref; return *this; 
}

inline void CProperty_AC::operator = (bool inPref)
{	
	fPref = inPref; 
}

inline bool CProperty_AC::operator == (const CProperty_AC& inPref) const
{	
	return fPref == inPref.fPref; 
}

inline bool CProperty_AC::operator != (const CProperty_AC& inPref) const
{	
	return fPref != inPref.fPref; 
}

inline bool CProperty_AC::operator == (bool inPref) const
{	
	return fPref == inPref; 
}

inline bool CProperty_AC::operator != (bool inPref) const
{	
	return fPref != inPref; 
}

inline CProperty_AC::operator const bool& () const
{	
	return fPref; 
}

inline CProperty_AC::operator bool& ()
{	
	return fPref; 
}

inline bool CProperty_AC::operator () () const
{	
	return fPref; 
}

inline void CProperty_AC::operator () (bool inVal)
{	
	fPref = inVal; 
}	
	
#endif