//----------------------------------------------------------------------------------------
// CTemplatedTimer_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTemplatedTimer_AC__
#define __CTemplatedTimer_AC__

// Patterns

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

#ifndef __CAbstractTimer_AC__
#include "CAbstractTimer_AC.h"
#endif


//----------------------------------------------------------------------------------------
// CTemplatedTimer_AC can time any object with a DoHandleTimerEvent method that
// takes a CEventID_AC as a parameter. When the timer times out, it calls this 
// method on the timed object.
//----------------------------------------------------------------------------------------

template <class T>
class CTemplatedTimer_AC : public CAbstractTimer_AC
{
public:
	CTemplatedTimer_AC(	T* timedObject = NULL, 
				long inDuration = 0, 
				CEventID_AC inEvent = CPatternEvent_AC::kTimedOut);
	
	virtual ~CTemplatedTimer_AC();
				
protected:

	virtual void DoHandleTimerEvent();
	
	T* fTimedObject;

};

// inline methods

template <class T>
inline CTemplatedTimer_AC<T>::CTemplatedTimer_AC(	T* timedObject, 
													long inDuration, 
													CEventID_AC inEvent)
	: CAbstractTimer_AC(inDuration, inEvent), 
	fTimedObject(timedObject)
{
}

template <class T>
inline CTemplatedTimer_AC<T>::~CTemplatedTimer_AC()
{	
}
			
template <class T>
inline void CTemplatedTimer_AC<T>::DoHandleTimerEvent()
{	
	if(fTimedObject) 
		fTimedObject->DoHandleTimerEvent(fEvent); 
}

#endif