//----------------------------------------------------------------------------------------
// MEventRouter_AC.h
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CEventRouter_AC__
#define __CEventRouter_AC__

// Patterns

#ifndef __Patterns_AC__
#include "Patterns_AC.h"
#endif

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

//----------------------------------------------------------------------------------------
// MEventRouter_AC redirects an event to registered receiver without changing the value
// of the sending transceiver, i.e objects that register for events from
// this class receive the event, and the transceiver of the sender isn't this class -
// it's the class that originally sent the message as if this class wasn't part 
// of the process.

// The need for that is because the registering object doesn't know what the sources of
// the events are going to be, yet they want to receive the events.

// The idea is that this class will be a mixin for classes that want to intercept events,
// like the network service handler managers...
//----------------------------------------------------------------------------------------

class EXPORT_AC MEventRouter_AC : public MEventTransceiver_AC
{
public:
	MEventRouter_AC();
		// ctor

	virtual ~MEventRouter_AC();
		// dtor
			
protected:	
	virtual void ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender);
};	
	

#endif