
//----------------------------------------------------------------------------------------
// CAbstractTask_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// patterns

#ifndef __CAbstractTask_AC__
#include "CAbstractTask_AC.h"
#endif
#ifndef __CIdleTimeDispenser_AC__
#include "CIdleTimeDispenser_AC.h"
#endif

// toolbox

#ifndef __Events__
#include <Events.h>
#endif

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

CAbstractTask_AC::CAbstractTask_AC(CReactor_AC* inReactor)
	: MEventTransceiver_AC(inReactor), 
	fActive(true),
	fFrequency(0),
	fFireAt(0),
	fRepeater(false)
{
}

//----------------------------------------------------------------------------------------
// default ctor
//----------------------------------------------------------------------------------------

CAbstractTask_AC::CAbstractTask_AC()
	: fActive(true),
	fFrequency(0),
	fFireAt(0),
	fRepeater(false)
{
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

CAbstractTask_AC::~CAbstractTask_AC()
{
}

//----------------------------------------------------------------------------------------
// CAbstractTask_AC::Idle
//----------------------------------------------------------------------------------------

void CAbstractTask_AC::Idle()
{
	if(	fActive && TickCount() >= fFireAt)
	{
		DoTask();
	
		if(fFrequency)
			SetDelay(fFrequency);
	}
}

//----------------------------------------------------------------------------------------
// CAbstractTask_AC::SetIsRepeater
//----------------------------------------------------------------------------------------

void CAbstractTask_AC::SetIsRepeater(bool inRepeater, long inFrequency)
{
	if(inRepeater)
	{
		if(!fRepeater)
		{ 
			aquire();
			fRepeater = true;
			fFrequency = inFrequency;
		}
	}
	else
	{
		if(fRepeater)
		{
			release();
			fRepeater = false;
		}
	}	
}

//----------------------------------------------------------------------------------------
// CAbstractTask_AC::SetDelay
//----------------------------------------------------------------------------------------

void CAbstractTask_AC::SetDelay(long inDelay)
{
	fFireAt  = TickCount() + inDelay;
}



