//----------------------------------------------------------------------------------------
// CAbstractTimer_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// patterns

#ifndef __CAbstractTimer_AC__
#include "CAbstractTimer_AC.h"
#endif

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

CAbstractTimer_AC::CAbstractTimer_AC(CReactor_AC* inReactor,long inDuration, CEventID_AC inEvent)
	: CAbstractTask_AC(inReactor),
	fEvent(inEvent), 
	fDuration(inDuration),
	fTimedOut(false),
	fDispenser(NULL)
{
	GetIdleTimeFrom(inReactor);
}


//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

CAbstractTimer_AC::CAbstractTimer_AC(	long inDuration, CEventID_AC inEvent)
	: fEvent(inEvent), 
	fDuration(inDuration),
	fTimedOut(false),
	fDispenser(NULL)
{
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

CAbstractTimer_AC::~CAbstractTimer_AC()
{
}

//----------------------------------------------------------------------------------------
// CAbstractTimer_AC::GetIdleTimeFrom
//----------------------------------------------------------------------------------------

void CAbstractTimer_AC::GetIdleTimeFrom(CIdleTimeDispenser_AC* inEngine)
{
	fDispenser = inEngine;
	CAbstractTask_AC::GetIdleTimeFrom(inEngine);
}

//----------------------------------------------------------------------------------------
// CAbstractTimer_AC::Start
//----------------------------------------------------------------------------------------

void CAbstractTimer_AC::Start()
{	
	GetIdleTimeFrom(fDispenser);
	fTimedOut = false;
	SetIsRepeater(true);
	SetIsActive(true);
	SetDelay(fDuration); 
}

//----------------------------------------------------------------------------------------
// CAbstractTimer_AC::Stop
//----------------------------------------------------------------------------------------

void CAbstractTimer_AC::Stop()
{	
	fTimedOut = false;
	SetIsActive(false);
	SetIsRepeater(true);
	StopIdling();
}

//----------------------------------------------------------------------------------------
// CAbstractTimer_AC::SetDuration
//----------------------------------------------------------------------------------------
	
void CAbstractTimer_AC::SetDuration(long inDuration)
{		
	fDuration = inDuration; 
}

//----------------------------------------------------------------------------------------
// CAbstractTimer_AC::SetEventID
//----------------------------------------------------------------------------------------

void CAbstractTimer_AC::SetEventID( CEventID_AC inEventID )
{	
	fEvent = inEventID; 
}

//----------------------------------------------------------------------------------------
// CAbstractTimer_AC::DoTask
//----------------------------------------------------------------------------------------

void CAbstractTimer_AC::DoTask()
{
	SetIsActive(false);
	fTimedOut = true;

	HandleTimerEvent();
}
