//----------------------------------------------------------------------------------------
// CEventAdaptor_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// This class adapts and redirects an event from an event destined for an MEventTransceiver_AC
// to an event destined for a MEventReceiver_AC.

// Patterns

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

#ifndef __CEventAdaptor_AC__
#include "CEventAdaptor_AC.h"
#endif

#ifndef __PatternEvents_AC__
#include "PatternEvents_AC.h"
#endif

#ifndef __MEventReceiver_AC__
#include "MEventReceiver_AC.h"
#endif

// Containers

#ifndef __CLinkedList_AC__
#include "CLinkedList_AC.h"
#endif

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

CEventAdaptor_AC::CEventAdaptor_AC()
{
	fReceivers = TH_new CList;
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

CEventAdaptor_AC::~CEventAdaptor_AC()
{
}

//----------------------------------------------------------------------------------------
// CEventAdaptor_AC::ReceiveEvent
//----------------------------------------------------------------------------------------

void CEventAdaptor_AC::ReceiveEvent(CEvent_AC* inEvent, MEventTransceiver_AC* inSender)
{
	CList::CIterator listWalker = fReceivers->First();
	
	while(listWalker.IsValid())
	{
		(*listWalker)->ReceiveEvent(inEvent, inSender);
		listWalker.Next();
	}
}

//----------------------------------------------------------------------------------------
// CEventAdaptor_AC::AttachReceiver
//----------------------------------------------------------------------------------------

void CEventAdaptor_AC::AttachReceiver(MEventReceiver_AC* inReceiver)
{
	if( !fReceivers->InList(inReceiver))
		fReceivers->Push(inReceiver);
}

//----------------------------------------------------------------------------------------
// CEventAdaptor_AC::DetachReceiver
//----------------------------------------------------------------------------------------

void CEventAdaptor_AC::DetachReceiver(MEventReceiver_AC* inReceiver)
{
	fReceivers->Remove(inReceiver);
}

