//----------------------------------------------------------------------------------------
// CAbstractTimer_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Patterns

#ifndef __CEventTransceiverTimer_AC__
#include "CEventTransceiverTimer_AC.h"
#endif

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

CEventTransceiverTimer_AC::CEventTransceiverTimer_AC(	MEventTransceiver_AC* inEventTransceiver, 
										long inDuration,
										CEventID_AC inEvent)
	: CAbstractTimer_AC(inEventTransceiver ? inEventTransceiver->GetReactor() : NULL, inDuration, inEvent),
	fEventTransceiver(inEventTransceiver)
{
}
	
//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

CEventTransceiverTimer_AC::~CEventTransceiverTimer_AC()
{
}

//----------------------------------------------------------------------------------------
// CEventTransceiverTimer_AC::HandleTimerEvent
//----------------------------------------------------------------------------------------

void CEventTransceiverTimer_AC::HandleTimerEvent()
{
	if(fEventTransceiver) 
	{
		fEventTransceiver->PostEvent( TH_new CEvent_AC(fEvent) );
	}
}

//----------------------------------------------------------------------------------------
// CEventTransceiverTimer_AC::SetEventTransceiver
//----------------------------------------------------------------------------------------

void CEventTransceiverTimer_AC::SetEventTransceiver(MEventTransceiver_AC* inEventTransceiver)
{
	fEventTransceiver = inEventTransceiver;
}

