//----------------------------------------------------------------------------------------
// CEvent_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Patterns

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

#ifndef __CEventWithData_AC__
#include "CEventWithData_AC.h"
#endif

#if qPatternsTrace_AC

#ifndef __typeinfo__
#include <typeinfo.h>
#endif

#ifndef __CTraceStream_AC__
#include "CTraceStream_AC.h"
#endif

//----------------------------------------------------------------------------------------
// DoDebugEventReceivedTraceMsg_AC
//----------------------------------------------------------------------------------------

void DoDebugEventReceivedTraceMsg_AC(CEvent_AC* inEvent, const char* receiverClassName, const char* file, short line)
{
	#define kTab "   "

	TRACE 	<< MediumTracePriority_AC  
			<< "\n	## Receiving Event:\n"
			<< kTab 
			<< "type:"
			<< typeid(*inEvent).name() 
			<< "\n"
			<< kTab 
			<< "by:" 
			<< receiverClassName	
			<< "\n"
			<< kTab
			<< "in:" 
			<< file 
			<< ", at line: " 
			<< line 
			<< endl_AC;								

	inEvent->Receive();
}

#endif

//----------------------------------------------------------------------------------------
// CEvent_AC::GetTypeName
//----------------------------------------------------------------------------------------

#if qPatternsDebug_AC
const char* CEvent_AC::GetTypeName()
{
	return typeid(*this).name();
}
#endif

//----------------------------------------------------------------------------------------
// CEvent_AC::GetLongData
//----------------------------------------------------------------------------------------

long CEvent_AC::GetLongData()
{
	return GetDataFromEvent_AC(this, long);
}

//----------------------------------------------------------------------------------------
// CEvent_AC::GetULongData
//----------------------------------------------------------------------------------------

unsigned long CEvent_AC::GetULongData()
{
	return GetDataFromEvent_AC(this,unsigned long);
}

//----------------------------------------------------------------------------------------
// CEvent_AC::GetShortData
//----------------------------------------------------------------------------------------
	
short CEvent_AC::GetShortData()
{
	return GetDataFromEvent_AC(this,short);
}

//----------------------------------------------------------------------------------------
// CEvent_AC::GetUShortData
//----------------------------------------------------------------------------------------

unsigned short CEvent_AC::GetUShortData()
{
	return GetDataFromEvent_AC(this,unsigned long);
}

//----------------------------------------------------------------------------------------
// CEvent_AC::GetCStringData
//----------------------------------------------------------------------------------------

char* CEvent_AC::GetCStringData()
{
	return GetDataFromEvent_AC(this,char*);
}

//----------------------------------------------------------------------------------------
// CEvent_AC::GetPStringData
//----------------------------------------------------------------------------------------

StringPtr CEvent_AC::GetPStringData()
{
	return GetDataFromEvent_AC(this,StringPtr);
}

//----------------------------------------------------------------------------------------
// CEvent_AC::GetVoidPtrData
//----------------------------------------------------------------------------------------

void* CEvent_AC::GetVoidPtrData()
{
	return GetDataFromEvent_AC(this,void*);
}


