//----------------------------------------------------------------------------------------
// CReactorFactory_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Patterns

#ifndef __CReactorFactory_AC__
#include "CReactorFactory_AC.h"
#endif

#ifndef __CDefaultReactorFactory_AC__
#include "CDefaultReactorFactory_AC.h"
#endif

#ifndef __CIdleTimeDispenser_AC__
#include "CIdleTimeDispenser_AC.h"
#endif

#ifndef __CAbstractTask_AC__
#include "CAbstractTask_AC.h"
#endif

CRefCountingPtr_AC<CReactorFactory_AC> CReactorFactory_AC::fgDefault;

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

CReactorFactory_AC::CReactorFactory_AC() 
{
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

CReactorFactory_AC::~CReactorFactory_AC() 
{
}

//----------------------------------------------------------------------------------------
// CReactorFactory_AC::GetDefaultFactory
//----------------------------------------------------------------------------------------

CReactorFactory_AC* CReactorFactory_AC::GetDefaultFactory()
{	
	if(fgDefault.IsNULL())
		fgDefault = TH_new CDefaultReactorFactory_AC;

	return fgDefault; 
}

//----------------------------------------------------------------------------------------
// CReactorFactory_AC::SetDefaultFactory
//----------------------------------------------------------------------------------------

void CReactorFactory_AC::SetDefaultFactory(CReactorFactory_AC* inFactory)
{	
	fgDefault = inFactory; 
}

//----------------------------------------------------------------------------------------
// CReactorFactory_AC::CreateDefaultReactor
//----------------------------------------------------------------------------------------

CReactor_AC* CReactorFactory_AC::CreateDefaultReactor()
{	
	return GetDefaultFactory()->CreateReactor(); 
}

