//----------------------------------------------------------------------------------------
// MDependable.cp
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __MDependable_AC__
#include "MDependable_AC.h"
#endif

// ACS

#ifndef __CDependencies_AC__
#include "CDependencies_AC.h"
#endif

//========================================================================================
// CLASS MDependable_AC
//========================================================================================
//----------------------------------------------------------------------------------------
// MDependable_AC destructor
//----------------------------------------------------------------------------------------
MDependable_AC::~MDependable_AC()
{
	RemoveAllDependencies();
}

//----------------------------------------------------------------------------------------
// MDependable_AC::Changed: 
//----------------------------------------------------------------------------------------
void MDependable_AC::Changed(ChangeID_AC theChange,
					  void* changeData)
{
	CDependencySpace_AC* itsDependencySpace = GetDependencySpace();

	if (itsDependencySpace)
		itsDependencySpace->NotifierChanged(this, theChange, changeData);
}

//----------------------------------------------------------------------------------------
// MDependable_AC::DoUpdate: 
//----------------------------------------------------------------------------------------
void MDependable_AC::DoUpdate(ChangeID_AC					/* theChange */,
					   MDependable_AC*					/* changedObject */ ,
					   void*								/* changeData */ ,
					   CDependencySpace_AC*		/* dependencySpace */ )
{
}

//----------------------------------------------------------------------------------------
// MDependable_AC::GetDependencySpace: 
//----------------------------------------------------------------------------------------
CDependencySpace_AC* MDependable_AC::GetDependencySpace()
{
	return CDependencySpace_AC::fgDefaultDependencySpace;
}

//----------------------------------------------------------------------------------------
// MDependable_AC::AddDependent: 
//----------------------------------------------------------------------------------------
void MDependable_AC::AddDependent(MDependable_AC* dependent)
{
	CDependencySpace_AC* itsDependencySpace = GetDependencySpace();
	if (itsDependencySpace)
		itsDependencySpace->AddDependency(this, dependent, kNoLabel_AC);
}

//----------------------------------------------------------------------------------------
// MDependable_AC::RemoveDependent: 
//----------------------------------------------------------------------------------------
void MDependable_AC::RemoveDependent(MDependable_AC* dependent)
{
	CDependencySpace_AC* itsDependencySpace = GetDependencySpace();
	if (itsDependencySpace)
		itsDependencySpace->RemoveDependency(this, dependent, kNoLabel_AC);
}

//----------------------------------------------------------------------------------------
// MDependable_AC::RemoveAllDependencies: 
//----------------------------------------------------------------------------------------
void MDependable_AC::RemoveAllDependencies()
{
	CDependencySpace_AC* itsDependencySpace = GetDependencySpace();
	if (itsDependencySpace)
		itsDependencySpace->RemoveDependencies(this);// Call the routine in UDependencies 
}

//----------------------------------------------------------------------------------------
// MDependable_AC::IsMarked: 
//----------------------------------------------------------------------------------------
bool MDependable_AC::IsMarked()
{
	return false;
}

//----------------------------------------------------------------------------------------
// MDependable_AC::SetMark: 
//----------------------------------------------------------------------------------------
void MDependable_AC::SetMark(bool					/* state */)
{
}

//----------------------------------------------------------------------------------------
// End of UDependable.cp
