//----------------------------------------------------------------------------------------
// MEventReceiver_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Patterns

#ifndef __MEventReceiver_AC__
#include "MEventReceiver_AC.h"
#endif

#ifndef __MEventTransceiver_AC__
#include "MEventTransceiver_AC.h"
#endif

#ifndef __CEventAdaptor_AC__
#include "CEventAdaptor_AC.h"
#endif

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

MEventReceiver_AC::MEventReceiver_AC(CEventAdaptor_AC* inAdaptor)
	: fAdaptor(inAdaptor) 
{ 
}
	
//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

MEventReceiver_AC::MEventReceiver_AC() 
{
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

MEventReceiver_AC::~MEventReceiver_AC()
{
	if(fAdaptor) fAdaptor->DetachReceiver(this);
}

//----------------------------------------------------------------------------------------
// MEventReceiver_AC::RegisterForEventsFrom
//----------------------------------------------------------------------------------------

void MEventReceiver_AC::RegisterForEventsFrom(MEventTransceiver_AC* inTransceiver)
{
	::AssertNotNULL_AC(inTransceiver);
	if(!fAdaptor) Open();
	
	fAdaptor->RegisterForEventsFrom(inTransceiver);
}

//----------------------------------------------------------------------------------------
// MEventReceiver_AC::UnregisterForEventsFrom
//----------------------------------------------------------------------------------------

void MEventReceiver_AC::UnregisterForEventsFrom(MEventTransceiver_AC* inTransceiver)
{
	::AssertNotNULL_AC(fAdaptor);
	::AssertNotNULL_AC(inTransceiver);
	fAdaptor->UnregisterForEventsFrom(inTransceiver);
}

//----------------------------------------------------------------------------------------
// MEventReceiver_AC::SetAdaptor
//----------------------------------------------------------------------------------------

void MEventReceiver_AC::SetAdaptor(CEventAdaptor_AC* inAdaptor)
{
	if(fAdaptor) fAdaptor->DetachReceiver(this);
	fAdaptor = inAdaptor;		
}

//----------------------------------------------------------------------------------------
// MEventReceiver_AC::Open
//----------------------------------------------------------------------------------------

void MEventReceiver_AC::Open()
{
	if(!fAdaptor) fAdaptor = TH_new CEventAdaptor_AC;
	fAdaptor->AttachReceiver(this);
}
