//----------------------------------------------------------------------------------------
// MEventRouter_AC.cp
// Copyright  1985-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// Patterns

#ifndef __MEventRouter_AC__
#include "MEventRouter_AC.h"
#endif

#ifndef __CReactor_AC__
#include "CReactor_AC.h"
#endif

#ifndef __CEvent_AC__
#include "CEvent_AC.h"
#endif

#ifndef __CReactorFactory_AC__
#include "CReactorFactory_AC.h"
#endif


//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

MEventRouter_AC::MEventRouter_AC()
{
	SetReactor(CReactorFactory_AC::CreateDefaultReactor());

	GetReactor()->SetDoFilter(false);
		// We don't want the router reactor to filter events because the source
		// is register as this, when it really is whatever object that is really
		// sending the event.
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------

MEventRouter_AC::~MEventRouter_AC()
{
}

//----------------------------------------------------------------------------------------
// MEventRouter_AC::ReceiveEvent
//----------------------------------------------------------------------------------------

void MEventRouter_AC::ReceiveEvent(CEvent_AC* inEvent,MEventTransceiver_AC* inEventTransceiver)
// This will post the event to all the receivers as if inEventTransceiver had sent it
{
	if(!inEvent->WasConsumed())
	{
		GetReactor()->PostEvent(inEvent, inEventTransceiver);
	}
}




