//----------------------------------------------------------------------------------------
// MIdler_AC.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// Patterns

#ifndef __MIdler_AC__
#include "MIdler_AC.h"
#endif

#ifndef __CIdleTimeDispenser_AC__
#include "CIdleTimeDispenser_AC.h"
#endif

//----------------------------------------------------------------------------------------
// ctor
//----------------------------------------------------------------------------------------

MIdler_AC::MIdler_AC()
	: fEngine(NULL)
{
}

//----------------------------------------------------------------------------------------
// dtor
//----------------------------------------------------------------------------------------
	
MIdler_AC::~MIdler_AC()
{ 	
	StopIdling(); 
}

//----------------------------------------------------------------------------------------
// MIdler_AC::StopIdling
//----------------------------------------------------------------------------------------

void MIdler_AC::StopIdling()
{
	if(fEngine)
	{
	 	CIdleTimeDispenser_AC* engine = fEngine;
	 	fEngine = NULL;
	 	engine->DetachIdler(this);
	}
}

//----------------------------------------------------------------------------------------
// MIdler_AC::GetIdleTimeFrom
//----------------------------------------------------------------------------------------

void MIdler_AC::GetIdleTimeFrom(CIdleTimeDispenser_AC* inEngine)
{
	if(inEngine) 
		inEngine->AttachIdler(this);
}

//----------------------------------------------------------------------------------------
//  MIdler_AC::SetEngine
//----------------------------------------------------------------------------------------
	
void MIdler_AC::SetEngine(	CIdleTimeDispenser_AC* inEngine)
{	
	if(fEngine && fEngine != inEngine) 
		StopIdling();
	fEngine = inEngine; 
}	

//----------------------------------------------------------------------------------------
// MIdler_AC::Idle
//----------------------------------------------------------------------------------------

void MIdler_AC::Idle() 
{
}
