//----------------------------------------------------------------------------------------
// CBufferStream_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CBufferStream_AC__
#define __CBufferStream_AC__

#ifndef __CStream_AC__
#include "CStream_AC.h"
#endif

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

//----------------------------------------------------------------------------------------
// forward declarations
//----------------------------------------------------------------------------------------

class CBuffer_AC;
class CBufferStreamRep_AC;

//----------------------------------------------------------------------------------------
// CLASS CBufferStream_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CBufferStream_AC : public CStream_AC
// Implements a buffered stream representation.
{
public:
	CBufferStream_AC();
	CBufferStream_AC(CBuffer_AC* inBuffer);
	CBufferStream_AC(long size, void* inBuffer = NULL);
	virtual ~CBufferStream_AC();
	
	void SetBuffer(CBuffer_AC* inBuffer);

	void SetBuffer(long size, void* buf = NULL);

	virtual void SetBufferSize(long inSize);
	
	virtual long GetBufferSize() const;

	CBuffer_AC* GetBuffer();

	long GetAmountFree() const
		{ return GetBufferSize() - GetWritePosition(); }

	long GetAmountAvailable() const
		{ return GetWritePosition() - GetReadPosition(); }

	char* GetWritePositionPtr();
	
	char* GetReadPositionPtr();
	
	void ResetBufferSize();
		// if the buffer was grown, this resets it to its original size.

protected:
	CRefCountingPtr_AC<CBufferStreamRep_AC> 	fStreamRep;
};

#endif