//----------------------------------------------------------------------------------------
// CBufferedStreamRep_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CBufferedStreamRep_AC__
#define __CBufferedStreamRep_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

#ifndef __CStreamRep_AC__
#include "CStreamRep_AC.h"
#endif

#ifndef __CBuffer_AC__
#include "CBuffer_AC.h"
#endif

#ifndef __CByteIterator_AC__
#include "CByteIterator_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CLASS CBufferedStreamRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CBufferedStreamRep_AC : public CStreamRep_AC
// This stream representation implements a buffer for reading and writing.
{
public:
	CBufferedStreamRep_AC();
	CBufferedStreamRep_AC(CBuffer_AC* inBuffer);
	CBufferedStreamRep_AC(long inBufferSize, void* buf = NULL);
	
	virtual ~CBufferedStreamRep_AC();
	
	virtual void WriteBytes(const void* inPtr, long amt); // Override

	virtual void ReadBytes(void* inPtr, long amt); // Override

	virtual long GetWritePosition() const; // Override

	virtual void SetWritePosition(long newPosition); // Override
			
	virtual void SetReadPosition(long pos); // Override
	
	virtual long GetReadPosition() const; // Override

	virtual void Flush(); // Override

	// buffer implementation
	
	virtual void WriteBufferedBytes(const void* /*inBytes*/, long /*amt*/) {}

	virtual void ReadBufferedBytes(void* /*inBytes*/, long /*amt*/) {}

	virtual long GetReadAheadAmount() const
	{	return 0; }
		
	// buffer management

	void SetBuffer(CBuffer_AC* inBuffer);

	void SetBuffer(long size, void* buf = NULL);

	void SetBufferSize(long inSize);
	
	long GetBufferSize() const;

	CBuffer_AC* GetBuffer()
	{	return fBuffer; }

protected:
	CBufferPtr_AC		 	fBuffer;
	CByteIterator_AC		fWritePos;
	CByteIterator_AC 		fReadPos;
};


#endif