//----------------------------------------------------------------------------------------
// CCharOutputSink_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CCharOutputSink_AC__
#define __CCharOutputSink_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

#ifndef __CStream_AC__
#include "CStream_AC.h"
#endif

#ifndef __CDataFilter_AC__
#include "CDataFilter_AC.h"
#endif

//----------------------------------------------------------------------------------------
// forward declarations
//----------------------------------------------------------------------------------------

class CBuffer_AC;
class CCharOutputSink_AC;

//----------------------------------------------------------------------------------------
// class CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CCharOutputFilter_AC : public CDataFilter_AC
// This class is for outputing single byte text, like to a log file
// or a standard output window, or something similar.
{
public:

	CCharOutputFilter_AC(CCharOutputSink_AC* inSink);
	
	virtual ~CCharOutputFilter_AC();

	virtual void FilterOutput(unsigned char& data);
	virtual void FilterOutput(char& inData);
	virtual void FilterOutput(bool& inData);
	virtual void FilterOutput(short& inData);
	virtual void FilterOutput(unsigned short& inData);
	virtual void FilterOutput(long& inData);
	virtual void FilterOutput(unsigned long& inData);
	virtual void FilterOutput(int& inData);
	virtual void FilterOutput(unsigned int& inData);
	virtual void FilterOutput(float& inData);
   	virtual void FilterOutput(double& inData);
	virtual const char* FilterOutput(const char* inStr, long& len);
	virtual const unsigned char* FilterOutput(const unsigned char* inStr);
	virtual const void* FilterOutput(const void* inData, long&)
	{	return inData; }

protected:
	char fWorkString[256];
	CCharOutputSink_AC* fSink;

};

//----------------------------------------------------------------------------------------
// class CCharOutputSink_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CCharOutputSink_AC : public CStream_AC
{
protected:

	CCharOutputSink_AC(CStreamRep_AC* inRep);

public:
	virtual ~CCharOutputSink_AC();

	virtual void WriteCharBytes(const char* inStr, long inSize);

protected:
	virtual void WriteBytes(const void* inAmt, long inPtr);
	virtual void ReadBytes(void* inAmt, long inPtr);
	
private:
	CCharOutputFilter_AC fFilter;
};

//----------------------------------------------------------------------------------------

inline CStream_AC& endl_AC (CStream_AC& inStream)
{
	inStream << "\n";
	inStream.Flush();
    return inStream;
}

#endif


