//----------------------------------------------------------------------------------------
// CHandleStream_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
// Originally written by Larry S. Rosenstein. Used by permission
//----------------------------------------------------------------------------------------


#ifndef __CHandleStream_AC__
#define __CHandleStream_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

#ifndef __CRandomAccessStream_AC__
#include "CRandomAccessStream_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CHandleStream_AC: This implements a stream into or out of a handle.The client is
// responsible for allocating and disposing the handle. 
//----------------------------------------------------------------------------------------

class EXPORT_AC CHandleStream_AC : public CRandomAccessStream_AC
{
	
public:
	//------------------------------------------------------------------------------------
	// Creation/Destruction
	//------------------------------------------------------------------------------------
	CHandleStream_AC(Handle itsHandle = NULL, long growth = 1);
		// Initialize stream; growth specifies how much to grow the handle when it needs
        // to grow. You use this so that the handle isn't grown by a small number of bytes
        // on each write operation. 
		
	virtual ~CHandleStream_AC();
		// This also shrinks the handle to the current position, eliminating any extra
        // space at the end. 

	void SetHandle(Handle itsHandle);
	
	Handle GetHandle();
	
	virtual long GrowthSize(long needed);
		// growth increment for client optimization

};

#endif