//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CRandomAccessStream_AC__
#define __CRandomAccessStream_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

#ifndef __CStream_AC__
#include "CStream_AC.h"
#endif

//----------------------------------------------------------------------------------------
// forward declarations
//----------------------------------------------------------------------------------------

class CRandomAccessStreamRep_AC;

//----------------------------------------------------------------------------------------
// class CRandomAccessStream_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CRandomAccessStream_AC : public CStream_AC
// Implements a random-access stream.
{
public:
	CRandomAccessStream_AC(CRandomAccessStreamRep_AC* inRep);
	virtual ~CRandomAccessStream_AC();

	virtual long GetPosition() const;

	virtual void SetPosition(long newPosition );

	void OffsetPosition( long amt)
	{ SetPosition(GetPosition() + amt); }

	virtual long GetSize() const;

	virtual void SetSize(long newSize);

protected:
	virtual long GetWritePosition() const;

	virtual void SetWritePosition(long newPosition);
	
	virtual void SetReadPosition(long pos);
	
	virtual long GetReadPosition() const;
		
protected:
	
	virtual CStream_AC& Flush();
	
private:
	CRandomAccessStreamRep_AC* fStreamRep;
};

//----------------------------------------------------------------------------------------
// class CRandomAccessStreamRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CRandomAccessStreamRep_AC : public CStreamRep_AC
// Actual implementation for a random access stream.
{
public:
	CRandomAccessStreamRep_AC();

	virtual ~CRandomAccessStreamRep_AC();

	virtual long GetPosition() const;

	virtual void SetPosition(long newPosition );

	virtual long GetSize() const;

	virtual void SetSize(long newSize);

protected:
	virtual long GetWritePosition() const;

	virtual void SetWritePosition(long newPosition);
	
	virtual void SetReadPosition(long pos);
	
	virtual long GetReadPosition() const;
};

#endif