//----------------------------------------------------------------------------------------
// CStreamContext_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CStreamContext_AC__
#define __CStreamContext_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif

#ifndef __CList_AC__
#include "CList_AC.h"
#endif

//----------------------------------------------------------------------------------------
// type declarations
//----------------------------------------------------------------------------------------

typedef long LocalObjectNumber;

//----------------------------------------------------------------------------------------
// forward declarations
//----------------------------------------------------------------------------------------

class MStreamable;

//----------------------------------------------------------------------------------------
// class CStreamContext_AC:
//----------------------------------------------------------------------------------------

class EXPORT_AC CStreamContext_AC
// This is the context which holds references to objects "seen" by the stream.
{
	
public:
	//------------------------------------------------------------------------------------
	// Creation/Destruction
	//------------------------------------------------------------------------------------

	CStreamContext_AC();
		// Constructor
		
	CStreamContext_AC(const CStreamContext_AC& inContext);
		// Copy Constructor

	virtual ~CStreamContext_AC();
		// Called to dispose of an object. Gives object a chance to clean up after itself.
        // Default simply calls ShallowFree, which makes no attempt to free instance
        // variables.  Should be overridden by any class which allocates space or owns
        // other objects in its instance variables.  Be sure to call Inherited!

	//------------------------------------------------------------------------------------
	// Miscellaneous protocol and support methods.
	//------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------
	// Context Methods
	//------------------------------------------------------------------------------------

	virtual LocalObjectNumber Add(MStreamable_AC* objectToAdd,
										 bool forceReplacement,
										 bool& newEntry);

	virtual MStreamable_AC* Find(LocalObjectNumber name);

	//------------------------------------------------------------------------------------
	// data members
	//------------------------------------------------------------------------------------
public:
	CList_AC	fOtherObjects;						// the objects "seen" by this context
};

#endif