//----------------------------------------------------------------------------------------
// CStreamRep_AC.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CStreamRep_AC__
#define __CStreamRep_AC__

#ifndef __Streams_AC__
#include "Streams_AC.h"
#endif
#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

class CStreamRep_AC;

typedef CRefCountingPtr_AC<CStreamRep_AC> CStreamRepPtr_AC;

//----------------------------------------------------------------------------------------
// CLASS CStreamRep_AC
//----------------------------------------------------------------------------------------

class EXPORT_AC CStreamRep_AC : public MRefCountable_AC
// A reference-counted stream representation, which provides the protocol for
// various implementations in ACS streams.
{
protected:
	CStreamRep_AC();

public:
	virtual ~CStreamRep_AC();

	// positioning

	virtual long GetWritePosition() const;

	virtual void SetWritePosition(long newPosition);
			
	virtual void SetReadPosition(long pos);
	
	virtual long GetReadPosition() const;

	// streaming

	virtual void WriteBytes(const void* inPtr, long amt) = 0;

	virtual void ReadBytes(void* inPtr, long amt) = 0;

	virtual void Flush();
		// For flushing buffered streams. This is sent to the pipes, and does nothing
		// on nonbuffered streams.
};


#endif