// UStreamable.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __MStreamable_AC__
#define __MStreamable_AC__

// ACS

#ifndef __ClassRegistration_AC__
#include "ClassRegistration_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward and external class declarations.
//----------------------------------------------------------------------------------------

class CStream_AC;

//----------------------------------------------------------------------------------------
// MStreamable: Objects that can be streamed in our out
//----------------------------------------------------------------------------------------

class EXPORT_AC MStreamable_AC
{
public:

	//------------------------------------------------------------------------------------
	// Constructor and destructor
	//------------------------------------------------------------------------------------

	inline MStreamable_AC() { }
		// Constructor
		
	virtual ~MStreamable_AC();
		// Destructor
	
	//------------------------------------------------------------------------------------
	// Standard signature support.
	//------------------------------------------------------------------------------------

	virtual IDType GetStandardSignature() const;	// override 
		// Returns this class's standard signature.

	//------------------------------------------------------------------------------------
	// Stream I/O protocol support. 
	//------------------------------------------------------------------------------------

	virtual void ReadFrom(CStream_AC* aStream);
	
	virtual void WriteTo(CStream_AC* aStream ) const;
};

#endif
