//----------------------------------------------------------------------------------------
// CCharOutputSink_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CCharOutputSink_AC__
#include "CCharOutputSink_AC.h"
#endif

#ifndef __CDataFilter_AC__
#include "CDataFilter_AC.h"
#endif

#ifndef __cstdio__
#include <stdio.h>
#endif

//========================================================================================
// class CCharOutputFilter_AC
//========================================================================================

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

CCharOutputFilter_AC::CCharOutputFilter_AC(CCharOutputSink_AC* inSink)
	: fSink(inSink)
{}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

CCharOutputFilter_AC::~CCharOutputFilter_AC()
{}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(int& inData)
{
	::sprintf(fWorkString, "%d", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(unsigned int& inData)
{
	::sprintf(fWorkString, "%u", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

const char* CCharOutputFilter_AC::FilterOutput(const char* inStr, long& len)
{
	fSink->WriteCharBytes(inStr, len);
	return inStr;
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

const unsigned char* CCharOutputFilter_AC::FilterOutput(const unsigned char* inStr)
{
	fSink->WriteCharBytes(reinterpret_cast<const char*>(inStr+1), *inStr);
	return inStr;
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(unsigned char& data)
{	
	::sprintf(fWorkString, "%d", data);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(char& inData)
{	fSink->WriteCharBytes(&inData, 1); }

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(bool& inData)
{
	const char* str = inData ? "true" : "false";
	fSink->WriteCharBytes(str, ::strlen(str));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(short& inData)
{
	::sprintf(fWorkString, "%d", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(unsigned short& inData)
{
	::sprintf(fWorkString, "%u", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(long& inData)
{
	::sprintf(fWorkString, "%ld", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(unsigned long& inData)
{
	::sprintf(fWorkString, "%lu", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------

void CCharOutputFilter_AC::FilterOutput(float& inData)
{
	::sprintf(fWorkString, "%f", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//----------------------------------------------------------------------------------------
// CCharOutputFilter_AC
//----------------------------------------------------------------------------------------
void CCharOutputFilter_AC::FilterOutput(double& inData)
{
	::sprintf(fWorkString, "%Lf", inData);
	fSink->WriteCharBytes(fWorkString, ::strlen(fWorkString));
}

//========================================================================================
// class CCharOutputSink_AC
//========================================================================================

//----------------------------------------------------------------------------------------
// CCharOutputSink_AC
//----------------------------------------------------------------------------------------

CCharOutputSink_AC::CCharOutputSink_AC(CStreamRep_AC* inRep)
	: CStream_AC(inRep),
	fFilter(this)
{
	AddFilter(&fFilter);
}

//----------------------------------------------------------------------------------------
// CCharOutputSink_AC
//----------------------------------------------------------------------------------------

CCharOutputSink_AC::~CCharOutputSink_AC()
{
	RemoveFilter(&fFilter);
}

//----------------------------------------------------------------------------------------
// CCharOutputSink_AC
//----------------------------------------------------------------------------------------

void CCharOutputSink_AC::ReadBytes(void* /*inAmt*/, long /*inPtr*/)
{
	Assertion_AC(false, "Can't read from stream.");
}

//----------------------------------------------------------------------------------------
// CCharOutputSink_AC
//----------------------------------------------------------------------------------------

void CCharOutputSink_AC::WriteBytes(const void*, long)
{
	// do nothing
}

//----------------------------------------------------------------------------------------
// CCharOutputSink_AC
//----------------------------------------------------------------------------------------

void CCharOutputSink_AC::WriteCharBytes(const char* inBytes, long inAmt)
{
	const void* ptr = FilterWriteBytes(inBytes, inAmt);
	
	GetStreamRep()->WriteBytes(ptr, inAmt);
	PipeBytes(ptr, inAmt);
}