//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CRandomAccessStream_AC__
#include "CRandomAccessStream_AC.h"
#endif

//========================================================================================
// CLASS CRandomAccessStream_AC
//========================================================================================

//----------------------------------------------------------------------------------------
//CRandomAccessStream_AC::CRandomAccessStream_AC
//----------------------------------------------------------------------------------------

CRandomAccessStream_AC::CRandomAccessStream_AC(CRandomAccessStreamRep_AC* inRep)
	: CStream_AC(inRep),
	fStreamRep(inRep)
{
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::~CRandomAccessStream_AC
//----------------------------------------------------------------------------------------

CRandomAccessStream_AC::~CRandomAccessStream_AC()
{
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::GetPosition
//----------------------------------------------------------------------------------------

long CRandomAccessStream_AC::GetPosition() const
{
	AssertNotNULL_AC(fStreamRep);
	return fStreamRep->GetPosition();
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::SetPosition
//----------------------------------------------------------------------------------------

void CRandomAccessStream_AC::SetPosition(long newPosition )
{
	AssertNotNULL_AC(fStreamRep);
	fStreamRep->SetPosition(newPosition);
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::GetSize
//----------------------------------------------------------------------------------------

long CRandomAccessStream_AC::GetSize() const
{
	AssertNotNULL_AC(fStreamRep);
	return fStreamRep->GetSize();
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::SetSize
//----------------------------------------------------------------------------------------

void CRandomAccessStream_AC::SetSize(long inSize)
{
	AssertNotNULL_AC(fStreamRep);
	fStreamRep->SetSize(inSize);
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::GetWritePosition
//----------------------------------------------------------------------------------------

long CRandomAccessStream_AC::GetWritePosition() const
{
	AssertNotNULL_AC(fStreamRep);
	return fStreamRep->GetPosition();
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::SetWritePosition
//----------------------------------------------------------------------------------------

void CRandomAccessStream_AC::SetWritePosition(long newPosition)
{
	AssertNotNULL_AC(fStreamRep);
	fStreamRep->SetPosition(newPosition);
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::SetReadPosition
//----------------------------------------------------------------------------------------

void CRandomAccessStream_AC::SetReadPosition(long pos)
{
	AssertNotNULL_AC(fStreamRep);
	fStreamRep->SetPosition(pos);
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::GetReadPosition
//----------------------------------------------------------------------------------------

long CRandomAccessStream_AC::GetReadPosition() const
{
	AssertNotNULL_AC(fStreamRep);
	return fStreamRep->GetPosition();
}

//----------------------------------------------------------------------------------------
// CRandomAccessStream_AC::Flush
//----------------------------------------------------------------------------------------

CStream_AC& CRandomAccessStream_AC::Flush()
{
	return *this;
}

//========================================================================================
// CLASS CRandomAccessStreamRep_AC
//========================================================================================

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::CRandomAccessStreamRep_AC
//----------------------------------------------------------------------------------------

CRandomAccessStreamRep_AC::CRandomAccessStreamRep_AC()
{
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::~CRandomAccessStreamRep_AC
//----------------------------------------------------------------------------------------

CRandomAccessStreamRep_AC::~CRandomAccessStreamRep_AC()
{
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::GetPosition
//----------------------------------------------------------------------------------------

long CRandomAccessStreamRep_AC::GetPosition() const
{
	return 0;
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::SetPosition
//----------------------------------------------------------------------------------------

void CRandomAccessStreamRep_AC::SetPosition(long /*newPosition*/ )
{
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::
//----------------------------------------------------------------------------------------

long CRandomAccessStreamRep_AC::GetSize() const
{
	return 0;
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::SetSize
//----------------------------------------------------------------------------------------

void CRandomAccessStreamRep_AC::SetSize(long /*newSize*/)
{
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::GetWritePosition
//----------------------------------------------------------------------------------------

long CRandomAccessStreamRep_AC::GetWritePosition() const
{
	return GetPosition();
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::SetWritePosition
//----------------------------------------------------------------------------------------

void CRandomAccessStreamRep_AC::SetWritePosition(long newPosition)
{
	SetPosition(newPosition);
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::SetReadPosition
//----------------------------------------------------------------------------------------

void CRandomAccessStreamRep_AC::SetReadPosition(long pos)
{
	SetPosition(pos);
}

//----------------------------------------------------------------------------------------
// CRandomAccessStreamRep_AC::GetReadPosition
//----------------------------------------------------------------------------------------

long CRandomAccessStreamRep_AC::GetReadPosition() const
{
	return GetPosition();
}
