//----------------------------------------------------------------------------------------
// CStreamContext_AC.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CStreamContext_AC__
#include "CStreamContext_AC.h"
#endif

#ifndef __MStreamable_AC__
#include "MStreamable_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CStreamContext_AC constructor
//----------------------------------------------------------------------------------------

CStreamContext_AC::CStreamContext_AC()
{
}

//----------------------------------------------------------------------------------------
// CStreamContext_AC destructor
//----------------------------------------------------------------------------------------

CStreamContext_AC::~CStreamContext_AC()
{
}

//----------------------------------------------------------------------------------------
// CStreamContext_AC copy constructor
//----------------------------------------------------------------------------------------

CStreamContext_AC::CStreamContext_AC(const CStreamContext_AC& inContext) :
	fOtherObjects(inContext.fOtherObjects)
{
}

//----------------------------------------------------------------------------------------
// CStreamContext_AC::Add: 
//----------------------------------------------------------------------------------------

LocalObjectNumber CStreamContext_AC::Add(MStreamable_AC* objectToAdd,
								bool forceReplacement,
								bool& newEntry)
{
	// Look for object
	LocalObjectNumber retval = fOtherObjects.GetIdentityItemNo(objectToAdd);

	if (!retval)
	{
		fOtherObjects.InsertLast(objectToAdd);
		retval = fOtherObjects.GetSize();
		newEntry = true;
	}
	else if (forceReplacement)					// We force replacement
	{
		fOtherObjects.AtPut(retval, objectToAdd);
		newEntry = true;
	}
	else
		newEntry = false;

	return retval;
}

//----------------------------------------------------------------------------------------
// CStreamContext_AC::Find: 
//----------------------------------------------------------------------------------------

MStreamable_AC* CStreamContext_AC::Find(LocalObjectNumber name)
{
	return static_cast<MStreamable_AC*>(fOtherObjects.At(name));
}
