//----------------------------------------------------------------------------------------
// AEObjects_AC.h
// Copyright  1996 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __AEObjects_AC__
#define __AEObjects_AC__

// ACS Toolbox

#ifndef __Toolbox_AC__
#include "Toolbox_AC.h"
#endif

// Toolbox

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif

#ifndef __AEOBJECTS__
#include <AEObjects.h>
#endif

//----------------------------------------------------------------------------------------
// Bottlenecks for AppleEvent object resolution
//----------------------------------------------------------------------------------------

#if !qALOE

typedef long ALOEAdaptor; // abstract declaration, parameter is ignored

inline OSErr ObjectInit_AC(bool isSharedLib=false) 
	{ if (isSharedLib) return noErr; else return ::AEObjectInit(); }
	
inline void SetCurrentResolutionContext_AC(WindowRef /* window */) 
	{ }
	
inline OSErr InstallEventHandler_AC(AEEventClass theAEEventClass, AEEventID theAEEventID,
							AEEventHandlerUPP handler, long handlerRefCon, Boolean isSysHandler)
	{ return ::AEInstallEventHandler(theAEEventClass, theAEEventID, handler, handlerRefCon, isSysHandler); }

inline OSErr GetEventHandler_AC(AEEventClass theAEEventClass, AEEventID theAEEventID,
							AEEventHandlerUPP* handler, long* handlerRefCon, Boolean isSysHandler)
	{ return ::AEGetEventHandler(theAEEventClass, theAEEventID, handler, handlerRefCon, isSysHandler); }

inline OSErr RemoveEventHandler_AC(AEEventClass theAEEventClass, AEEventID theAEEventID,
							AEEventHandlerUPP handler, Boolean isSysHandler)
	{ return ::AERemoveEventHandler(theAEEventClass, theAEEventID, handler, isSysHandler); }

inline OSErr InstallPreDispatchHandler_AC(AEEventHandlerUPP handler, Boolean isSysHandler)
	{ return ::AEInstallSpecialHandler(keyPreDispatch, reinterpret_cast<UniversalProcPtr>(handler), isSysHandler); }

inline OSErr GetPreDispatchHandler_AC(AEEventHandlerUPP* handler, Boolean isSysHandler)
	{ return ::AEGetSpecialHandler(keyPreDispatch, reinterpret_cast<UniversalProcPtr*>(handler), isSysHandler); }

inline OSErr RemovePreDispatchHandler_AC(AEEventHandlerUPP handler, Boolean isSysHandler)
	{ return ::AERemoveSpecialHandler(keyPreDispatch, reinterpret_cast<UniversalProcPtr>(handler), isSysHandler); }

inline OSErr InstallObjectAccessor_AC(DescType desiredClass, DescType containerType,
							OSLAccessorUPP theAccessor, long accessorRefCon, Boolean isSysHandler)
	{ return ::AEInstallObjectAccessor(desiredClass, containerType, theAccessor, accessorRefCon, isSysHandler); }

inline OSErr GetObjectAccessor_AC(DescType desiredClass, DescType containerType,
							OSLAccessorUPP* theAccessor, long* accessorRefCon, Boolean isSysHandler)
	{ return ::AEGetObjectAccessor(desiredClass, containerType, theAccessor, accessorRefCon, isSysHandler); }

inline OSErr RemoveObjectAccessor_AC(DescType desiredClass, DescType containerType,
							OSLAccessorUPP theAccessor, Boolean isSysHandler)
	{ return ::AERemoveObjectAccessor(desiredClass, containerType, theAccessor, isSysHandler); }

inline OSErr SetObjectCallbacks_AC(OSLCompareUPP compareProc, OSLCountUPP countProc,
							OSLDisposeTokenUPP disposeTokenProc, OSLGetMarkTokenUPP getMarkTokenProc,
							OSLMarkUPP markProc, OSLAdjustMarksUPP adjustMarksProc, OSLGetErrDescUPP getErrDescProc)
	{ return ::AESetObjectCallbacks(compareProc, countProc,
							disposeTokenProc, getMarkTokenProc, markProc,
							adjustMarksProc, getErrDescProc); }

inline OSErr InstallCoercionHandler_AC(DescType fromType, DescType toType,
							AECoercionHandlerUPP handler, long handlerRefCon,
							Boolean fromTypeIsDesc, Boolean isSysHandler)
	{ return ::AEInstallCoercionHandler(fromType, toType, handler, handlerRefCon, fromTypeIsDesc, isSysHandler); }

inline OSErr GetCoercionHandler_AC(DescType fromType, DescType toType,
							AECoercionHandlerUPP* handler, long* handlerRefCon,
							Boolean* fromTypeIsDesc, Boolean isSysHandler)
	{ return ::AEGetCoercionHandler(fromType, toType, handler, handlerRefCon, fromTypeIsDesc, isSysHandler); }

inline OSErr RemoveCoercionHandler_AC(DescType fromType, DescType toType,
							AECoercionHandlerUPP handler, Boolean isSysHandler)
	{ return ::AERemoveCoercionHandler(fromType, toType, handler, isSysHandler); }

inline OSErr Resolve_AC(AEDesc* objectSpecifier, short callbackFlags,
				AEDesc* theToken)
	{ return ::AEResolve(objectSpecifier, callbackFlags, theToken); }

inline OSErr DisposeToken_AC(AEDesc* theToken)
	{ return ::AEDisposeToken(theToken); }

#else // !qALOE

#ifndef __ALOE__
#include "ALOE.h"
#endif

inline OSErr ObjectInit_AC(bool isSharedLib=false) 
	{ return ::ALOEObjectInit(!isSharedLib); }
	
inline void SetCurrentResolutionContext_AC(WindowRef window) 
	{ ::ALOESetCurrentResolutionContext(window); }

inline OSErr InstallEventHandler_AC(AEEventClass theAEEventClass, AEEventID theAEEventID,
							AEEventHandlerUPP handler, long handlerRefCon, Boolean isSysHandler)
	{ return ::ALOEInstallEventHandler(theAEEventClass, theAEEventID, handler, handlerRefCon, isSysHandler); }

inline OSErr GetEventHandler_AC(AEEventClass theAEEventClass, AEEventID theAEEventID,
							AEEventHandlerUPP* handler, long* handlerRefCon, Boolean isSysHandler)
	{ return ::ALOEGetEventHandler(theAEEventClass, theAEEventID, handler, handlerRefCon, isSysHandler); }

inline OSErr RemoveEventHandler_AC(AEEventClass theAEEventClass, AEEventID theAEEventID,
							AEEventHandlerUPP handler, Boolean isSysHandler)
	{ return ::ALOERemoveEventHandler(theAEEventClass, theAEEventID, handler, isSysHandler); }

inline OSErr InstallPreDispatchHandler_AC(AEEventHandlerUPP handler, Boolean isSysHandler)
	{ return ::ALOEInstallPreDispatchHandler(handler, isSysHandler); }

inline OSErr GetPreDispatchHandler_AC(AEEventHandlerUPP* handler, Boolean isSysHandler)
	{ return ::ALOEGetPreDispatchHandler(handler, isSysHandler); }

inline OSErr RemovePreDispatchHandler_AC(AEEventHandlerUPP handler, Boolean isSysHandler)
	{ return ::ALOERemovePreDispatchHandler(handler, isSysHandler); }

inline OSErr InstallObjectAccessor_AC(DescType desiredClass, DescType containerType,
							OSLAccessorUPP theAccessor, long accessorRefCon, Boolean isSysHandler)
	{ return ::ALOEInstallObjectAccessor(desiredClass, containerType, theAccessor, accessorRefCon, isSysHandler); }

inline OSErr GetObjectAccessor_AC(DescType desiredClass, DescType containerType,
							OSLAccessorUPP* theAccessor, long* accessorRefCon, Boolean isSysHandler)
	{ return ::ALOEGetObjectAccessor(desiredClass, containerType, theAccessor, accessorRefCon, isSysHandler); }

inline OSErr RemoveObjectAccessor_AC(DescType desiredClass, DescType containerType,
							OSLAccessorUPP theAccessor, Boolean isSysHandler)
	{ return ::ALOERemoveObjectAccessor(desiredClass, containerType, theAccessor, isSysHandler); }

inline OSErr SetObjectCallbacks_AC(OSLCompareUPP compareProc, OSLCountUPP countProc,
							OSLDisposeTokenUPP disposeTokenProc, OSLGetMarkTokenUPP getMarkTokenProc,
							OSLMarkUPP markProc, OSLAdjustMarksUPP adjustMarksProc, OSLGetErrDescUPP getErrDescProc)
	{ return ::ALOESetObjectCallbacks(compareProc, countProc,
							disposeTokenProc, getMarkTokenProc, markProc,
							adjustMarksProc, getErrDescProc); }

inline OSErr InstallCoercionHandler_AC(DescType fromType, DescType toType,
							AECoercionHandlerUPP handler, long handlerRefCon,
							Boolean fromTypeIsDesc, Boolean isSysHandler)
	{ return ::ALOEInstallCoercionHandler(fromType, toType, handler, handlerRefCon, fromTypeIsDesc, isSysHandler); }

inline OSErr GetCoercionHandler_AC(DescType fromType, DescType toType,
							AECoercionHandlerUPP* handler, long* handlerRefCon,
							Boolean* fromTypeIsDesc, Boolean isSysHandler)
	{ return ::ALOEGetCoercionHandler(fromType, toType, handler, handlerRefCon, fromTypeIsDesc, isSysHandler); }

inline OSErr RemoveCoercionHandler_AC(DescType fromType, DescType toType,
							AECoercionHandlerUPP handler, Boolean isSysHandler)
	{ return ::ALOERemoveCoercionHandler(fromType, toType, handler, isSysHandler); }

inline OSErr Resolve_AC(AEDesc* objectSpecifier, short callbackFlags,
				AEDesc* theToken)
	{ return ::ALOEResolve(objectSpecifier, callbackFlags, theToken); }

inline OSErr DisposeToken_AC(AEDesc* theToken)
	{ return ::ALOEDisposeToken(theToken); }


#endif



#endif // __AEObjects_AC__
