//----------------------------------------------------------------------------------------
// CProcess_AC.h
// Copyright  1997 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CProcess_AC__
#define __CProcess_AC__

// ACS Toolbox

#ifndef __Toolbox_AC__
#include "Toolbox_AC.h"
#endif

// Toolbox

#ifndef __TYPES__
#include <Types.h>
#endif


//----------------------------------------------------------------------------------------
// CProcess is a lightweight encapsulation of the Process manager routines
// based on core functionality of MacApp's UDispatcher.
//----------------------------------------------------------------------------------------


class EXPORT_AC CProcess_AC {

public:
	CProcess_AC();
		// Construct.
	
	virtual ~CProcess_AC();
		// Free data associated with this class.
		
	virtual OSErr InteractWithUser();
		// Wrapper for AEInteractWithUser. Bottleneck for the Notification Manager.
		
	virtual OSErr InteractWithUser(	long timeOutInTicks,
									NMRecPtr nmReqPtr,
									AEIdleUPP idleProc);
		// Another wrapper for AEInteractWithUser.
		
	bool IsFrontProcess();
		// Returns true if the application is currently the front process.

	virtual void MakeFrontProcess();
		// Makes this application the front process.
		
	virtual void WakeProcess();
		// Wakes this process if it is sleeping in WaitNextEvent. Used by callback
		// procs (drag manager, apple event manager) that get called when the
		// process is in a WaitNextEvent, to return from WNE and reevaluate the
		// internal command que.

	inline ProcessSerialNumber GetProcessSerialNumber() const { return fProcessNumber; }

	static OSErr DoInteractWithUser();
	
	static CProcess_AC*		fgProcess;  // Our global process.
	
#if qBackwardCompatible
public:
#else
protected:
#endif
	ProcessSerialNumber fProcessNumber;			// This application's process serial
                                                // number.
};

#endif