// Configuration_AC.h
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.

#ifndef __Configuration_AC__
#define __Configuration_AC__

// ACS Toolbox

#ifndef __Toolbox_AC__
#include "Toolbox_AC.h"
#endif

// Toolbox

#ifndef __TYPES__
#include <Types.h>
#endif

//----------------------------------------------------------------------------------------
// Building blocks.
//----------------------------------------------------------------------------------------

EXPORT_AC bool GestaltAttribute_AC(OSType itsAttr, short itsBit);
	// Returns true if the gestalt is present and the bit specified by itsBit is on

EXPORT_AC bool HasGestalt_AC(OSType itsGestalt);
	// Returns true if the gestalt is present

//----------------------------------------------------------------------------------------
// System configuration.
//----------------------------------------------------------------------------------------

EXPORT_AC short GetEnvironsVersion_AC();
EXPORT_AC short GetMachineType_AC();
EXPORT_AC short GetSystemVersion_AC();
EXPORT_AC bool HasColorQD_AC();
EXPORT_AC bool Has32BitQD_AC();
EXPORT_AC short KeyboardType_AC();
EXPORT_AC short GetATDrvrVersNum_AC();
EXPORT_AC bool HasSCSI_AC();
EXPORT_AC bool HasAUX_AC();
EXPORT_AC bool HasTempMem_AC();
EXPORT_AC long GetTEVersion_AC();
EXPORT_AC bool HasDesktopBus_AC();
EXPORT_AC bool HasTrueType_AC();
//bool HasThreadManager_AC(); provided by ThreadUtilities_AC.
EXPORT_AC bool HasQDGXGraphics_AC();
EXPORT_AC bool HasQDGXPrinting_AC();
EXPORT_AC bool HasCFM_AC();
EXPORT_AC bool HasTranslationManager_AC();
EXPORT_AC bool HasSpeechManager_AC();
EXPORT_AC bool HasCustomFile_AC();
EXPORT_AC bool HasQuickTime_AC();
EXPORT_AC bool HasTSM_AC();
EXPORT_AC bool HasAppleScript_AC();
EXPORT_AC bool HasAppleGuide_AC(); 
EXPORT_AC bool HasQuickDraw3D_AC();
EXPORT_AC bool HasQuickDraw3DViewer_AC();
EXPORT_AC bool HasDragManager_AC();

#endif // __Configuration_AC__