//----------------------------------------------------------------------------------------
// CClipboard_AC.cp
// Copyright  1996 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __CClipboard_AC__
#include "CClipboard_AC.h"
#endif

// Core

#ifndef __CException_AC__
#include "CException_AC.h"
#endif

//----------------------------------------------------------------------------------------
// CClipboard_AC constructor
//----------------------------------------------------------------------------------------


CClipboard_AC::CClipboard_AC()
{
	fOldScrapStuff.scrapSize = 0;
	fOldScrapStuff.scrapHandle = NULL;
	fOldScrapStuff.scrapCount = 0;
	fOldScrapStuff.scrapState = 0;
	fOldScrapStuff.scrapName = NULL;

	fNewScrapStuff = fOldScrapStuff;

	AbsorbScrapStuff();							// get the initial state of the desk scrap 
}

//----------------------------------------------------------------------------------------
// CClipboard_AC destructor
//----------------------------------------------------------------------------------------


CClipboard_AC::~CClipboard_AC()
{
}

//----------------------------------------------------------------------------------------
// CClipboard_AC
//----------------------------------------------------------------------------------------


void CClipboard_AC::AbsorbScrapStuff()
{
#if qALOE
	::ThrowIfError_AC(::ALOEUpdateScrap());
#endif
	fOldScrapStuff = fNewScrapStuff;			// stash previous version, for later
                                                // change-checkage
	fNewScrapStuff = *(InfoScrap());			// Copy over from low memory to our
                                                // private global record
}

//----------------------------------------------------------------------------------------
// CClipboard_AC
//----------------------------------------------------------------------------------------


bool CClipboard_AC::ScrapCountStillValid(short oldScrapCount) const
{
	bool stillValid = oldScrapCount != fNewScrapStuff.scrapCount;
#if qALOE
	stillValid = stillValid | ::ALOEScrapCountStillValid(oldScrapCount);
#endif
	return stillValid;
}

//----------------------------------------------------------------------------------------
// GetScrapCount
//----------------------------------------------------------------------------------------


short CClipboard_AC::GetScrapCount() const
{
#if qALOE
	return ::ALOEGetScrapCount();
#else
	return fNewScrapStuff.scrapCount;
#endif
}

//----------------------------------------------------------------------------------------
// GetOldScrapCount
//----------------------------------------------------------------------------------------


short CClipboard_AC::GetOldScrapCount() const
{
	return fOldScrapStuff.scrapCount;
}

//----------------------------------------------------------------------------------------
// GetLastScrapCount
//----------------------------------------------------------------------------------------


short CClipboard_AC::GetScrapCountMinusOne() const
{
	return InfoScrap()->scrapCount - 1;
}

//----------------------------------------------------------------------------------------
// IsScrapInMemory
//----------------------------------------------------------------------------------------


bool CClipboard_AC::IsScrapInMemory() const
{
	return fNewScrapStuff.scrapState > 0;
}

//----------------------------------------------------------------------------------------
// IsScrapEmpty
//----------------------------------------------------------------------------------------


bool CClipboard_AC::IsScrapEmpty() const
{
#if qALOE
	return ::ALOEIsScrapEmpty();
#else
	return fNewScrapStuff.scrapHandle == NULL && fNewScrapStuff.scrapSize == 0;
#endif
}

//----------------------------------------------------------------------------------------
// End of CClipboard_AC.cp



