//----------------------------------------------------------------------------------------
// USimpleContainerApplication.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UApplicationSimpleContainer__
#include "UApplicationSimpleContainer.h"
#endif

#ifndef __UDocumentSimpleContainer__
#include "UDocumentSimpleContainer.h"
#endif

// MacApp Includes

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

// ODAdaptor Includes

#ifndef __CODSession_AC__
#include "CODSession_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const OSType kSignature			= 'SS01';			// Application signature
		
//========================================================================================
// CLASS TApplicationSimpleContainer
//========================================================================================
#undef Inherited
#define Inherited TApplication


MA_DEFINE_CLASS(TApplicationSimpleContainer);

//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer constructor
//----------------------------------------------------------------------------------------


TApplicationSimpleContainer::TApplicationSimpleContainer() :
TApplication(kFileType, kSignature)
{
	// Initialize fields to safe values here
}

//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer destructor
//----------------------------------------------------------------------------------------


TApplicationSimpleContainer::~TApplicationSimpleContainer()
{
}


#if qALOE
//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer::NewODSession: This method is overridden to make the
// ALOE connection at startup time, after creating the session instance in the
// inherited call.
//----------------------------------------------------------------------------------------

			
void TApplicationSimpleContainer::NewODSession()
{
	Inherited::NewODSession();
	
	CODSession_AC::Instance()->Connect();
}
#endif // qALOE

//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer::DoMakeDocument: This method is overridden to return a document
// object of the appropriate class for this application. MacApp calls this method when the
// user chooose New or Open from the File menu. For applications which hande multiple
// document types, the command number can be used to discriminate between different user
// requests. The file object represents the file chosen by the user in the Standard File
// dialog.
//----------------------------------------------------------------------------------------

			
TDocument* TApplicationSimpleContainer::DoMakeDocument(CommandNumber /* itsCommandNumber */,
														TFile* itsFile) // Override 
{
	return TH_new TDocumentSimpleContainer(itsFile,kSignature);
} // TApplicationSimpleContainer::DoMakeDocument 

//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer::DoMenuCommand: This method is overridden to handle menu items
// which are enabled when this object is in the target chain. The application object is
// always in the target chain.
// 
// The inherited method is called so that MacApp can handle application-level menu items
// like the "About " menu item in the Apple menu.
//----------------------------------------------------------------------------------------


void TApplicationSimpleContainer::DoMenuCommand(CommandNumber aCommandNumber) // Override 
{
	switch (aCommandNumber) 
	{
	//	case cCommandHandledByApplication : 
	//		SysBeep(2);
	//		break;

		default:
			Inherited::DoMenuCommand(aCommandNumber);
			break;
	}
} // TApplicationSimpleContainer::DoMenuCommand 

//----------------------------------------------------------------------------------------
// TApplicationSimpleContainer::DoSetupMenus: This method is overridden to enable menu items
// which should be enabled when this object is in the target chain. MacApp initially
// disables all menu items, then lets the objects in the target chain enable those items
// they handle.
//
// The application object is always in the target chain, so the About menu item in the
// Apple menu and the item with command number cMenuHandledByApplication should be enabled
// even if there are no open documents.
// 
// The inherited method is called so that MacApp can enable application-level menu items
// like the "About " menu item.
//----------------------------------------------------------------------------------------


void TApplicationSimpleContainer::DoSetupMenus() // Override 
{
	Inherited::DoSetupMenus();				// Always call the inherited method first

	//Enable(cCommandHandledByApplication, true);
} // TApplicationSimpleContainer::DoSetupMenus 

//----------------------------------------------------------------------------------------
// End of UApplicationSimpleContainer.cp


