//----------------------------------------------------------------------------------------
// TODContainerView.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UODCONTAINERVIEW__
#define __UODCONTAINERVIEW__

#ifndef __UODPARTVIEW__
#include "UODPartView.h"
#endif

// MacApp

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

//----------------------------------------------------------------------------------------
// TODContainerView
//----------------------------------------------------------------------------------------

class TODContainerView : public TView
{
	MA_DECLARE_CLASS;
	
	public:
		TODContainerView(const CViewPoint& itsLocation = gZeroVPt,
				const CViewPoint& itsSize = gZeroVPt,
				SizeDeterminer itsHSizeDet = sizeVariable,
				SizeDeterminer itsVSizeDet = sizeVariable);

		virtual 				~TODContainerView();

#if qDrag
		virtual void			DoPostCreate(TDocument* itsDocument);
				
		virtual bool 			WillAcceptDrop(CDragItemIterator& dragItemIterator);
		
		virtual TCommand*		DoMakeDragDropCommand(CommandNumber itsCommandNumber,
													  CDragItemIterator& dragItemIterator);
		
#endif // qDrag

};

//----------------------------------------------------------------------------------------
// TODDropCommand: handles a drag move/copy
//----------------------------------------------------------------------------------------

class TODDropCommand : public TCommand
{
public:
		TODDropCommand();

		TODDropCommand(		TODContainerView*	itsContainerView,
							CommandNumber		itsCommandNumber,
							TCommandHandler*	itsContext,
							bool				canUndo,
							bool				causesChange,
							MDependable_AC*		objectToNotify);
			// Constructor
			
		virtual ~TODDropCommand();	

		virtual void DoIt();
};

//----------------------------------------------------------------------------------------
// Initialization for this file
//----------------------------------------------------------------------------------------

extern void InitUODContainerView();

#endif
