//----------------------------------------------------------------------------------------
// MTempoGridView.cp
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

// TempoGridView

#ifndef __UApplicationTempoGridView__
#include "UApplicationTempoGridView.h"
#endif

#ifndef __TTempoGridView__
#include "TTempoGridView.h"
#endif
	
// MacApp

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __USTATICTEXT__
#include "UStaticText.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

#ifndef __USYNCHSCROLLER__
#include "USynchScroller.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------

void main ()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUPrinting();									// Initialize the printing gear
	InitUTEView();										// Initialize the text editing unit 
	InitUStaticText();
	InitUGridView();									// Initialize the GridView unit
	
	InitUBackgroundAdorner();
	InitUSynchScroller();

	InitTTempoGridView();		// Initialize the TTempoGridView unit
	
	TApplicationTempoGridView aApplicationTempoGridView;	// Allocate application object
	aApplicationTempoGridView.Run();						//	Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MTempoGridView.cp
