// UDocumentTempoGridView.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 

#ifndef __UDocumentTempoGridView__
#define __UDocumentTempoGridView__

#ifndef __UFILEBASEDDOCUMENT__
#include "UFileBasedDocument.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------

// Commands
const CommandNumber cCommandHandledByDocument = 401;

// Files
const OSType kFileType = 'SF01';	// File-type code used for document files 

//----------------------------------------------------------------------------------------
// TDocumentTempoGridView
//----------------------------------------------------------------------------------------

class TDocumentTempoGridView: public TFileBasedDocument
{
	MA_DECLARE_CLASS;
	
  public:
	inline TDocumentTempoGridView(TFile* itsFile = NULL, OSType itsCreator = kNoIdentifier) : TFileBasedDocument(itsFile,itsCreator) { } 
		// Constructor
	
	virtual ~TDocumentTempoGridView();
		// Destructor
	
	virtual void  DoInitialState(); // Override
	virtual void  FreeData(); // Override
			
	// Views
	virtual void  DoMakeViews(bool forPrinting); // Override

	// Commands
	virtual void  DoSetupMenus(); // Override
	virtual void  DoMenuCommand(CommandNumber aCommandNumber); // Override

	// Saving and Restoring
	virtual void  DoNeedDiskSpace(TFile* itsFile,
								  long& dataForkBytes,
								  long& rsrcForkBytes); // Override
	virtual void  DoRead(TFile* aFile,
						 bool forPrinting); // Override
	virtual void  DoWrite(TFile* aFile,
						  bool makingCopy); // Override
};

#endif
