//--------------------------------------------------------------------------------------------------
// MyApplication.r
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright  1997 by Trygve Isaacson.
//--------------------------------------------------------------------------------------------------


#include "MacAppTypes.r"
#include "MacAppVersion.h"
#include "ViewTypes.r"
#include "Types.r"
#include "SysTypes.r"

resource 'STR#' (kDefaultCredits,
#if qNames
	"kDefaultCredits",
#endif
	purgeable) {
	 {
	"The great people behind MacApp";

	"Engineers";
	"  Tom Becker";
	"  Greg Friedman";
	"  Mike Rossetti";
	"  Geoff Clapp";

	"Scripting and PowerTalk contributions by";
	"  Ken Ryall";
			
	"Special performance improvements by";
	"  Steven Friedrich @ softAnswer";
	
	"Drag and Drop jump start";
	"  Eric Hanig";
	
	"Quality Assurance";
	"  Ron Delong";
	"  Mike Walsh";
	"  Andrew Matheson";
	
	"  With guest appearances by:";
	"    Mark Lanett";
	"    Bernhard Damberger";
	
	"Technical support";
	"  Merwyn Welcome";
	
	"Managers";
	"  Janie Phillips";
	
	"Area Associates";
	"  Cyndie Homuth";
	"  Sharon Cullen";

	"Project Manager";
	"  Mike Fox";
	
	"  Marketing Manager";
	"  Sharada Achanta";

	"MacApp Alumni";
	"  Mary Boetcher";
	"  Mike Burbidge";
	"  Roger Dunn";
	"  Lou Infeld";
	"  Richard Kimberly";
	"  Mike Lockwood";
	"  Joe St. Germain";
	"  Andy Wildenberg";
	"  Jeroen Schalk";
	"  Kent Sandvik";

	"  Chris Knepper";
	"  Henri Lamiraux";
	"  Lonnie Millett";
	"  Richard Rodseth";

	"All-Around Great Guy";
	"  Kevin Redden";

	"Chief Heckler";
	"  Dave Goldman";

	"Champion Bug-Hunters";
	"  Nick Nallick";
	"  Jeff Amfahr";
	"  Ed Anson";
	"  Carsten Brinkschulte";
	"  Gary Campbell";
	"  Jrgen Dnges";
	"  Steve Jasik";
	"  Henk Kampman";
	"  John Olsen";
	"  Didier Prgomet";
	"  Oddur Sigurdsson";
	"  Steve Sisak";
	"You, the millions and millions of MacApp programmers";
	" "
	 }
};

resource 'DITL' (phAboutApp,
#if qNames
"phAboutApp",
#endif
	purgeable) {
	 {	/* array DITLarray: 3 elements */
		/* [1] */
		{160, 182, 180, 262},
		Button {
			enabled,
			"OK"
		};
		/* [2] */
		{8, 70, 152, 316},
		StaticText {
			disabled,
			"^0"												// The ^0 will be dynamically replaced with CurApName
			"\n"
			WRITTEN_WITH_MACAPP
		};
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			1
		}
	}
};

resource 'ALRT' (phAboutApp,
#if qNames
"phAboutApp",
#endif
	purgeable) {
	{90, 100, 280, 412},
	phAboutApp,
	{
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent
	}
#if SystemSevenOrLater
	,
	alertPositionMainScreen
#endif
};

resource 'DITL' (phNewPublisherAlert,
#if qNames
	"phNewPublisherAlert",
#endif
	purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{121, 279, 141, 362},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{121, 183, 141, 266},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{121, 65, 141, 148},
		Button {
			enabled,
			"Don't Save"
		},
		/* [4] */
		{10, 65, 59, 363},
		StaticText {
			disabled,
			"This document contains new Publishers.  "
			"You must save this document to keep them"
			"."
		},
		/* [5] */
		{75, 65, 108, 332},
		StaticText {
			disabled,
			"Save ^0 before ^1?"
		},
		/* [6] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			2
		}
	}
};

/* Used when a document has multiple publishers to the same edition. */

resource 'DITL' (phMultPublisherWrn,
#if qNames
	"phMultPublisherWrn",
#endif
	purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{121, 290, 141, 348},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 65, 41, 338},
		StaticText {
			disabled,
			"There is another Publisher open to the E"
			"dition ^0."
		},
		/* [3] */
		{57, 65, 108, 340},
		StaticText {
			disabled,
			"If there is more than one Publisher to a"
			"n Edition, the Editions contents arent"
			" predictable."
		},
		/* [4] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			2
		}
	}
};

/* Used when a document tries to save multiple publishers to the same edition. */

resource 'DITL' (phSavingMultPublisherWrn,
#if qNames
	"phSavingMultPublisherWrn",
#endif
	purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{121, 290, 141, 348},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 65, 41, 338},
		StaticText {
			disabled,
			"^1 contains two Publishers to the Edit"
			"ion ^0."
		},
		/* [3] */
		{57, 65, 108, 340},
		StaticText {
			disabled,
			"If there is more than one Publisher to a"
			"n Edition, the Editions contents arent"
			" predictable."
		},
		/* [4] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			2
		}
	}
};

resource 'ALRT' (phNewPublisherAlert,
#if qNames
	"phNewPublisherAlert",
#endif
	purgeable) {
	{86, 60, 236, 432},
	phNewPublisherAlert,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
#if SystemSevenOrLater
	,
	alertPositionMainScreen
#endif
};

resource 'ALRT' (phMultPublisherWrn,
#if qNames
	"phMultPublisherWrn",
#endif
	purgeable) {
	{100, 110, 252, 468},
	phMultPublisherWrn,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
#if SystemSevenOrLater
	,
	alertPositionMainScreen
#endif
};

resource 'ALRT' (phSavingMultPublisherWrn,
#if qNames
	"phSavingMultPublisherWrn",
#endif
	purgeable) {
	{100, 110, 252, 468},
	phSavingMultPublisherWrn,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
#if SystemSevenOrLater
	,
	alertPositionMainScreen
#endif
};

