//--------------------------------------------------------------------------------------------------
// UMyApplication.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright  1997 by Trygve Isaacson.
//--------------------------------------------------------------------------------------------------

#ifndef __UMYAPPLICATION__
#define __UMYAPPLICATION__

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

#ifndef __UNEWCONTROLS__
#include "UNewControls.h"
#endif


class TMyApplication: public TApplication
	{
	public:
		
		TMyApplication();
		virtual ~TMyApplication();

		virtual void DoSetupMenus();
		virtual void DoMenuCommand(CommandNumber aCommand);
		virtual void DoEvent(EventNumber eventNumber, TEventHandler* source, TEvent* event);
		virtual bool DoIdle(IdlePhase phase);
		virtual void DoAboutBox();
		virtual void DoStdMAAboutBox();

		virtual void DoInitialState();
		
		void	SwapMainWindow();

	protected:
	
		void	LaunchGridViewExample();
		
		void	PoseExampleDialog(UInt32 dialogIndex);
		void	SetupExampleDialog(UInt32 dialogIndex, TWindow* itsWindow);
		void	CleanupExampleDialog(UInt32 dialogIndex, TWindow* itsWindow);
		void	EnableDisableDialog(UInt32 dialogIndex, TWindow* itsWindow, bool enable);
		
		void	ToggleButtons(TButton* buttonToDisable, TButton* buttonToEnable);
		
		UInt32					fCurrentDialogIndex;
		TProgressIndicator*		fProgressIndicator1;	// valid while it is idling
		TProgressIndicator*		fProgressIndicator2;	// valid while it is idling
		bool					fMovingProgressOrigin;	// true if ind. 2 has moving origin
		bool					fSkipNext;				// toggle to make origin move slower than value
		TWindow*				fMainWindow;
	};

class TSwapMainWindowCmd : public TCommand
	{
	public:
		TSwapMainWindowCmd(CommandNumber itsCommandNumber = cNoCommand,
								 TCommandHandler* itsContext = NULL,
								 bool canUndo = true,
								 bool causesChange = true,
							 	 MDependable_AC* objectToNotify = NULL) :
			TCommand(itsCommandNumber, itsContext, canUndo, causesChange, objectToNotify) {}
							 	 
		virtual void DoIt();
	};

#endif // __UMYAPPLICATION__

