//----------------------------------------------------------------------------------------
// UApplicationTidyHeap.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


// MacApp Includes

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif



#ifndef __UApplicationTidyHeap__
#include "UApplicationTidyHeap.h"
#endif

#ifndef __UDocumentTidyHeap__
#include "UDocumentTidyHeap.h"
#endif

static const short kAboutWindowID = 1000;

//----------------------------------------------------------------------------------------
// Constants:

	
//========================================================================================
// CLASS TApplicationTidyHeap
//========================================================================================
#undef Inherited
#define Inherited TApplication


MA_DEFINE_CLASS_M1(TApplicationTidyHeap, Inherited);

//----------------------------------------------------------------------------------------
// TApplicationTidyHeap constructor
//----------------------------------------------------------------------------------------

TApplicationTidyHeap::TApplicationTidyHeap()
	:	TApplication(kFileType, kSignature)
{
	fLaunchWithNewDocument = false;
}

//----------------------------------------------------------------------------------------
// TApplicationTidyHeap destructor
//----------------------------------------------------------------------------------------

TApplicationTidyHeap::~TApplicationTidyHeap()
{
}

//----------------------------------------------------------------------------------------
// TApplicationTidyHeap::DoMakeDocument
//----------------------------------------------------------------------------------------

TDocument* TApplicationTidyHeap::DoMakeDocument(CommandNumber /* itsCommandNumber */,
														TFile* itsFile) // Override 
{
	return new TDocumentTidyHeap(itsFile);;
} // TApplicationTidyHeap::DoMakeDocument 

//----------------------------------------------------------------------------------------
// TApplicationTidyHeap::DoMenuCommand
//----------------------------------------------------------------------------------------

void TApplicationTidyHeap::DoMenuCommand(CommandNumber aCommandNumber) // Override 
{
	switch (aCommandNumber) 
	{
		default:
			Inherited::DoMenuCommand(aCommandNumber);
			break;
	}
} // TApplicationTidyHeap::DoMenuCommand 

//----------------------------------------------------------------------------------------
// TApplicationTidyHeap::DoSetupMenus
//----------------------------------------------------------------------------------------

void TApplicationTidyHeap::DoSetupMenus() // Override 
{
	Inherited::DoSetupMenus();				// Always call the inherited method first

	Enable(cNew,FALSE);
	Enable(cSaveAs, FALSE);
	
} // TApplicationTidyHeap::DoSetupMenus 

//----------------------------------------------------------------------------------------
// TApplicationTidyHeap::DoAboutBox
//----------------------------------------------------------------------------------------

void TApplicationTidyHeap::DoAboutBox()
{
	TWindow* window = gViewServer->NewTemplateWindow(kAboutWindowID, NULL);
	::ThrowIfNULL_AC(window);
	SysBeep(30);
	window->PoseModally();
	window->Close();
}