//----------------------------------------------------------------------------------------
// UViewSkeleton.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __TRowSelectGridView__
#include "TRowSelectGridView.h"
#endif
	
#undef Inherited

//========================================================================================
// Global Initialization Procedure
//========================================================================================
//----------------------------------------------------------------------------------------
// InitTRowSelectGridView: 
//----------------------------------------------------------------------------------------


void InitTRowSelectGridView()
{
	MA_REGISTER_CLASS(TRowSelectGridView);
}

//========================================================================================
// CLASS TRowSelectGridView
//========================================================================================
#undef Inherited
#define Inherited TTextGridView


MA_DEFINE_CLASS(TRowSelectGridView);

TRowSelectGridView::TRowSelectGridView()
{
}

TRowSelectGridView::~TRowSelectGridView()
{
}


CStr255_AC TRowSelectGridView::GetText(const GridCell& aCell) const
{
	CStr255_AC aString;
	CStr255_AC bString;
	NumToString(aCell.h, aString);
	NumToString(aCell.v, bString);

	return aString + ", " + bString;
}


//----------------------------------------------------------------------------------------
// TRowSelectGridView::DoMouseCommand
//----------------------------------------------------------------------------------------


void TRowSelectGridView::DoMouseCommand(CViewPoint& theMouse,
								  TToolboxEvent* event,
								  CPoint_AC /* hysteresis */)	// Override
{
	GridCell aCell;

	if (IdentifyPoint(theMouse, aCell) != badChoice && CanSelectCell(aCell))
		PostCommand(TH_new TRowSelectCommand(this, theMouse, event->IsShiftKeyPressed(), event->IsCommandKeyPressed()));
}

//----------------------------------------------------------------------------------------
// End of TRowSelectGridView.cp


