//----------------------------------------------------------------------------------------
// URowSelectApplication.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UApplicationRowSelect__
#include "UApplicationRowSelect.h"
#endif

#ifndef __UDocumentRowSelect__
#include "UDocumentRowSelect.h"
#endif

// MacApp Includes

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const OSType kSignature			= 'SS01';			// Application signature
		
//========================================================================================
// CLASS TApplicationRowSelect
//========================================================================================
#undef Inherited
#define Inherited TApplication

//----------------------------------------------------------------------------------------
// TApplicationRowSelect constructor
//----------------------------------------------------------------------------------------


TApplicationRowSelect::TApplicationRowSelect() :
TApplication(kFileType, kSignature)
{
	// Initialize fields to safe values here
}

//----------------------------------------------------------------------------------------
// TApplicationRowSelect destructor
//----------------------------------------------------------------------------------------


TApplicationRowSelect::~TApplicationRowSelect()
{
}

//----------------------------------------------------------------------------------------
// TApplicationRowSelect::DoMakeDocument: This method is overridden to return a document
// object of the appropriate class for this application. MacApp calls this method when the
// user chooose New or Open from the File menu. For applications which hande multiple
// document types, the command number can be used to discriminate between different user
// requests. The file object represents the file chosen by the user in the Standard File
// dialog.
//----------------------------------------------------------------------------------------

			
TDocument* TApplicationRowSelect::DoMakeDocument(CommandNumber /* itsCommandNumber */,
														TFile* itsFile) // Override 
{
	return TH_new TDocumentRowSelect(itsFile,kSignature);
}

//----------------------------------------------------------------------------------------
// TApplicationRowSelect::DoMenuCommand: This method is overridden to handle menu items
// which are enabled when this object is in the target chain. The application object is
// always in the target chain.
// 
// The inherited method is called so that MacApp can handle application-level menu items
// like the "About " menu item in the Apple menu.
//----------------------------------------------------------------------------------------


void TApplicationRowSelect::DoMenuCommand(CommandNumber aCommandNumber) // Override 
{
	switch (aCommandNumber) 
	{
		/*	Typically, you will have dispatch your own menu commands here:
		case cCommandHandledByApplication : 
			SysBeep(2);
			break;
		*/
		default:
			Inherited::DoMenuCommand(aCommandNumber);
			break;
	}
}

//----------------------------------------------------------------------------------------
// TApplicationRowSelect::DoSetupMenus: This method is overridden to enable menu items
// which should be enabled when this object is in the target chain. MacApp initially
// disables all menu items, then lets the objects in the target chain enable those items
// they handle.
//
// The application object is always in the target chain, so the About menu item in the
// Apple menu and the item with command number cMenuHandledByApplication should be enabled
// even if there are no open documents.
// 
// The inherited method is called so that MacApp can enable application-level menu items
// like the "About " menu item.
//----------------------------------------------------------------------------------------


void TApplicationRowSelect::DoSetupMenus() // Override 
{
	Inherited::DoSetupMenus();				// Always call the inherited method first

	/*	Typically, you will have enable your own menu commands here:
	Enable(cCommandHandledByApplication,true);
	*/
}

//----------------------------------------------------------------------------------------
// End of UApplicationRowSelect.cp


