//----------------------------------------------------------------------------------------
// UDocumentRowSelect.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UDocumentRowSelect__
#include "UDocumentRowSelect.h"
#endif

// MacApp

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif

#ifndef __UWINDOW__
#include "UWindow.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const ResNumber kRowSelectWindowID = kDefaultWindowID;

//========================================================================================
// CLASS TDocumentRowSelect
//========================================================================================
#undef Inherited
#define Inherited TFileBasedDocument


MA_DEFINE_CLASS(TDocumentRowSelect);

//----------------------------------------------------------------------------------------
// TDocumentRowSelect destructor
//----------------------------------------------------------------------------------------


TDocumentRowSelect::~TDocumentRowSelect()
{
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::FreeData: 
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::FreeData() // Override 
{
	Inherited::FreeData();
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoInitialState: 
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoInitialState() // Override 
{
	Inherited::DoInitialState();
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoMakeViews: 
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoMakeViews(bool /*forPrinting*/) // Override 
{
	TWindow* aWindow = gViewServer->NewTemplateWindow(kRowSelectWindowID, this);
	::ThrowIfNULL_AC(aWindow);

	/*	You will likely have a different view to which you would like to 
		attach a print handler. */
	TView* aView = aWindow->FirstSubView();

	TStdPrintHandler* aHandler = TH_new TStdPrintHandler(this,			// its document 
							   aView,			// its view 
							   kFixedSize,		// horzontal page size is fixed 
							   kFixedSize);		// vertical page size is fixed 
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoNeedDiskSpace: 
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoNeedDiskSpace(TFile* itsFile,
										long& dataForkBytes,
										long& rsrcForkBytes) // Override 
{
	Inherited::DoNeedDiskSpace(itsFile, dataForkBytes, rsrcForkBytes);
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoMenuCommand: This method is overridden to handle menu items which
// are enabled when this document is in the target chain. In this example, this is true
// when the document is open and its window is the active window. The inherited method
// should always be called so that MacApp can allow successor objects in the target chain
// (i.e. the application) to handle THEIR menu items.
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoMenuCommand(CommandNumber aCommandNumber) // Override 
{
	switch (aCommandNumber) 
	{
		/*	Typically, you will have dispatch your own menu commands here:
		case cCommandHandledByDocument: 
			{
				TCommandRowSelect* aCommand = new TCommandRowSelect;
				aCommand->ICommandRowSelect(aCommandNumber, this);
				PostCommand(aCommand);
			}
			break;
		*/
		default:
			Inherited::DoMenuCommand(aCommandNumber);
			break;
	}
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoRead: 
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoRead(TFile* aFile,
						   			bool forPrinting) // Override 
{
	Inherited::DoRead(aFile,forPrinting);
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoSetupMenus: This method is overridden to enable menu items which
// should be enabled when this object is in the target chain. MacApp initially disables
// all menu items, then lets the objects in the target chain enable those items they
// handle.
//
// A document object is in the target chain when its window is the active window.
//
// The inherited method is called so that TDocument can enable document-level menu items
// like "Save ". This also ensures that objects further up the target chain (the
// application) can set up THEIR menus.
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoSetupMenus() // Override 
{
	Inherited::DoSetupMenus();
	
	/*	Typically, you will have enable your own menu commands here:
	Enable(cCommandHandledByDocument,true);
	*/
}

//----------------------------------------------------------------------------------------
// TDocumentRowSelect::DoWrite: 
//----------------------------------------------------------------------------------------


void TDocumentRowSelect::DoWrite(TFile* aFile,
									bool makingCopy) // Override 
{
	Inherited::DoWrite(aFile,makingCopy);
}

//----------------------------------------------------------------------------------------
// End of UDocumentRowSelect.cp


