// CDNRSampleAppApp.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __CDNRSampleApp__
#define __CDNRSampleApp__

// ACS

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

#ifndef __MInternetHostEventReceiver__
#include "MInternetHostEventRcvr_AC.h"
#endif

// MacApp

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class TLogWindow;

template <class T> class CLinkedList_AC;

//----------------------------------------------------------------------------------------
// CDNRSampleApp
//----------------------------------------------------------------------------------------

class CDNRSampleApp:		public TApplication,
							public MInternetHostEventReceiver_AC
						
{
public:
	// public interface

	CDNRSampleApp();
		// Constructor
	virtual ~CDNRSampleApp();
		// Destructor
	
protected:
	virtual void Start();
		// This is called via a command to start up the networking
		// and the logging objects once the application is fully
		// constructed.	
	
	virtual void AddressToNameResolved(CInternetHost_AC* inHost);

	virtual void NameToAddressResolved(CInternetHost_AC* inHost);
											
// MacApp overrides

	virtual TDocument* DoMakeDocument(CommandNumber , TFile* )	{ return NULL; }
		// This application doesn't have a 'document'.
		
	virtual void DoSetupMenus(); 

	virtual void DoMenuCommand(CommandNumber aCommandNumber); 

	void ResolveAddress();

private:
	CAutoPtr_AC<TLogWindow> fLog;
	CAutoPtr_AC<TLogWindow> fTrace;

private:
	// friends
	friend class TStarter;
};	


#endif
