//----------------------------------------------------------------------------------------
// CMyProgressWindow.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CMyProgressWindow__
#define __CMyProgressWindow__

#include "CAutoPtr_AC.h"

class CServiceHandler_AC;
class TProgressIndicator;
class TStaticText;

// Note that this window is a quick hack.

// Plans: 
// A Better way to do this window would be to both subclass TWindow and CTCPConnection
// so they know about each other so that if either one goes away, or a stop or pause button
// is added to the window the transfer can be stopped and the window or the connection
// can be notified respectively. 

//----------------------------------------------------------------------------------------
// class CMyProgressWindow
//----------------------------------------------------------------------------------------

class CMyProgressWindow
{
public:
	CMyProgressWindow(CServiceHandler_AC* inHandler, bool isSender);
	~CMyProgressWindow();
	
	static void Update(CServiceHandler_AC* inServiceHandler, long cur, long max);
	
protected:
	void DoUpdate(long cur, long max);

protected:
	CAutoPtr_AC<TWindow>	fWindow;
	TProgressIndicator* 	fProgressIndicator;
	TStaticText*			fByteProgress;
	TStaticText*			fBytesPerSecond;
	long 					fStartTick;
	long					fMaxAmt;
	long					fStartAmt;
};


#endif

