//----------------------------------------------------------------------------------------
// Utils.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __Utils__
#include "Utils.h"
#endif

//----------------------------------------------------------------------------------------
// GetSomeTextFromUser
//----------------------------------------------------------------------------------------

bool GetSomeTextFromUser(const char* prompt,  CStr255_AC& inText, const char* defaultText)
{
	CAutoPtr_AC<TWindow> window(gViewServer->NewTemplateWindow(1003, NULL));
	::ThrowIfNULL_AC(window.get());

	TStaticText* p = dynamic_cast_AC(TStaticText*, window->FindSubView('prmt'));
	p->SetText(prompt, false);

	TEditText* edit = dynamic_cast_AC(TEditText*, window->FindSubView('TEXT'));

	if (defaultText)
		edit->SetText(defaultText, false);	

	IDType dismisser = window->PoseModally();

	inText = edit->GetText();
	
	window->Close();

	return dismisser == 'done';
}

//----------------------------------------------------------------------------------------
// GetANumberFromUser
//----------------------------------------------------------------------------------------

long GetANumberFromUser(const char* prompt)
{
	CStr255_AC str;
	GetSomeTextFromUser(prompt, str);
	long num;
	StringToNum(str, &num);
	return num;
}