// CWebinatorAppApp.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __CWebinatorApp__
#define __CWebinatorApp__

// MacApp includes

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

// ACS AutoPtr 

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

#ifndef __CRefCountingPtr_AC__
#include "CRefCountingPtr_AC.h"
#endif

// forward references

class CMultiTCPConnectionManager_AC;
class TLogWindow;
class CNetworkTransaction_AC;

//----------------------------------------------------------------------------------------
// CWebinatorApp
//----------------------------------------------------------------------------------------

class CWebinatorApp:	public TApplication
{
public:
	// public interface

	CWebinatorApp();
		// Constructor
	virtual ~CWebinatorApp();
		// Destructor
	
	TLogWindow& Log() { return *fLog; }
		// This is where the networking activity is logged.
		
protected:
	virtual void Start();
		// This is called via a command to start up the networking
		// and the logging objects once the application is fully
		// constructed.	
	
//--- Chat specific methods
//		These methods use the networking objects.
	
	void LogOut();

										
// MacApp overrides

	virtual TDocument* DoMakeDocument(CommandNumber , TFile* )	{ return NULL; }
		// This application doesn't have a 'document'.
		
	virtual void DoSetupMenus(); 

	virtual void DoMenuCommand(CommandNumber aCommandNumber); 
	
private:
	CRefCountingPtr_AC<CMultiTCPConnectionManager_AC>	fConnections;
	CAutoPtr_AC<TLogWindow> 							fLog;

#if qTrace_AC
	CAutoPtr_AC<TLogWindow> 							fTrace;
#endif
	
private:
	// friends
	friend class TStarter;
};	


#endif
