//----------------------------------------------------------------------------------------
// MDynamicPopups.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// DynamicPopups

#ifndef __UApplicationDynamicPopups__
#include "UApplicationDynamicPopups.h"
#endif

// MacApp

#ifndef __UBUSYCURSOR__
#include "UBusyCursor.h"
#endif

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters

	TBusyCursor::InitUBusyCursor();						// Optionally, install the auto busy cursor

	InitUPrinting();									// Initialize the printing gear
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitUGridView();									// Initialize the GridView unit
	
	InitUBackgroundAdorner();
	
	/*	Typically, you will have a few of your own initialization routines here
		which are used to prevent dead code stripping. */

	TApplicationDynamicPopups aApplicationDynamicPopups;	// Allocate application object
	aApplicationDynamicPopups.Run();						// Well lets run it then!
}
//----------------------------------------------------------------------------------------
// End of MDynamicPopups.cp
