//----------------------------------------------------------------------------------------
// UDynamicPopupsApplication.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UApplicationDynamicPopups__
#include "UApplicationDynamicPopups.h"
#endif

#ifndef __UDocumentDynamicPopups__
#include "UDocumentDynamicPopups.h"
#endif

// MacApp Includes

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const OSType kSignature			= 'SS01';			// Application signature
		
//========================================================================================
// CLASS TApplicationDynamicPopups
//========================================================================================
#undef Inherited
#define Inherited TApplication



//----------------------------------------------------------------------------------------
// TApplicationDynamicPopups constructor
//----------------------------------------------------------------------------------------


TApplicationDynamicPopups::TApplicationDynamicPopups() :
TApplication(kFileType, kSignature)
{
	// Initialize fields to safe values here
}

//----------------------------------------------------------------------------------------
// TApplicationDynamicPopups destructor
//----------------------------------------------------------------------------------------


TApplicationDynamicPopups::~TApplicationDynamicPopups()
{
}

//----------------------------------------------------------------------------------------
// TApplicationDynamicPopups::DoMakeDocument: This method is overridden to return a document
// object of the appropriate class for this application. MacApp calls this method when the
// user chooose New or Open from the File menu. For applications which hande multiple
// document types, the command number can be used to discriminate between different user
// requests. The file object represents the file chosen by the user in the Standard File
// dialog.
//----------------------------------------------------------------------------------------

			
TDocument* TApplicationDynamicPopups::DoMakeDocument(CommandNumber /* itsCommandNumber */,
														TFile* itsFile) // Override 
{
	return TH_new TDocumentDynamicPopups(itsFile,kSignature);
} // TApplicationDynamicPopups::DoMakeDocument 

//----------------------------------------------------------------------------------------
// End of UApplicationDynamicPopups.cp


