// UDocumentDynamicPopups.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UDocumentDynamicPopups__
#define __UDocumentDynamicPopups__

#ifndef __UFILEBASEDDOCUMENT__
#include "UFileBasedDocument.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------

// Commands
const CommandNumber cCommandHandledByDocument = 401;

// Files
const OSType kFileType = 'SF01';	// File-type code used for document files 

//----------------------------------------------------------------------------------------
// TDocumentDynamicPopups
//----------------------------------------------------------------------------------------

class TDocumentDynamicPopups: public TFileBasedDocument
{
	MA_DECLARE_CLASS;
	
  public:
	TDocumentDynamicPopups(TFile* itsFile = NULL, OSType itsCreator = kNoIdentifier); 
	virtual ~TDocumentDynamicPopups();
	
	virtual void  DoInitialState();
	virtual void  FreeData();
			
	// Views
	virtual void  DoMakeViews(bool forPrinting);

	// Commands
	virtual void  DoSetupMenus();
	virtual void  DoMenuCommand(CommandNumber aCommandNumber);

	// Saving and Restoring
	virtual void  DoNeedDiskSpace(TFile* itsFile,
								  long& dataForkBytes,
								  long& rsrcForkBytes);
	virtual void  DoRead(TFile* aFile,
						 bool forPrinting);
	virtual void  DoWrite(TFile* aFile,
						  bool makingCopy);

	virtual void DoEvent(EventNumber eventNumber, TEventHandler* source, TEvent* event);

};

#endif
