//----------------------------------------------------------------------------------------
// MQD3DSample.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

//QD3D - must include first
#ifndef  QD3D_h
#include "QD3D.h"
#endif

// QD3D Sample

#ifndef __UViewerWindow__
#include "UViewerWindow.h"
#endif


#ifndef __UMYQD3DBOXVIEW__
#include "UMyQD3DBoxView.h"
#endif

#ifndef __UQD3DApplication__
#include "UQD3DApplication.h"
#endif

#ifndef __UQD3DView__
#include "UQD3DView.h"
#endif

#ifndef __UQD3DViewer__
#include "UQD3DViewer.h"
#endif

#ifndef __UQD3DViewWindow__
#include "UQD3DViewWindow.h"
#endif

// MacApp

#ifndef __UBUTTON__
#include "UButton.h"
#endif

#ifndef __UCLUSTER__
#include "UCluster.h"
#endif

#ifndef __UCHECKBOX__
#include "UCheckbox.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UNUMBERTEXT__
#include "UNumberText.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UNOTIFYBEHAVIOR__
#include "UNotifierBehavior.h"
#endif

#ifndef __URADIO__
#include "URadio.h"
#endif

#ifndef __UROTATIONBEHAVIOR__
#include "URotationBehavior.h"
#endif

#ifndef __UPOPUP__
#include "UPopup.h"
#endif

#ifndef __USTATICTEXT__
#include "UStaticText.h"
#endif


//This is extremely usefull code for debugging QD3D
// issues. You should use it in any 3D application you
// are writing.
#include "MyErrorHandler.h"

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main ()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters

	InitUDragManager();

	// Controls needed by QD3D tester window
	InitUButton();
	InitUCheckbox();
	InitUCluster();
	InitUPopup();
	InitURadio();
	InitUStaticText();
	InitUNumberText();
		
	InitUQD3DView();
	InitUQD3DViewer();								
	
	MA_REGISTER_CLASS(TMyQD3DBoxView);
	MA_REGISTER_CLASS(TViewerWindow);
	MA_REGISTER_CLASS(TQD3DViewWindow);
	MA_REGISTER_CLASS(TNotifierBehavior);
	MA_REGISTER_CLASS(TRotationBehavior);

	InitUBackgroundAdorner();

	
	//This is extremely usefull code for debugging QD3D
	// issues. You should use it in any 3D application you
	// are writing.
	// Install the error handler - this gets called whenever
	// an error occurs, which means we don't have to check so 
	// much
	Q3Error_Register( MyErrorHandler, 0L );		
	Q3Warning_Register( MyWarningHandler, 0L );		
	

	TQD3DApplication aQD3DApplication;
	aQD3DApplication.Run();						
}

//----------------------------------------------------------------------------------------
// End of MQD3DSample.cp
