//----------------------------------------------------------------------------------------
// UNotifierBehavior.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UNOTIFYBEHAVIOR__
#include "UNotifierBehavior.h"
#endif

//========================================================================================
// CLASS TNotifierBehavior
//========================================================================================

#undef Inherited
#define Inherited TBehavior


MA_DEFINE_CLASS(TNotifierBehavior);

//----------------------------------------------------------------------------------------
// TNotifierBehavior constructor
//----------------------------------------------------------------------------------------


TNotifierBehavior::TNotifierBehavior(IDType itsIdentifier, ChangeID_AC itsChangeType) :
	TBehavior(itsIdentifier),

	fChangeID(itsChangeType),
	fDocument(NULL)
{
}

//----------------------------------------------------------------------------------------
// TNotifierBehavior::Free:
//----------------------------------------------------------------------------------------


TNotifierBehavior::~TNotifierBehavior()
{
}

//----------------------------------------------------------------------------------------
// TNotifierBehavior::DoPostCreate:
//----------------------------------------------------------------------------------------


void TNotifierBehavior::DoPostCreate(TDocument* itsDocument)
{
	Inherited::DoPostCreate(itsDocument);
	fDocument = itsDocument;
	AddDependent(fDocument);
}

//----------------------------------------------------------------------------------------
// TNotifierBehavior::DoEvent:
//----------------------------------------------------------------------------------------


void TNotifierBehavior::DoEvent(EventNumber eventNumber,
						TEventHandler* source,
						TEvent* event)
{
	if (eventNumber == mResignedTarget)
		Changed(fChangeID, this);

	Inherited::DoEvent(eventNumber, source, event);
}

//----------------------------------------------------------------------------------------
// TNotifierBehavior::ReadFrom:
//----------------------------------------------------------------------------------------


void TNotifierBehavior::ReadFrom(CStream_AC* aStream)
{
	Inherited::ReadFrom(aStream);
	
	fChangeID = aStream->ReadLong();
}

//----------------------------------------------------------------------------------------
// TNotifierBehavior::ResignedTarget: 
//----------------------------------------------------------------------------------------


void TNotifierBehavior::ResignedTarget()
{
	Changed(fChangeID, this);
}

//----------------------------------------------------------------------------------------
// TNotifierBehavior::GetStandardSignature:
//----------------------------------------------------------------------------------------


IDType TNotifierBehavior::GetStandardSignature() const
{
	return kNotifyBehavior;
}

//----------------------------------------------------------------------------------------


