//----------------------------------------------------------------------------------------
// UNotifierBehavior.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UNOTIFYBEHAVIOR__
#define __UNOTIFYBEHAVIOR__

#ifndef __UBEHAVIOR__
#include "UBehavior.h"
#endif

#ifndef __CDependencies_AC__
#include "CDependencies_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Constants


const IDType kNotifyBehavior		= 'notB';

//===================================================================================
// Class TQD3DViewWindow
//===================================================================================

class TNotifierBehavior : public TBehavior, MDependable_AC
{
	MA_DECLARE_CLASS;
	
public:
	TNotifierBehavior(IDType itsIdentifier = kNoIdentifier, ChangeID_AC itsChangeType = kNoChange_AC);
	virtual ~TNotifierBehavior();

	virtual void DoPostCreate(TDocument* itsDocument);
	virtual void DoEvent(EventNumber eventNumber, TEventHandler* source,TEvent* event);
	virtual void ReadFrom(CStream_AC* aStream);
	virtual void ResignedTarget();
	virtual IDType GetStandardSignature() const;

public:
	ChangeID_AC fChangeID;
	TDocument* fDocument;
};

#endif