//----------------------------------------------------------------------------------------
// UQD3DApplication.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UQD3DApplication__
#include "UQD3DApplication.h"
#endif

#ifndef __UViewerDocument__
#include "UViewerDocument.h"
#endif

#ifndef __UQD3DDocument__
#include "UQD3DDocument.h"
#endif

#ifndef __UQD3DViewer__
#include "UQD3DViewer.h"
#endif

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:
const OSType 		kSignature			= 'SS13';			// Application signature

const CommandNumber cNewViewerDoc		=  cNew + 1; 		// New Viewer Command

//========================================================================================
// CLASS TQD3DApplication
//========================================================================================
#undef Inherited
#define Inherited TApplication


MA_DEFINE_CLASS_M1(TQD3DApplication, Inherited);

//----------------------------------------------------------------------------------------
// TQD3DApplication constructor
//----------------------------------------------------------------------------------------


TQD3DApplication::TQD3DApplication() :
	TApplication(kMac3DMFFileType, kSignature)
{
}

//----------------------------------------------------------------------------------------
// TQD3DApplication destructor
//----------------------------------------------------------------------------------------


TQD3DApplication::~TQD3DApplication()
{
}

//----------------------------------------------------------------------------------------
// TQD3DApplication::DoMakeDocument:
//----------------------------------------------------------------------------------------

			
TDocument* TQD3DApplication::DoMakeDocument(CommandNumber  itsCommandNumber, TFile* itsFile)
{
	TDocument* theDocument = NULL;
	
	switch (itsCommandNumber)
		{
			case cOpen:
			case cFinderOpen:
			case cNewViewerDoc:
				theDocument = TH_new TViewerDocument(itsFile);
			break;

			case cFinderNew:
			case cNew:
				theDocument = TH_new TQD3DDocument;
			break;
			
			default:
			 	theDocument = Inherited::DoMakeDocument(itsCommandNumber,itsFile);
			break;
		}
		
	return theDocument;
}

//----------------------------------------------------------------------------------------
// TQD3DApplication::DoSetupMenus:
//----------------------------------------------------------------------------------------

		
void TQD3DApplication::DoSetupMenus()
{
	Inherited::DoSetupMenus();

	// This menu command will be handled by the inherited DoMenuCommand
	// and will pass cNewViewerDoc to DoMakeDocument
	Enable(cNewViewerDoc, !MemSpaceIsLow());
}


//----------------------------------------------------------------------------------------
// End of UQD3DApplication.cp


