//----------------------------------------------------------------------------------------
// UQD3DBox.h
// Copyright  1997 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UQD3DBOX__
#define __UQD3DBOX__

#ifndef  __UQD3DCOMMON__
#include "UQD3DCommon.h"
#endif

#ifndef __UVIEW__
#include "UView.h"
#endif

//QuickDraw3D
#ifndef  QD3DView_h
#include "QD3DView.h"
#endif

#ifndef  QD3DGeometry_h
#include "QD3DGeometry.h"
#endif

#ifndef   QD3DGroups_h
#include "QD3DGroup.h" 
#endif


//----------------------------------------------------------------------------------------
// TQD3DBox 
//----------------------------------------------------------------------------------------
class TQD3DBox
{

  public:	
  
	TQD3DBox(float ambience = 0,
					TQ3ColorRGB theColor = zeroedQ3Color,
					TQ3Point3D theOrigin = zeroedOrigin,
					TQ3Vector3D theOrientation = zeroedVector,
					TQ3Vector3D majorAxis = zeroedVector,
					TQ3Vector3D minorAxis = zeroedVector); 

	virtual ~TQD3DBox();
	
	inline TQ3GeometryObject GetQD3DBox()  {return fQD3DBox;}
	
	// ---------------------------------------------------------
	// Data Sets
	// ---------------------------------------------------------
	
	virtual void 		SetData(TQ3BoxData theBoxData);
	virtual TQ3BoxData 	GetData();
	
	// ---------------------------------------------------------
	// Origin
	// ---------------------------------------------------------
	
	virtual	void  		SetOrigin(TQ3Point3D theOrigin);
	virtual	TQ3Point3D  GetOrigin();
	
	// ---------------------------------------------------------
	// Orientation
	// ---------------------------------------------------------
	
	virtual	void  		SetOrientation(TQ3Vector3D theOrientation);
	virtual	TQ3Vector3D GetOrientation();
	
	// ---------------------------------------------------------
	// Axis Information
	// ---------------------------------------------------------
	
	virtual	void  		SetMajorAxis(TQ3Vector3D theMajorAxis);
	virtual TQ3Vector3D GetMajorAxis();
	virtual void  		SetMinorAxis(TQ3Vector3D theMinorAxis);
	virtual TQ3Vector3D GetMinorAxis();
	
	// ---------------------------------------------------------
	// Attributes
	// ---------------------------------------------------------
	virtual	void  			SetFaceAttributeSet(unsigned long faceIndex, TQ3AttributeSet theAttributeSet);
	virtual	TQ3AttributeSet GetFaceAttributeSet(unsigned long faceIndex);

  protected:
	TQ3GeometryObject	  fQD3DBox;

};


#endif
