//----------------------------------------------------------------------------------------
// UQD3DDocument.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UQD3DDocument__
#include "UQD3DDocument.h"
#endif

// MacApp

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif

#ifndef __UWINDOW__
#include "UWindow.h"
#endif

//========================================================================================
// CLASS TQD3DDocument
//========================================================================================
#undef Inherited
#define Inherited TDocument


MA_DEFINE_CLASS_M1(TQD3DDocument, Inherited);

//----------------------------------------------------------------------------------------
// TQD3DDocument constructor 
//----------------------------------------------------------------------------------------


TQD3DDocument::TQD3DDocument():
	fQD3DWindow(NULL)
{
}

//----------------------------------------------------------------------------------------
// TQD3DDocument destructor
//----------------------------------------------------------------------------------------


TQD3DDocument::~TQD3DDocument()
{
}

//----------------------------------------------------------------------------------------
// TQD3DDocument::DoMakeViews: 
//----------------------------------------------------------------------------------------


void TQD3DDocument::DoMakeViews(bool /*forPrinting*/)
{
	fQD3DWindow = dynamic_cast_AC(TQD3DViewWindow*,gViewServer->NewTemplateWindow(kDefaultWindowID, this));
} 

//----------------------------------------------------------------------------------------
// TQD3DDocument::DoUpdate: 
//----------------------------------------------------------------------------------------


void TQD3DDocument::DoUpdate(ChangeID_AC 			theChange,
								MDependable_AC* 		changedObject,
							 	void*				changeData,
							 	CDependencySpace_AC*	dependencySpace)
{
	switch(theChange)
	{
		case kOriginChange:
			fQD3DWindow->CalculateOrigin();
		break;
		
		case kOrientationChange:
			fQD3DWindow->CalculateOrientation();
		break;
		
		case kMajorAxisChange:
			fQD3DWindow->CalculateMajorAxis();
		break;
		
		case kMinorAxisChange:
			fQD3DWindow->CalculateMinorAxis();
		break;
		
		default:
		inherited::DoUpdate(theChange,changedObject,changeData,dependencySpace);
		break;
	}
}

//----------------------------------------------------------------------------------------
// End of UQD3DDocument.cp


