//----------------------------------------------------------------------------------------
// UQD3DLight.h
// Copyright  1997 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UQD3DLight__
#define __UQD3DLight__

#ifndef  __UQD3DCOMMON__
#include "UQD3DCommon.h"
#endif


//QuickDraw3D
#ifndef  QD3D_h
#include "QD3D.h"
#endif

#ifndef  QD3DLights_h
#include "QD3DLight.h"
#endif

//----------------------------------------------------------------------------------------
// TQD3DLight 
//----------------------------------------------------------------------------------------

class TQD3DLight
{

  public:	
  
	TQD3DLight(lightingType theLightType = kAmbientLight,
					TQ3Boolean isOn = kQ3False,
					float brightness = 0.0,
					TQ3ColorRGB lightColor = zeroedQ3Color,
					TQ3Boolean castShadows = kQ3False,
					TQ3Vector3D direction = zeroedVector,
					TQ3AttenuationType AttenuationType = kQ3AttenuationTypeNone,
					TQ3Point3D location = zeroedOrigin,
					float hotAngle = 0.0,
					float outerAngle = 0.0,
					TQ3FallOffType fallOff = kQ3FallOffTypeNone); 

	virtual ~TQD3DLight();
	
		TQ3LightObject 		f3DLightObject;

  protected:
		lightingType		fLightType;
		TQ3Boolean			fIsOn;
		float 				fBrightness;
		TQ3ColorRGB			fLightColor;
		TQ3Boolean			fCastsShadows;
		TQ3Vector3D			fDirection;
		TQ3AttenuationType 	fAttenuation;
		TQ3Point3D			fLocation;
		float				fHotAngle;
		float				fOuterAngle;
		TQ3FallOffType		fFallOff;
};


#endif
