//----------------------------------------------------------------------------------------
// UQD3DViewWindow.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __U3DViewWindow__
#define __U3DViewWindow__

#ifndef __UQD3DBOX__
#include "UQD3DBox.h"
#endif

#ifndef __UQD3DVIEW__
#include "UQD3DView.h"
#endif

#ifndef __UCLUSTER__
#include "UCluster.h"
#endif


//----------------------------------------------------------------------------------------
// Constants

const IDType kQD3DView 			= 'q3d1';
const IDType kWireFrameRadio 	= 'wirE';
const IDType kInteractiveRadio 	= 'intR';

const IDType kRotationPopup		= 'rotS';
const IDType kRotationCheckbox  = 'rtCB';

const IDType kShadingCluster		= 'ilCL';
const IDType kNoIlluminationRadio 	= 'nonE';
const IDType kPhongRadio 			= 'phnG';
const IDType kLambertRadio 			= 'lamB';

const IDType kTexturePopup			= 'texP';
const IDType kDragTextureCheckbox  	= 'sDDt';

const short kMacAppLogoID	= 127;
const short kMacOSLogoID	= 128;
const short kMapID			= 129;
const short kOpenDocLogoID	= 130;


const IDType kXOrigin		= 'Xorg';
const IDType kYOrigin		= 'Yorg';
const IDType kZOrigin		= 'Zorg';

const IDType kXOrientation	= 'Xort';
const IDType kYOrientation	= 'Yort';
const IDType kZOrientation	= 'Zort';

const IDType kXMajorAxis	= 'Xmaj';
const IDType kYMajorAxis	= 'Ymaj';
const IDType kZMajorAxis	= 'Zmaj';

const IDType kXMinorAxis	= 'Xmin';
const IDType kYMinorAxis	= 'Ymin';
const IDType kZMinorAxis	= 'Zmin';

const IDType kXRotation		= 'Xrot';
const IDType kYRotation		= 'Yrot';
const IDType kZRotation		= 'Zrot';

//===================================================================================
// Class TQD3DViewWindow
//===================================================================================

class TQD3DViewWindow : public TWindow
{
	MA_DECLARE_CLASS;
	
public:
	
	TQD3DViewWindow();
	virtual ~TQD3DViewWindow();
	virtual void DoPostCreate(TDocument* itsDocument);
	virtual void DoEvent(EventNumber eventNumber, TEventHandler* source,TEvent* event);

	virtual void CalculateOrigin();
	virtual void CalculateOrientation();
	virtual void CalculateMajorAxis();
	virtual void CalculateMinorAxis();
	
private:
	virtual void SetupRotationData();
	virtual void SetupBoxData(TQD3DBox* aBox);


	TQD3DView* 	fQD3DView;
	TPopup*		fRotationPopup;
	TCheckBox* 	fRotationCheckbox;
	TCluster* 	fShadingCluster;
	TCheckBox*	fDragTextureCheckbox;
	TNumberText* fXOrigin;
	TNumberText* fYOrigin;
	TNumberText* fZOrigin;
	TNumberText* fXOrientation;
	TNumberText* fYOrientation;
	TNumberText* fZOrientation;
	TNumberText* fXMajor;
	TNumberText* fYMajor;
	TNumberText* fZMajor;
	TNumberText* fXMinor;
	TNumberText* fYMinor;
	TNumberText* fZMinor;
	TNumberText* fXRotView;
	TNumberText* fYRotView;
	TNumberText* fZRotView;
};

#endif