//----------------------------------------------------------------------------------------
// UMovieViewer.h
// Copyright  1996-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UMovieViewer__
#define __UMovieViewer__

//MacApp
#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

#ifndef __UFILEBASEDDOCUMENT__
#include "UFileBasedDocument.h"
#endif

#ifndef __UQUICKTIME__
#include "UQuickTime.h"
#endif

//----------------------------------------------------------------------------------------
// TMovieViewerApplication
//----------------------------------------------------------------------------------------

class TMovieViewerApplication : public TApplication
{
	MA_DECLARE_CLASS;

public:

	TMovieViewerApplication();

	virtual ~TMovieViewerApplication();

	virtual TDocument* DoMakeDocument(CommandNumber itsCommandNumber,
											 TFile* itsFile);//	Override
};


//----------------------------------------------------------------------------------------
// TMovieViewerDocument
//----------------------------------------------------------------------------------------

class TMovieViewerDocument : public TFileBasedDocument
{
	MA_DECLARE_CLASS;

public:
	TMovieViewerDocument(TFile* itsFile = NULL,
											 OSType itsCreator = kNoIdentifier);

	virtual ~TMovieViewerDocument();

	// Views
	virtual void DoMakeViews(bool forPrinting);// Override

private:

	CAutoPtr_AC<TMovie> fMovie;
};
#endif


