// CReporterExampleAppApp.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __CReporterExampleApp__
#define __CReporterExampleApp__

// MacApp

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

// ACS 

#ifndef __CAutoPtr_AC__
#include "CAutoPtr_AC.h"
#endif

#ifndef __ULogWindow__
#include "ULogWindow.h"
#endif


class CReporter_AC;

//----------------------------------------------------------------------------------------
// CReporterExampleApp
//----------------------------------------------------------------------------------------

class CReporterExampleApp:	public TApplication
{
public:
	// public interface

	CReporterExampleApp();
		// Constructor
	virtual ~CReporterExampleApp();
		// Destructor
		
	void Start();
		
protected:
										
// MacApp overrides

	virtual TDocument* DoMakeDocument(CommandNumber , TFile* )	{ return NULL; }
		
	virtual void DoSetupMenus(); 

	virtual void DoMenuCommand(CommandNumber aCommandNumber); 

private:
	TLogWindow 					fLog;

	CAutoPtr_AC<CReporter_AC> 	fReporter;
	enum eReporter
	{
		kDefault,
		kAlert,
		kLog
	};
	
	eReporter 					fCurReporter;
};	


#endif
