/*-------------------------------------------------------------------------------------------

Program:	FracApp 3.1

by Keith Rollin & Bo3b Johnson
of Apple Macintosh Developer Technical Support

Threads support by Tom Becker
PowerPC version by Jeroen Schalk

Copyright  1988-1994 Apple Computer, Inc.
All rights reserved.

--------------------------------------------------------------------------------------------*/

#ifndef __FRACRECORD__
#define __FRACRECORD__

#ifndef __MACAPPTYPES__
#include <MacAppTypes.h>
#endif

#ifndef __CEXTENDED__
#include <CExtended.h>
#endif

#ifndef __THREADS__
#include <Threads.h>
#endif

//-------------------------------------------------------------------------------------------

#if qPerform
#define qUseTimeManager		0
#else
#define qUseTimeManager		0
#endif
	// time manager support
	
#ifndef qUseAsmComputation
	// use external 68K asm core computation routine

#if qPowerPC
#define qUseAsmComputation 0
#else
#define qUseAsmComputation 0
#endif
#endif
	// PowerPC rules, OK!

#ifndef qUseThreads
#define qUseThreads 1
#endif
	// use the Thread manager

//-------------------------------------------------------------------------------------------

 /* The following record is used to define data in two places. First of all, it
	is included in the set of data that defines a fractal document, and is saved
	to disk in the PICT header part. It is also used for a global variable that
	we use when creating a new document during a zoom or multipage operation; it
	contains the minimum amount of information for creating a new fractal
	document. */

#if defined(powerc) || defined (__powerc)
#pragma options align=mac68k
#endif
typedef struct PageRecord
{
	extended80	realMin;		// 10 These are valid for any doc
	extended80	realMax;		// 10
	extended80	imagMin;		// 10
	extended80	imagMax;		// 10
	bool		multiPaging;	//  2 Whether or not we are multipaging
	short		currentH;		//  2 only make sense if above is true
	short		currentV;		//  2 These two hold the current page
	short		maxH;			//  2 These two hold the range of pages
	short		maxV;			//  2
};								
#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif

//-------------------------------------------------------------------------------------------

 /* The header record for each of the files saved by FracApp. This header
	includes the pertinent data that allows a fractal to be restarted, as well as
	displayed on the screen. */

#if defined(powerc) || defined (__powerc)
#pragma options align=mac68k
#endif
typedef struct FracRecord
{
	OSType		fType; 			//  4 set as Arfz for these documents.
	short		hdrId;			//  2 FA - FracApp header ID.
	short		version;		//  2 file version decides type of file.
	bool		done;			//  2 if the fractal is finished or not.
	long		elapsed;		//  4 time in msec taken so far.
	long		startingTime;	//  4 result from GetDateTime (secs)
	long	 	endingTime;		//  4 result from GetDateTime (secs)
	long		areaComplete;	//  4 amount of the fractal completed
	bool		use32BitCQD;	//  2 Kind of offworlder to use.
	PageRecord	pages;		 	// 58 holds info on the current page
	extended80 	deltaP;			// 10 horz step size in fractal space.
	extended80 	deltaQ;			// 10 vert step size in fractal space.
	long		plotWidth;		//  4 width of fractal area in pixels.
	long	 	plotHeight;		//  4 height of fractal area in pixels.
	Rect		calcRect;		//  8 rectangle surrounding the window it was built for. */
};								
#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif

#endif
