//----------------------------------------------------------------------------------------
// UFracThread.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UFracThread__
#define __UFracThread__

#ifndef __CThread_AC__
#include "CThread_AC.h"
#endif

class CFracAppEngine;

class	TFracThread : public CThread_AC 
{

public:

	TFracThread(CFracAppEngine* theEngine = NULL);
		// primary constructor

	virtual ~TFracThread();
		// Destructor

private:
	TFracThread& operator=(const TFracThread& sourceThreadProgram);
		

public:
	virtual CAbstractThreadSchedule_AC* GetThreadSchedule();
		// Returns the CThreadSchedule_AC object to be used in the thread.
		// This is overridden to provide MP threads.

	virtual void Run();
		// Represents the entry point for the code to be run in the thread
		// Override this method to provide the code the thread is to execute.

private:
	CFracAppEngine* fEngine;
	static CAutoPtr_AC<CAbstractThreadSchedule_AC>		fSchedule;

};

#endif