//----------------------------------------------------------------------------------------
// MSimpleThreads.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------


// SimpleThreads

#ifndef __UApplicationSimpleThreads__
#include "UApplicationSimpleThreads.h"
#endif

// MacApp

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UGRIDVIEW__
#include "UGridView.h"
#endif

#ifndef __USIMPLETHREADSVIEW__
#include "USimpleThreadsView.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UPRINTING__
#include "UPrinting.h"
#endif

// Grayscale appearance

#ifndef __UBACKGROUNDADORNER__
#include "UBackgroundAdorner.h"
#endif

#ifndef __UCONTEXTMENUBEHAVIOR__
#include "UContextMenuBehavior.h"
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
void main()
{
	InitUMacApp(4);										// Initialize MacApp with 4 calls to MoreMasters
	InitUPrinting();									// Initialize the printing gear
	InitUSimpleThreadsView();							// Initialize the application's view unit.
	InitUTEView();										// Initialize the text editing unit 
	InitUDialog();										// Initialize the dialog unit
	InitUGridView();									// Initialize the GridView unit
	
	InitUBackgroundAdorner();
	/*	Typically, you will have a few of your own initialization routines here
		which are used to prevent dead code stripping. */

	TApplicationSimpleThreads anApplicationSimpleThreads;	// Allocate application object

#if qWantsContextualMenus
	// This example demonstrates one use for contextual menus; add the behavior.
	anApplicationSimpleThreads.AddBehavior(TH_new TContextMenuBehavior());
#endif

	anApplicationSimpleThreads.Run();						//	Well lets run it then!
}

//----------------------------------------------------------------------------------------
// End of MSimpleThreads.cp
