//----------------------------------------------------------------------------------------
// USimpleThreadsApplication.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UApplicationSimpleThreads__
#include "UApplicationSimpleThreads.h"
#endif

#ifndef __UDocumentSimpleThreads__
#include "UDocumentSimpleThreads.h"
#endif

// MacApp Includes

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const OSType kSignature			= 'SS01';			// Application signature
		
//========================================================================================
// CLASS TApplicationSimpleThreads
//========================================================================================
#undef Inherited
#define Inherited TApplication

//----------------------------------------------------------------------------------------
// TApplicationSimpleThreads constructor
//----------------------------------------------------------------------------------------


TApplicationSimpleThreads::TApplicationSimpleThreads() :
TApplication(kFileType, kSignature)
{
	// Initialize fields to safe values here
}

//----------------------------------------------------------------------------------------
// TApplicationSimpleThreads destructor
//----------------------------------------------------------------------------------------


TApplicationSimpleThreads::~TApplicationSimpleThreads()
{
}

//----------------------------------------------------------------------------------------
// TApplicationSimpleThreads::DoMakeDocument: This method is overridden to return a document
// object of the appropriate class for this application. MacApp calls this method when the
// user chooose New or Open from the File menu. For applications which hande multiple
// document types, the command number can be used to discriminate between different user
// requests. The file object represents the file chosen by the user in the Standard File
// dialog.
//----------------------------------------------------------------------------------------

			
TDocument* TApplicationSimpleThreads::DoMakeDocument(CommandNumber /* itsCommandNumber */,
														TFile* itsFile) // Override 
{
	return TH_new TDocumentSimpleThreads(itsFile,kSignature);
} // TApplicationSimpleThreads::DoMakeDocument 


//----------------------------------------------------------------------------------------
// End of UApplicationSimpleThreads.cp


