// UDocumentSimpleThreads.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UDocumentSimpleThreads__
#define __UDocumentSimpleThreads__

#ifndef __UFILEBASEDDOCUMENT__
#include "UFileBasedDocument.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------

// Files

const OSType kFileType = 'SF01';	// File-type code used for document files 

// Events sent to views

const EventNumber mStartThread	= 1000;
const EventNumber mStopThread	= 1001;
const EventNumber mToggleThread	= 1002;


//----------------------------------------------------------------------------------------
// TDocumentSimpleThreads
//----------------------------------------------------------------------------------------
class TDocumentSimpleThreads: public TFileBasedDocument
{
	MA_DECLARE_CLASS;
	
  public:
	TDocumentSimpleThreads(TFile* itsFile = NULL, OSType itsCreator = kNoIdentifier); 
	virtual ~TDocumentSimpleThreads();
	
	virtual void  DoInitialState();
	virtual void  FreeData();
			
	// Views
	virtual void  DoMakeViews(bool forPrinting);

	// Commands
	virtual void  DoSetupMenus();
	virtual void  DoMenuCommand(CommandNumber aCommandNumber);

	// Saving and Restoring
	virtual void  DoNeedDiskSpace(TFile* itsFile,
								  long& dataForkBytes,
								  long& rsrcForkBytes);
	virtual void  DoRead(TFile* aFile,
						 bool forPrinting);
	virtual void  DoWrite(TFile* aFile,
						  bool makingCopy);
	
	SInt16 GetThreadStyle() const { return fThreadStyle; }
	
protected:
	// TBD - add runtime switch for using MP threads
	enum { kNoThreads, kThreadMgrThreads, kMPThreads };

	SInt16	fThreadStyle; // use enums
	
	TView*	fThread1;
	TView*	fThread2;
	TView*	fThread3;
	TView*	fThread4;
	TView*	fThread5;
	TView*	fThread6;
};

#endif
