// USimpleThreadsView.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __USIMPLETHREADSVIEW__
#define __USIMPLETHREADSVIEW__

#ifndef __UVIEW__
#include "UView.h"
#endif

//----------------------------------------------------------------------------------------
// Forward and external classes
//----------------------------------------------------------------------------------------

//class TDocumentSimpleThreads;
class CThreadRunner_AC;
class TSimpleThread;

//----------------------------------------------------------------------------------------
// TSimpleThreadsView
//----------------------------------------------------------------------------------------

class TSimpleThreadsView: public TView
{
	MA_DECLARE_CLASS;
	
  public:
	TSimpleThreadsView(const CViewPoint& itsLocation = gZeroVPt,
					   const CViewPoint& itsSize = gZeroVPt); 
		// Constructor
	
	virtual ~TSimpleThreadsView();
		// Destructor
	
	virtual void DoPostCreate(TDocument* itsDocument); // Override
						   
	// Drawing
	virtual void Draw(const CViewRect& area); // Override
	
	// Commands
	virtual void DoEvent(EventNumber eventNumber, TEventHandler* source, TEvent* event); // Override
		
	// Thread example code
	
	void StartThreadExample();
		// Creates a thread and runs it, storing its thread runner in fThread.
		
	void StopThreadExample();
		// Stops fThread by requesting a shutdown and joining the thread (waiting for it to stop).
	
	void DrawSpirograph(int& iter);
		// Draws a portion of a spirograph.

#if qWantsContextualMenus
	// Commands
	virtual void  DoSetupMenus();
	virtual void  DoMenuCommand(CommandNumber aCommandNumber);
		
	virtual void GetContextualMenu(MenuRef& theMenuRef, CAEDesc& theSelection);
	// Contextual menu example code
#endif

  private:
	CThreadRunner_AC* fThread;		// Runner for the thread that is calling DrawSpirograph.
};

//----------------------------------------------------------------------------------------
// Global initialization procedure
//----------------------------------------------------------------------------------------

extern void InitUSimpleThreadsView();
	// Call this routine at initialization time

#endif
