// CalcUtilities.h
// Copyright  1986-97 by Apple Computer, Inc. All rights reserved. 

/*
	This unit contains some utility routines for the Calc sample application.
	It demonstrates how to use a library unit in a MacApp application.
*/

#ifndef __CALCUTILITIES__
#define __CALCUTILITIES__

/*  requirements for this unit's interface. */

// MacApp

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

// Toolbox

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif



		// Formatting and Drawing routines 

		void FitString(CStr255_AC& theString,
					   short maxWidth);

		CRect_AC GetRgnBounds(RgnHandle aRgn);
		// returns the enclosed CRect_AC of the rgn's bbox (subtracts 1 from right and bottom) 

		bool IsDigit(char Ch);

		void SetEditCommandName(CommandNumber theCommand, 
								CommandNumber customCommand);

		void SetTheFont(short fontNumber, 
						short fontSize,
						Style fontStyle);

		void SmartDrawString(CStr255_AC& theString,
							 CRect_AC area,
							 short justification);

		// Reading and Writing 

		void ReadScrap(Handle theScrap,
					   long& scrapOffset,
					   void* theData,
					   short dataLength);

		void WriteScrap(Handle theScrap,
						long& scrapOffset,
						void* theData,
						short dataLength);
		

#endif
