//----------------------------------------------------------------------------------------
// UODGraphView.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#if qALOE

#ifndef __UODGraphView__
#include "UODGraphView.h"
#endif

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif

// ANSI

#ifndef __LIMITS__
#include <limits.h>
#endif

// MacApp

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UCOREGLOBALS__
#include "UCoreGlobals.h"
#endif

#ifndef __UODPARTVIEW__
#include "UODPartView.h"
#endif

//========================================================================================
// CLASS TODGraphView
//========================================================================================
#undef Inherited
#define Inherited TODPartView


MA_DEFINE_CLASS_M1(TODGraphView, Inherited);

TODGraphView::TODGraphView(const CViewPoint& itsLocation,
				const CViewPoint& itsSize,
				SizeDeterminer itsHSizeDet,
				SizeDeterminer itsVSizeDet) :
			TODPartView(itsLocation, itsSize, itsHSizeDet, itsVSizeDet, NULL)
{

}

//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------


TODGraphView::~TODGraphView()
{
}

//----------------------------------------------------------------------------------------
// GraphData
//----------------------------------------------------------------------------------------


void TODGraphView::GraphData(Handle data)
{
	if (fAdaptor || fAdaptorView)
	{
		// assignment to NULL deletes these autoptr objects
		fAdaptor = NULL;
		fAdaptorView = NULL;
	}

	// This is the ISO string name of the Corda C-Graph part	
	#define kODISOPrefix 			   "+//ISO 9070/ANSI::113722::US::CI LABS::"
	#define kGraphPartISO kODISOPrefix "Corda:Kind:CGraph"

	CTempHandleLock_AC hLock(data);
	NewAdaptorAndView(kGraphPartISO, *data, GetHandleSize(data));
}

//----------------------------------------------------------------------------------------
// SetFrame
//----------------------------------------------------------------------------------------


void TODGraphView::SetFrame(const CViewRect& newFrame, bool invalidate)
{
	Inherited::SetFrame(newFrame, invalidate);
	
	// Always size graph to our extent
	SizeAdaptorToView();
}

//----------------------------------------------------------------------------------------
// InitUODGraphView: 
//----------------------------------------------------------------------------------------


void InitUODGraphView()
{
	MA_REGISTER_CLASS(TODGraphView);
} 

#endif
//----------------------------------------------------------------------------------------
// End of UODGraphView.cp


