//----------------------------------------------------------------------------------------
// UODGraphView.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UODGraphView__
#define __UODGraphView__

#ifndef __UODPARTVIEW__
#include "UODPartView.h"
#endif

// MacApp

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

#if qALOE

//----------------------------------------------------------------------------------------
// TODGraphView
//----------------------------------------------------------------------------------------
class TODGraphView : public TODPartView
{
	MA_DECLARE_CLASS;
	
	public:
		TODGraphView(const CViewPoint& itsLocation = gZeroVPt,
				const CViewPoint& itsSize = gZeroVPt,
				SizeDeterminer itsHSizeDet = sizeVariable,
				SizeDeterminer itsVSizeDet = sizeVariable);

		virtual void			GraphData(Handle data);
			// Graph the data
			
		virtual void			SetFrame(const CViewRect& newFrame, bool invalidate);
			// Always size graph to our extent
		
		virtual 				~TODGraphView();

};
#endif


//----------------------------------------------------------------------------------------
// Initialization for this file
//----------------------------------------------------------------------------------------

extern void InitUODGraphView();

#endif
