// DemoText.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif


#ifndef THINK_Rez

#if qDebug | qPerform
	include "Debug.rsrc" not 'ckid';
	include "Dialog.rsrc" not 'ckid';
#endif

include "MacApp.rsrc" not 'ckid';
include "Printing.rsrc" not 'ckid';

#ifndef MW_Rez
include $$Shell("ObjApp")"TEDocument.rsrc" not 'ckid';


#if !qNoCode
include $$Shell("ObjApp")$$Shell("XAppName") 'CODE';
#if qModelCFM
include $$Shell("ObjApp")$$Shell("XAppName") 'cfrg';
include $$Shell("ObjApp")$$Shell("XAppName") 'rseg';
#endif
#endif
#endif // !MW_Rez

#endif // !THINK_Rez


/* Resource ids */

#define kFileTooBig		1000				/* The 'File is too large' alert */
#define kWindowRsrcID	1004
#define kViewRsrcID		1005

#define kPromptsRsrcID	1005				/* STR# resource containing prompts */

#define mText			5					/* Menu IDs */
#define mFormat 		7

#define mStyle			   8				/* Hierarchical sub-menus */
#define mSize			   9
#define mFont			  10
#define mColor			  11
#define hmStyle			"\0x08"				/* Byte values of hierarchical menu ids */
#define hmSize			"\0x09"
#define hmFont			"\0x0A"
#define hmColor			"\0x0B"

#define mScripts		66
#define kScriptMenuStrings	66				/* STR# resource containing script menu strings */


/* Command numbers */

#define cWidthSuperView	 701				/* View-width-determination commands */
#define cWidthView		 702
#define cWidthOnePage	 703

#define cHeightSuperView 704				/* View-height-determination commands */
#define cHeightPages	 705
#define cHeightText		 706
#define cHeightConst	 707

#define cJustForceLeft	 708				/* Justification commands */
#define cJustCenter		 709
#define cJustRight		 710
#define cJustSystem		 711

#define cPlainText		720					/* Typestyle attributes */
#define cBold			721
#define cItalic 		722
#define cUnderline		723
#define cOutline		724
#define cShadow 		725
#define cCondense		726
#define cExtend 		727

#define cSizeChange 	800					/* Font-size commands */
#define cSizeBase		800
#define cSizeMin		809
#define cSizeMax		896
#define cSizeGrow		898
#define cSizeShrink 	899

#define cJustChange 	730					/* Command numbers to cover other stylistic changes */
#define cFontChange 	731

#define cStyle			750					/* Command numbers for the hierarchial menu */
#define cSize			751
#define cFont			752
#define cColor			753

#define cColorChange	760					/* Command numbers for changing colors */
#define cColorText		761
#define cColorBackground 762

#define kSignature		'SS04'				// Application signature
#define kFileType		'TEXT'				// Application file type
#define kStationery		'sEXT'				// Application stationery type
#define kDefaultWindowTitle 1006



resource 'STR#' (kPromptsRsrcID, purgeable) {
	{
/* [ 1] */	"Select a new text color",
/* [ 2] */	"Select background color"
	}
};

resource 'STR#' (kScriptMenuStrings, purgeable) {
	{
/* [ 1] */	"Scripts",
/* [ 2] */	"Globals",
/* [ 3] */	"Shared Handlers",
/* [ 4] */	"Startup"
	}
};

#ifndef MW_Rez					// MW projects supply size resource for us
resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qDebug
	1500 * 1024,
	1475 * 1024
#else
	1375 * 1024,
	1350 * 1024
#endif
};
#endif //MW_Rez
/*--------------------------------------------------------------------------------
	memory stuff
--------------------------------------------------------------------------------*/
resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};

#ifndef MW_Rez 	// Metrowerks will supply it's own cfrg
#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"DemoText"
	}
};
#endif
#endif // MW_Rez

resource 'DITL' (phAboutApp, purgeable) {
	 {
/* [ 1] */	{167, 288, 187, 348},
			Button {
				enabled,
				"OK"
			};
/* [ 2] */	{10, 75, 154, 348},
			StaticText {
				disabled,
					"This sample program demonstrates how to use various features of "
					"the TEView building block of MacApp.\n"
					WRITTEN_WITH_MACAPP
			};
/* [ 3] */	{10, 20, 42, 52},
			Icon {
				disabled,
				noteIcon
			}
	}
};

include "Defaults.rsrc"  'ALRT' (phAboutApp);	// Grab the default about box

include "Defaults.rsrc"	'aete' (0);				// Grab the default AppleEvent terminology
include "Defaults.rsrc" 'CMNU' (mApple);		// Grab the default Apple/File menus
include "Defaults.rsrc" 'CMNU' (mFile);

resource 'CMNU' (mEdit,
#if qNames
"mEdit",
#endif
nonpurgeable) {
	mEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	 {
	"Undo",				noIcon,	"Z",	noMark,	plain,	cUndo;
	"Redo",				noIcon, "R",	noMark, plain,  cRedo;
	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
	"Cut",				noIcon,	"X",	noMark,	plain,	cCut;
	"Copy",				noIcon,	"C",	noMark,	plain,	cCopy;
	"Paste",			noIcon,	"V",	noMark,	plain,	cPaste;
	"Clear",			noIcon,	noKey,	noMark,	plain,	cClear;
	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
	"Select All",		noIcon,	"A",	noMark,	plain,	cSelectAll;
	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
	"Show Clipboard",	noIcon,	noKey,	noMark,	plain,	cShowClipboard;
	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
	"Show Page Breaks",	noIcon, noKey,	noMark,	plain,	cShowBreaks
	}
};

resource 'CMNU' (mText,
#if qNames
"mText",
#endif
nonpurgeable) {
	mText,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Text",
	 {
/* [ 1] */	"View as wide as SuperView",
								noIcon,	noKey,	noMark,	plain,	cWidthSuperView;
/* [ 2] */	"View width frozen",
								noIcon,	noKey,	noMark,	plain,	cWidthView;
/* [ 3] */	"View as wide as one page",
								noIcon,	noKey,	noMark,	plain,	cWidthOnePage;
/* [ 4] */	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
/* [ 5] */	"View as high as the SuperView",
								noIcon,	noKey,	noMark,	plain,	cHeightSuperView;
/* [ 6] */	"View height an exact number of pages",
								noIcon,	noKey,	noMark,	plain,	cHeightPages;
/* [ 7] */	"View as high as its content",
								noIcon,	noKey,	noMark,	plain,	cHeightText;
/* [ 8] */	"View height frozen",
								noIcon,	noKey,	noMark,	plain,	cHeightConst;
/* [ 9] */	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
/* [10] */	"System justified",	noIcon,	noKey,	noMark,	plain,	cJustSystem;
/* [11] */	"Force Left justified",	noIcon,	noKey,	noMark,	plain,	cJustForceLeft;
/* [12] */	"Center justified",	noIcon,	noKey,	noMark,	plain,	cJustCenter;
/* [13] */	"Right justified",	noIcon,	noKey,	noMark,	plain,	cJustRight
	}
};

/* Hierarchical  Format menu with Style, Size and Font submenus */
resource 'CMNU' (mFormat,
#if qNames
"mFormat",
#endif
nonpurgeable) {
	mFormat,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Format",
	 {
/* [ 1] */	"Style",			noIcon, kHierarchicalMenu, hmStyle, plain, cStyle;
/* [ 2] */	"Size",				noIcon, kHierarchicalMenu, hmSize, plain, cSize;
/* [ 3] */	"Font",				noIcon, kHierarchicalMenu, hmFont, plain, cFont;
/* [ 4] */	"Color",			noIcon, kHierarchicalMenu, hmColor, plain, cColor
	}
};

/* Hierarchical Style Sub-menu */
resource 'CMNU' (mStyle,
#if qNames
"mStyle",
#endif
nonpurgeable) {
	mStyle,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Style",
	 {
/* [ 1] */	"Plain Text",		noIcon,	noKey,	noMark,	plain,		cPlainText;
/* [ 2] */	"Bold",				noIcon,	noKey,	noMark,	bold,		cBold;
/* [ 3] */	"Italic",			noIcon,	noKey,	noMark,	italic,		cItalic;
/* [ 4] */	"Underline",		noIcon,	noKey,	noMark,	underline,	cUnderline;
/* [ 5] */	"Outline",			noIcon,	noKey,	noMark,	outline,	cOutline;
/* [ 6] */	"Shadow",			noIcon,	noKey,	noMark,	shadow,		cShadow;
/* [ 7] */	"Condensed",		noIcon,	noKey,	noMark, condense,	cCondense;
/* [ 8] */	"Extended",			noIcon,	noKey,	noMark, extend,		cExtend
	}
};

/* Hierarchical Size Sub-menu */
resource 'CMNU' (mSize,
#if qNames
"mSize",
#endif
nonpurgeable) {
	mSize,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Size",
	 {
/* [ 1] */	"9 Point",			noIcon,	noKey,	noMark,	plain,	cSizeBase+9;
/* [ 2] */	"10 Point",			noIcon,	noKey,	noMark,	plain,	cSizeBase+10;
/* [ 3] */	"12 Point",			noIcon,	noKey,	noMark,	plain,	cSizeBase+12;
/* [ 4] */	"14 Point",			noIcon,	noKey,	noMark,	plain,	cSizeBase+14;
/* [ 5] */	"18 Point",			noIcon,	noKey,	noMark,	plain,	cSizeBase+18;
/* [ 6] */	"24 Point",			noIcon,	noKey,	noMark,	plain,	cSizeBase+24;
/* [ 7] */	"-",				noIcon,	noKey,	noMark,	plain,	nocommand;
/* [ 8] */	"Grow selection",	noIcon,	"]",	noMark,	plain,	cSizeGrow;
/* [ 9] */	"Shrink selection",	noIcon,	"[",	noMark,	plain,	cSizeShrink

	 }
};

/* Font menu for hierarchical or non-hierarchical system */
resource 'MENU' (mFont) {
	mFont,
	textMenuProc,
	allEnabled,
	enabled,
	"Font",
	{ }
};

resource 'CMNU' (mColor,
#if qNames
"mColor",
#endif
nonpurgeable) {
	mColor,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Color",
	{
/* [ 1] */	"Set text color",	noIcon,	"T",	noMark,	plain,	cColorText;
/* [ 2] */	"Set background color",
								noIcon,	"K",	noMark,	plain,	cColorBackground
	}
};

resource 'CMNU' (mBuzzwords,
#if qNames
"mBuzzwords",
#endif
nonpurgeable) {
	mBuzzwords,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Buzzwords",
	{
		"Typing",				noIcon,	noKey,	noMark,	plain,	cTyping;
		"Style Change",			noIcon,	noKey,	noMark,	plain,	cStyleChange;
		"Size Change",			noIcon,	noKey,	noMark,	plain,	cSizeChange;
		"Justification Change",	noIcon,	noKey,	noMark,	plain,	cJustChange;
		"Font Change",			noIcon,	noKey,	noMark,	plain,	cFontChange;
		"Color Change",			noIcon,	noKey,	noMark,	plain,	cColorChange;
		"Page Setup Change",	noIcon,	noKey,	noMark,	plain,	cChangePrinterStyle
#if qDrag
		;
		"Drag",					noIcon, noKey, noMark, plain, cDrag;
		"Drop",					noIcon, noKey, noMark, plain, cDrop;
		"Drag Move",			noIcon, noKey, noMark, plain, cDragMove
#endif
	}
};

//include "ScriptMenuIcon.rsrc";

resource 'CMNU' (mScripts,
#if qNames
"mScripts",
#endif
nonpurgeable) {
	mScripts,
	textMenuProc,
	AllItems,
	enabled,
	"#133", // Use script menu icon instead of "Scripts"
	 {
	}
};

/* Displayed menus on a hierarchical system */
resource 'MBAR' (kMBarDisplayed,
#if qNames
"kHierDisplayedMBar",
#endif
nonpurgeable) {
	{
		mApple; 
		mFile; 
		mEdit; 
		mText; 
		mFormat
	}
};

/* Hierarchial Sub-Menus */
resource 'MBAR' (kMBarHierarchical,
#if qNames
"kMBarHierarchical",
#endif
nonpurgeable) {
	{mStyle; mSize; mFont; mColor}
};

include "Defaults.rsrc"  'STR#' (kDefaultCredits);		// Grab the default credits

resource 'ICN#' (128, "DemoText Family", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 007F 00FE 0081 0102 0080 8203"
		$"0100 8403 0100 4803 0200 5003 0200 2003"
		$"0400 0003 0400 0003 0800 0003 0800 007B"
		$"1000 0193 1000 0623 2000 18C3 2000 2283"
		$"4000 4903 4000 A203 8001 4403 FFF2 8BFF"
		$"7FE4 17FF 7FCF E7FF 0018 0000 0030 0000"
		$"0020 0000 0040 0000 0040 0000 0080 0000"
		$"0080",
		/* [2] */
		$"0000 0000 00FF 01FE 00FF 83FE 01FF 87FF"
		$"01FF CFFF 03FF DFFF 03FF DFFF 07FF FFFF"
		$"07FF FFFF 0FFF FFFF 0FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 3FFF FFFF 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"7FFF FFFF 7FFF FFFF 001F E000 0038 0000"
		$"0038 0000 0070 0000 0060 0000 00E0 0000"
		$"00C0 0000 0040"
	}
};

resource 'ICN#' (129, "DemoText Document", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF FC00 1000 0600 1000 0500 1000 0480"
		$"1000 0440 1000 0420 1000 07F0 1000 0010"
		$"1000 0010 1000 0010 1000 03D0 1000 0C90"
		$"1000 3110 1000 C610 1001 1410 1002 4810"
		$"1005 1010 100A 2010 1014 4010 1020 8010"
		$"107F 0010 10C0 0010 1180 0010 1100 0010"
		$"1200 0010 1200 0010 1400 0010 1400 0010"
		$"1000 0010 1000 0010 1000 0010 1FFF FFF0",
		/* [2] */
		$"1FFF FC00 1FFF FE00 1FFF FF00 1FFF FF80"
		$"1FFF FFC0 1FFF FFE0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
	}
};

resource 'ICN#' (130, "DemoText Stationery", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FFF FFE0 2000 0020 2000 0038 2000 0028"
		$"2000 07A8 2000 1928 2000 6228 2001 8C28"
		$"2002 2828 2004 9028 200A 2028 2014 4028"
		$"2028 8028 2041 0028 20FE 0028 2180 0028"
		$"2300 0028 2200 0028 2400 0028 2400 0028"
		$"2800 0028 2800 0028 2000 0028 2000 0FE8"
		$"2000 0848 2000 0888 2000 0908 2000 0A08"
		$"2000 0C08 3FFF F808 0800 0008 0FFF FFF8",
		/* [2] */
		$"3FFF FFE0 3FFF FFE0 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 0FFF FFF8 0FFF FFF8"
	}
};

resource 'ics#' (128, "DemoText Family", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0707 0489 0851 0821 1001 103D 20C9 2131"
		$"42A1 4541 E8BF 4F7F 1800 1000 2000 20",
		/* [2] */
		$"078F 0FDF 0FFF 1FFF 1FFF 3FFF 3FFF 7FFF"
		$"7FFF FFFF FFFF 7FFF 1C00 1800 3000 30"
	}
};

resource 'ics#' (129, "DemoText Document", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FE0 4030 4028 403C 4004 403C 40CC 4134"
		$"42A4 4544 4884 4F04 5804 5004 6004 7FFC",
		/* [2] */
		$"7FE0 7FF0 7FF8 7FFC 7FFC 7FFC 7FFC 7FFC"
		$"7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC"
	}
};

resource 'ics#' (130, "DemoText Stationery", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FF8 4008 407E 419A 426A 454A 4A8A 510A"
		$"5E0A 700A 607A 4052 4062 7FC2 1002 1FFE",
		/* [2] */
		$"7FF8 7FF8 7FFE 7FFE 7FFE 7FFE 7FFE 7FFE"
		$"7FFE 7FFE 7FFE 7FFE 7FFE 7FFE 1FFE 1FFE"
	}
};

resource 'ics4' (128, "DemoText Family", purgeable) {
	$"0000 0666 7000 7666 0000 7677 6707 6776"
	$"0000 6777 7676 7776 0007 6777 7767 7776"
	$"0006 7777 7777 7776 0076 7777 7733 33D6"
	$"0067 7777 3300 3D76 0767 7773 0033 D776"
	$"0677 7730 303D 7776 7677 7303 03D7 7776"
	$"6666 3000 3D66 6666 0DDD 3333 DDDD DDDD"
	$"0003 3D00 0000 0000 0003 D000 0000 0000"
	$"003D 0000 0000 0000 003D"
};

resource 'ics4' (129, "DemoText Document", purgeable) {
	$"0FFF FFFF FFF0 0000 0F0C 0C0C 0CFF 0000"
	$"0FC0 C0C0 C0FC F000 0F0C 0C0C 0CFF FF00"
	$"0FC0 C0C0 C0C0 CF00 0F0C 0C0C 0C33 3F00"
	$"0FC0 C0C0 3300 3F00 0F0C 0C03 0033 0F00"
	$"0FC0 C030 3030 CF00 0F0C 0303 030C 0F00"
	$"0FC0 3000 30C0 CF00 0F0C 3333 0C0C 0F00"
	$"0FC3 30C0 C0C0 CF00 0F03 0C0C 0C0C 0F00"
	$"0F30 C0C0 C0C0 CF00 0FFF FFFF FFFF FF"
};

resource 'ics4' (130, "DemoText Stationery", purgeable) {
	$"0FFF FFFF FFFF F000 0FCC CCCC CCCC F000"
	$"0FCC CCCC C333 FFF0 0FCC CCC3 3003 FDF0"
	$"0FCC CC30 033C FDF0 0FCC C303 03CC FDF0"
	$"0FCC 3030 3CCC FDF0 0FC3 0003 CCCC FDF0"
	$"0FC3 333C CCCC FDF0 0F33 CCCC CCCC FDF0"
	$"0F3C CCCC CFFF FDF0 0FCC CCCC CFDF DDF0"
	$"0FCC CCCC CFFD DCF0 0FFF FFFF FFDD C0F0"
	$"000F DDDD DDDC 0CF0 000F FFFF FFFF FFF0"
};

resource 'ics8' (128, "DemoText Family", purgeable) {
	$"0000 0000 00EC ECEC C000 0000 C0EC ECEC"
	$"0000 0000 C0EC C0C0 ECC0 00C0 ECC0 C0EC"
	$"0000 0000 ECC0 C0C0 C0EC C0EC C0C0 C0EC"
	$"0000 00C0 ECC0 C0C0 C0C0 ECC0 C0C0 C0EC"
	$"0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0EC"
	$"0000 C0EC C0C0 C0C0 C0C0 D8D8 D8D8 FAEC"
	$"0000 ECC0 C0C0 C0C0 D8D8 0000 D8FA C0EC"
	$"00C0 ECC0 C0C0 C0D8 0000 D8D8 FAC0 C0EC"
	$"00EC C0C0 C0C0 D800 D800 D8FA C0C0 C0EC"
	$"C0EC C0C0 C0D8 00D8 00D8 FAC0 C0C0 C0EC"
	$"ECEC ECEC D800 0000 D8FA ECEC ECEC ECEC"
	$"00FA FAFA D8D8 D8D8 FAFA FAFA FAFA FAFA"
	$"0000 00D8 D8FA 0000 0000 0000 0000 0000"
	$"0000 00D8 FA00 0000 0000 0000 0000 0000"
	$"0000 D8FA 0000 0000 0000 0000 0000 0000"
	$"0000 D8FA"
};

resource 'ics8' (129, "DemoText Document", purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FFFF 0000 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FF2B FF00 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FFFF FFFF 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 D8D8 D8FF 0000"
	$"00FF F5F5 F5F5 F5F5 D8D8 0000 D8FF 0000"
	$"00FF F5F5 F5F5 F5D8 0000 D8D8 F5FF 0000"
	$"00FF F5F5 F5F5 D800 D800 D8F5 F5FF 0000"
	$"00FF F5F5 F5D8 00D8 00D8 F5F5 F5FF 0000"
	$"00FF F5F5 D800 0000 D8F5 F5F5 F5FF 0000"
	$"00FF F5F5 D8D8 D8D8 F5F5 F5F5 F5FF 0000"
	$"00FF F5D8 D8F5 F5F5 F5F5 F5F5 F5FF 0000"
	$"00FF F5D8 F5F5 F5F5 F5F5 F5F5 F5FF 0000"
	$"00FF D8F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (130, "DemoText Stationery", purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000"
	$"00FF F5F5 F5F5 F5F5 F5D8 D8D8 FFFF FF00"
	$"00FF F5F5 F5F5 F5D8 D800 00D8 FFF9 FF00"
	$"00FF F5F5 F5F5 D800 00D8 D8F5 FFF9 FF00"
	$"00FF F5F5 F5D8 00D8 00D8 F5F5 FFF9 FF00"
	$"00FF F5F5 D800 D800 D8F5 F5F5 FFF9 FF00"
	$"00FF F5D8 0000 00D8 F5F5 F5F5 FFF9 FF00"
	$"00FF F5D8 D8D8 D8F5 F5F5 F5F5 FFF9 FF00"
	$"00FF D8D8 F5F5 F5F5 F5F5 F5F5 FFF9 FF00"
	$"00FF D8F5 F5F5 F5F5 F5FF FFFF FFF9 FF00"
	$"00FF F5F5 F5F5 F5F5 F5FF F9FF F9F9 FF00"
	$"00FF F5F5 F5F5 F5F5 F5FF FFF9 F9F5 FF00"
	$"00FF FFFF FFFF FFFF FFFF F9F9 F5F5 FF00"
	$"0000 00FF F9F9 F9F9 F9F9 F9F5 F5F5 FF00"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl4' (128, "DemoText Family", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 7666 6666 0000 0007 6666 6660"
	$"0000 0000 6777 7776 7000 0076 7777 7760"
	$"0000 0007 6777 7777 6000 0767 7777 776D"
	$"0000 0006 7777 7777 6700 7677 7777 776D"
	$"0000 0076 7777 7777 7607 6777 7777 776D"
	$"0000 0067 7777 7777 7676 7777 7777 776D"
	$"0000 0767 7777 7777 7767 7777 7777 776D"
	$"0000 0677 7777 7777 7777 7777 7777 776D"
	$"0000 7677 7777 7777 7777 7777 7777 776D"
	$"0000 6777 7777 7777 7777 7777 7777 776D"
	$"0007 6777 7777 7777 7777 7777 7333 376D"
	$"0006 7777 7777 7777 7777 7773 3003 D76D"
	$"0076 7777 7777 7777 7777 7330 003D 776D"
	$"0067 7777 7777 7777 7773 3000 33D7 776D"
	$"0767 7777 7777 7777 7730 0030 3D77 776D"
	$"0677 7777 7777 7777 7300 3003 D777 776D"
	$"7677 7777 7777 7777 3030 003D 7777 776D"
	$"6777 7777 7777 7773 0300 03D7 7777 776D"
	$"6666 6666 6666 6630 3000 3D66 6666 666D"
	$"0DDD DDDD DDDD D300 0003 DDDD DDDD DDDD"
	$"0DDD DDDD DDDD 3333 333D DDDD DDDD DDDD"
	$"0000 0000 0003 3DDD DDD0 0000 0000 0000"
	$"0000 0000 0033 D000 0000 0000 0000 0000"
	$"0000 0000 003D D000 0000 0000 0000 0000"
	$"0000 0000 03DD 0000 0000 0000 0000 0000"
	$"0000 0000 03D0 0000 0000 0000 0000 0000"
	$"0000 0000 3DD0 0000 0000 0000 0000 0000"
	$"0000 0000 3D00 0000 0000 0000 0000 0000"
	$"0000 0000 0D"
};

resource 'icl4' (129, "DemoText Document", purgeable) {
	$"000F FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0FF0 0000 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 CFCF 0000 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0FCC F000 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 CFCC CF00 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0FCC CCF0 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 CFFF FFFF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C033 33CF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 3300 3C0F 0000"
	$"000F C0C0 C0C0 C0C0 C033 0003 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C 3300 033C 0C0F 0000"
	$"000F C0C0 C0C0 C0C3 0003 03C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C30 0300 3C0C 0C0F 0000"
	$"000F C0C0 C0C0 C303 0003 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 3030 003C 0C0C 0C0F 0000"
	$"000F C0C0 C0C3 0300 03C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C30 0000 3C0C 0C0C 0C0F 0000"
	$"000F C0C0 C333 3333 C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 330C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C3 30C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C03 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C030 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C3C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C3C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 030C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (130, "DemoText Stationery", purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FFFF FFF0 0000"
	$"00FC 0C0C 0C0C 0C0C 0C0C 0C0C 0CF0 0000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0FF F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 C333 30FD F000"
	$"00FC 0C0C 0C0C 0C0C 0C03 3003 0CFD F000"
	$"00F0 C0C0 C0C0 C0C0 C330 0030 C0FD F000"
	$"00FC 0C0C 0C0C 0C03 3000 330C 0CFD F000"
	$"00F0 C0C0 C0C0 C030 0030 30C0 C0FD F000"
	$"00FC 0C0C 0C0C 0300 3003 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 3030 0030 C0C0 C0FD F000"
	$"00FC 0C0C 0C03 0300 030C 0C0C 0CFD F000"
	$"00F0 C0C0 C030 3000 30C0 C0C0 C0FD F000"
	$"00FC 0C0C 0300 0003 0C0C 0C0C 0CFD F000"
	$"00F0 C0C0 3333 3330 C0C0 C0C0 C0FD F000"
	$"00FC 0C03 3C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 C033 C0C0 C0C0 C0C0 C0C0 C0FD F000"
	$"00FC 0C3C 0C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 C3C0 C0C0 C0C0 C0C0 C0C0 C0FD F000"
	$"00FC 030C 0C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 30C0 C0C0 C0C0 C0C0 C0C0 C0FD F000"
	$"00FC 3C0C 0C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0FD F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C FFFF FFFD F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 FCCC CFDC F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C FCCC FDCC F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 FCCF DCCC F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C FCFD CCCC F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 FFDC CCCC F000"
	$"00FF FFFF FFFF FFFF FFFF FDCC CCCC F000"
	$"0000 FDDD DDDD DDDD DDDD DCCC CCCC F000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF F0"
};

resource 'icl8' (128, "DemoText Family", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 C0EC ECEC ECEC ECEC"
	$"0000 0000 0000 00C0 ECEC ECEC ECEC EC00"
	$"0000 0000 0000 0000 ECC0 C0C0 C0C0 C0EC"
	$"C000 0000 0000 C0EC C0C0 C0C0 C0C0 EC00"
	$"0000 0000 0000 00C0 ECC0 C0C0 C0C0 C0C0"
	$"EC00 0000 00C0 ECC0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 0000 00EC C0C0 C0C0 C0C0 C0C0"
	$"ECC0 0000 C0EC C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 0000 C0EC C0C0 C0C0 C0C0 C0C0"
	$"C0EC 00C0 ECC0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 0000 ECC0 C0C0 C0C0 C0C0 C0C0"
	$"C0EC C0EC C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 00C0 ECC0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 C0EC C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 00C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0D8 D8D8 D8C0 ECFA"
	$"0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0D8 D800 00D8 FAC0 ECFA"
	$"0000 C0EC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0D8 D800 0000 D8FA C0C0 ECFA"
	$"0000 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0D8 D800 0000 D8D8 FAC0 C0C0 ECFA"
	$"00C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 D800 0000 D800 D8FA C0C0 C0C0 ECFA"
	$"00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0D8 0000 D800 00D8 FAC0 C0C0 C0C0 ECFA"
	$"C0EC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"D800 D800 0000 D8FA C0C0 C0C0 C0C0 ECFA"
	$"ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0D8"
	$"00D8 0000 00D8 FAC0 C0C0 C0C0 C0C0 ECFA"
	$"ECEC ECEC ECEC ECEC ECEC ECEC ECEC D800"
	$"D800 0000 D8FA ECEC ECEC ECEC ECEC ECFA"
	$"00FA FAFA FAFA FAFA FAFA FAFA FAD8 0000"
	$"0000 00D8 FAFA FAFA FAFA FAFA FAFA FAFA"
	$"00FA FAFA FAFA FAFA FAFA FAFA D8D8 D8D8"
	$"D8D8 D8FA FAFA FAFA FAFA FAFA FAFA FAFA"
	$"0000 0000 0000 0000 0000 00D8 D8FA FAFA"
	$"FAFA FA00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 D8D8 FA00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 D8FA FA00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00D8 FAFA 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00D8 FA00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 D8FA FA00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 D8FA 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FA"
};

resource 'icl8' (129, "DemoText Document", purgeable) {
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FF00 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2BFF 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2B2B FF00 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2B2B 2BFF 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2B2B 2B2B FF00 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FFFF FFFF FFFF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 D7D7 D7D7 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 D7D7 0000 D7F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 D7D7 0000 00D7 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"D7D7 0000 00D7 D7F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5D7"
	$"0000 00D7 00D7 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 D700"
	$"00D7 0000 D7F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5D7 00D7"
	$"0000 00D7 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 D700 D700"
	$"0000 D7F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5D7 00D7 0000"
	$"00D7 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 D700 0000 0000"
	$"D7F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5D7 D7D7 D7D7 D7D7"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 D7D7 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5D7 D7F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5D7 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 D7F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 D7F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5D7 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5D7 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl8' (130, "DemoText Stationery", purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5D7 D7D7 D7F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5D7 D700 00D7 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5D7 D700 0000 D7F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5D7"
	$"D700 0000 D7D7 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 D700"
	$"0000 D700 D7F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5D7 0000"
	$"D700 00D7 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 D700 D700"
	$"0000 D7F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5D7 00D7 0000"
	$"00D7 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 D700 D700 0000"
	$"D7F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5D7 0000 0000 00D7"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 D7D7 D7D7 D7D7 D7F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5D7 D7F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 D7D7 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 D7F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5D7 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5D7 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 D7F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 D7F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFFF FFFF FFFF FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FF2B 2B2B F7FF F9F7 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FF2B 2BF7 FFF9 F72B FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FF2B F7FF F9F7 2BF6 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFF7 FFF9 F72B F6F6 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFFF F9F7 2BF6 F6F6 FF00 0000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFF9 F72B F6F6 F6F6 FF00 0000"
	$"0000 0000 FFF9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F7 2BF6 F6F6 F6F6 FF00 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};


data 'ics8' (131, "DemoText Letter", purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FFFF 0000 0000"            /* ..... */
	$"00FF 00F5 00F5 00F5 00F5 00FF FF00 0000"            /* ......... */
	$"00FF F500 F500 F500 F500 F5FF F6FF 0000"            /* ....... */
	$"00FF 00F5 00F5 00F5 00F5 00FF FFFF FF00"            /* ....... */
	$"00FF F500 F500 F500 F5D8 D8D8 F500 FF00"            /* ...... */
	$"00FF 00F5 00F5 00D8 D800 00D8 00F5 FF00"            /* ........ */
	$"00FF F500 F500 D800 00D8 D800 F500 FF00"            /* ........ */
	$"00FF 00F5 00D8 00D8 00D8 00F5 00F5 FF00"            /* ........ */
	$"F7FF F500 D800 D800 D800 F500 F500 FFF7"            /* ...... */
	$"FFF7 FAF5 D800 00D8 00F5 00F5 00FA F7FF"            /* ..... */
	$"FFF5 F5FA D8D8 D800 F500 F52A FAF5 F5FF"            /* ..* */
	$"FFF5 F5F7 F7FA 2AF5 002A FAF7 F5F5 F5FF"            /* *.* */
	$"FFF5 F5F5 F5F5 F7FA FAF7 F5F5 F5F5 F5FF"            /*  */
	$"FFF5 F5F6 F5F5 F5F5 F5F5 F5F6 F5F5 F5FF"            /*  */
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"            /*  */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /*  */
};

data 'ics8' (132, "DemoText Letter Stationery", purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF 0000"            /* ... */
	$"00FF 00F5 00F5 00F5 00F5 00F5 00FF 0000"            /* ......... */
	$"00FF F500 F500 F500 F500 F500 F5FF 0000"            /* ........ */
	$"00FF 00F5 00F5 00F5 00D8 D8D8 00FF 0000"            /* ........ */
	$"00FF F500 F500 F5D8 D800 00D8 F5FF 0000"            /* ....... */
	$"00FF 00F5 00F5 D800 00D8 D8F5 00FF 0000"            /* ........ */
	$"00FF F500 F5D8 00D8 00D8 F500 F5FF 0000"            /* ....... */
	$"F8FF 00F5 D800 D800 D8F5 00F5 00FF F800"            /* ...... */
	$"FFFF F500 D800 00D8 F500 F500 F5FF FF00"            /* ...... */
	$"FFF5 F92A D8D8 D8F5 00F5 002A F9F5 FFFF"            /* *..* */
	$"FFF5 F5F5 F92A F500 F52A F9F5 F5F5 FFFF"            /* *.* */
	$"FFF5 F5F5 F5F5 F9F9 F9F5 F5F5 F5F5 FFFF"            /*  */
	$"FFF5 F52B F5F5 F5F5 F5F5 2BFF FFFF FFFF"            /* ++ */
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5FF 00FF 2BFF"            /* .+ */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFF9 2BFF"            /* + */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* . */
};

data 'ics4' (131, "DemoText Letter", purgeable) {
	$"0FFF FFFF FFFF 0000 0F0C 0C0C 0C0F F000"            /* .......... */
	$"0FC0 C0C0 C0CF CF00 0F0C 0C0C 0C0F FFF0"            /* ........ */
	$"0FC0 C0C0 C333 C0F0 0F0C 0C03 3003 0CF0"            /* .3....0.. */
	$"0FC0 C030 0330 C0F0 0F0C 0303 030C 0CF0"            /* .0.0....... */
	$"CFC0 3030 30C0 C0FC FCDC 3003 0C0C 0DCF"            /* 0000... */
	$"F0CD 3330 C0CC D0CF FC0C CDCC 0CDC 0C0F"            /* 30.... */
	$"F0C0 C0CD DCC0 C0CF FC0C 0C0C 0C0C 0C0F"            /* ....... */
	$"F0C0 C0C0 C0C0 C0CF FFFF FFFF FFFF FFFF"            /*  */
};

data 'ics4' (132, "DemoText Letter Stationery", purgeable) {
	$"0FFF FFFF FFFF FF00 0F0C 0C0C 0C0C 0F00"            
	$"0FC0 C0C0 C0C0 CF00 0F0C 0C0C 0333 0F00"            
	$"0FC0 C0C3 3003 CF00 0F0C 0C30 033C 0F00"            
	$"0FC0 C303 03C0 CF00 CF0C 3030 3C0C 0FC0"            
	$"FFC0 3003 C0C0 CFF0 FCDC 333C 0C0C DCFF"            
	$"F0C0 DCC0 CCD0 C0FF FC0C 0CDD DC0C 0CFF"            
	$"F0CC C0C0 C0CF FFFF FC0C 0C0C 0C0F 0FCF"            
	$"FFFF FFFF FFFF FDCF 0FFF FFFF FFFF FFFF"            
};

data 'ics#' (131, "DemoText Letter", purgeable) {
	$"7FF0 4018 4014 401E 4072 4192 4262 4542"            
	$"CA83 E907 9A19 8661 8181 8001 8001 FFFF"            
	$"7FF0 7FF8 7FFC 7FFE 7FFE 7FFE 7FFE 7FFE"           
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"           
};

data 'ics#' (132, "DemoText Letter Stationery", purgeable) {
	$"7FFC 4004 4004 4074 4194 4264 4544 4A84"            
	$"C906 BA1B 8C63 8383 801F 8015 FFF9 7FFF"           
	$"7FFC 7FFC 7FFC 7FFC 7FFC 7FFC 7FFC FFFE"            
	$"FFFE FFFF FFFF FFFF FFFF FFFF FFFF 7FFF"           
};

data 'ICN#' (131, "DemoText Letter", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0FFF F800 0800 0C00 0800 0A00 0800 0900"            /* ............. */
	$"0800 0880 0800 0840 0800 0FE0 0800 0020"            /* ......@......  */
	$"0800 03E0 0800 0CA0 0800 3120 0800 C620"            /* ........1 ..  */
	$"1801 1430 2802 4828 6805 102C 580A 2034"            /* ...0(.H(h..,X. 4 */
	$"5814 4034 4C20 8064 437F 0184 40C0 0604"            /* X.@4L dC..@.. */
	$"4030 1804 400C 6004 4003 8004 4000 0004"            /* @0..@.`.@..@... */
	$"4000 0004 4000 0004 4000 0004 7FFF FFFC"            /* @...@...@.... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0FFF F800 0FFF FC00 0FFF FE00 0FFF FF00"            /* ........ */
	$"0FFF FF80 0FFF FFC0 0FFF FFE0 0FFF FFE0"            /* .... */
	$"0FFF FFE0 0FFF FFE0 0FFF FFE0 0FFF FFE0"            /* .... */
	$"1FFF FFF0 3FFF FFF8 7FFF FFFC 7FFF FFFC"            /* .?.. */
	$"7FFF FFFC 7FFF FFFC 7FFF FFFC 7FFF FFFC"            /* .... */
	$"7FFF FFFC 7FFF FFFC 7FFF FFFC 7FFF FFFC"            /* .... */
	$"7FFF FFFC 7FFF FFFC 7FFF FFFC 7FFF FFFC"            /* .... */
};

data 'ICN#' (132, "DemoText Letter Stationery", purgeable) {
	$"0000 0000 0000 0000 1FFF FFC0 1000 0040"            /* ............@ */
	$"1000 0040 1000 0040 1000 0040 1000 0040"            /* ...@...@...@...@ */
	$"1000 0F40 1000 3240 1000 C440 1003 1840"            /* ...@..2@..@...@ */
	$"1004 5040 1009 2040 3014 4060 5028 8050"            /* ..P@. @0.@`P(P */
	$"D051 0058 B082 006C B1FC 006A 9B00 00CA"            /* Q.X.l.j.. */
	$"8600 030A 8180 0C0A 8060 300A 8018 C3FA"            /* .....`0.. */
	$"8007 0212 8000 0222 8000 0242 8000 0282"            /* ....."..B.. */
	$"8000 0302 FFFF FE02 2000 0002 3FFF FFFE"            /* .... ...? */
	$"0000 0000 0000 0000 1FFF FFC0 1FFF FFC0"            /* .......... */
	$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"            /* .... */
	$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"            /* .... */
	$"1FFF FFC0 1FFF FFC0 3FFF FFE0 7FFF FFF0"            /* ..?. */
	$"FFFF FFF8 FFFF FFFC FFFF FFFE FFFF FFFE"            /*  */
	$"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFFE"            /*  */
	$"FFFF FFFE FFFF FFFE FFFF FFFE FFFF FFFE"            /*  */
	$"FFFF FFFE FFFF FFFE 3FFF FFFE 3FFF FFFE"            /* ?? */
};

data 'icl8' (131, "DemoText Letter", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"            /* .... */
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"            /* .......... */
	$"0000 0000 FFF5 00F5 00F5 00F5 00F5 00F5"            /* ......... */
	$"00F5 00F5 00FF FF00 0000 0000 0000 0000"            /* ............ */
	$"0000 0000 FF00 F500 F500 F500 F500 F500"            /* .......... */
	$"F500 F500 F5FF F6FF 0000 0000 0000 0000"            /* .......... */
	$"0000 0000 FFF5 00F5 00F5 00F5 00F5 00F5"            /* ......... */
	$"00F5 00F5 00FF F6F6 FF00 0000 0000 0000"            /* .......... */
	$"0000 0000 FF00 F500 F500 F500 F500 F500"            /* .......... */
	$"F500 F500 F5FF F6F6 F6FF 0000 0000 0000"            /* ........ */
	$"0000 0000 FFF5 00F5 00F5 00F5 00F5 00F5"            /* ......... */
	$"00F5 00F5 00FF FFFF FFFF FF00 0000 0000"            /* ........ */
	$"0000 0000 FF00 F500 F500 F500 F500 F500"            /* .......... */
	$"F500 F500 F500 F500 F500 FF00 0000 0000"            /* .......... */
	$"0000 0000 FFF5 00F5 00F5 00F5 00F5 00F5"            /* ......... */
	$"00F5 00F5 00F5 D7D7 D7D7 FF00 0000 0000"            /* ........ */
	$"0000 0000 FF00 F500 F500 F500 F500 F500"            /* .......... */
	$"F500 F500 D7D7 0000 D700 FF00 0000 0000"            /* .......... */
	$"0000 0000 FFF5 00F5 00F5 00F5 00F5 00F5"            /* ......... */
	$"00F5 D7D7 0000 00D7 00F5 FF00 0000 0000"            /* .......... */
	$"0000 0000 FF00 F500 F500 F500 F500 F500"            /* .......... */
	$"D7D7 0000 00D7 D700 F500 FF00 0000 0000"            /* .......... */
	$"0000 0000 FFF5 00F5 00F5 00F5 00F5 00D7"            /* ......... */
	$"0000 00D7 00D7 00F5 00F5 FF00 0000 0000"            /* ........... */
	$"0000 00FF FA00 F500 F500 F500 F500 D700"            /* ......... */
	$"00D7 0000 D700 F500 F500 FAFF 0000 0000"            /* .......... */
	$"0000 FF00 FAF5 00F5 00F5 00F5 00D7 00D7"            /* ........ */
	$"0000 00D7 00F5 00F5 00F5 FA00 FF00 0000"            /* .......... */
	$"00FF F700 FA00 F500 F500 F500 D700 D700"            /* ........ */
	$"0000 D700 F500 F500 F500 FA00 F7FF 0000"            /* ......... */
	$"00FF F52A FAF5 00F5 00F5 00D7 00D7 0000"            /* .*...... */
	$"00D7 00F5 00F5 00F5 00F5 FA2A F5FF 0000"            /* .....*.. */
	$"00FF F52A FA00 F500 F500 D700 0000 0000"            /* .*........ */
	$"D700 F500 F500 F500 F500 FA2A F5FF 0000"            /* .....*.. */
	$"00FF F5F5 F72A 00F5 00D7 D7D7 D7D7 D7D7"            /* .*.. */
	$"00F5 00F5 00F5 00F5 002A F7F5 F5FF 0000"            /* .....*.. */
	$"00FF F5F5 F5F5 F7F6 D7D7 F500 F500 F500"            /* .... */
	$"F500 F500 F500 F5F6 F7F5 F5F5 F5FF 0000"            /* ..... */
	$"00FF F5F5 F5F5 F5F5 F72A 00F5 00F5 00F5"            /* .*... */
	$"00F5 00F5 002A F7F5 F5F5 F5F5 F5FF 0000"            /* ...*.. */
	$"00FF F5F5 F5F5 F5F5 F5F5 F7F6 F500 F500"            /* ... */
	$"F500 F5F6 F7F5 F5F5 F5F5 F5F5 F5FF 0000"            /* ... */
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 F72A 00F5"            /* .*. */
	$"002A F7F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"            /* .*.. */
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F7F7"            /* . */
	$"F7F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"            /* .. */
	$"00FF F5F5 F5F5 F5F6 F5F5 F5F5 F5F5 F5F5"            /* . */
	$"F5F5 F5F5 F5F5 F6F5 F5F5 F5F5 F5FF 0000"            /* .. */
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* . */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"            /* .. */
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* . */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"            /* .. */
	$"00FF F5F6 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            /* . */
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F6F5 F5FF 0000"            /* .. */
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* . */
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"            /* .. */
};

data 'icl8' (132, "DemoText Letter Stationery", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"           
	$"0000 0000 0000 0000 0000 0000 0000 0000"            
	$"0000 0000 0000 0000 0000 0000 0000 0000"            
	$"0000 0000 0000 0000 0000 0000 0000 0000"           
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"            
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"            
	$"0000 00FF 00F5 00F5 00F5 00F5 00F5 00F5"            
	$"00F5 00F5 00F5 00F5 00FF 0000 0000 0000"            
	$"0000 00FF F500 F500 F500 F500 F500 F500"            
	$"F500 F500 F500 F500 F5FF 0000 0000 0000"            
	$"0000 00FF 00F5 00F5 00F5 00F5 00F5 00F5"           
	$"00F5 00F5 00F5 00F5 00FF 0000 0000 0000"            
	$"0000 00FF F500 F500 F500 F500 F500 F500"            
	$"F500 F500 F500 F500 F5FF 0000 0000 0000"            
	$"0000 00FF 00F5 00F5 00F5 00F5 00F5 00F5"            
	$"00F5 00F5 00F5 00F5 00FF 0000 0000 0000"            
	$"0000 00FF F500 F500 F500 F500 F500 F500"            
	$"F500 F500 D7D7 D7D7 F5FF 0000 0000 0000"            
	$"0000 00FF 00F5 00F5 00F5 00F5 00F5 00F5"            
	$"00F5 D7D7 0000 D7F5 00FF 0000 0000 0000"            
	$"0000 00FF F500 F500 F500 F500 F500 F500"            
	$"D7D7 0000 00D7 F500 F5FF 0000 0000 0000"            
	$"0000 00FF 00F5 00F5 00F5 00F5 00F5 D7D7"           
	$"0000 00D7 D7F5 00F5 00FF 0000 0000 0000"            
	$"0000 00FF F500 F500 F500 F500 F5D7 0000"            
	$"00D7 00D7 F500 F500 F5FF 0000 0000 0000"            
	$"0000 00FF 00F5 00F5 00F5 00F5 D700 00D7"            
	$"0000 D7F5 00F5 00F5 00FF 0000 0000 0000"            
	$"0000 FFFA F500 F500 F500 F5D7 00D7 0000"            
	$"00D7 F500 F500 F500 F5FA FF00 0000 0000"            
	$"00FF 00FA 00F5 00F5 00F5 D700 D700 0000"            
	$"D7F5 00F5 00F5 00F5 00FA 00FF 0000 0000"           
	$"FFF7 00FA F500 F500 F5D7 00D7 0000 00D7"            
	$"F500 F500 F500 F500 F5FA 00F7 FF00 0000"            
	$"FFF5 2AFA 00F5 00F5 D700 0000 0000 D7F5"            
	$"00F5 00F5 00F5 00F5 00FA 2AF5 FFFF 0000"           
	$"FFF5 2AFA F500 F5D7 D7D7 D7D7 D7D7 F500"            
	$"F500 F500 F500 F500 F5FA 2AF5 FFF9 FF00"           
	$"FFF5 F5F7 2AF5 D7D7 00F5 00F5 00F5 00F5"            
	$"00F5 00F5 00F5 00F5 2AF7 F5F5 FFF9 FF00"            
	$"FFF5 F5F5 F5F7 F600 F500 F500 F500 F500"            
	$"F500 F500 F500 F6F7 F5F5 F5F5 FFF9 FF00"            
	$"FFF5 F5F5 F5F5 F5F7 2AF5 00F5 00F5 00F5"            
	$"00F5 00F5 2AF7 F5F5 F5F5 F5F5 FFF9 FF00"            
	$"FFF5 F5F5 F5F5 F5F5 F5F7 F600 F500 F500"            
	$"F500 F6F7 F5F5 F5F5 F5F5 F5F5 FFF9 FF00"            
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F7 2AF5 00F5"            
	$"2AF7 F5F5 F5F5 FFFF FFFF FFFF FFF9 FF00"            
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F7 F7F7"           
	$"F5F5 F5F5 F5F5 FF2B 2B2B F7FF F9F7 FF00"            
	$"FFF5 F5F5 F5F5 F6F5 F5F5 F5F5 F5F5 F5F5"            
	$"F5F5 F5F5 F5F6 FF2B 2BF7 FFF9 F72B FF00"            
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            
	$"F5F5 F5F5 F5F5 FF2B F7FF F9F7 2BF6 FF00"            
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            
	$"F5F5 F5F5 F5F5 FFF7 FFF9 F72B F6F6 FF00"            
	$"FFF5 F6F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"            
	$"F5F5 F5F5 F5F5 FFFF F9F7 2BF6 F6F6 FF00"          
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            
	$"FFFF FFFF FFFF FFF9 F72B F6F6 F6F6 FF00"           
	$"0000 FFF9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"            
	$"F9F9 F9F9 F9F9 F9F7 2BF6 F6F6 F6F6 FF00"          
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            
};

data 'icl4' (131, "DemoText Letter", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            
	$"0000 0000 0000 0000 0000 0000 0000 0000"           
	$"0000 0000 0000 0000 0000 0000 0000 0000"           
	$"0000 0000 0000 0000 0000 0000 0000 0000"            
	$"0000 FFFF FFFF FFFF FFFF FF00 0000 0000"            
	$"0000 FC0C 0C0C 0C0C 0C0C 0FF0 0000 0000"            
	$"0000 F0C0 C0C0 C0C0 C0C0 CFCF 0000 0000"            
	$"0000 FC0C 0C0C 0C0C 0C0C 0FCC F000 0000"            
	$"0000 F0C0 C0C0 C0C0 C0C0 CFCC CF00 0000"            
	$"0000 FC0C 0C0C 0C0C 0C0C 0FFF FFF0 0000"            
	$"0000 F0C0 C0C0 C0C0 C0C0 C0C0 C0F0 0000"            
	$"0000 FC0C 0C0C 0C0C 0C0C 0C33 33F0 0000"            
	$"0000 F0C0 C0C0 C0C0 C0C0 3300 30F0 0000"            
	$"0000 FC0C 0C0C 0C0C 0C33 0003 0CF0 0000"            
	$"0000 F0C0 C0C0 C0C0 3300 0330 C0F0 0000"            
	$"0000 FC0C 0C0C 0C03 0003 030C 0CF0 0000"            
	$"000F D0C0 C0C0 C030 0300 30C0 C0DF 0000"            
	$"00F0 DC0C 0C0C 0303 0003 0C0C 0CD0 F000"            
	$"0FC0 D0C0 C0C0 3030 0030 C0C0 C0D0 CF00"            
	$"0F0C DC0C 0C03 0300 030C 0C0C 0CDC 0F00"           
	$"0FCC D0C0 C030 0000 30C0 C0C0 C0DC CF00"            
	$"0F0C CC0C 0333 3333 0C0C 0C0C 0CCC 0F00"            
	$"0FC0 C0CC 33C0 C0C0 C0C0 C0CC C0C0 CF00"            
	$"0F0C 0C0C CC0C 0C0C 0C0C 0CCC 0C0C 0F00"            
	$"0FC0 C0C0 C0CC C0C0 C0CC C0C0 C0C0 CF00"            
	$"0F0C 0C0C 0C0C CC0C 0CCC 0C0C 0C0C 0F00"            
	$"0FC0 C0C0 C0C0 C0CC C0C0 C0C0 C0C0 CF00"            
	$"0F0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0F00"           
	$"0FC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 CF00"            
	$"0F0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0F00"            
	$"0FCC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 CF00"            
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"            
};

data 'icl4' (132, "DemoText Letter Stationery", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            
	$"0000 0000 0000 0000 0000 0000 0000 0000"            
	$"000F FFFF FFFF FFFF FFFF FFFF FF00 0000"            
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0F00 0000"           
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 CF00 0000"            
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0F00 0000"            
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 CF00 0000"            
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0F00 0000"            
	$"000F C0C0 C0C0 C0C0 C0C0 3333 CF00 0000"            
	$"000F 0C0C 0C0C 0C0C 0C33 003C 0F00 0000"            
	$"000F C0C0 C0C0 C0C0 3300 03C0 CF00 0000"            
	$"000F 0C0C 0C0C 0C33 0003 3C0C 0F00 0000"            
	$"000F C0C0 C0C0 C300 0303 C0C0 CF00 0000"            
	$"000F 0C0C 0C0C 3003 003C 0C0C 0F00 0000"            
	$"00FD C0C0 C0C3 0300 03C0 C0C0 CDF0 0000"           
	$"0F0D 0C0C 0C30 3000 3C0C 0C0C 0D0F 0000"           
	$"FC0D C0C0 C303 0003 C0C0 C0C0 CD0C F000"            
	$"FCCD 0C0C 3000 003C 0C0C 0C0C 0DCC FF00"            
	$"F0CD C0C3 3333 33C0 C0C0 C0C0 CDC0 FDF0"            
	$"FC0C CC33 0C0C 0C0C 0C0C 0C0C CC0C FDF0"            
	$"F0C0 CCC0 C0C0 C0C0 C0C0 C0CC C0C0 FDF0"            
	$"FC0C 0C0C CC0C 0C0C 0C0C CC0C 0C0C FDF0"           
	$"F0C0 C0C0 CCC0 C0C0 C0CC C0C0 C0C0 FDF0"           
	$"FC0C 0C0C 0C0C CC0C CC0C 0CFF FFFF FDF0"            
	$"F0C0 C0C0 C0C0 CCCC C0C0 C0FC CCCF DCF0"            
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0CFC CCFD CCF0"           
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0FC CFDC CCF0"           
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0CFC FDCC CCF0"           
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0FF DCCC CCF0"            
	$"FFFF FFFF FFFF FFFF FFFF FFFD CCCC CCF0"            
	$"00FD DDDD DDDD DDDD DDDD DDDC CCCC CCF0"            
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"           
};

type kSignature as 'STR ';
resource kSignature (0,
#if qNames
"Signature",
#endif
	purgeable) {
	"DemoText 3.3 Apple Computer, Inc. 1988-95"
};

resource 'FREF' (128,
#if qNames
"DemoText Application",
#endif
	purgeable) {
	'APPL',
	0,
	""
};

resource 'FREF' (129,
#if qNames
"DemoText Document",
#endif
	purgeable) {
	kFileType,
	1,
	""
};

resource 'FREF' (130,
#if qNames
"DemoText Stationery",
#endif
	purgeable) {
	kStationery,
	2,
	""
};

resource 'BNDL' (128,
#if qNames
"DemoText",
#endif
	purgeable) {
	kSignature,
	0,
		{
		'ICN#',
			{
			0, 128,
			1, 129,
			2, 130
			},
		'FREF',
			{
			0, 128,
			1, 129,
			2, 130
			}
		}
};

// Get the default Version resources
include "Defaults.rsrc"  'vers' (1);		// Application or file specific
include "Defaults.rsrc"  'vers' (2);		// Overall package

#ifndef MW_Rez	
	// This Adlib file is included in DemoText.prj for MW Builds
	include "DemoText.view"	
#endif

#if 0 // The following has been moved into DemoText.view AdLib file

resource 'STR#' (kDefaultWindowTitle, "Window titles", purgeable) {{

	""
	}
};

resource 'View' (kWindowRsrcID, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 531, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 40}, {250, 450}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, 'TEVW', goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, filler, kDefaultWindowTitle, 1}, 3}, 
	ViewSignatureAndClassname
		{'scrl', 183, "", 'SCLR', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {235, 435}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCLR', 'hCLR', {24, 1020}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'inc@', 72, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {24, 1020}, sizeVariable, sizePage, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		IncludeAt {kViewRsrcID, {0, 0}}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 101, "", 'hCLR', enabled, noIdle, {}, MAThreeOh, 
		{235, -1}, {16, 437}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		ScrollerScrollBar {mHScrollBarHit, notHilited, notDimmed, sizeable, noInset, kSystemFontTextStyle, dontPreferOutline, h, 0, 0, 585}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 101, "", 'vCLR', enabled, noIdle, {}, MAThreeOh, 
		{-1, 435}, {237, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, kSystemFontTextStyle, dontPreferOutline, v, 0, 0, 0}, 
		NoSubviews}
	}
};

resource 'View' (kViewRsrcID, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'tevw', 140, "", 'TEVW', enabled, 0, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinView, noID}}}, MAThreeOh, 
		{0, 0}, {24, 1020}, sizeVariable, sizePage, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		TEView {withStyle, autoWrap, acceptChanges, dontFreeText, cTyping, unlimited, {8, 10, 0, 10}, justSystem, kApplFont12TextStyle, dontPreferOutline}, 
		NoSubviews}
	}
};

#endif // Views moved into DemoText.view AdLib file
