//----------------------------------------------------------------------------------------
// UDemoText.cp 
// Copyright  1986-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UDEMOTEXT__
#include "UDemoText.h"
#endif

// DemoText

#ifndef __USCRIPTMENU__
#include "UScriptMenu.h"
#endif

// MacApp

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UMENUMGR__
#include "UMenuMgr.h"
#endif

#ifndef __UOSASCRIPT__
#include "UOSAScript.h"
#endif

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif

#ifndef __UVIEW__
#include "UView.h"
#endif

// Toolbox

#ifndef __FONTS__
#include <Fonts.h>
#endif

//========================================================================================
// CLASS TDemoTextApplication
//========================================================================================
#undef Inherited
#define Inherited TApplication

//----------------------------------------------------------------------------------------
// TDemoTextApplication constructor 
//----------------------------------------------------------------------------------------


TDemoTextApplication::TDemoTextApplication() :
	TApplication(kFileType, kSignature)
{
	AppendResMenu(MAGetMenu(mFont), 'FONT');

	SetStyle(cBold, bold);
	SetStyle(cUnderline, underline);
	SetStyle(cItalic, italic);
	SetStyle(cOutline, outline);
	SetStyle(cShadow, shadow);
	SetStyle(cCondense, condense);
	SetStyle(cExtend, extend);
	
#if qAttachable
	if (fOSAScript)
		fOSAScript->fNextScriptIdle = 0;
#endif
}

//----------------------------------------------------------------------------------------
// TDemoTextApplication::DoInitialState 
//----------------------------------------------------------------------------------------
void TDemoTextApplication::DoInitialState()	// Override
{
	TApplication::DoInitialState();

	// Instead of hard-wiring a default text style, get it from the TEView resource	
	CAutoPtr_AC<TTEView> aTEView(dynamic_cast_AC(TTEView*,gViewServer->DoCreateViews(NULL, NULL, kViewRsrcID, gZeroVPt)));

	CStr255_AC fontName;
	GetFontName(aTEView->fTextStyle.tsFont, fontName);

	// Set up initial text specs 
	TTEDocument::gDefaultSpecs.theTextFont = fontName;
	TTEDocument::gDefaultSpecs.theTextFace = aTEView->fTextStyle.tsFace;
	TTEDocument::gDefaultSpecs.theTextSize = aTEView->fTextStyle.tsSize;
	TTEDocument::gDefaultSpecs.theTextColor = aTEView->fTextStyle.tsColor;
	TTEDocument::gDefaultSpecs.theJustification = aTEView->fJustification;
	TTEDocument::gDefaultSpecs.theBackColor = gRGBWhite;
	
	AddBehavior(TH_new TScriptMenuBehavior);
}

//----------------------------------------------------------------------------------------
// TDemoTextApplication destructor
//----------------------------------------------------------------------------------------


TDemoTextApplication::~TDemoTextApplication()
{
}

//----------------------------------------------------------------------------------------
// TDemoTextApplication::DoMakeDocument: 
//----------------------------------------------------------------------------------------


TDocument* TDemoTextApplication::DoMakeDocument(CommandNumber /* itsCommandNumber */, TFile* itsFile) // override 
{
	return TH_new TTEDocument(itsFile, kFileType, kWindowRsrcID); 
}

//----------------------------------------------------------------------------------------
// End of UDemoText.cp


