// Copyright  1989-97 by Apple Computer, Inc. All rights reserved.
// UDemoText.h

// This sample application demonstrates the breadth of alternatives
// available when using the MacApp building-block "UTEView" for text-editing.

#ifndef __UDEMOTEXT__
#define __UDEMOTEXT__

// DemoText

#ifndef __UTEDOCUMENT__
#include "UTEDocument.h"
#endif

// MacApp

#ifndef __UAPPLICATION__
#include "UApplication.h"
#endif

#ifndef __UTEVIEW__
#include "UTEView.h"
#endif

const unsigned long kSignature	= 'SS04';			// application signature
const unsigned long kFileType	= kTextFileType;	// file-type code for saved disk files 
														
class TDemoTextApplication : public TApplication
{
  public:
	TDemoTextApplication();
		// Constructor

	virtual ~TDemoTextApplication();
		// Destructor

	virtual void DoInitialState();
		// Perform initialization from a view resource

	virtual TDocument *DoMakeDocument(CommandNumber itsCommandNumber, TFile* itsFile);
		// Launches a TTextDocument
};

#endif
