//----------------------------------------------------------------------------------------
// UCommandSkeleton.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UCOMMANDSKELETON__
#include "UCommandSkeleton.h"
#endif

#ifndef __UDOCUMENTSKELETON__
#include "UDocumentSkeleton.h"
#endif


//========================================================================================
// CLASS TCommandSkeleton
//========================================================================================
//----------------------------------------------------------------------------------------
// TCommandSkeleton constructor 
//----------------------------------------------------------------------------------------


TCommandSkeleton::TCommandSkeleton(CommandNumber itsCommandNumber,
												TDocumentSkeleton* itsDocumentSkeleton) :
	TCommand(itsCommandNumber,itsDocumentSkeleton,kCanUndo,kCausesChange,itsDocumentSkeleton),

	fDocumentSkeleton(itsDocumentSkeleton)
{
}

//----------------------------------------------------------------------------------------
// TCommandSkeleton destructor
//----------------------------------------------------------------------------------------


TCommandSkeleton::~TCommandSkeleton()
{
}

//----------------------------------------------------------------------------------------
// TCommandSkeleton::DoIt: 
//----------------------------------------------------------------------------------------


void TCommandSkeleton::DoIt() // Override 
{
	::SysBeep(2);
}

//----------------------------------------------------------------------------------------
// TCommandSkeleton::RedoIt: 
//----------------------------------------------------------------------------------------


void TCommandSkeleton::RedoIt() // override 
{
	TCommand::RedoIt();	// TCommand::RedoIt simply calls DoIt, but this is not
                            // always adequate
}

//----------------------------------------------------------------------------------------
// TCommandSkeleton::UndoIt: 
//----------------------------------------------------------------------------------------


void TCommandSkeleton::UndoIt() // Override 
{
	::SysBeep(2);
	::SysBeep(2);
}

//----------------------------------------------------------------------------------------
// End of UCommandSkeleton.cp


