// UDocumentSkeleton.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UDOCUMENTSKELETON__
#define __UDOCUMENTSKELETON__

#ifndef __UFILEBASEDDOCUMENT__
#include "UFileBasedDocument.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------

// Commands
const CommandNumber cCommandHandledByDocument = 401;

// Files
const OSType kFileType = 'SF02';	// File-type code used for document files 

//----------------------------------------------------------------------------------------
// TDocumentSkeleton
//----------------------------------------------------------------------------------------

class TDocumentSkeleton: public TFileBasedDocument
{
	MA_DECLARE_CLASS;
	
  public:
	TDocumentSkeleton(TFile* itsFile = NULL, OSType itsCreator = kNoIdentifier);
		// Constructor
	
	virtual ~TDocumentSkeleton();
		// Destructor
	
	virtual void  DoInitialState(); // Override
	virtual void  FreeData(); // Override
			
	// Views
	virtual void  DoMakeViews(bool forPrinting); // Override

	// Commands
	virtual void  DoSetupMenus(); // Override
	virtual void  DoMenuCommand(CommandNumber aCommandNumber); // Override

	// Saving and Restoring
	virtual void  DoNeedDiskSpace(TFile* itsFile,
								  long& dataForkBytes,
								  long& rsrcForkBytes); // Override
	virtual void  DoRead(TFile* aFile,
						 bool forPrinting); // Override
	virtual void  DoWrite(TFile* aFile,
						  bool makingCopy); // Override

};

#endif
