//----------------------------------------------------------------------------------------
// UTrackerSkeleton.cp
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UTRACKERSKELETON__
#include "UTrackerSkeleton.h"
#endif

#ifndef __UDOCUMENTSKELETON__
#include "UDocumentSkeleton.h"
#endif

//----------------------------------------------------------------------------------------
// Constants:

const CommandNumber cTrackerCommand = 403;


//========================================================================================
// CLASS TTrackerSkeleton
//========================================================================================
#undef Inherited
#define Inherited TTracker

//----------------------------------------------------------------------------------------
// TTrackerSkeleton constructor 
//----------------------------------------------------------------------------------------


TTrackerSkeleton::TTrackerSkeleton(TDocumentSkeleton* itsDocumentSkeleton,
											TView* itsView,
											TScroller* itsScroller,
											const CViewPoint& itsMouse) :
	TTracker(cTrackerCommand,itsDocumentSkeleton,kCanUndo,kDoesNotCauseChange, NULL, 
					itsView, itsScroller, itsMouse),

	fDocumentSkeleton(itsDocumentSkeleton)
{
}

//----------------------------------------------------------------------------------------
// TTrackerSkeleton destructor
//----------------------------------------------------------------------------------------


TTrackerSkeleton::~TTrackerSkeleton()
{
}

//----------------------------------------------------------------------------------------
// TTrackerSkeleton::DoIt: 
//----------------------------------------------------------------------------------------


void TTrackerSkeleton::DoIt() // override 
{
	::SysBeep(2);
}

//----------------------------------------------------------------------------------------
// TTrackerSkeleton::TrackFeedback: 
//----------------------------------------------------------------------------------------


void TTrackerSkeleton::TrackFeedback(TrackPhase aTrackPhase,
										const CViewPoint& anchorPoint,
										const CViewPoint& previousPoint,
										const CViewPoint& nextPoint,
										bool mouseDidMove,
										bool turnItOn) // override 
{
	Inherited::TrackFeedback(aTrackPhase, anchorPoint, previousPoint, nextPoint, mouseDidMove, turnItOn); 
}


//----------------------------------------------------------------------------------------
// TTrackerSkeleton::TrackMouse: 
//----------------------------------------------------------------------------------------


TTracker* TTrackerSkeleton::TrackMouse(TrackPhase aTrackPhase,
											 CViewPoint& anchorPoint,
											 CViewPoint& previousPoint,
											 CViewPoint& nextPoint,
											 bool mouseDidMove) // override 
{
	return Inherited::TrackMouse(aTrackPhase,anchorPoint, previousPoint, nextPoint,mouseDidMove);
}

//----------------------------------------------------------------------------------------
// TTrackerSkeleton::RedoIt: 
//----------------------------------------------------------------------------------------


void TTrackerSkeleton::RedoIt() // override 
{
	Inherited::RedoIt();	// TCommand::ReDoit simply calls DoIt, but this is not
							// always adequate
}

//----------------------------------------------------------------------------------------
// TTrackerSkeleton::UndoIt: 
//----------------------------------------------------------------------------------------


void TTrackerSkeleton::UndoIt() // override 
{
	::SysBeep(2);
	::SysBeep(2);
}

//----------------------------------------------------------------------------------------
// End of UTrackerSkeleton.cp


