// UTrackerSkeleton.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UTRACKERSKELETON__
#define __UTRACKERSKELETON__

#ifndef __UCOMMAND__
#include "UCommand.h"
#endif

//----------------------------------------------------------------------------------------
// Forward and external classes
//----------------------------------------------------------------------------------------

class TDocumentSkeleton;		

//----------------------------------------------------------------------------------------
// TTrackerSkeleton
//----------------------------------------------------------------------------------------

class TTrackerSkeleton: public TTracker
{
  public:
	TTrackerSkeleton(TDocumentSkeleton* itsDocumentSkeleton = NULL,
								  TView* itsView = NULL,
								  TScroller* itsScroller = NULL,
								  const CViewPoint& itsMouse = gZeroVPt); 
		// Constructor
	
	virtual ~TTrackerSkeleton();
		// Destructor
		
	// Commands			
	virtual void DoIt(); // Override
		// Comment Required
		
	virtual void UndoIt(); // Override
		// Comment Required
		
	virtual void RedoIt(); // Override
	
	// Tracking
	virtual void TrackFeedback(TrackPhase aTrackPhase,
								const CViewPoint& anchorPoint,
								const CViewPoint& previousPoint,
								const CViewPoint& nextPoint,
								bool mouseDidMove,
								bool turnItOn); // Override
		// Comment Required
		
	virtual TTracker* TrackMouse(TrackPhase aTrackPhase,
								 CViewPoint& anchorPoint,
								 CViewPoint& previousPoint,
								 CViewPoint& nextPoint,
								 bool mouseDidMove); // Override
		// Comment Required
		
  protected:
	TDocumentSkeleton* fDocumentSkeleton;
};

#endif
