// UViewSkeleton.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UVIEWSKELETON__
#define __UVIEWSKELETON__

#ifndef __UVIEW__
#include "UView.h"
#endif

//----------------------------------------------------------------------------------------
// Forward and external classes
//----------------------------------------------------------------------------------------

class TDocumentSkeleton;
class TStream;

//----------------------------------------------------------------------------------------
// TViewSkeleton
//----------------------------------------------------------------------------------------

class TViewSkeleton: public TView
{
	MA_DECLARE_CLASS;

  public:
	TViewSkeleton(const CViewPoint& itsLocation = gZeroVPt,
								const CViewPoint& itsSize = gZeroVPt); 
		// Constructor
	
	virtual ~TViewSkeleton();
		// Destructor
	
	virtual void DoPostCreate(TDocument* itsDocument); // Override
						   
	// Drawing
	virtual void Draw(const CViewRect& area); // Override
	
	// Commands
	virtual void DoSetupMenus(); // Override
	
	virtual void DoMenuCommand(CommandNumber aCommandNumber); // Override
	
	virtual void DoMouseCommand(CViewPoint& theMouse,
								  TToolboxEvent* event,
								  CPoint_AC hysteresis); // Override

  public:
	TDocumentSkeleton* fDocumentSkeleton;
};

//----------------------------------------------------------------------------------------
// Global initialization procedure
//----------------------------------------------------------------------------------------

extern void InitUViewSkeleton();
	// Call this routine at initialization time

#endif
