// Defaults.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 
// Default resources that can be included in your application if desired 

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#ifndef __AEREGISTRY.R__
#include "AERegistry.r"
#endif

#ifndef __AEUSERTERMTYPES__
#include "AEUserTermTypes.r"
#endif

#ifndef __APPLEEVENTS_R__
#include "AppleEvents.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif

#ifndef __UODDefaults__
#include "UODDefaults.h"
#endif

/*
resource 'CMNU' (mODApple,
#if qNames
"mODApple",
#endif
purgeable) {
	mODApple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
	"About ^0", noIcon, noKey, noMark, plain, kODCommandAbout;		// The ^0 will be dynamically replaced with CurApName
	"-",		 noIcon, noKey, noMark, plain, nocommand
	}
};

resource 'CMNU' (mODDocument,
#if qNames
"mODDocument",
#endif
purgeable) {
	mODDocument,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Document",
	{
	"New",				noIcon, "N",	noMark, plain, kODCommandNew;
	"Open",			noIcon, "O",	noMark, plain, kODCommandOpen;
	"Open Selection",	noIcon, noKey,	noMark, plain, kODCommandOpenDocument;
	"Insert",			noIcon, noKey,	noMark, plain, kODCommandInsert;
	"Close",			noIcon, "W",	noMark, plain, kODCommandClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Save",				noIcon, "S",	noMark, plain, kODCommandSave;
	"Save a Copy",		noIcon, noKey,	noMark, plain, kODCommandSaveACopy;
	"Revert to Saved",	noIcon, noKey,	noMark, plain, kODCommandRevert;
#if qPart
	"Drafts",			noIcon, noKey,	noMark, plain, kODCommandDraft;
#endif
	"Document Info",	noIcon, noKey,	noMark, plain, kODCommandDocumentInfo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Page Setup",		noIcon, noKey,	noMark, plain, kODCommandPageSetup;
	"Print",			noIcon, "P",	noMark, plain, kODCommandPrint;
	}
};

resource 'CMNU' (mODEdit,
#if qNames
"mODEdit",
#endif
purgeable) {
	mODEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",				noIcon, "Z",	noMark, plain, kODCommandUndo;
	"Redo",				noIcon, "R",	noMark, plain, kODCommandRedo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Cut",				noIcon, "X",	noMark, plain, kODCommandCut;
	"Copy",				noIcon, "C",	noMark, plain, kODCommandCopy;
	"Paste",			noIcon, "V",	noMark, plain, kODCommandPaste;
	"Paste As",		noIcon, noKey,	noMark, plain, kODCommandPasteAs;
	"Clear",			noIcon, noKey,	noMark, plain, kODCommandClear;
	"Select All",		noIcon, "A",	noMark, plain, kODCommandSelectAll;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Part Info",		noIcon, "L",	noMark, plain, kODCommandGetPartInfo;
	"Preferences",		noIcon, noKey,	noMark, plain, kODCommandPreferences;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"View in Window",	noIcon, noKey,	noMark, plain, kODCommandViewAsWin;
	}
};
*/
#if qAloe

resource 'CMNU' (mODApple,
#if qNames
"mODApple",
#endif
preload) {
	mODApple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
	"About ^0", noIcon, noKey, noMark, plain, cAboutApp;		// The ^0 will be dynamically replaced with CurApName
	"-",		 noIcon, noKey, noMark, plain, nocommand
	}
};

resource 'CMNU' (mODDocument,
#if qNames
"mODDocument",
#endif
preload) {
	mODDocument,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",	// HI says container apps should name the Document menu 'File'
	{
	"New",				noIcon, "N",	noMark, plain, cNew;
	"Open",			noIcon, "O",	noMark, plain, cOpen;
	"Open Selection",	noIcon, noKey,	noMark, plain, kODCommandOpen;
	"Insert",			noIcon, noKey,	noMark, plain, kODCommandInsert;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Save",				noIcon, "S",	noMark, plain, cSave;
	"Save a Copy",		noIcon, noKey,	noMark, plain, cSaveCopy;
	"Revert to Saved",	noIcon, noKey,	noMark, plain, cRevert;
	"Document Info",	noIcon, noKey,	noMark, plain, kODCommandDocumentInfo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Page Setup",		noIcon, noKey,	noMark, plain, cPageSetup;
	"Print",			noIcon, "P",	noMark, plain, cPrint;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit;
	}
};

resource 'CMNU' (mODEdit,
#if qNames
"mODEdit",
#endif
preload) {
	mODEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",				noIcon, "Z",	noMark, plain, cUndo;
	"Redo",				noIcon, "R",	noMark, plain, cRedo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Cut",				noIcon, "X",	noMark, plain, cCut;
	"Copy",				noIcon, "C",	noMark, plain, cCopy;
	"Paste",			noIcon, "V",	noMark, plain, cPaste;
	"Paste As",		noIcon, noKey,	noMark, plain, kODCommandPasteAs;
	"Clear",			noIcon, noKey,	noMark, plain, cClear;
	"Select All",		noIcon, "A",	noMark, plain, cSelectAll;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Part Info",		noIcon, "L",	noMark, plain, kODCommandGetPartInfo;
	"Preferences",		noIcon, noKey,	noMark, plain, kODCommandPreferences;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"View in Window",	noIcon, noKey,	noMark, plain, kODCommandViewAsWin;
	}
};
#endif

// Vanilla menus

resource 'MENU' (mODMENUApple,
#if qNames
"mODApple",
#endif
preload, nonpurgeable) {
	mODMENUApple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
	"About ^0", noIcon, noKey, noMark, plain;		// The ^0 will be dynamically replaced with CurApName
	"-",		 noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (mODMENUDocument,
#if qNames
"mODDocument",
#endif
preload, nonpurgeable) {
	mODMENUDocument,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",	// HI says container apps should name the Document menu 'File'
	{
	"New",				noIcon, "N",	noMark, plain;
	"Open",			noIcon, "O",	noMark, plain;
	"Open Selection",	noIcon, noKey,	noMark, plain;
	"Insert",			noIcon, noKey,	noMark, plain;
	"Close",			noIcon, "W",	noMark, plain;
	"-",				noIcon, noKey,	noMark, plain;
	"Save",				noIcon, "S",	noMark, plain;
	"Save a Copy",		noIcon, noKey,	noMark, plain;
	"Revert to Saved",	noIcon, noKey,	noMark, plain;
	"Document Info",	noIcon, noKey,	noMark, plain;
	"-",				noIcon, noKey,	noMark, plain;
	"Page Setup",		noIcon, noKey,	noMark, plain;
	"Print",			noIcon, "P",	noMark, plain;
	"-",				noIcon, noKey,	noMark, plain;
	"Quit",				noIcon, "Q",	noMark, plain;
	}
};

resource 'MENU' (mODMENUEdit,
#if qNames
"mODEdit",
#endif
preload, nonpurgeable) {
	mODMENUEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",				noIcon, "Z",	noMark, plain;
	"Redo",				noIcon, "R",	noMark, plain;
	"-",				noIcon, noKey,	noMark, plain;
	"Cut",				noIcon, "X",	noMark, plain;
	"Copy",				noIcon, "C",	noMark, plain;
	"Paste",			noIcon, "V",	noMark, plain;
	"Paste As",		noIcon, noKey,	noMark, plain;
	"Clear",			noIcon, noKey,	noMark, plain;
	"Select All",		noIcon, "A",	noMark, plain;
	"-",				noIcon, noKey,	noMark, plain;
	"Part Info",		noIcon, "L",	noMark, plain;
	"Preferences",		noIcon, noKey,	noMark, plain;
	"-",				noIcon, noKey,	noMark, plain;
	"View in Window",	noIcon, noKey,	noMark, plain;
	}
};

resource 'MBAR' (kMBarOpenDoc,
#if qNames
"kMBarOpenDoc",
#endif
nonpurgeable) {

	{mODMENUApple; mODMENUDocument; mODMENUEdit}
};

#if qAloe
resource 'hmnu' (mODDocument) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{
		HMStringResItem {				// File 
			kStandardHelpStrings,32,
			kStandardHelpStrings,33,
			-1,0,
			-1,0
		},
		HMStringResItem {				// New 
			kStandardHelpStrings,34,
			kStandardHelpStrings,35,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Open 
			kStandardHelpStrings,36,
			kStandardHelpStrings,37,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Open Selection
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Insert
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Close 
			kStandardHelpStrings,38,
			kStandardHelpStrings,39,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Save 
			kStandardHelpStrings,40,
			kStandardHelpStrings,41,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Save A Copy
			kStandardHelpStrings,42,
			kStandardHelpStrings,43,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Revert to Saved
			kStandardHelpStrings,52,
			kStandardHelpStrings,53,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Document Info
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Page Setup 
			kStandardHelpStrings,44,
			kStandardHelpStrings,45,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Print 
			kStandardHelpStrings,46,
			kStandardHelpStrings,47,
			-1,0,
			-1,0
		}
	}
};


resource 'hmnu' (mODEdit) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// Edit 
			kStandardHelpStrings,4,
			kStandardHelpStrings,5,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Undo
			kStandardHelpStrings,6,
			kStandardHelpStrings,7,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Redo
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Cut 
			kStandardHelpStrings,8,
			kStandardHelpStrings,9,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Copy 
			kStandardHelpStrings,10,
			kStandardHelpStrings,11,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Paste 
			kStandardHelpStrings,12,
			kStandardHelpStrings,13,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Paste As
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Clear 
			kStandardHelpStrings,14,
			kStandardHelpStrings,15,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Select All 
			kStandardHelpStrings,16,
			kStandardHelpStrings,17,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Part Info
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Preferences
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// View in Window
			-1,0,
			-1,0,
			-1,0,
			-1,0
		}
	}
};
#endif