//----------------------------------------------------------------------------------------
// UODAdaptable.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UODAdaptable__
#define __UODAdaptable__

#if qALOE

// ACS ALOE

#ifndef __CODAdaptorMgr_AC__
#include "CODAdaptorMgr_AC.h"
#endif

// MacApp

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

#ifndef __UCLASSDESC__
#include "UClassDesc.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------


//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class TFile;

//----------------------------------------------------------------------------------------
// MODAdaptable: This is a mixin class that implements saving and reading with a TFile
//----------------------------------------------------------------------------------------

class EXPORT_MA MODAdaptable
{

	
  public:
  
  	// Constructor and destructor
  	
	MODAdaptable(bool createAdaptorManager = true); 
	
	virtual ~MODAdaptable();
				
	// Saving and Restoring OpenDoc content
	
	virtual bool IsChangedAdaptorManager();
	
	virtual void DoReadAdaptorManager(TFile* aFile);
						 
	virtual void DoWriteAdaptorManager(TFile* aFile);

	// Accessor
	
	virtual CODAdaptorMgr_AC* GetAdaptorManager();
		
	void MakeAdaptorManager();
	// Can't be virtual, it may be called from the constructor
	
private:
	CAutoPtr_AC<CODAdaptorMgr_AC>	fAdaptorMgr;
};

#endif // qALOE

#endif // __UODAdaptable__
