//----------------------------------------------------------------------------------------
// UODAdaptorViewProxy.h
// Copyright  1997 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UODAdaptorViewProxy__
#define __UODAdaptorViewProxy__

#if qALOE

// ACS ALOE (needed for types and inlined calls)

#ifndef __ODUtils_AC__
#include "ODUtils_AC.h"
#endif

// MacApp

#ifndef __MSTREAMABLE__
#include "UStreamable.h"
#endif

#ifndef __CPoint_AC__
#include "CPoint_AC.h"
#endif

#ifndef __CRect_AC__
#include "CRect_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class CODAdaptorView_AC;

//----------------------------------------------------------------------------------------
// ODAdaptorViewProxy wraps the ALOEAdaptor and ALOEAdaptorView for reading/writing
//----------------------------------------------------------------------------------------

class EXPORT_MA TODAdaptorViewProxy : MStreamable {

public:	
	TODAdaptorViewProxy();
	// Constructor at read time
			
	TODAdaptorViewProxy(CODAdaptorView_AC* adaptorView);
	// Constructor at write time

	// Default copy constructor and assignment not implemented

private:

	TODAdaptorViewProxy(const TODAdaptorViewProxy& adaptor);	
	TODAdaptorViewProxy& operator = (const TODAdaptorViewProxy& that);

public:

	virtual ~TODAdaptorViewProxy();

	virtual void ReadFrom(CStream_AC* aStream);
	
	virtual void WriteTo(CStream_AC* aStream) const;
	
	// --------------------------------------------------------------------------------
	// Accessors
	// --------------------------------------------------------------------------------
	
	inline void GetPersistentID(ALOEPersistentID& id) const
		{ SetALOEPersistentID(id, fPersistentID); }
		
	inline CPoint_AC GetOffset() const
		{ return fOffset; }

	inline bool IsGood() const
		{ return true; } // !!! for now
protected:		
	
private:
	CODAdaptorView_AC* fAdaptorView;
	ALOEPersistentID fPersistentID;
	CPoint_AC fOffset;
};

#endif // qALOE

#endif // __UODAdaptorViewProxy__
