// UODDispatcher.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UODDispatcher__
#define __UODDispatcher__

#if qALOE

#ifndef __UDISPATCHER__
#include "UDispatcher.h"
#endif

//----------------------------------------------------------------------------------------
// TODDispatcher
//----------------------------------------------------------------------------------------

class EXPORT_MA TODDispatcher: public TDispatcher
{
public:
	
	TODDispatcher(OSType itsMainFileType = kTextType_AC,
					 OSType itsCreator = kAllQuestionsType_AC);
		// Constructor 
	
	virtual ~TODDispatcher();
		// Destructor
	
	//------------------------------------------------------------------------------------
	// Initiating an ALOE session is provided as a default behavior in Run() that
	// can be changed by a subclass of TODDispatcher.
	//------------------------------------------------------------------------------------
	
	virtual void NewODSession();
		// Create a TODSession instance.  This does not start the OD session connection.
		// The client must call  CODSession_AC::Instance()->Connect() directly either
		// in an override of this method (after calling inherited) or at another time
		// prior to creating an AdaptorMgr instance.
				
	virtual void Run(); // Override
	
	//------------------------------------------------------------------------------------
	// Event handling and menu management for ALOE
	//------------------------------------------------------------------------------------
	
	virtual TToolboxEvent* GetEvent(short eventMask, unsigned long sleep, 
										RgnHandle sleepRegion); // Override
	
	virtual void DoToolboxEvent(TToolboxEvent* event); // Override
	
	virtual void HandleMouseDown(TToolboxEvent* event); // Override
	
	virtual void HandleActivateEvent(TToolboxEvent* event); // Override
										
	virtual void Idle(IdlePhase phase); // Override
	
	virtual void SetupTheMenus(); // Override
};	

#endif // qALOE

#endif // __UODDispatcher__
