// UODFileBasedDocument.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved. 

#ifndef __UODFileBasedDocument__
#define __UODFileBasedDocument__

#if qALOE

#ifndef __UFILEBASEDDOCUMENT__
#include "UFileBasedDocument.h"
#endif

#ifndef __CODAdaptorMgr_AC__
#include "CODAdaptorMgr_AC.h"
#endif

#ifndef __UODAdaptable__
#include "UODAdaptable.h"
#endif

//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------


//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------


//----------------------------------------------------------------------------------------
// TODFileBasedDocument
//----------------------------------------------------------------------------------------

class EXPORT_MA TODFileBasedDocument: public TFileBasedDocument, public MODAdaptable
{
	MA_DECLARE_CLASS;
	
  public:
  
  	// Constructor and destructor
  	
	TODFileBasedDocument(TFile* itsFile = NULL, OSType itsCreator = kNoIdentifier); 
	
	virtual ~TODFileBasedDocument();
				
	// Saving and Restoring OpenDoc content
	
	virtual bool IsChanged(); // Override
	
	virtual void DoNeedDiskSpace(TFile* itsFile,
								  long& dataForkBytes,
								  long& rsrcForkBytes);	// Override
								  
	virtual void DoRead(TFile* aFile,
						 bool forPrinting);	// Override
						 
	virtual void DoWrite(TFile* aFile,
						  bool makingCopy);	// Override

};

#endif // qALOE

#endif // __UODFileBasedDocument__