//----------------------------------------------------------------------------------------
// UODPartViewCommands.h
// Copyright  1994-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#if qContainer

#ifndef __UODPARTVIEWCOMMANDS__
#define __UODPARTVIEWCOMMANDS__

#ifndef __UODPARTVIEW__
#include "UODPartView.h"
#endif



//========================================================================================
// CLASS TCopyODPartCommand
//========================================================================================

class EXPORT_MA TCopyODPartCommand : public TCommand
{
public:
	TCopyODPartCommand(CommandNumber itsCommandNumber = cNoCommand,
										TDocument* itsDocument = NULL,
										TODPartView* thePartView = NULL);

	virtual ~TCopyODPartCommand();

	virtual void DoIt();
	
public:	
	TDocument* 		fDocument;
	TODPartView*	fODPartView;
};


//========================================================================================
// CLASS TCutODPartCommand
//========================================================================================

class EXPORT_MA TCutODPartCommand : public TCommand
{
public:
	TCutODPartCommand(CommandNumber	itsCommandNumber = cNoCommand,
								TDocument* itsDocument = NULL,
								TODPartView* thePartView = NULL);

	virtual ~TCutODPartCommand();

	virtual void DoIt();
	
public:
	TDocument* fDocument;
	TODPartView* fODPartView;
};


//========================================================================================
// CLASS TPasteODPartCommand
//========================================================================================

class EXPORT_MA TPasteODPartCommand : public TCommand
{
public:	
	TPasteODPartCommand(CommandNumber itsCommandNumber = NULL,
									TDocument* itsDocument = NULL,
									TODPartView* thePartView = NULL);

	virtual ~TPasteODPartCommand();

	virtual void DoIt();
	
public:
	TDocument* fDocument;
	TODPartView* fODPartView;
};

#endif
#endif //qContainer