//----------------------------------------------------------------------------------------
// UODSession.h
// Copyright  1997 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UODSession__
#define __UODSession__


#if qALOE

#ifndef __CODSession_AC__
#include "CODSession_AC.h"
#endif

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

//----------------------------------------------------------------------------------------
// MacApp ALOE / OpenDoc Live Objects session class
//----------------------------------------------------------------------------------------

class EXPORT_MA TODSession : public CODSession_AC {

public:
	TODSession();
		
	virtual void DoSetBaseMenuBar();
		// Install MacApp's base menu bar in ALOE

protected:
	void SaveMenuBar();
		// Save current menu bar before letting ALOE take over
	
	void RestoreMenuBar();
		// Restore saved menu bar when ALOE tells us it's okay

	void RegisterCommandNumber(CommandNumber maCommand, long odCommand);
		// Register MacApp CommandNumber as OpenDoc command number
	

public:
	virtual CODAdaptorMgr_AC* GetFrontAdaptorMgr();
		// Return the frontmost window's corresponding adaptor mgr

	virtual void SetCallbacks(); // override
		// add a call to SetWindowActionCallback
	
	virtual void DoActivateApp(bool activate); // override
		// swap menu bars if activating application
	
	virtual void DoResetMenuBar(WindowRef window); // override
		// handle callback from ALOE to restore our menu bar
	
	virtual void DoWindowAction(WindowRef window, ALOEWindowAction action, bool param); // override
		// handle callback from ALOE to perform window action
	
protected:	
	Handle fSavedMenuBar;
};

#endif // qALOE

#endif // __UODSession__