//----------------------------------------------------------------------------------------
// UODAdaptorViewProxy.cp
// Copyright  1997 by Apple Computer. All rights reserved. 
//----------------------------------------------------------------------------------------

#if qALOE

#ifndef __UODAdaptorViewProxy__
#include "UODAdaptorViewProxy.h"
#endif

// ACS ALOE (needed for types and inlined calls)

#ifndef __CODAdaptor_AC__
#include "CODAdaptor_AC.h"
#endif

#ifndef __CODAdaptorView_AC__
#include "CODAdaptorView_AC.h"
#endif

// MacApp

#ifndef __USTREAM__
#include "UStream.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------


//----------------------------------------------------------------------------------------
// Constructor at read time
//----------------------------------------------------------------------------------------

TODAdaptorViewProxy::TODAdaptorViewProxy() :
		fOffset(gZeroPt)
{ 
	SetALOEPersistentID(fPersistentID, kALOENullPersistentID);
}

//----------------------------------------------------------------------------------------
// Constructor at write time
//----------------------------------------------------------------------------------------

TODAdaptorViewProxy::TODAdaptorViewProxy(CODAdaptorView_AC* adaptorView) :
	fOffset(adaptorView->GetOffset())
{ 
	ALOEPersistentID id; 
	adaptorView->GetAdaptor()->GetPersistentID(id); 
	SetALOEPersistentID(fPersistentID, id); 
}

//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------
	
TODAdaptorViewProxy::~TODAdaptorViewProxy()
{

}

//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------

void TODAdaptorViewProxy::ReadFrom(CStream_AC* aStream)
{
	aStream->ReadBytes(fPersistentID, sizeof(ALOEPersistentID));
	fOffset = aStream->ReadPoint();
}
	
//----------------------------------------------------------------------------------------
// Destructor
//----------------------------------------------------------------------------------------

void TODAdaptorViewProxy::WriteTo(CStream_AC* aStream) const
{
	aStream->WriteBytes(fPersistentID, sizeof(ALOEPersistentID));
	aStream->WritePoint(fOffset);
}

#endif // qALOE

//----------------------------------------------------------------------------------------
// End of UODAdaptorViewProxy.cp


