// UPerform.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UPERFORM__
#define __UPERFORM__

// MacApp

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

// Toolbox

#ifndef __FILES__
#include <Files.h>
#endif

// ANSI
//----------------------------------------------------------------------------------------
// Forward class declarations
//----------------------------------------------------------------------------------------

#if qPerform
	class TWindow;
#endif

//----------------------------------------------------------------------------------------
// Global function declarations
//----------------------------------------------------------------------------------------

#if qPerform

EXPORT_MA  bool PerfMonitorInitiated();
	// Returns true if the performance monitor is currently running.

EXPORT_MA void InitiatePerfMonitor(TWindow* aWindow);
	// Initiate performance monitoring from the performance monitor initialization dialog
    // box.

EXPORT_MA void DumpPerfMonitor(const CFSSpec_AC& fileSpec);
	// Save performance statistics gathered so far to the file specified by fileSpec.
	
EXPORT_MA void EnablePerfMonitor(const bool enable);
	// Temporarily Enable/Disable already initiated performance monitoring.

EXPORT_MA bool PerfMonitorEnabled();
	// Is the performance monitor enabled?

EXPORT_MA void TerminatePerfMonitor();
	// Shut down performance monitoring.

#endif	// qPerform

#if qDebug
EXPORT_MA  void DebugTerminate();
#endif

#endif // __UPERFORM__
