// UClassDesc.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.


#ifndef __UCLASSDESC__
#define __UCLASSDESC__

// ACS

#ifndef __ClassRegistration_AC__
#include "ClassRegistration_AC.h"
#endif

//========================================================================================
// Left in for compatibility.
//========================================================================================
#define MA_DEFINE_REGISTERED DEFINE_REGISTERED_AC
#define MA_MAP_SIGNATURE_TO_CLASS MAP_SIGNATURE_TO_CLASS_AC
#define MA_REGISTER_CLASS REGISTER_CLASS_AC
#define MA_REGISTER_SIGNATURE REGISTER_SIGNATURE_AC

//----------------------------------------------------------------------------------------
// Types
//----------------------------------------------------------------------------------------
typedef CClassRegistration_AC ClassDesc;
typedef ClassName_AC ClassName;
typedef ClassDesc* MA_ClassReference;

//----------------------------------------------------------------------------------------
// Some constants
//----------------------------------------------------------------------------------------
#define kNilClass kNilClass_AC


#define NewStdObject NewStdObject_AC
#define NewObjectBySignature NewObjectBySignature_AC

//----------------------------------------------------------------------------------------
// Macros for generating standardized clone methods.
// NOTE: these should probably be abandoned in MacApp in favor of actual Clone functions.
//       But leave the macros in place for compatibility
//----------------------------------------------------------------------------------------
#define MA_DECLARE_CLONE																\
  public:																				\
	virtual void* Clone() const

#define MA_DEFINE_CLONE(argument)														\
	void* argument::Clone()	const { return TH_new argument(*const_cast<argument*>(this)); }

//----------------------------------------------------------------------------------------
// Others
//----------------------------------------------------------------------------------------
#define MA_DECLARE_CLASS																\
	MA_DECLARE_CLONE

#define MA_DEFINE_CLASS(argument)														\
    DEFINE_REGISTERED_AC(argument)														\
	MA_DEFINE_CLONE(argument)

#define MA_GET_CLASS_ID(argument) CClassRegistration_AC::GetClassDescFromClassName(typeid(argument).name())->GetClassID()
// Returns the class ID.

#define MA_MEMBER(p, T) \
	(dynamic_cast<T*>(p) != NULL)
// Object Member Macro (simulates the pascal Member function). 

#define MA_IS_SAME_CLASS(argument, classDesc) (typeid(argument) == classDesc)
// True if my class is the same as the class described by ClassRegistration_AC.

#define MA_GET_CLASS_NAME(argument) typeid(argument).name()
// Returns a pointer to the class name.

#define macroDontDeadStrip(argument) 													\
	MA_REGISTER_CLASS(argument)
#define DeclareClass(argument)	MA_DECLARE_CLASS
#define DeclareClassDesc(argument)
#define MA_DEFINE_CLASS_M0(argument)													\
	MA_DEFINE_CLASS(argument)
#define MA_DEFINE_CLASS_M1(argument, ancestor)											\
	MA_DEFINE_CLASS(argument)
#define MA_DEFINE_CLASS_M2(argument, ancestor1, ancestor2)								\
	MA_DEFINE_CLASS(argument)
#define MA_DEFINE_CLASS_M3(argument, ancestor1, ancestor2, ancestor3)					\
	MA_DEFINE_CLASS(argument)
#define MA_DEFINE_CLASS_M4(argument, ancestor1, ancestor2, ancestor3, ancestor4)		\
	MA_DEFINE_CLASS(argument)
#define DefineClass(argument, firstBase)												\
	MA_DEFINE_CLASS(argument)

#endif // __UCLASSDESC__
