// UPointerObject.h 
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UPOINTEROBJECT__
#define __UPOINTEROBJECT__

// MacApp

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif

// Toolbox

#ifndef __TYPES__
#include <Types.h>
#endif

// ANSI

#ifndef __STDDEF__
#include <stddef.h>
#endif

#define FreeIfObject(obj) (delete obj, NULL)
	// Compatibility macro, allows you to still say aFoo = dynamic_cast<TFoo*>(FreeIfObject(aFoo)

//----------------------------------------------------------------------------------------
// Forward and External definitaions
//----------------------------------------------------------------------------------------
struct MemHeap; // external

//----------------------------------------------------------------------------------------
// Global variable declarations.
//----------------------------------------------------------------------------------------

EXPORT_MA extern MemHeap* gObjectHeap;
	// Our own heap for object allocations.

//----------------------------------------------------------------------------------------
// Global function declarations
//----------------------------------------------------------------------------------------
EXPORT_MA void* MAOperatorNew(size_t size);
	// Allocate space for an object in the global object heap. 

EXPORT_MA void MAOperatorDelete(void* obj);
	// Delete an object from the global object heap. 

#endif
