// UniversalStartup.h
// Copyright  1995-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UNIVERSALSTARTUP__
#define __UNIVERSALSTARTUP__

// MacApp

#ifndef __UCOREGLOBALS__
#include "UCoreGlobals.h"
#endif


//----------------------------------------------------------------------------------------
// Initialization code that needs to always be compiled for 68000.
//----------------------------------------------------------------------------------------

//
// Support for early expansion of the heap requires that we know how
// much stack space to reserve. The mem!/ppc!/68k! resources will be summed
// and their results saved for later usage as well.
//
#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif
struct Mem
{
	long objectHeap, heapIncrement, codeVal, lowSpaceVal, stackVal;
};
#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

typedef Mem *MemPtr, **MemHandle;

EXPORT_MA void UniversalStartup();
// Call from earliest possible place in your runtime unit. As first static constructor if possible.
// Initializes toolbox and calls ValidateProcessor to make certain that when this call returns you
// are at least running on the processor that you were compiled to require.

EXPORT_MA bool ValidateProcessor();

EXPORT_MA void AlertUnsupportedConfiguration();
// Call if you determine that the current machine isn't good enough. Puts up alert and quits app.

//----------------------------------------------------------------------------------------
// Accessors: 
//----------------------------------------------------------------------------------------
EXPORT_MA Size GetSizeObjectHeap();
EXPORT_MA Size GetSizeHeapIncrement();
EXPORT_MA Size GetSizeTempReserve();
EXPORT_MA Size GetSizeLowSpaceReserve();
EXPORT_MA Size GetStackTot();

EXPORT_MA bool GetHasProcessMgr();
EXPORT_MA bool IsOnlyBackground();
EXPORT_MA bool IsHighLevelEventAware();
EXPORT_MA short GetProcessor();
EXPORT_MA bool HasFPU();

#endif // __UNIVERSALSTARTUP__
