// CoreDefaults.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 
// Default resources that can be included in your application if desired 

/*  Auto-Include the requirements for this source */

// MacApp

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

/*
#ifndef __MACoreTypes__
#include "MACoreTypes.r"
#endif
*/

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif

// Toolbox

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

// Version for the "package"

// This is the version resource for the MacApp package. If you are developing
// a product which is not part of MacApp, you'll probably want to define your
// own vers,2 resource which you can use for the applications in your product. 

resource 'vers' (2,
#if qNames
	"Package Version",
#endif
	purgeable) {
	MA_VERS_CODE,
	verUs,
	MA_SHORT_VERSION,
	MA_LONG_VERSION
};

// Version for the "application or file"

// This is a default version resource, good for the first pre-release version of
// an application. When you get into serious development, you probably want to
// give each of your applications its own vers,1 resource. 

resource 'vers' (1,
#if qNames
	"Application Version",
#endif
	purgeable) {
	0x01,
	0x00,
	development,
	0x01,
	verUs,
	"1.0 d1",
	"1.0 d1, Application created by MacApp"
};


#ifndef MW_Rez 	// Metrowerks will supply it's own cfrg
#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Nothing"
	}
};
#endif
#endif // MW_Rez

// End of CoreDefaults.r
