// Memory.r
// MacApp Memory management Resources
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved.

//  Auto-Include the requirements for this source

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

/*
#ifndef __MACoreTypes__
#include "MACoreTypes.r"
#endif
*/

// memory stuff

resource 'mem!' (kBaseMacApp,
#if qNames
	"BaseMacApp",
#endif
	purgeable) {
	32 * 1024,				// Pointer-based object allocation heap size (initial)
	30 * 1024,				// Min size by which to grow object heap
	6 * 1024,				// Add to temporary reserve (code reserve)
	6 * 1024,				// Add to permanent reserve
	32 * 1024				// Base stack size. MacApp sums this entry for all 'mem!' resources to
                    		// determine what it should set the stack limit to at application
                    		// startup.
};

resource 'ppc!' (kBaseMacApp,
#if qNames
	"BaseMacApp",
#endif
	purgeable) {
	0 * 1024,				// Pointer-based object allocation heap size (initial)
	0 * 1024,				// Min size by which to grow object heap
	0 * 1024,				// Add to temporary reserve (code reserve)
	30 * 1024,				// Add to permanent reserve
	0 * 1024				// Base stack size. MacApp sums this entry for all 'mem!' resources to
                    		// determine what it should set the stack limit to at application
                    		// startup.
};

#if qDebug
resource 'mem!' (kForDebugging,
#if qNames
	"ForDebugging",
#endif
	purgeable) {
	0,					// Add to object heap size
	0,					// Add to heap increment size
	2048 + 2048,		// Add to temporary reserve
	0,					// Add to permanent reserve
	0					// stack space
};

#endif // qDebug
