/*
	Editions.r
	MacApp Edition Manager Resources
	Copyright  1990-96 by Apple Computer, Inc. All rights reserved.
	
	Usage
	=====
	If your application supports the Edition Manager, then include the following line in your
	application's ".r" file:
	
include "Editions.rsrc" not 'ckid';					// Grab the required Edition Manager resources

	If your application uses the default Edition Manager Edit menu supplied by MacApp, then 
	include the following line in your application's ".r" file:
	
include "Defaults.rsrc" 'CMNU' (mEditionMgrEdit);	// Grab the default Edition Manager Edit menu

	
	Open Issues
	===========
	There are 4 buzz strings in the kIDBuzzString 'STR#' resource for Edition Mgr support,
	these should probably be broken out of the default buzz string resource, but where should
	they go?
	
	The Edition Mgr default Edit menu is in Defaults.r and should probably remain there (rather
	than moving it here) since it's optional, whereas the resources in this file are mandatory.
*/

/*  Auto-Include the requirements for this source */

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

// Edition Manager Apple Event support
resource 'aedt' (kAEEditionsDispatchTable)
{
	{
	sectionEventMsgClass, sectionReadMsgID, cSectionRead;
	sectionEventMsgClass, sectionWriteMsgID, cSectionWrite;
	sectionEventMsgClass, sectionScrollMsgID, cSectionScroll;
	sectionEventMsgClass, sectionCancelMsgID, cSectionCancel;
	}
};

/* Used when closing a document in which the user has created a publisher but hasn't
   modified any of the document's DATA */

resource 'DITL' (phNewPublisherAlert,
#if qNames
	"phNewPublisherAlert",
#endif
	purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{119, 288, 139, 348},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{119, 215, 139, 275},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{119, 72, 139, 156},
		Button {
			enabled,
			"Don't Save"
		},
		/* [4] */
		{10, 75, 106, 348},
		StaticText {
			disabled,
			"This document contains new Publishers. You must save this document to keep them."
			"\n\n"
			"Save '^0' before ^1?"
		},
		/* [6] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			cautionIcon
		}
	}
};

/* Used when a document has multiple publishers to the same edition. */

resource 'DITL' (phMultPublisherWrn,
#if qNames
	"phMultPublisherWrn",
#endif
	purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{135, 288, 155, 348},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 122, 348},
		StaticText {
			disabled,
			"There is another Publisher open to the Edition '^0.'"
			"\n\n"
			"If there is more than one Publisher to an Edition, the Edition's contents aren't predictable."
		},
		/* [4] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			cautionIcon
		}
	}
};

/* Used when a document tries to save multiple publishers to the same edition. */

resource 'DITL' (phSavingMultPublisherWrn,
#if qNames
	"phSavingMultPublisherWrn",
#endif
	purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{135, 288, 155, 348},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 122, 348},
		StaticText {
			disabled,
			"'^1' contains two Publishers to the Edition '^0.'"
			"\n\n"
			"If there is more than one Publisher to an Edition, the Edition's contents aren't predictable."
		},
		/* [4] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			cautionIcon
		}
	}
};

resource 'ALRT' (phNewPublisherAlert,
#if qNames
	"phNewPublisherAlert",
#endif
	purgeable) {
	{86, 60, 235, 418},
	phNewPublisherAlert,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (phMultPublisherWrn,
#if qNames
	"phMultPublisherWrn",
#endif
	purgeable) {
	{100, 110, 265, 468},
	phMultPublisherWrn,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (phSavingMultPublisherWrn,
#if qNames
	"phSavingMultPublisherWrn",
#endif
	purgeable) {
	{100, 110, 265, 468},
	phSavingMultPublisherWrn,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};
