// Default.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved.

//  Auto-Include the requirements for this source

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __AEUSERTERMTYPES__
#include "AEUserTermTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

// Get the application's CODE.  Note that this is done this way so that the application can
// be linked and/or rezzed separately.  Also, Rez currently (MPW 3.0) does not support
// -align longword simultaneously with the -append option (but it only tells you if you're
// getting -p progress indication).

#ifndef MW_Rez
#if !qNoCode
include $$Shell("ObjApp")$$Shell("XAppName") 'CODE';
#if qModelCFM
include $$Shell("ObjApp")$$Shell("XAppName") 'cfrg';
include $$Shell("ObjApp")$$Shell("XAppName") 'rseg';
#endif
#endif
#endif // !MW_Rez

// Basic resources for various purposes.
// Self evident from their names!
include "MacApp.rsrc" not 'ckid';
include "Printing.rsrc" not 'ckid';

#if qDebug | qPerform
include "Debug.rsrc" not 'ckid';
include "Dialog.rsrc" not 'ckid';
#endif


// Now include the "default" resources
// Note: you can pick and choose to selectively replace defaults in your own Rez source.
#if qTemplateViews
include "Defaults.rsrc"  'STR#' (kDefaultWindowTitle);
include "Defaults.rsrc"  'View' (kDefaultViewID);
include "Defaults.rsrc"  'View' (kDefaultWindowID);
#else
include "Defaults.rsrc"  'WIND' (kDefaultWindowID);
#endif

include "Defaults.rsrc"  'ALRT' (phAboutApp);
include "Defaults.rsrc"  'CMNU' (mBuzzwords);
include "Defaults.rsrc"  'CMNU' (mApple);
include "Defaults.rsrc"  'CMNU' (mEdit);
include "Defaults.rsrc"  'CMNU' (mFile);
include "Defaults.rsrc"  'DITL' (phAboutApp);
include "Defaults.rsrc"  'MBAR' (kMBarDisplayed);
include "Defaults.rsrc"  'SIZE' (-1);
include "Defaults.rsrc"  'STR#' (kDefaultCredits);
include "Defaults.rsrc"  kAETerminologyExtension (0);

#if qPowerPC
include "Defaults.rsrc"  'cfrg' (0);
#endif

// Get the default MacApp application icon and necessary bundling rsrcs
include "Defaults.rsrc"  'SS01' (0);
include "Defaults.rsrc"  'FREF' (128);
include "Defaults.rsrc"  'FREF' (129);
include "Defaults.rsrc"  'FREF' (130);
include "Defaults.rsrc"  'BNDL' (128);
include "Defaults.rsrc"  'ICN#' (128);		// Application B&W icon
include "Defaults.rsrc"  'ics#' (128);		// Application B&W small icon
include "Defaults.rsrc"  'ics4' (128);		// Application 8 bit smaller color icon
include "Defaults.rsrc"  'ics8' (128);		// Application 8 bit small color icon
include "Defaults.rsrc"  'icl4' (128);		// Application 8 bit medium color icon
include "Defaults.rsrc"  'icl8' (128);		// Application 8 bit color icon
include "Defaults.rsrc"  'ICN#' (129);		// Document B&W icon
include "Defaults.rsrc"  'ics#' (129);		// Document B&W small icon
include "Defaults.rsrc"  'ics4' (129);		// Document 8 bit smaller color icon
include "Defaults.rsrc"  'ics8' (129);		// Document 8 bit small color icon
include "Defaults.rsrc"  'icl4' (129);		// Document 8 bit medium color icon
include "Defaults.rsrc"  'icl8' (129);		// Document 8 bit color icon
include "Defaults.rsrc"  'ICN#' (130);		// Stationery B&W icon
include "Defaults.rsrc"  'ics#' (130);		// Stationery B&W small icon
include "Defaults.rsrc"  'ics4' (130);		// Stationery 8 bit smaller color icon
include "Defaults.rsrc"  'ics8' (130);		// Stationery 8 bit small color icon
include "Defaults.rsrc"  'icl4' (130);		// Stationery 8 bit medium color icon
include "Defaults.rsrc"  'icl8' (130);		// Stationery 8 bit color icon

// Get the default Version resources
include "Defaults.rsrc"  'vers' (1);		// Application or file specific
include "Defaults.rsrc"  'vers' (2);		// Overall package
