// HelpStrings.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 

// This file contains a STR# resource containing balloon help text for the "standard"
// Apple, File and Edit menus. It can be copied and pasted, or #included in the application's .r file.
// It cannot be precompiled as it accesses the shell variable "XAppName"

//  Auto-Include the requirements for this source 

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

#if !defined(THINK_Rez) && !defined(MW_Rez)
#define TARGET_APPLICATION_NAME $$Shell("XAppName")
#else
#define TARGET_APPLICATION_NAME "<????>"
#endif

resource 'STR#' (kStandardHelpStrings, "Balloon Help String 1") {
	{
		// [1] About YourAppName, Normal
			"Displays information about the version of the "TARGET_APPLICATION_NAME" application.",
			
		// [2] About YourAppName, Grayed 
			"Displays information about the version of the "TARGET_APPLICATION_NAME" application.",
			
		// [3] About YourAppName, Checked 
			"Displays information about the version of the "TARGET_APPLICATION_NAME" application.",
			
		// [4] Edit, Normal 
			"Edit menu\$0D\$0DUse this menu to undo your last action, to m"
			"anipulate text or graphics, to select the entire contents of"
			" a document, and to show what's on the Clipboard.",
			
		// [5] Edit, Grayed 
			"Edit menu\$0D\$0DUse this menu to undo your last action, to m"
			"anipulate text or graphics, to select the entire contents of"
			" a document, and to show what's on the Clipboard.",
			
		// [6] Undo, Normal 
			"Undoes your last action if it involved cutting, clearing, p"
			"asting, or typing. ",
			
		// [7] Undo, Grayed 
			"Undoes your last action if it involved cutting, clearing, p"
			"asting, or typing. Not available because your last action ca"
			"nnot be undone.",
			

		// [8] Cut, Normal 
			"Removes the selected text or graphics and places it tempora"
			"rily into a storage area called the Clipboard.",
			
		// [9] Cut, Grayed 
			"Removes the selected text or graphics and places it tempora"
			"rily into a storage area called the Clipboard. Not available"
			" because nothing is selected.",
			
		// [10] Copy, Normal 
			"Copies the selected text or graphics. The original selectio"
			"n remains where it is. The copy is placed temporarily into a"
			" storage area called the Clipboard.",
			
		// [11] Copy, Grayed 
			"Copies the selected text or graphics. The original selectio"
			"n remains where it is. The copy is placed temporarily into a"
			" storage area called the Clipboard. Not available because no"
			"thing is selected.",
		// [12] Paste, Normal 
			"Inserts the contents of the Clipboard at the location of th"
			"e insertion point.",
		// [13] Paste, Grayed 
			"Inserts the contents of the Clipboard at the location of th"
			"e insertion point. Not available because there is nothing on"
			" the Clipboard or because the contents of the Clipboard are "
			"of a type "TARGET_APPLICATION_NAME" can't read.",
		// [14] Clear, Normal 
			"Removes the selected text or graphics without storing it on"
			" the Clipboard.",
		// [15] Clear, Grayed 
			"Removes the selected text or graphics without storing it on"
			" the Clipboard. Not available because nothing is selected.",
		// [16] Select All, Normal 
			"Selects the entire contents of the open "TARGET_APPLICATION_NAME" documen"
			"t.",
		// [17] Select All, Grayed 
			"Selects the entire contents of the open "TARGET_APPLICATION_NAME" documen"
			"t. Not available because no "TARGET_APPLICATION_NAME" document is open or "
			"because the open document is empty.",
		// [18] Hide Clipboard  , Normal 
			"Closes the Clipboard window.",
		// [19] Hide Clipboard  , Grayed 
			"Closes the Clipboard window.",
		// [20] Hide Clipboard  , Checked 
			"Closes the Clipboard window.",
		// [21] Show Clipboard  , Normal 
			"Displays the contents of the Clipboard (a storage area for "
			"the last item cut or copied).",
		// [22] Show Clipboard  , Grayed 
			"Displays the contents of the Clipboard (a storage area for "
			"the last item cut or copied).",
		// [23] Show Clipboard  , Checked 
			"Displays the contents of the Clipboard (a storage area for "
			"the last item cut or copied).",
		// [24] Create Publisher, Normal 
			"Turns the selected text or graphics into a publisher and co"
			"pies it into an edition file. Saving the document automatica"
			"lly copies any changes inside the publisher into the edition"
			" file.",
		// [25] Create Publisher, Grayed 
			"Turns the selected text or graphics into a publisher and co"
			"pies it into an edition file. Saving the document automatica"
			"lly copies any changes inside the publisher into the edition"
			" file. Not available because nothing is selected.",
		// [26] Subscribe to, Normal 
			"Subscribes to an edition file that you select.  The content"
			"s of the edition are placed into the active document.  Whene"
			"ver the edition file changes, its contents are automatically"
			" updated in the document.",
		// [27] Subscribe to, Grayed 
			"Subscribes to an edition file that you select.  The content"
			"s of the edition are placed into the active document. Not av"
			"ailable because no "TARGET_APPLICATION_NAME" document is open.",
		// [28] Publisher Options, Normal 
			"Displays a dialog box in which you can set options for a se"
			"lected publisher.",
		// [29] Publisher Options, Grayed 
			"Displays a dialog box in which you can set options for a se"
			"lected publisher. Not available because no publisher is sele"
			"cted.",
		// [30] Subscriber Options, Normal 
			"Displays a dialog box in which you can set options for a se"
			"lected subscriber.",
		// [31] Subscriber Options, Grayed 
			"Displays a dialog box in which you can set options for a se"
			"lected subscriber. Not available because no subscriber is se"
			"lected.",
		// [32] File, Normal 
			"File menu\$0D\$0DUse this menu to open, close, save, and prin"
			"t "TARGET_APPLICATION_NAME" documents, and to quit "TARGET_APPLICATION_NAME".",
		// [33] File, Grayed 
			"File menu\$0D\$0DUse this menu to open, close, save, and prin"
			"t "TARGET_APPLICATION_NAME" documents, and to quit "TARGET_APPLICATION_NAME".",
		// [34] New, Normal 
			"Creates a new "TARGET_APPLICATION_NAME" document called 'untitled.'",
		// [35] New, Grayed 
			"Opens a new "TARGET_APPLICATION_NAME" document called 'untitled.' Not ava"
			"ilable because <good reason here>.",
		// [36] Open, Normal 
			"Opens an existing "TARGET_APPLICATION_NAME" document.",
		// [37] Open, Grayed 
			"Opens an existing "TARGET_APPLICATION_NAME" document. Not available becau"
			"se <good reason here>.",
		// [38] Close, Normal 
			"Closes the active "TARGET_APPLICATION_NAME" document.",
		// [39] Close, Grayed 
			"Closes the active "TARGET_APPLICATION_NAME" document. Not available becau"
			"se no "TARGET_APPLICATION_NAME" document is open.",
		// [40] Save, Normal 
			"Saves the active "TARGET_APPLICATION_NAME" document. If you have not save"
			"d the document before, you give the document a name and indi"
			"cate where to save it.",
		// [41] Save, Grayed 
			"Saves the open "TARGET_APPLICATION_NAME" document. Not available because "
			"no "TARGET_APPLICATION_NAME" document is open, or because no changes have "
			"been made.",
		// [42] Save As, Normal 
			"Saves the active document with the new name and location yo"
			"u specify.",
		// [43] Save As, Grayed 
			"Saves the active document with the new name and location yo"
			"u specify. Not available because no "TARGET_APPLICATION_NAME" document is "
			"open.",
		// [44] Page Setup, Normal 
			"Displays a dialog box in which you select paper size, orien"
			"tation, and other printing options.",
		// [45] Page Setup, Grayed 
			"Displays a dialog box in which you select paper size, orien"
			"tation, and other printing options.",
		// [46] Print, Normal 
			"Prints the active document.",
		// [47] Print, Grayed 
			"Prints the active document. Not available because no "TARGET_APPLICATION_NAME" document"
			" is open.",
		// [48] Quit, Normal 
			"Quits the "TARGET_APPLICATION_NAME" application. If you have not saved ch"
			"anges you made to open documents, you will be asked whether "
			"you want to save changes.",
		// [49] Quit, Grayed 
			"Quits the "TARGET_APPLICATION_NAME" application. If you have not saved ch"
			"anges you made to open documents, you will be asked whether "
			"you want to save changes.",
		// [50] Print One, Normal 
			"Prints a single copy of the active document.",
		// [51] Print One, Grayed 
			"Prints a single copy of the active document. Not available because no "TARGET_APPLICATION_NAME" document"
			" is open.",
		// [52] Revert, Normal 
			"Reverts to the last saved version of the active document.",
		// [53] Revert, Grayed 
			"Reverts to the last saved version of the active document. "
			"Not available because no "TARGET_APPLICATION_NAME" document is open "
			"or because no changes have been made. "
	}
};
