// UDrawingEnvironment.h
//  Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UDRAWINGENVIRONMENT__
#define __UDRAWINGENVIRONMENT__

// MacApp

#ifndef __CPoint_AC__
#include "CPoint_AC.h"
#endif

#ifndef __CRect_AC__
#include "CRect_AC.h"
#endif

#ifndef __TOOLBOX__
#include "Toolbox.h"
#endif

#ifndef __USTREAMABLE__
#include "UStreamable.h"
#endif

// Toolbox

#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif


//----------------------------------------------------------------------------------------
// TDrawingEnvironment
//----------------------------------------------------------------------------------------

class EXPORT_MA TDrawingEnvironment : public MStreamable
{
public:
	TDrawingEnvironment();
		// Constructor
	virtual ~TDrawingEnvironment();
		// Destructor

	virtual void* Clone() const;
		// Clone
				
	virtual GrafPtr GetGrafPort() const;
		// Returns a pointer to our Graf Port.

	virtual void Prepare();

	virtual void Setup();

	virtual void Complete();
	
	//------------------------------------------------------------------------------------
	// Stream I/O protocol support.
	//------------------------------------------------------------------------------------

	virtual void ReadFrom(CStream_AC* aStream);
	
	virtual void WriteTo(CStream_AC* aStream) const;

	//------------------------------------------------------------------------------------
	// data members
	//------------------------------------------------------------------------------------
public:
	PenState	fSavedPenState;
	CRGBColor_AC	fForegroundColor;	
	CRGBColor_AC	fBackgroundColor;	
	CRGBColor_AC	fSavedForegroundColor;	
	CRGBColor_AC	fSavedBackgroundColor;	
	Pattern		fPenPattern;
	CPoint_AC		fPenSize;
	short		fPenMode;	
};

#endif
