// UErrorMgr.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.


#ifndef __UERRORMGR__
#define __UERRORMGR__

// MacApp

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

#ifndef __UCOREERRORMGR__
#include "UCoreErrorMgr.h"
#endif

// Toolbox

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif

//----------------------------------------------------------------------------------------
// Global variables
//----------------------------------------------------------------------------------------

EXPORT_MA extern ModalFilterProcPtr gMacAppAlertFilter;
	// The default filter proc. Will be automatically set to point to MacAppAlertFilter.
    // Set this to NULL in your code if you don't want it or call it from your own filter
    // proc if you just want to add behavior. Someday we will fix all this to be Object
    // based.

EXPORT_MA extern bool gInFilter;
	// Flag that is set when we are in the MacAppAlertFilter, used to indicate if we
    // should re-enter MacApp to handle updates or not

EXPORT_MA extern bool gInhibitNestedHandling;
	// True if Failure was executed and the outer- most event loop has not been reached or
    // the ErrorAlert routing has not yet shown the failure to the user. Also may be set
    // to true to inhibit continued operation of MacApp Activate/ Update handling and
    // idling during MacAppAlerts.


//----------------------------------------------------------------------------------------
// Global routines
//----------------------------------------------------------------------------------------

EXPORT_MA void ErrorAlert(OSErr err, long message);
	// Displays an error alert box. The message displayed in the alert is constructed base
    // upon err and message, as described in the "Failure Handling" section of the
    // "Cookbook" chapter of the MacApp manual.

EXPORT_MA short MacAppAlert(ResNumber alertID, ModalFilterProcPtr filterProc);
	// Does SetCursor(arrow) before calling Alert.

EXPORT_MA void StdAlert(ResNumber alertID);
	// no filterProc, reply ignored


#endif // __UERRORMGR__
