// UFile.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UFILE__
#define __UFILE__

// MacApp

#ifndef __USCRIPTABLEOBJECT__
#include "UScriptableObject.h"
#endif

// Toolbox

#ifndef __CFile_AC__
#include "CFile_AC.h"
#endif

//----------------------------------------------------------------------------------------
// TFile
//----------------------------------------------------------------------------------------

class EXPORT_MA TFile : public CFile_AC, public MScriptableObject
{
	MA_DECLARE_CLASS;
	
public:

	TFile(OSType itsFileType = kGenericType_AC,
			  OSType itsCreator = kGenericCreator_AC,
			  bool usesDataFork = false,
			  ResourceUsage usesRsrcFork = noResourceFork,
			  bool keepsDataOpen = false,
			  bool keepsRsrcOpen = false);
		// Constructor

	virtual ~TFile();

	//----------------------------------------------------------------------------------------
	// Scripting Support
	//----------------------------------------------------------------------------------------

	virtual bool GetObjectProperty(CAEDesc& thePropertyValue,
									  DescType whichProperty,
									  const CAEDesc& desiredType);

	virtual void SetObjectProperty(const CAEDesc& thePropertyValue,
								   DescType whichProperty);

	virtual void DoAEOpen(TAppleEvent* message, TAppleEvent* reply);

	//----------------------------------------------------------------------------------------
	// Overrides
	//----------------------------------------------------------------------------------------

	virtual OSErr InteractWithUser();
	// 
};


//----------------------------------------------------------------------------------------
// Global function declarations
//----------------------------------------------------------------------------------------

EXPORT_MA TFile* NewFile(OSType itsFileType,
						 OSType itsCreator,
						 bool usesDataFork,
						 ResourceUsage usesRsrcFork,
						 bool keepsDataOpen,
						 bool keepsRsrcOpen);
	// A convenience function. Create a TFile, initialize it, and return a reference to
    // it. Signals Failure if it cannot allocate the object.


#endif


