// Debug.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved.
//
// MacApp Debugging Resources

/*  Auto-Include the requirements for this source */
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#define kDebugBuzzStrings		251
#define kDebugErrorStrings		252

resource 'CMNU' (mDebug,
#if qNames
	"mDebug",
#endif
	nonpurgeable) {
	mDebug,
	textMenuProc,
	0x7FFFFFBF,
	enabled,
	"Debug",
	{
#if qDebug
	"Do First Click For This Window",		noIcon, noKey,	noMark, plain,	cDoFirstClick;
	"Refresh Front Window", 				noIcon, "",	noMark, plain,	cRefreshFrontWindow;

//	System 7.0 has bugs in TextEdit when right justification is used but the system script
//	is left to right line format. Uncomment this when its fixed, maybe 7.0.1+
//	"-",									noIcon, noKey,	noMark, plain,	nocommand;
//	"Set system justification",				noIcon, noKey,	noMark, plain,	cSetSysJust;

	"-",									noIcon, noKey,	noMark, plain,	nocommand;
	"Show Debug Flags Window",				noIcon, noKey,	noMark, plain,	cDebugFlags;
#endif
#if qDebug && qPerform
	"-",									noIcon, noKey,	noMark, plain,	nocommand;
#endif
#if qPerform
	"Initialize Performance Monitor",		noIcon, noKey,	noMark, plain,	cPerfMonInit;
	"Save Performance Statistics",			noIcon, noKey,	noMark, plain,	cPerfMonDump;
	"Toggle Performance Monitor",			noIcon, noKey,	noMark, plain,	cPerfMonToggle;
	"End Performance Monitor",				noIcon, noKey,	noMark,	plain,	cPerfMonEnd;
#endif
	}
};

resource 'MBAR' (kMBarDebug,
#if qNames
"kMBarDebug",
#endif
nonpurgeable) {

	{
		mDebug
	}
};

//----------------------------------------------------------------------------------------
//	Window and view resources
//----------------------------------------------------------------------------------------

resource 'STR#' (806, "Window titles", purgeable) {{

	"Debugger Flags",
	"Initialize PerfMon"
	}
};

resource 'STR#' (804, "Cluster labels", purgeable) {{

	"Events and Commands:", "Show regions:", "User:", "Miscellaneous:", "Memory usage:", "Application Code", "ROM code", "Outside application/ROM code"
	}
};

resource 'STR#' (802, "Check Box labels", purgeable) {{

	"Report menu commands", "Report events", "Cursor region", "Sleep region", "Help region", "Invalid regions", "", "", "Intense debugging", "Assumed focus preconditioning", "Debug printing", "User flag 1", "User flag 2", "User flag 3", "Report new max", "Break on new max", "Monitor application code", "Monitor ROM code", "Monitor outside code"
	}
};

resource 'STR#' (805, "Static Text text", purgeable) {{

	"Debugger Flags", "Timer count:", "4", "Code/ROM bucket size:", "8", "Resource type:", "CODE", "ROM ID:", "0", "ROM name:", "", "Address range:", "Bucket size:", "From:", "To:", "Performance Monitor Initialization"
	}
};

resource 'STR#' (801, "Button labels", purgeable) {{

	"Initialize", "Cancel"
	}
};

resource 'TxSt' (800, purgeable) {tsPlain, 0, black, "Geneva"};

resource 'TxSt' (801, purgeable) {tsPlain, 10, black, "Geneva"};

resource 'TxSt' (802, purgeable) {tsBold, 0, black, "Geneva"};


resource 'View' (900, "Debug Flags Window", purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 2080, "", 'DGOW', enabled, noIdle, {}, MAThreeOh, 
		{50, 312}, {388, 216}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		Window {documentProc, 'DGOV', goAwayBox, notResizable, ignoreFirstClick, 
			dontFreeOnClosing, disposeOnFree, doesntCloseDocument, dontOpenWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, filler, 806, 1}, 1}, 
	ViewSignatureAndClassname
		{'view', 1953, "TDebugFlagsView", 'DGOV', notEnabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {388, 216}, sizeSuperView, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		View {}, 5}, 
	ViewSignatureAndClassname
		{'clus', 290, "", 'VW02', notEnabled, noIdle, {}, MAThreeOh, 
		{164, 7}, {56, 200}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, 804, 1}, 2}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'menu', enabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 144}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'evnt', enabled, noIdle, {}, MAThreeOh, 
		{32, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 488, "", 'VW05', notEnabled, noIdle, {}, MAThreeOh, 
		{68, 7}, {88, 200}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, 804, 2}, 4}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'curs', enabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'slee', enabled, noIdle, {}, MAThreeOh, 
		{32, 16}, {16, 80}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'help', enabled, noIdle, {}, MAThreeOh, 
		{48, 16}, {16, 80}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'invl', enabled, noIdle, {}, MAThreeOh, 
		{64, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 6}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 389, "", 'VW10', notEnabled, noIdle, {}, MAThreeOh, 
		{228, 9}, {72, 200}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, 804, 4}, 3}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'ints', enabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 112}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 9}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'focu', enabled, noIdle, {}, MAThreeOh, 
		{32, 16}, {16, 176}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, on, 802, 10}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'prnt', enabled, noIdle, {}, MAThreeOh, 
		{48, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 11}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 290, "", 'VW01', notEnabled, noIdle, {}, MAThreeOh, 
		{4, 7}, {56, 200}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, 804, 5}, 2}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'rsrc', enabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 112}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 15}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'memb', enabled, noIdle, {}, MAThreeOh, 
		{32, 16}, {16, 112}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 16}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 389, "", 'VW10', notEnabled, noIdle, {}, MAThreeOh, 
		{308, 7}, {72, 200}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, 804, 3}, 3}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'usr1', enabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 12}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'usr2', enabled, noIdle, {}, MAThreeOh, 
		{32, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 13}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'usr3', enabled, noIdle, {}, MAThreeOh, 
		{48, 16}, {16, 96}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 14}, 
		NoSubviews}
	}
};


resource 'View' (901, "Initialize PerfMon", purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 3560, "", 'wind', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDIALOGBEHAVIOR", DialogBehavior {enabled, noIdle, modal, noID, noID}}}, MAThreeOh, 
		{50, 304}, {248, 544}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		Window {dBoxProc, 'rtvw', noGoAwayBox, notResizable, ignoreFirstClick, 
			dontFreeOnClosing, disposeOnFree, doesntCloseDocument, dontOpenWithDocument, dontAdaptToScreen, dontStagger, dontForceOnScreen, 
			center, doesntFloat, doesntHideOnSuspend, generateActivates, filler, 806, 2}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 3389, "", 'rtvw', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {248, 544}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		DialogView {'init', 'canl'}, 10}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW02', notEnabled, noIdle, {}, MAThreeOh, 
		{40, 16}, {16, 64}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 172, "", 'tmct', enabled, noIdle, {}, MAThreeOh, 
		{40, 80}, {16, 32}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 3, unlimited, LeftRightUpDownBackspace, 4, -32768, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW04', notEnabled, noIdle, {}, MAThreeOh, 
		{40, 176}, {16, 112}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 172, "", 'cbsz', enabled, noIdle, {}, MAThreeOh, 
		{40, 288}, {16, 32}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 5, unlimited, LeftRightUpDownBackspace, 8, -32768, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 459, "", 'VW06', notEnabled, noIdle, {}, MAThreeOh, 
		{72, 16}, {64, 176}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 800, dontPreferOutline, 804, 6}, 3}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'macd', enabled, noIdle, {}, MAThreeOh, 
		{40, 16}, {16, 144}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, on, 802, 17}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW08', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 80}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 6}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 160, "", 'acrs', enabled, noIdle, {}, MAThreeOh, 
		{16, 96}, {16, 32}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 7, unlimited, 0b11110000000000000000100100000000}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 739, "", 'VW11', notEnabled, noIdle, {}, MAThreeOh, 
		{72, 208}, {64, 320}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 800, dontPreferOutline, 804, 7}, 5}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'mrcd', enabled, noIdle, {}, MAThreeOh, 
		{40, 128}, {16, 112}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 18}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW13', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 224}, {16, 48}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 8}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 172, "", 'rmid', enabled, noIdle, {}, MAThreeOh, 
		{16, 272}, {16, 32}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 9, unlimited, LeftRightUpDownBackspace, 0, -32768, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW15', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 64}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 10}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 160, "", 'rmnm', enabled, noIdle, {}, MAThreeOh, 
		{16, 80}, {16, 128}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 11, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 1133, "", 'xxxx', notEnabled, noIdle, {}, MAThreeOh, 
		{152, 16}, {88, 256}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 800, dontPreferOutline, 804, 8}, 8}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'mout', enabled, noIdle, {}, MAThreeOh, 
		{64, 64}, {16, 128}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, off, 802, 19}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW20', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {16, 80}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 12}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW21', notEnabled, noIdle, {}, MAThreeOh, 
		{40, 16}, {16, 64}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 13}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW22', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 96}, {16, 32}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 14}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW23', notEnabled, noIdle, {}, MAThreeOh, 
		{16, 176}, {16, 16}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 15}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 172, "", 'from', enabled, noIdle, {}, MAThreeOh, 
		{16, 128}, {16, 48}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 9, unlimited, LeftRightUpDownBackspace, 0, -2147483648, 2147483647}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 172, "", 'to  ', enabled, noIdle, {}, MAThreeOh, 
		{16, 192}, {16, 48}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 9, unlimited, LeftRightUpDownBackspace, 0, -2147483648, 2147483647}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 172, "", 'otsz', enabled, noIdle, {}, MAThreeOh, 
		{40, 80}, {16, 32}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 801, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 9, unlimited, LeftRightUpDownBackspace, 0, -32768, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 204, "", 'init', enabled, noIdle, {}, MAThreeOh, 
		{200, 440}, {32, 88}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {64, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, emptyUserArea, 
		Button {mDismiss, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 802, dontPreferOutline, 801, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'canl', enabled, noIdle, {}, MAThreeOh, 
		{200, 336}, {32, 88}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Button {mDismiss, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 802, dontPreferOutline, 801, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW01', notEnabled, noIdle, {}, MAThreeOh, 
		{8, 16}, {16, 256}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 802, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 805, 16}, 
		NoSubviews}
	}
};

resource 'WIND' (9999, purgeable) {
	{50, 20, 310, 450}, zoomDocProc, invisible, goAway, 0x0, "Debugger Options", centerMainScreen
};


/* Debug Buzz-Strings */
resource 'STR#' (kDebugBuzzStrings,
#if qNames
	"DebugBuzzStrings",
#endif
	purgeable) {
	 {	
		/* [1] */	"Do First Click For This Window";
		/* [2] */	"Don't Do First Click For This Window";
		/* [3] */	"Set system to right justification";
		/* [4] */	"Set system to left justification";
		/* [5] */	"Continue performance monitor";
		/* [6] */	"Pause performance monitor"
	}
};


/* Debug Error-Strings */
resource 'STR#' (kDebugErrorStrings,
#if qNames
	"kDebugErrorStrings",
#endif
	purgeable) {
	 {
	"Level 7 Interupt";
	"Bus error:  Invalid memory reference";
	"Address error:  Word or long-word reference made to an odd address";
	"Illegal instruction:  The processor received an instruction it didn't recognize.";
	"Zero divide:  Signed Divide (DIVS) or Unsigned Divide (DIVU) instruction with a divisor of 0 was executed.";
	"Check exception:  Check Register Against Bounds (CHK) instruction was executed and failed.  Pascal 'value out of range' errors are usually reported in this way.";
	"TrapV exception:  Trap On Overflow (TRAPV) instruction was executed and failed.";
	"Privilege violation:  Macintosh always runs in supervisor mode; perhaps an erroneous Return From Execution (RTE) instruction was executed.";
	"Trace exception:  The trace bit in the status register is set.";
	"Line 1010 exception:  The 1010 trap dispatcher has failed.";
	"Line 1111 exception:  Unimplemented instruction";
	"Miscellaneous exception:  All other processor exceptions";
	"Unimplemented core routine:  An unimplemented trap number was encountered.";
	"Spurious interrupt:  The interrupt vector table entry for a particular level of interrupt is NULL; usually occurs with level 4, 5, 6, or 7 interrupts.";
	"I/O system error:  The File Manager is attempting to dequeue an entry from an I/O request queue that has a bad queue type field.";
	"Segment Loader error:  A GetResource call to read a segment into memory failed.";
	"Floating point error:  The halt bit in the floating-point environment word was set.";
	"Can't load package 0:  A GetResource call to read a package into memory failed.";
	"Can't load package 1:  A GetResource call to read a package into memory failed.";
	"Can't load Disk Initialization package:  A GetResource call to read a package into memory failed.";
	"Can't load Standard File package:  A GetResource call to read a package into memory failed.";
	"Can't load Floating Point package:  A GetResource call to read a package into memory failed.";
	"Can't load Trancendentals package:  A GetResource call to read a package into memory failed.";
	"Can't load International Utilities package:  A GetResource call to read a package into memory failed.";
	"Can't load Binary-Decimal package:  A GetResource call to read a package into memory failed.";
	"Can't allocate requested memory block in the heap";
	"Segment Loader error:  A GetResource call to read 'CODE' resource 0 into memory failed; usually indicates a nonexecutable file.";
	"File map destroyed:  A logical block number was found that's greater than the number of the last logical block on the volume or less than the logical block number of the first allocation block on the volume.";
	"Stack overflow error:  The stack has expanded into the heap.";
	"Negative ZcbFree value (Memory manager error.  See TN-151)";
	"The file named 'Finder' can't be found on the disk.";
	"ShutDown Alert";
	"Unserviceable slot interrupt";
	"Bad opcode given to SANE package 4";
	"Menu Manager tried to access a menu that's been purged.";
	"Menu bar not found";
	"Menu find error";
	"Can't mount system startup volume.  The system couldn't read the system resource file into memory.";
	"'Sorry, a system error occurred':  Default alert message";
	"Mem Mgr Err";
	"Unlisted error.  See IM III-205"
	 }
};
