// Defaults.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 
// Default resources that can be included in your application if desired 

/*  Auto-Include the requirements for this source */
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

#ifndef __AEREGISTRY.R__
#include "AERegistry.r"
#endif

#ifndef __AEUSERTERMTYPES__
#include "AEUserTermTypes.r"
#endif

#ifndef __APPLEEVENTS_R__
#include "AppleEvents.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif

#ifndef MW_Rez 	// Metrowerks will supply it's own cfrg
#if qPowerPC
#include "CodeFragmentTypes.r"
#endif
#endif // MW_Rez

include "CoreDefaults.rsrc";

#define kSignature			'SS01'			/* Application signature (Nothing) */
#define kFileType			'SF01'			/* Data file type (Nothing) */
#define kStationery			'sF01'			/* Stationery type (Nothing) */

#if qTemplateViews
resource 'STR#' (kDefaultWindowTitle,
#if qNames
"Window titles",
#endif
purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		""
	}
};

resource 'View' (kDefaultWindowID,
#if qNames
"kDefaultWindowID",
#endif
purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 531, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 20}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, 'DFLT', goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, filler, kDefaultWindowTitle, 1}, 3}, 
	ViewSignatureAndClassname
		{'scrl', 183, "", 'SCLR', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {245, 415}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCLR', 'hCLR', {134, 414}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'inc@', 72, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {134, 414}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		IncludeAt {kDefaultViewID, {0, 0}}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 101, "", 'hCLR', enabled, noIdle, {}, MAThreeOh, 
		{245, -1}, {16, 417}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, kSystemFontTextStyle, dontPreferOutline, h, 0, 0, 0}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 101, "", 'vCLR', enabled, noIdle, {}, MAThreeOh, 
		{-1, 415}, {247, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, kSystemFontTextStyle, dontPreferOutline, v, 0, 0, 0}, 
		NoSubviews}
	}
};

resource 'View' (kDefaultViewID,
#if qNames
"kDefaultViewID",
#endif
purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'dflt', 62, "", 'DFLT', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {134, 414}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		View {}, 
		NoSubviews}
	}
};
#else
resource 'WIND' (kDefaultWindowID,
#if qNames
"kDefaultWindowID",
#endif
	purgeable) {
	{50, 40, 250, 436},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"",
	staggerMainScreen
};
#endif qTemplateViews

/*--------------------------------------------------------------------------------
 MultiFinder/Switcher info
--------------------------------------------------------------------------------*/

#ifndef MW_Rez
// CodeWarrior provides its own SIZE resource so don't include the following
// if we're building under CodeWarrior.

/* Additional size deltas to be added to partition size */

#if qNames
#define kNamesSizeDelta 75
#else
#define kNamesSizeDelta 0
#endif

#if qDebug
#define kDebugSizeDelta 250
#else
#define kDebugSizeDelta 0
#endif

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	isStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
	
	/* Suggested partition size */
	(650 + kNamesSizeDelta + kDebugSizeDelta) * 1024,
	
	/* Minimum partition size */
	(650 + kNamesSizeDelta + kDebugSizeDelta) * 1024
};

#endif

resource 'DITL' (phAboutApp,
#if qNames
"phAboutApp",
#endif
	purgeable) {
	 {	/* array DITLarray: 3 elements */
		/* [1] */
		{167, 288, 187, 348},
		Button {
			enabled,
			"OK"
		};
		/* [2] */
		{10, 75, 154, 348},
		StaticText {
			disabled,
			"^0"												// The ^0 will be dynamically replaced with CurApName
			"\n"
			WRITTEN_WITH_MACAPP
		};
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			noteIcon
		}
	}
};

resource 'ALRT' (phAboutApp,
#if qNames
"phAboutApp",
#endif
	purgeable) {
	{90, 100, 287, 458},
	phAboutApp,
	{
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent
	},
	alertPositionMainScreen
};


resource 'CMNU' (mApple,
#if qNames
"mApple",
#endif
purgeable) {
	mApple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
	"About ^0", noIcon, noKey, noMark, plain, cAboutApp;		// The ^0 will be dynamically replaced with CurApName
	"-",		 noIcon, noKey, noMark, plain, nocommand
	}
};

resource 'CMNU' (mFile,
#if qNames
"mFile",
#endif
purgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"New",				noIcon, "N",	noMark, plain, cNew;
	"Open",			noIcon, "O",	noMark, plain, cOpen;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"Save",				noIcon, "S",	noMark, plain, cSave;
	"Save As",			noIcon, noKey,	noMark, plain, cSaveAs;
	"Revert",			noIcon, noKey,	noMark, plain, cRevert;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Page Setup",		noIcon, noKey,	noMark, plain, cPageSetup;
	"Print",			noIcon, "P",	noMark, plain, cPrint;
	"Print One Copy",	noIcon, noKey,	noMark, plain, cPrintOne;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};

resource 'CMNU' (mEdit,
#if qNames
"mEdit",
#endif
purgeable) {
	mEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",				noIcon, "Z",	noMark, plain, cUndo;
	"Redo",				noIcon, "R",	noMark, plain, cRedo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Cut",				noIcon, "X",	noMark, plain, cCut;
	"Copy",				noIcon, "C",	noMark, plain, cCopy;
	"Paste",			noIcon, "V",	noMark, plain, cPaste;
	"Clear",			noIcon, noKey,	noMark, plain, cClear;
	"Select All",		noIcon, "A",	noMark, plain, cSelectAll;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Show Clipboard",	noIcon, noKey,	noMark, plain, cShowClipboard;
	}
};

resource 'CMNU' (mEditionMgrEdit,
#if qNames
"mEditionMgrEdit",
#endif
purgeable) {
	mEditionMgrEdit,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",				noIcon, "Z",	noMark, plain, cUndo;
	"Redo",				noIcon, "R",	noMark, plain, cRedo;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Cut",				noIcon, "X",	noMark, plain, cCut;
	"Copy",				noIcon, "C",	noMark, plain, cCopy;
	"Paste",			noIcon, "V",	noMark, plain, cPaste;
	"Clear",			noIcon, noKey,	noMark, plain, cClear;
	"Select All",		noIcon, "A",	noMark, plain, cSelectAll;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Create Publisher",noIcon, noKey,	noMark, plain, cCreatePublisher;
	"Subscribe to",	noIcon, noKey,	noMark, plain, cSubscribeTo;
	"Publisher Options",noIcon, noKey,	noMark, plain, cOptions;
	"Show Borders",		noIcon, noKey,	noMark, plain, cBorders;
	"Stop All Editions",noIcon, noKey,	noMark, plain, cStopAllEditions;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Show Clipboard",	noIcon, noKey,	noMark, plain, cShowClipboard
	}
};

resource 'CMNU' (mBuzzwords,
#if qNames
"Buzzwords",
#endif
purgeable) {
	mBuzzwords,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Buzzwords",
	{
	"Typing",				noIcon, noKey, noMark, plain, cTyping;
	"Page Setup Change",	noIcon, noKey, noMark, plain, cChangePrinterStyle;
	"Cancel Publisher",		noIcon, noKey, noMark, plain, cCancelPublisher;
	"Cancel Subscriber",	noIcon, noKey, noMark, plain, cCancelSubscriber
#if qDrag
	;
	"Drag",					noIcon, noKey, noMark, plain, cDrag;
	"Drop",					noIcon, noKey, noMark, plain, cDrop;
	"Drag Move",			noIcon, noKey, noMark, plain, cDragMove;
	"Drag Move Out",			noIcon, noKey, noMark, plain, cDragMoveOut
#endif
	}
};

resource 'MBAR' (kMBarDisplayed,
#if qNames
"kMBarDisplayed",
#endif
nonpurgeable) {

	{mApple; mFile; mEdit}
};


resource 'hmnu' (mApple) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{
		HMStringResItem {				// Menu title messages 
			0,0,		//  Normal 
			0,0,		//  Grayed 
			0,0,		//  Checked 
			0,0,		//  Other 
		},
		HMStringResItem {				// About YourAppName 
			kStandardHelpStrings,1,
			kStandardHelpStrings,2,
			kStandardHelpStrings,3,
			-1,0
		}
	}
};


resource 'hmnu' (mFile) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// File 
			kStandardHelpStrings,32,
			kStandardHelpStrings,33,
			-1,0,
			-1,0
		},
		HMStringResItem {				// New 
			kStandardHelpStrings,34,
			kStandardHelpStrings,35,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Open 
			kStandardHelpStrings,36,
			kStandardHelpStrings,37,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Close 
			kStandardHelpStrings,38,
			kStandardHelpStrings,39,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Save 
			kStandardHelpStrings,40,
			kStandardHelpStrings,41,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Save As 
			kStandardHelpStrings,42,
			kStandardHelpStrings,43,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Revert 
			kStandardHelpStrings,52,
			kStandardHelpStrings,53,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Page Setup 
			kStandardHelpStrings,44,
			kStandardHelpStrings,45,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Print One 
			kStandardHelpStrings,50,
			kStandardHelpStrings,51,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Print 
			kStandardHelpStrings,46,
			kStandardHelpStrings,47,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Quit 
			kStandardHelpStrings,48,
			kStandardHelpStrings,49,
			-1,0,
			-1,0
		}
	}
};


resource 'hmnu' (mEdit) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// Edit 
			kStandardHelpStrings,4,
			kStandardHelpStrings,5,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Undo
			kStandardHelpStrings,6,
			kStandardHelpStrings,7,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Redo
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Cut 
			kStandardHelpStrings,8,
			kStandardHelpStrings,9,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Copy 
			kStandardHelpStrings,10,
			kStandardHelpStrings,11,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Paste 
			kStandardHelpStrings,12,
			kStandardHelpStrings,13,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Clear 
			kStandardHelpStrings,14,
			kStandardHelpStrings,15,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Select All 
			kStandardHelpStrings,16,
			kStandardHelpStrings,17,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMCompareItem {					// a) Hide Clipboard
		"Hide Clipboard",
			HMStringResItem {				   
					kStandardHelpStrings,18,
					kStandardHelpStrings,19,
					kStandardHelpStrings,20,
					-1,0
			}
		},
		HMCompareItem {					// b) Show Clipboard
		"Show Clipboard",
			HMStringResItem {				   
					kStandardHelpStrings,21,
					kStandardHelpStrings,22,
					kStandardHelpStrings,23,
					-1,0
			}
		},
	}
};

// Added for 3.5
resource 'hmnu' (mEditionMgrEdit) {
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
	{

		HMStringResItem {				// Edit 
			kStandardHelpStrings,4,
			kStandardHelpStrings,5,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Undo
			kStandardHelpStrings,6,
			kStandardHelpStrings,7,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Redo
			-1,0,
			-1,0,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Cut 
			kStandardHelpStrings,8,
			kStandardHelpStrings,9,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Copy 
			kStandardHelpStrings,10,
			kStandardHelpStrings,11,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Paste 
			kStandardHelpStrings,12,
			kStandardHelpStrings,13,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Clear 
			kStandardHelpStrings,14,
			kStandardHelpStrings,15,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Select All 
			kStandardHelpStrings,16,
			kStandardHelpStrings,17,
			-1,0,
			-1,0
		},
		HMSkipItem { },					// --------
		HMStringResItem {				// Create Publisher 
			kStandardHelpStrings,24,
			kStandardHelpStrings,25,
			-1,0,
			-1,0
		},
		HMStringResItem {				// Subscribe to 
			kStandardHelpStrings,26,
			kStandardHelpStrings,27,
			-1,0,
			-1,0
		},
		HMCompareItem {
		"Publisher Options",
		HMStringResItem {				// a) Publisher Options 
			kStandardHelpStrings,28,
			kStandardHelpStrings,29,
			-1,0,
			-1,0
		}
		},
		HMCompareItem {
		"Subscriber Options",
		HMStringResItem {				// b) Subscriber Options 
			kStandardHelpStrings,30,
			kStandardHelpStrings,31,
			-1,0,
			-1,0
		}
		},
		HMSkipItem { },					// Hide Border
		HMSkipItem { },					// Stop All Editions
		HMSkipItem { },					// --------
		HMCompareItem {					// a) Hide Clipboard
		"Hide Clipboard",
			HMStringResItem {				   
					kStandardHelpStrings,18,
					kStandardHelpStrings,19,
					kStandardHelpStrings,20,
					-1,0
			}
		},
		HMCompareItem {					// b) Show Clipboard
		"Show Clipboard",
			HMStringResItem {				   
					kStandardHelpStrings,21,
					kStandardHelpStrings,22,
					kStandardHelpStrings,23,
					-1,0
			}
		},
	}
};


resource 'ICN#' (128, "MacApp Family", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 007F 00FE 00D5 0102 00AA 8203"
		$"0154 8403 01AA 4803 0354 5003 02AA 2003"
		$"0554 0003 06AA 0003 0D54 0003 0AA8 0003"
		$"1554 0003 1AA8 3F03 3550 4083 2AA0 8043"
		$"5551 3023 6AA1 C810 D54E 7F8F FFF2 3007"
		$"7FF9 0007 7FFC 8007 0000 6007 0000 1FE7"
		$"0000 001F 0000 0007",
		/* [2] */
		$"0000 0000 00FF 00FE 00FF 81FE 01FF 83FF"
		$"01FF C7FF 03FF CFFF 03FF DFFF 07FF FFFF"
		$"07FF FFFF 0FFF FFFF 0FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 3FFF FFFF 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"7FFF FFFF 7FFF FFFF 0000 7FFF 0000 1FFF"
		$"0000 001F 0000 0007"
	}
};

resource 'ICN#' (129, "MacApp Document", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF FC00 1000 0600 1000 0500 1000 0480"
		$"1000 0440 1000 0420 1000 07F0 1000 0010"
		$"1000 0010 1000 0010 1000 6010 1000 9010"
		$"1001 4E10 100E F610 1019 0610 1030 FE10"
		$"1060 0610 10C0 8810 1181 2010 1182 8810"
		$"10C8 A410 1062 0810 1031 5410 1018 8810"
		$"100D 0010 1006 0010 1000 0010 1000 0010"
		$"1000 0010 1000 0010 1000 0010 1FFF FFF0",
		/* [2] */
		$"1FFF FC00 1FFF FE00 1FFF FF00 1FFF FF80"
		$"1FFF FFC0 1FFF FFE0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
	}
};

resource 'ICN#' (130, "MacApp Stationery") {
	{	/* array: 2 elements */
		/* [1] */
		$"3FFF FFE0 2000 0020 2000 0038 2000 0028"
		$"2000 0028 2000 0028 2000 C028 2001 2028"
		$"2002 9C28 201D EC28 2032 0C28 2061 FC28"
		$"20C0 0C28 2181 1028 2302 4028 2305 1028"
		$"2191 4828 20C4 1028 2062 A828 2031 1028"
		$"201A 0028 200C 0028 2000 0028 2000 0FE8"
		$"2000 0848 2000 0888 2000 0908 2000 0A08"
		$"2000 0C08 3FFF F808 0800 0008 0FFF FFF8",
		/* [2] */
		$"3FFF FFE0 3FFF FFE0 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 0FFF FFF8 0FFF FFF8"
	}
};

resource 'ics#' (128, "MacApp Family", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0707 0589 0AD1 0D21 1A01 1501 2A01 3431"
		$"6A48 54A7 FB7B 7C83 007F 0003",
		/* [2] */
		$"0707 0F8F 0FDF 1FFF 1FFF 3FFF 3FFF 7FFF"
		$"7FFF FFFF FFFF 7FFF 007F 0003"
	}
};

resource 'ics#' (129, "MacApp Document", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FE0 4030 4028 403C 4004 4064 4090 454E"
		$"4EF6 5906 70FE 5806 4C80 4604 4204 7FFC",
		/* [2] */
		$"7FE0 7FF0 7FF8 7FFC 7FFC 7FFC 7FFC 7FFE"
		$"7FFE 7FFE 7FFE 7FFE 7FFC 7FFC 7FFC 7FFC"
	}
};

resource 'ics#' (130, "MacApp Stationery") {
	{	/* array: 2 elements */
		/* [1] */
		$"7FB6 404A 42A7 477B 4C83 587F 4C0B 464A"
		$"430A 410A 407A 4052 4062 7FC2 1002 1FFE",
		/* [2] */
		$"7FFE 7FFE 7FFF 7FFF 7FFF 7FFF 7FFF 7FFE"
		$"7FFE 7FFE 7FFE 7FFE 7FFE 7FFE 1FFE 1FFE"
	}
};

resource 'ics4' (128, "MacApp Family", purgeable) {
	$"0000 0666 7000 0CCC 0000 7677 6000 CCCC"
	$"0000 6777 CC0C CCCC 0007 6777 CCCC CCCC"
	$"0006 7777 CCCC CCCC 0076 7777 CCCC CCCC"
	$"0067 777C CCCC CCCC 0767 777C CCFF CCCC"
	$"0677 777C CF00 FCCC 7677 77CC F0F0 0FFF"
	$"6666 66FF 0FFF F0FF 0DDD DDDD F000 00FF"
	$"0000 0000 0FFF FFFF 0000 0000 0000 00FF"
};

resource 'ics4' (129, "MacApp Document", purgeable) {
	$"0FFF FFFF FFF0 0000 0F0C 0C0C 0CFF 0000"
	$"0FC0 C0C0 C0FC F000 0F0C 0C0C 0CFF FF00"
	$"0FC0 C0C0 C0C0 CF00 0F0C 0C0C 0FFC 0F00"
	$"0FC0 C0DD FCCF C000 0F0C 0FDF CFCC FFF0"
	$"0FC0 FFFC FFFF CFF0 0F0F F00F CCCC CFF0"
	$"0FFF 0000 FFFF FFF0 0F0F F000 0D0C 0FF0"
	$"0FC0 FF00 D0C0 C000 0F0C 0FFD 0C0C 0F00"
	$"0FC0 C0F0 C0C0 CF00 0FFF FFFF FFFF FF"
};

resource 'ics4' (130, "MacApp Stationery") {
	$"0FFF FFFF F0FF 0FF0 0FC0 C0CD DFCC F0F0"
	$"0F0C 0CFD FCFC CFFF 0FC0 CFFF CFFF FCFF"
	$"0F00 FF00 FCCC CCFF 0FCF F000 0FFF FFFF"
	$"0F0C FF00 00DC FDFF 0FC0 CFF0 0DC0 FDF0"
	$"0F0C 0CFF DC0C FDF0 0FC0 C0CF C0C0 FDF0"
	$"0F0C 0C0C 0FFF FDF0 0FC0 C0C0 CFCF DDF0"
	$"0F0C 0C0C 0FFD DCF0 0FFF FFFF FFDD C0F0"
	$"000F DDDD DDDC 0CF0 000F FFFF FFFF FFF0"
};

resource 'ics8' (128, "MacApp Family", purgeable) {
	$"0000 0000 00EC ECEC C000 0000 00F7 F7F7"
	$"0000 0000 C0EC C0C0 EC00 0000 F7F7 F7F7"
	$"0000 0000 ECC0 C0C0 F7F7 00F7 F7F7 F7F7"
	$"0000 00C0 ECC0 C0C0 F7F7 F7F7 F7F7 F7F7"
	$"0000 00EC C0C0 C0C0 F7F7 F7F7 F7F7 F7F7"
	$"0000 C0EC C0C0 C0C0 F7F7 F7F7 F7F7 F7F7"
	$"0000 ECC0 C0C0 C0F7 F7F7 F7F7 F7F7 F7F7"
	$"00C0 ECC0 C0C0 C0F7 F7F7 FFFF F7F7 F7F7"
	$"00EC C0C0 C0C0 C0F7 F7FF 0808 FFF7 F7F7"
	$"C0EC C0C0 C0C0 F7F7 FF08 FF08 08FF FFFF"
	$"ECEC ECEC ECEC FFFF 08FF FFFF FF08 FFFF"
	$"00FA FAFA FAFA FAFA FF08 0808 0808 FFFF"
	$"0000 0000 0000 0000 00FF FFFF FFFF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"
};

resource 'ics8' (129, "MacApp Document", purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FFFF 0000 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FF2B FF00 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 FFFF FFFF 0000"
	$"00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000"
	$"00FF F5F5 F5F5 F5F5 F5FF FFF5 F5FF 0000"
	$"00FF F5F5 F5F5 FAFA FF08 08FF F5F5 0000"
	$"00FF F5F5 F5FF FAFF 08FF 0808 FFFF FF00"
	$"00FF F5F5 FFFF FF08 FFFF FFFF 08FF FF00"
	$"00FF F5FF FFF5 F5FF 0808 0808 08FF FF00"
	$"00FF FFFF F5F5 F5F5 FFFF FFFF FFFF FF00"
	$"00FF F5FF FFF5 F5F5 F5FA F5F5 F5FF FF00"
	$"00FF F5F5 FFFF F5F5 FAF5 F5F5 F5F5 0000"
	$"00FF F5F5 F5FF FFFA F5F5 F5F5 F5FF 0000"
	$"00FF F5F5 F5F5 FFF5 F5F5 F5F5 F5FF 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (130, "MacApp Stationery") {
	$"00FF FFFF FFFF FFFF FF00 FFFF 00FF FF00"
	$"00FF F5F5 F5F5 F5FA FAFF 0808 FF00 FF00"
	$"00FF F5F5 F5F5 FFFA FF08 FF08 08FF FFFF"
	$"00FF F5F5 F5FF FFFF 08FF FFFF FF08 FFFF"
	$"00FF F5F5 FFFF F5F5 FF08 0808 0808 FFFF"
	$"00FF F5FF FFF5 F5F5 F5FF FFFF FFFF FFFF"
	$"00FF F5F5 FFFF F5F5 F5F5 FAF5 FFF9 FFFF"
	$"00FF F5F5 F5FF FFF5 F5FA F5F5 FFF9 FF00"
	$"00FF F5F5 F5F5 FFFF FAF5 F5F5 FFF9 FF00"
	$"00FF F5F5 F5F5 F5FF F5F5 F5F5 FFF9 FF00"
	$"00FF F5F5 F5F5 F5F5 F5FF FFFF FFF9 FF00"
	$"00FF F5F5 F5F5 F5F5 F5FF 2BFF F9F9 FF00"
	$"00FF F5F5 F5F5 F5F5 F5FF FFF9 F9F5 FF00"
	$"00FF FFFF FFFF FFFF FFFF F9F9 F5F5 FF00"
	$"0000 00FF F9F9 F9F9 F9F9 F9F5 F5F5 FF00"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl4' (128, "MacApp Family", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 7666 6666 0000 0000 CCCC CCC0"
	$"0000 0000 6777 7776 7000 000C CCCC CCC0"
	$"0000 0007 6777 7777 6000 00CC CCCC CCCD"
	$"0000 0006 7777 7777 6000 0CCC CCCC CCCD"
	$"0000 0076 7777 7777 7C00 CCCC CCCC CCCD"
	$"0000 0067 7777 7777 CC0C CCCC CCCC CCCD"
	$"0000 0767 7777 7777 CCCC CCCC CCCC CCCD"
	$"0000 0677 7777 7777 CCCC CCCC CCCC CCCD"
	$"0000 7677 7777 777C CCCC CCCC CCCC CCCD"
	$"0000 6777 7777 777C CCCC CCCC CCCC CCCD"
	$"0007 6777 7777 777C CCCC CCCC CCCC CCCD"
	$"0006 7777 7777 777C CCCC CCCC CCCC CCCD"
	$"0076 7777 7777 777C CCFF FFFF CCCC CCCD"
	$"0067 7777 7777 777C CF00 0000 FCCC CCCD"
	$"0767 7777 7777 77CC F000 0000 0FCC CCCD"
	$"0677 7777 7777 77CF 00FF 0000 00FC CCCD"
	$"7677 7777 7777 CCCF FFCC F000 000F CCCD"
	$"6777 7777 7777 FFF0 0FFF FFFF F000 FFFF"
	$"6666 6666 6666 CCF0 00FF 0000 0000 0FFF"
	$"0DDD DDDD DDDD DDDF 0000 0000 0000 0FFF"
	$"0DDD DDDD DDDD DDDD F000 0000 0000 0FFF"
	$"0000 0000 0000 0000 0FF0 0000 0000 0FFF"
	$"0000 0000 0000 0000 000F FFFF FFF0 0FFF"
	$"0000 0000 0000 0000 0000 0000 000F FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0FFF"
};

resource 'icl4' (129, "MacApp Document", purgeable) {
	$"000F FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0FF0 0000 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 CFCF 0000 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0FCC F000 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 CFCC CF00 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0FCC CCF0 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 CFFF FFFF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 CFF0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C FCCF 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0CF CFCC FFF0 C0CF 0000"
	$"000F 0C0C 0C0C FFFC FFFF CFFC 0C0F 0000"
	$"000F C0C0 C0CF F00F CCCC CFF0 C0CF 0000"
	$"000F 0C0C 0CFF 0000 FFFF FFFC 0C0F 0000"
	$"000F C0C0 CFF0 0000 000D CFF0 C0CF 0000"
	$"000F 0C0C FF00 0000 DD00 DC0C 0C0F 0000"
	$"000F C0CF F000 000D 00D0 0DC0 C0CF 0000"
	$"000F 0C0F F000 00D0 D00D DD0C 0C0F 0000"
	$"000F C0C0 FF00 DD0D DDD0 DDC0 C0CF 0000"
	$"000F 0C0C 0FF0 00D0 0000 DD0C 0C0F 0000"
	$"000F C0C0 C0FF 000D DDDD DDC0 C0CF 0000"
	$"000F 0C0C 0C0F F000 DC0C DD0C 0C0F 0000"
	$"000F C0C0 C0C0 FF0D C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0FFC 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F 0000"
	$"000F C0C0 C0C0 C0C0 C0C0 C0C0 C0CF 0000"
	$"000F FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (130, "MacApp Stationery") {
	$"00FF FFFF FFFF FFFF FFFF FFFF FFF0 0000"
	$"00FC 0C0C 0C0C 0C0C 0C0C 0C0C 0CF0 0000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0FF F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0FD F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 C0C0 FFC0 C0C0 C0FD F000"
	$"00FC 0C0C 0C0C 0C0F CCFC 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 C0FC FCCF FFC0 C0FD F000"
	$"00FC 0C0C 0C0F FFCF FFFC FF0C 0CFD F000"
	$"00F0 C0C0 C0FF 00FC CCCC FFC0 C0FD F000"
	$"00FC 0C0C 0FF0 000F FFFF FF0C 0CFD F000"
	$"00F0 C0C0 FF00 0000 00DC FFC0 C0FD F000"
	$"00FC 0C0F F000 000D D00D CC0C 0CFD F000"
	$"00F0 C0FF 0000 00D0 0D00 D0C0 C0FD F000"
	$"00FC 0CFF 0000 0D0D 00DD DC0C 0CFD F000"
	$"00F0 C0CF F00D D0DD DD0D D0C0 C0FD F000"
	$"00FC 0C0C FF00 0D00 000D DC0C 0CFD F000"
	$"00F0 C0C0 CFF0 00DD DDDD D0C0 C0FD F000"
	$"00FC 0C0C 0CFF 000D 0C0D DC0C 0CFD F000"
	$"00F0 C0C0 C0CF F0D0 C0C0 C0C0 C0FD F000"
	$"00FC 0C0C 0C0C FF0C 0C0C 0C0C 0CFD F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 C0C0 C0FD F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C FFFF FFFD F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 FCCC CFDD F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C FCCC FDDC F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 FCCF DDCC F000"
	$"00FC 0C0C 0C0C 0C0C 0C0C FCFD DCCC F000"
	$"00F0 C0C0 C0C0 C0C0 C0C0 FFDD CCCC F000"
	$"00FF FFFF FFFF FFFF FFFF FDDC CCCC F000"
	$"0000 FDDD DDDD DDDD DDDD DDCC CCCC F000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF F0"
};

resource 'icl8' (128, "MacApp Family", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 C0EC ECEC ECEC ECEC"
	$"0000 0000 0000 0000 F7F7 F7F7 F7F7 F700"
	$"0000 0000 0000 0000 ECC0 C0C0 C0C0 C0EC"
	$"C000 0000 0000 00F7 F7F7 F7F7 F7F7 F700"
	$"0000 0000 0000 00C0 ECC0 C0C0 C0C0 C0C0"
	$"EC00 0000 0000 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 0000 00EC C0C0 C0C0 C0C0 C0C0"
	$"ECC0 0000 00F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 0000 C0EC C0C0 C0C0 C0C0 C0C0"
	$"C0F7 0000 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 0000 ECC0 C0C0 C0C0 C0C0 C0C0"
	$"F7F7 00F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 00C0 ECC0 C0C0 C0C0 C0C0 C0C0"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 C0EC C0C0 C0C0 C0C0 C0C0 C0F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 0000 ECC0 C0C0 C0C0 C0C0 C0C0 C0F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 00C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7F7 F7FA"
	$"0000 C0EC C0C0 C0C0 C0C0 C0C0 C0C0 C0F7"
	$"F7F7 FFFF FFFF FFFF F7F7 F7F7 F7F7 F7FA"
	$"0000 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0F7"
	$"F7FF 0808 0808 0808 FFF7 F7F7 F7F7 F7FA"
	$"00C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 F7F7"
	$"FF08 0808 0808 0808 08FF F7F7 F7F7 F7FA"
	$"00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 F7FF"
	$"0808 FFFF 0808 0808 0808 FFF7 F7F7 F7FA"
	$"C0EC C0C0 C0C0 C0C0 C0C0 C0C0 F7F7 F7FF"
	$"FFFF F7F7 FF08 0808 0808 08FF F7F7 F7FA"
	$"ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 FFFF FF08"
	$"08FF FFFF FFFF FFFF FF08 0808 FFFF FFFF"
	$"ECEC ECEC ECEC ECEC ECEC ECEC F7F7 FF08"
	$"0808 FFFF 0808 0808 0808 0808 08FF FFFF"
	$"00FA FAFA FAFA FAFA FAFA FAFA FAFA FAFF"
	$"0808 0808 0808 0808 0808 0808 08FF FFFF"
	$"00FA FAFA FAFA FAFA FAFA FAFA FAFA FAFA"
	$"FF08 0808 0808 0808 0808 0808 08FF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF FF08 0808 0808 0808 0808 08FF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FF08 08FF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FFFF"
};

resource 'icl8' (129, "MacApp Document", purgeable) {
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FF00 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2BFF 0000 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2B2B FF00 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2B2B 2BFF 0000 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF 2B2B 2B2B FF00 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FF FFFF FFFF FFFF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5FF FFF5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"FF08 08FF F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"
	$"08FF 0808 FFFF FFF5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 FFFF FF08"
	$"FFFF FFFF 08FF FFF5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5FF FFF5 F5FF"
	$"0808 0808 08FF FFF5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 FFFF F5F5 F5F5"
	$"FFFF FFFF FFFF FFF5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5FF FFF5 F5F5 F5F5"
	$"F5F5 F5FA F5FF FFF5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 FFFF F5F5 F5F5 F5F5"
	$"FAFA F5F5 FAF5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5FF FFF5 F5F5 F5F5 F5FA"
	$"F5F5 FAF5 F5FA F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5FF FFF5 F5F5 F5F5 FAF5"
	$"FAF5 F5FA FAFA F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 FFFF F5F5 FAFA F5FA"
	$"FAFA FAF5 FAFA F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5FF FFF5 F5F5 FAF5"
	$"F5F5 F5F5 FAFA F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 FFFF F5F5 F5FA"
	$"FAFA FAFA FAFA F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5FF FFF5 F5F5"
	$"FAF5 F5F5 FAFA F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 FFFF F5FA"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5FF FFF5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl8' (130, "MacApp Stationery") {
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"FFFF F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"
	$"0808 FFF5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 FF08"
	$"FF08 08FF FFFF F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5FF FFFF 08FF"
	$"FFFF FF08 FFFF F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 FFFF F5F5 FF08"
	$"0808 0808 FFFF F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5FF FFF5 F5F5 F5FF"
	$"FFFF FFFF FFFF F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 FFFF F5F5 F5F5 F5F5"
	$"F5F5 FAF5 FFFF F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5FF FFF5 F5F5 F5F5 F5FA"
	$"FAF5 F5FA F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 FFFF F5F5 F5F5 F5F5 FAF5"
	$"F5FA F5F5 FAF5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 FFFF F5F5 F5F5 F5FA F5FA"
	$"F5F5 FAFA FAF5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5FF FFF5 F5FA FAF5 FAFA"
	$"FAFA F5FA FAF5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 FFFF F5F5 F5FA F5F5"
	$"F5F5 F5FA FAF5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5FF FFF5 F5F5 FAFA"
	$"FAFA FAFA FAF5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 FFFF F5F5 F5FA"
	$"F5F5 F5FA FAF5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5FF FFF5 FAF5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 FFFF F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFFF FFFF FFFF FFF9 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FF2B 2B2B F7FF F9F7 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FF2B 2BF7 FFF9 F72B FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FF2B F7FF F9F7 2BF6 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFF7 FFF9 F72B F6F6 FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 FFFF F9F7 2BF6 F6F6 FF00 0000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFF9 F72B F6F6 F6F6 FF00 0000"
	$"0000 0000 FFF9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F7 2BF6 F6F6 F6F6 FF00 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

type kSignature as 'STR ';
resource kSignature (0,
#if qNames
"Signature",
#endif
	purgeable) {
	MA_LONG_VERSION
};

resource 'FREF' (128,
#if qNames
"MacApp Application",
#endif
	purgeable) {
	'APPL',
	0,
	""
};

resource 'FREF' (129,
#if qNames
"MacApp Document",
#endif
	purgeable) {
	kFileType,
	1,
	""
};

resource 'FREF' (130,
#if qNames
"MacApp Stationery",
#endif
	purgeable) {
	kStationery,
	2,
	""
};

resource 'BNDL' (128,
#if qNames
"Bundle",
#endif
	purgeable) {
	kSignature,
	0,
		{
		'ICN#',
			{
			0, 128,
			1, 129,
			2, 130
			},
		'FREF',
			{
			0, 128,
			1, 129,
			2, 130
			}
		}
};


resource 'STR#' (kDefaultCredits,
#if qNames
	"kDefaultCredits",
#endif
	purgeable) {
	 {
	"The great people behind MacApp";
	"  ";
	"Engineers";
	"  Mike Rossetti";
	"  Mary Boetcher";
	"  Mike Fullerton";
	"  Brian Arnold";
	"  David Clancy";
	"  ";
	"Time and space magic by";
	"  Steven Friedrich @ softAnswer";
	"  ";
	"Technical Writer";
	"  Steve Evangelou";
	"  ";
	"Quality Assurance";
	"  Shaowei Mao";
	"  David Harty";
	"  Paul Sheehan";
	"  Paddy O'Sullivan";
	"  ";
	"Technical support";
	"  Jason Yeo";
	"  ";
	"Managers";
	"  Mike Rossetti";
	"  ";
	"Directors";
	"  Greg Parks";
	"  ";
	"Project Manager";
	"  Steve Smith";
	"  ";
	"Product Manager";
	"  Gary Little";
	"  ";
	"Area Associates";
	"  Sharon Cullen";
	"  ";
	"MacApp Advisory Board (Gang of One)";
	"  Tom Becker";
	"  ";
	"Scripting and PowerTalk contributions by";
	"  Ken Ryall";
	"  ";
	"Drag and Drop jump start";
	"  Eric Hanig";
	"  ";
	"Platinum Appearance kick start";
	"  Trygve Isaacson";
	"  ";
	"MacApp Alumni";
	"  Andrew Matheson";
	"  Sharon Alger";
	"  Bernadette Calhoun";
	"  Mike Fox";
	"  Geoffrey Clapp";
	"  Sharada Achanta";
	"  Greg Friedman";
	"  Cyndie Homuth";
	"  Mary Boetcher";
	"  Mike Burbidge";
	"  Roger Dunn";
	"  Lou Infeld";
	"  Richard Kimberly";
	"  Mike Lockwood";
	"  Joe St. Germain";
	"  Andy Wildenberg";
	"  Jeroen Schalk";
	"  Kent Sandvik";
	"  Chris Knepper";
	"  Henri Lamiraux";
	"  Lonnie Millett";
	"  Richard Rodseth";
	"  Steven McGrath";
	"  Merwyn Welcome";
	"  Janie Phillips";
	"  Alan Barriscale";
	"  Shaw Zhu";
	"  ";
	"Former All-Around Great Guy";
	"  Kevin Redden";
	"  ";
	"Chief Heckler";
	"  Dave Goldman";
	"  ";
	"Champion Bug-Hunters";
	"  Mark Dawson";
	"  Ron Wagner";
	"  Kevin Redden";
	"  Ken Victor";
	"  Nick Nallick";
	"  Jeff Amfahr";
	"  Ed Anson";
	"  Carsten Brinkschulte";
	"  Gary Campbell";
	"  Jrgen Dnges";
	"  Steve Jasik";
	"  Henk Kampman";
	"  John Olsen";
	"  Didier Prgomet";
	"  Oddur Sigurdsson";
	"  Steve Sisak";
	"  John Bishop";
	"  Harry Haddon";
	" ";
	"You, the dozens and dozens of MacApp programmers";
	" ";
	"Don't forget to stop by for a visit:";
	"  http://www.devtools.apple.com/frameworks/macapp"
	 }
};

/* ------------------------------------------------------------------------------ */

resource kAETerminologyExtension (0, 
#if qNames
	"English Terminology",
#endif
	purgeable) {
	0x1,
	0x0,
	english,
	roman,
	{	/* array Suites: 4 elements */

//========================================================================================
// Required Suite
//========================================================================================

		/* [1] */
		"Required Suite",
		"Terms that every application should support",
		kAERequiredSuite,
		1,
		1,
//----------------------------------------------------------------------------------------
// Events
//----------------------------------------------------------------------------------------
		{	/* array Events: 0 elements */
		},
//----------------------------------------------------------------------------------------
// Classes
//----------------------------------------------------------------------------------------
		{	/* array Classes: 0 elements */
		},
//----------------------------------------------------------------------------------------
// ComparisonOps
//----------------------------------------------------------------------------------------
		{	/* array ComparisonOps: 0 elements */
		},
//----------------------------------------------------------------------------------------
// Enumerations
//----------------------------------------------------------------------------------------
		{	/* array Enumerations: 0 elements */
		},

//========================================================================================
// Standard Suite
//========================================================================================

		/* [2] */
		"Standard Suite",
		"Common terms for most applications",
		'CoRe',
		1,
		1,
//----------------------------------------------------------------------------------------
// Events
//----------------------------------------------------------------------------------------
		{	/* array Events: 14 elements */
			/* [1] */
		"close", "Close an object", kAECoreSuite, kAEClose, noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object to close",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 2 elements */
				/* [1] */
			"saving", keyAESaveOptions, enumSaveOptions,
				"specifies whether changes should be saved before closing",
				optional, singleItem, enumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [2] */
			"saving in", keyAEFile, typeAlias,
				"the file in which to save the object",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [2] */
		"count", "Return the number of elements of a particular class within an object",
			kAECoreSuite, kAECountElements,
			typeLongInteger,
			"the number of elements",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object whose elements are to be counted",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"each", keyAEObjectClass, cType,
				"the class of the elements to be counted",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [3] */
		"data size", "Return the size in bytes of an object", kAECoreSuite, kAEGetDataSize,
			cLongInteger,
			"the size of the object in bytes",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object whose data size is to be returned",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"as", keyAERequestedType, cType,
				"the data type for which the size is calculated",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [4] */
		"delete", "Delete an element from an object", kAECoreSuite, kAEDelete,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the element to delete",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [5] */
		"duplicate", "Duplicate objects(s)", kAECoreSuite, kAEClone,
			typeObjectSpecifier,
			"",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object(s) to duplicate",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"to", keyAEInsertHere, typeInsertionLoc,
				"the new location for the object(s)",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [6] */
		"exists", "Verify if an object exists", kAECoreSuite, kAEDoObjectsExist,
			typeBoolean,
			"true if it exists, false if not",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object in question",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [7] */
		"make", "Make a new element", kAECoreSuite, kAECreateElement,
			typeObjectSpecifier,
			"to the new object(s)",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 4 elements */
				/* [1] */
			"new", keyAEObjectClass, cType,
				"the class of the new element.",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [2] */
			"at", keyAEInsertHere, typeInsertionLoc,
				"the location at which to insert the element",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [3] */
			"with data", keyAEData, typeWildCard,
				"the initial data for the element",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [4] */
			"with properties", keyAEPropData, 'reco',
				"the initial values for the properties of the element",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [8] */
		"move", "Move object(s) to a new location", kAECoreSuite, kAEMove,
			typeObjectSpecifier,
			"to the object(s) after they have been moved",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object(s) to move",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"to", keyAEInsertHere, typeInsertionLoc,
				"the new location for the object(s)",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [9] */
		"open",
			"Open the specified object(s)", kCoreEventClass, kAEOpen, noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"list of objects to open",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [10] */
		"print",
			"Print the specified object(s)", kCoreEventClass, kAEPrint, noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"list of objects to print",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [11] */
		"quit",
			"Quit an application program", kCoreEventClass, kAEQuitApplication, noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [12] */
		"save",
			"Save an object", kAECoreSuite, kAESave, noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object to save",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 3 elements */
				/* [1] */
			"in", keyAEFile, typeAlias,
				"the file in which to save the object",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [2] */
			"as", keyAEFileType, cType,
				"the file type of the document in which to save the data",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [3] */
			"makeCopy", keyAESaveCopy, cBoolean,
				"save a copy of the document without effecting the original",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [13] */
		"get",
			"Get the data for an object", kAECoreSuite, kAEGetData, typeWildCard,
			"the data from the object",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object whose data is to be returned",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"as", keyAERequestedType, cType,
				"the desired types for the data, in order of preference",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [14] */
		"set",
			"Set an object's data", kAECoreSuite, kAESetData, noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object to change",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"to", keyAEData, typeWildCard,
				"the new value",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			}
		},
//----------------------------------------------------------------------------------------
// Classes
//----------------------------------------------------------------------------------------
		{	/* array Classes: 16 elements */
			/* [1] */
		"application", cApplication,
			"An application program",
			{	/* array Properties: 8 elements */
				/* [1] */
			"clipboard", pClipboard, typeWildCard,
				"the clipboard", reserved,
				listOfItems,
				notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"frontmost", pIsFrontProcess, typeBoolean,
				"Is this the frontmost application?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"name", pName, typeIntlText,
				"the name", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [4] */
			"selection", pUserSelection, cSelection,
				"the selection visible to the user", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"version", pVersion, cVersion,
				"the version number of the application", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [6] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cWindow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cPalette,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [2] */
			"applications",
			cApplication,
			"Every application",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
		"character", cChar,
			"A character",
			{	/* array Properties: 9 elements */
				/* [1] */
			"color", pColor, cRGBColor,
				"the color", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"font", keyAEFont, cText,
				"the name of the font", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"size", pPointSize, cFixed,
				"the size in points", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [4] */
			"writing code", pScriptTag, cIntlWritingCode,
				"the script system and language", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"style", pTextStyles, cTextStyles,
				"the text style", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [6] */
			"uniform styles", pUniformStyles, cTextStyles,
				"the text style", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [7] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [4] */
		"characters", cChar,
			"Every character",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [5] */
		"document", cDocument,
			"A document",
			{	/* array Properties: 6 elements */
				/* [1] */
			"modified", pIsModified, cBoolean,
				"Has the document been modified since the last save?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"name", pName, cIntlText,
				"the name", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"selection", pSelection, cSelection,
				"the selection visible to the user", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [4] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cFile,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [6] */
		"documents", cDocument,
			"Every document",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [7] */
		"file", cFile,
			"A file",
			{	/* array Properties: 5 elements */
				/* [1] */
			"stationery", pIsStationeryPad, cBoolean,
				"Is the file a stationery file?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"name", pName, cIntlText,
				"the name", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [8] */
		"files", cFile,
			"Every file",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [9] */
		"selection-object", cSelection,
			"the selection visible to the user",
			{	/* array Properties: 4 elements */
				/* [1] */
			"contents", pContents, cType,
				"the contents of the selection", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [10] */
		"text", cText,
			"Text",
			{	/* array Properties: 10 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural,
				/* [2] */
			"color", pColor, cRGBColor,
				"the color of the first character", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"font", pFont, cText,
				"the name of the font of the first character", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [4] */
			"size", pPointSize, cFixed,
				"the size in points of the first character", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"writing code", pScriptTag, cIntlWritingCode,
				"the script system and language of the first character", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [6] */
			"style", pTextStyles, cTextStyles,
				"the text style of the first character", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [7] */
			"uniform styles", pUniformStyles, cTextStyles,
				"the text styles that are uniform throughout the text", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [8] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 2 elements */
				/* [1] */
			cChar,
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
			cText,
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [11] */
			"text style info",
			cTextStyles,
			"On and Off styles of text run",
			{	/* array Properties: 2 elements */
				/* [1] */
			"on styles", keyAEOnStyles, enumStyle,
				"the styles that are on for the text", reserved,
				listOfItems, enumerated,
				readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"off styles", keyAEOffStyles, enumStyle,
				"the styles that are off for the text", reserved,
				listOfItems, enumerated,
				readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [12] */
			"text style infos",
			cTextStyles,
			"every text style info",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [13] */
		"window", cWindow,
			"A window",
			{	/* array Properties: 15 elements */
				/* [1] */
			"bounds", pBounds, cQDRectangle,
				"the boundary rectangle for the window", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"closeable", pHasCloseBox, cBoolean,
				"Does the window have a close box?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"titled", pHasTitleBar, cBoolean,
				"Does the window have a title bar?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [4] */
			"index", pIndex, cLongInteger,
				"the number of the window", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"modal", pIsModal, cBoolean,
				"Is the window modal?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [6] */
			"resizable", pIsResizable, cBoolean,
				"Is the window resizable?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [7] */
			"zoomable", pIsZoomable, cBoolean,
				"Is the window zoomable?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [8] */
			"zoomed", pIsZoomed, cBoolean,
				"Is the window zoomed?", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [9] */
			"name", pName, cIntlText,
				"the title of the window", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [10] */
			"selection", pSelection, cSelection,
				"the selection visible to the user", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [11] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [14] */
		"windows", cWindow,
			"Every window",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [15] */
		"palette", cPalette,
			"A floating palette",
			{	/* array Properties: 15 elements */
				/* [1] */
			"bounds", pBounds, cQDRectangle,
				"the boundary rectangle for the palette", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"closeable", pHasCloseBox, cBoolean,
				"Does the palette have a close box?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [3] */
			"titled", pHasTitleBar, cBoolean,
				"Does the palette have a title bar?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [4] */
			"index", pIndex, cLongInteger,
				"the number of the palette", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"floating", pIsFloating, cBoolean,
				"Does the palette float?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [6] */
			"resizable", pIsResizable, cBoolean,
				"Is the palette resizable?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [7] */
			"zoomable", pIsZoomable, cBoolean,
				"Is the palette zoomable?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [8] */
			"zoomed", pIsZoomed, cBoolean,
				"Is the palette zoomed?", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [9] */
			"name", pName, cIntlText,
				"the title of the palette", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [10] */
			"selection", pSelection, cSelection,
				"the selection visible to the user", reserved,
				singleItem, notEnumerated, readWrite, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [11] */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [16] */
		"palettes", cPalette,
			"Every palette",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [17] */
		"insertion point", cInsertionPoint,
			"An insertion location between two objects",
			{	/* array Properties: 3 elements */
			"class", pClass, cType,
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [18] */
		"insertion points", cInsertionPoint,
			"Every insertion location",
			{	/* array Properties: 1 elements */
				/* [1] */
				"",
				kAESpecialClassProperties,
				cType,
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			}
		},
//----------------------------------------------------------------------------------------
// ComparisonOps
//----------------------------------------------------------------------------------------
		{	/* array ComparisonOps: 8 elements */
			"starts with", kAEBeginsWith, "Starts with",
			"contains", kAEContains, "Contains",
			"ends with", kAEEndsWith, "Ends with",
			"=", kAEEquals, "Equal",
			">", kAEGreaterThan, "Greater than",
			"", kAEGreaterThanEquals, "Greater than or equal to",
			"<", kAELessThan, "Less than",
			"", kAELessThanEquals, "Less than or equal to"
		},
//----------------------------------------------------------------------------------------
// Enumerations
//----------------------------------------------------------------------------------------
		{	/* array Enumerations: 2 elements */
			/* [1] */
			enumSaveOptions,
			{	/* array Enumerators: 3 elements */
				"yes", kAEYes, "Save objects now",
				"no", kAENo, "Do not save objects",
				"ask", kAEAsk, "Ask the user whether to save"
			},
			/* [2] */
			enumKeyForm,
			{	/* array Enumerators: 3 elements */
				"index", formAbsolutePosition, "keyform designating indexed access",
				"named", formName, "keyform designating named access",
				"ID", formUniqueID, "keyform designating access by unique identifer"
			}
		},

//========================================================================================
// Miscellaneous Standards
//========================================================================================

		/* [3] */
	"Miscellaneous Standards",
		"Miscellaneous standard events and classes",
		'misc',
		1,
		1,
//----------------------------------------------------------------------------------------
// Events
//----------------------------------------------------------------------------------------
		{	/* array Events: 12.1 elements */
			/* [11.1] */
		"revert", "Revert an object to its last saved state", kAEMiscStandards, kAERevert,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"list of object(s) to revert",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [1] */
		"cut", "Cut an object to the clipboard", kAEMiscStandards, kAECut,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
		"copy", "Copy an object to the clipboard", kAEMiscStandards, kAECopy,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
		"paste", "Paste an object from the clipboard", kAEMiscStandards, kAEPaste,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [4] */
		"redo", "Reverse the action of the immediately preceeding undo", kAEMiscStandards, kAERedo,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [5] */
		"undo", "Undo the action of the previous event or user interaction", kAEMiscStandards, kAEUndo,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
#if 0
			},
			/* [6] */
		"begin transaction", "Begin a transaction", kAEMiscStandards, kAEBeginTransaction,
			noReply,
			"the transaction id",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [7] */
		"end transaction", "End a transaction", kAEMiscStandards, kAEEndTransaction,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			noParams,
			"",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [8] */
		"create publisher", "Create a publisher", kAEMiscStandards, kAECreatePublisher,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"object(s) to publish (default value is the user selection)",
			directParamOptional, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"edition",
				keyAEEditionFileLoc,
				typeAlias,
				"Alias to the edition container file for the publisher",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [9] */
		"edit graphic",
			"let the user edit the specified drawing area",
			kAEMiscStandards, kAEEditGraphic,
			typeDrawingArea,
			"the edited drawing area",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the drawing area to be edited",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 0 elements */
			},
			/* [10] */
		"image graphic", "convert a graphic from one format to another",
			kAEMiscStandards, kAEImageGraphic,
			typeWildCard,
			"the graphic that is returned",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the graphic to be converted or formatted",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 10 elements */
				/* [1] */
			"antialiasing", keyAEDoAntiAlias, typeBoolean,
				"use antialising when imaging the graphic",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [2] */
			"dithering", keyAEDoDithered, typeBoolean,
				"use dithering when imaging the graphic",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [3] */
			"rotate", keyAEDoRotate, typeRotation,
				"description of how to rotate the graphic",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [4] */
			"scale", keyAEDoScale, typeFixed,
				"the factor by which to scale the image",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [5] */
			"translation", keyAEDoTranslate, typeQDPoint,
				"offset by which the image should be moved",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [6] */
			"flip horizontal", keyAEFlipHorizontal, typeBoolean,
				"if true, flip the graphic horizontally",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [7] */
			"flip vertically", keyAEFlipVertical, typeBoolean,
				"if true, flip the image vertically",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [8] */
			"quality", keyAEImageQuality, enumQuality,
				"the image quality of the resulting graphic",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [9] */
			"format", keyAERenderAs, typeType,
				"graphics format in which to return the resulting image",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [10] */
			"structured graphic", keyAETryAsStructGraf, typeBoolean,
				"if true, return an object graphic (a graphic composed of individual "
				"graphic objects that can be manipulated separately) rather than a "
				"pixel map",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [11] */
		"is uniform",
			"is the value of the specified property the same for all objects in the set?",
			kAEMiscStandards, kAEIsUniform,
			typeBoolean,
			"indicates whether all the objects in the set have the same value for the "
			"specified property",
			replyRequired, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the set of objects to be checked for uniformity",
			directParamRequired, singleItem, notEnumerated, doesntChangeState, Reserved12,
			{	/* array OtherParams: 1 elements */
				/* [1] */
			"in", keyAEProperty, typeType,
				"the property ID for the property to be checked",
				required, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
			},
			/* [12] */
		"show", "Bring an object into view", kAEMiscStandards, kAEMakeObjectsVisible,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction, Reserved8, verbEvent, Reserved3,
			typeObjectSpecifier,
			"the object(s) to make visible",
			directParamRequired, singleItem, notEnumerated, changesState, Reserved12,
			{	/* array OtherParams: 2 elements */
				/* [1] */
			"in", keyAEWindow, typeObjectSpecifier,
				"the window in which to display the object(s)",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular,
				/* [2] */
			"at", keyAEShowWhere, typeQDPoint,
				"the point (in window coordinates) at which to display the top-left corner"
				" of the top-left object",
				optional, singleItem, notEnumerated, Reserved9, prepositionParam, notFeminine, notMasculine, singular
#endif
			}
		},
//----------------------------------------------------------------------------------------
// Classes
//----------------------------------------------------------------------------------------
		{	/* array Classes: 4 elements */
			/* [1] */
			"menu",
			'cmnu',
			"A menu",
			{	/* array Properties: 5 elements */
				/* [1] */
			"class", 'pcls', 'type',
				"The class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"menu ID", 'mnid', 'shor',
				"the menu ID for the menu", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"name", 'pnam', 'itxt',
				"the name", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				'cmen',
				{	/* array KeyForms: 2 elements */
					/* [1] */
					'indx',
					/* [2] */
					'name'
				}
			},
			/* [2] */
		"menus", 'cmnu',
			"Every menu",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, 'type',
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
		"menu item", 'cmen',
			"A menu item",
			{	/* array Properties: 6 elements */
				/* [1] */
			"class", 'pcls', 'type',
				"the class", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [2] */
			"enabled", 'enbl', 'bool',
				"Is the menu item is enabled?", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [5] */
			"item number", 'itmn', 'shor',
				"the menu item number", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular,
				/* [6] */
			"name", 'pnam', 'itxt',
				"The name", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, singular
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
		"menu items", 'cmen',
			"Every menu item",
			{	/* array Properties: 1 elements */
				/* [1] */
			"", kAESpecialClassProperties, 'type',
				"", reserved,
				singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural
			},
			{	/* array Elements: 0 elements */
			}
		},
//----------------------------------------------------------------------------------------
// ComparisonOps
//----------------------------------------------------------------------------------------
		{	/* array ComparisonOps: 0 elements */
		},
//----------------------------------------------------------------------------------------
// Enumerations
//----------------------------------------------------------------------------------------
		{	/* array Enumerations: 1 element */
			/* [1] */
			enumQuality,
			{	/* array Enumerators: 3 elements */
				"draft", kAEFast, "image the graphic as quickly as possible",
				"regular", kAERegular, "image the graphic normally",
				"high", kAEHiQuality, "image the graphic at the highest quality possible"
			}
		},
	}
};


/*--------------------------------------------------------------------------------
 Drag and Drop resources
--------------------------------------------------------------------------------*/

/* 
   Ad Lib editing of TDragDropBehavior's requires the presence of a 'CLSS'
   resource describing the additional data in the document that is being edited.
*/

data 'CLSS' (128, "TDragDropBehavior") {
	$"2020 2020 2020 2020 0000 0000 0000 0000"            /*         ........ */
	$"0000 0000 0954 4265 6861 7669 6F72 0004"            /* ....TBehavior.. */
	$"0964 7261 6767 6162 6C65 0000 014B 0964"            /* draggable...Kd */
	$"726F 7070 6162 6C65 0000 014B 1164 7261"            /* roppable...K.dra */
	$"6720 6D6F 7665 2063 6F6E 7465 7874 0004"            /* g move context.. */
	$"0000 1064 7261 6720 6D6F 7665 2066 616D"            /* ...drag move fam */
	$"696C 7900 0003 2020 2020"                           /* ily...     */
};


