// MacApp.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved.

// MacApp Common Resources


//  Auto-Include the requirements for this source

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#if qGrayscaleAppearance

#	ifndef __DialogIcons_AC__
#	include "DialogIcons_AC.r"
#	endif

#endif

// NOTE:
//	By Toolbox convention, the OK button is item 1 and the Cancel button is item 2.

resource 'aedt' (kAEDispatchTable) {				// Minimum for AppleEvent aware application
	{
	'aevt', 'ansr', cAppleEventReply;
	'aevt', 'oapp', cFinderNew;
	'aevt', 'odoc', cFinderOpen;
	'aevt', 'pdoc', cFinderPrint;
	'aevt', 'quit', cFinderQuit;
	}
};

resource 'aedt' (kAECoreSuiteTable) {
	{
	'core', 'clon', cAEClone;
	'core', 'clos', cAEClose;
	'core', 'cnte', cAECountElements;
	'core', 'crel', cAECreateElement;
	'core', 'delo', cAEDelete;
	'core', 'doex', cAEDoObjectsExist;
	'core', 'qobj', cAEGetClassInfo;
	'core', 'getd', cAEGetData;
	'core', 'dsiz', cAEGetDataSize;
	'core', 'gtei', cAEGetEventInfo;
	'core', 'move', cAEMove;
	'aevt', 'odoc', cAEOpen;
	'aevt', 'pdoc', cAEPrint;
	'aevt', 'quit', cAEQuit;
	'core', 'save', cAESave;
	'core', 'setd', cAESetData;
	'aevt', 'rec1', cAERecordingOn;
	'aevt', 'rec0', cAERecordingOff;
	'misc', 'undo', cAEUndo;
	'misc', 'redo', cAERedo;
	'misc', 'past', cAEPaste;
	'misc', 'cut ', cAECut;
	'misc', 'copy', cAECopy;
	'misc', 'rvrt', cAERevert;
	}
};

// Empty script

data 'scpt' (128
#if qNames
	, "Empty Script"
#endif
) {
	$"4661 7364 5541 5320 312E 3130 312E 3130"            /* FasdUAS 1.101.10 */
	$"0E00 0000 040F FFFF 0001 0002 0003 01FF"            /* ............. */
	$"FF00 000D 0001 0002 6C00 0200 0000 00FF"            /* ......l...... */
	$"FEFF FD01 FFFE 0000 01FF FD00 000E 0002"            /* ......... */
	$"0000 0F10 0003 0002 FFFC 0004 01FF FC00"            /* ............ */
	$"0010 0004 0000 6173 6372 0001 000C FADE"            /* ......ascr.... */
	$"DEAD"                                               /* ޭ */
};


resource 'STR#' (kIDBuzzString,
#if qNames
	"IDBuzzString",
#endif
	purgeable) {
	 {	/* [1] */	"Save this document as:";	// Std File prompt
		/* [2] */	"Save a copy in:";			// Std File prompt
		/* [3] */	"Show Clipboard";			// used as menu command
		/* [4] */	"Hide Clipboard";			// used as menu command
		/* [5] */	"Undo <<<>>>";				// used as menu command
		/* [6] */	"Redo <<<>>>";				// used as menu command
												// for Undo and Redo, the <<<>>> string will be replaced
												// by the name of the command				
		/* [7] */	"Unable to display contents at the moment";
												// used when Clipboard cannot be displayed
		/* [8] */	"untitled <<<>>>";			// name of an untitled document with sequence number >= 2
												// the <<<>>> string will be replaced by a sequence number
		/* [9] */	"closing";					// see Alert 110: "Save changes before ___"
		/* [10] */	"quitting"; 				// see Alert 110: "Save changes before ___"
		/* [11] */	"Can't Undo";				// used as menu command */
		/* [12] */	"save"; 					// see Alert 113: "Do you want to ___ anyway?" 
		/* [13] */	"revert";					// see Alert 113: "Do you want to ___ anyway?"
		/* [14] */	"Hide Borders";				// used as a menu item
		/* [15] */	"Show Borders";				// used as a menu item
		/* [16] */	"Subscriber Options";		// used as a menu item
		/* [17] */	"Publisher Options";		// used as a menu item
		/* [18] */	"untitled";					// name of the first untitled document
		/* [19] */	"^FILENAME Copy";			// Pattern for making "Filename copy" default file name
	}
};

resource 'STR#' (kViewStrings,
#if qNames
	"View strings",
#endif
	purgeable) {
	 {	/* [1] */	"Clipboard";
		/* [2] */	"Window";
		/* [3] */	"button";
		/* [4] */	"checkbox";
		/* [5] */	"radio";
		/* [6] */	"cluster";
		/* [7] */	"popup:";
		/* [8] */	"static text";
		/* [9] */	"edit text";
		/* [10] */	"0";
		/* [11] */	"";
	}
};


/* ===========================	 TextStyle resources	============================= */
resource 'TxSt' (kSystemFontTextStyle, "System Font", purgeable) {
	tsPlain,
	12,
	{0, 0, 0},
	""
};

resource 'TxSt' (kApplFont9TextStyle, "9 pt Application Font", purgeable) {
	tsPlain,
	9,
	{0, 0, 0},
	"a"
};

resource 'TxSt' (kApplFont12TextStyle, "12 pt Application Font", purgeable) {
	tsPlain,
	12,
	{0, 0, 0},
	"a"
};

/* =========================== Drag and Drop cursors ============================ */

#if qDrag

resource 'CURS' (kOpenHandCursor, 
#if qNames
	"Open hand",
#endif
	locked, nonpurgeable) {
	$"0180 1A70 2648 264E 1249 1249 6809 9801"
	$"8802 4002 2002 1004 0804 0C0C 07F8 07F8",
	$"0180 1BF0 3FF8 3FFE 1FFF 1FFF 6FFF FFFF"
	$"FFFE 7FFE 3FFE 1FFC 0FFC 0FFC 07F8 07F8",
	{3,3}
};

resource 'CURS' (kClosedHandCursor, 
#if qNames
	"Closed hand",
#endif
	locked, nonpurgeable) {
	$"0000 0000 0000 0000 0DB0 124C 100A 0802"
	$"1802 2002 2002 2004 1004 0C08 07F8 07F8",
	$"0000 0000 0000 0000 0DB0 1FFC 1FFE 0FFE"
	$"1FFE 3FFE 3FFE 3FFC 1FFC 0FF8 07F8 07F8",
	{3,3}
};

#endif


//	/* ======================= PowerPC configuration resource ======================== */
//	
//	#ifndef THINK_Rez
//	#if qPowerPC
//	
//	#if !qTheDebugger
//	Include "NotPPC.rsrc" not 'vers';	// Include resources to display alert if run on non-PPC Mac
//	#endif
//	
//	#endif
//	#endif // THINK_Rez


/* ===========================	 other resources	============================= */
#ifndef THINK_Rez
#include "ErrorMgr.r"
#include "BusyCursor.r"

include "Memory.rsrc" not 'vers';

#include "DeskScrapView.r"
#endif // THINK_Rez
