//----------------------------------------------------------------------------------------
// USubstitution.cp 
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __USUBSTITUTION__
#include "USubstitution.h"
#endif

// ACS

#ifndef __CListIterator__
#include "CListIterator_AC.h"
#endif

// MacApp

#ifndef __UASSOCIATION__
#include "UAssociation.h"
#endif

#ifndef __CTidyHeap_AC__
#include "CTidyHeap_AC.h"
#endif

//----------------------------------------------------------------------------------------

TAssociation pParamTxt;						// Used for text substitution 

//========================================================================================
// GLOBAL Procedures
//========================================================================================
//----------------------------------------------------------------------------------------
// MAParamText: 
//----------------------------------------------------------------------------------------
void MAParamText(const CStr255_AC& keyStr,
				 const CStr255_AC& valueStr)

{
	pParamTxt.InsertEntry(keyStr, valueStr);
}

//----------------------------------------------------------------------------------------
// MAReplaceText: 
//----------------------------------------------------------------------------------------
void MAReplaceText(CStr255_AC& theText)
{
	for (TemplateIterator_AC<TEntry*> iter(&pParamTxt.fEntries); iter; ++iter)
	{
		TEntry* anEntry = iter;

		short index;
		while ((index = theText.Pos(*anEntry->fKey)) != 0)
		{
			theText.Delete(index, anEntry->fKey->Length());
			if (theText.Length() + anEntry->fValue->Length() < sizeof(CStr255_AC))
				theText.Insert(*anEntry->fValue, index);
		}
	}
}

//----------------------------------------------------------------------------------------
// End of USubstitution.cp
