//----------------------------------------------------------------------------------------
// UPointerObject.cp 
// Copyright  1984-96 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// MacApp


#ifndef __Core_AC__
#include "Core_AC.h"
#endif

// ANSI

#ifndef _STDLIB
#include <stdlib.h>
#endif

//========================================================================================
// Defines
//========================================================================================

// The function of these overloads is to defeat the default overloads in MacApp that use
// the OpenDoc heap. These overloads just call malloc and free which is what the builtins do.
// With the exception that the new operator will signal failure if the allocation fails.
// -- OR --
// Omit this file 

#ifndef qMAGlobalNew
#define qMAGlobalNew	1
#endif

#if qMAGlobalNew 

//----------------------------------------------------------------------------------------
// operator new: 
//----------------------------------------------------------------------------------------


void* operator new(size_t size)
{
	void* returnVal = malloc(size);
	::ThrowIfNULL_AC(returnVal);
	return returnVal;
}

//----------------------------------------------------------------------------------------
// operator delete: 
//----------------------------------------------------------------------------------------


void operator delete(void* obj)
{
	if (obj)
		free(obj);
}

#endif


