/*
//SRF - UNMODIFIED, Public interface - use when not actually building against OD
	File:		MemDebg.h

	Contains:	Memory management debugging routines

	Owned by:	Jens Alfke

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

*/


#ifndef _MEMDEBG_
#define _MEMDEBG_
#pragma once

#ifndef _MEMMGR_
#include "MemMgr.h"
#endif


#ifdef __cplusplus
	class SOMObject;
	class StackCrawl;
	#define OPTIONAL	=0
#else
	#include <somobj.h>
	typedef int StackCrawl;
	#define OPTIONAL
#endif


#ifdef __cplusplus
extern "C" {
#endif

#pragma lib_export on


EXPORT_MA void		MMBeginMemValidation( void );
EXPORT_MA void		MMEndMemValidation( void );
EXPORT_MA void		MMBeginHeapChecking( void );
EXPORT_MA void		MMEndHeapChecking( void );

EXPORT_MA MMBoolean	MMValidatePtr( ConstMMBlock, MMBoolean validateHeap, const char *operation OPTIONAL );
EXPORT_MA MMBoolean	MMValidateObject( const SOMObject *o );
EXPORT_MA MMBoolean	MMValidateHandle( MMHandle );

EXPORT_MA MMBoolean	MMDoesHeapExist( MemHeap *heap );
EXPORT_MA MMBoolean	MMValidateHeap( MemHeap *heapID, const void* ptr OPTIONAL );
EXPORT_MA MMBoolean	MMValidateAllHeaps( void );

EXPORT_MA void		MMGetHeapInfo( MemHeap *heapID,
							const char* *name, size_t *allocated, size_t *free,
							size_t *nBlocks, size_t *nObjects );

typedef MMBoolean (*MMBlockInfoProc)( ConstMMBlock, size_t size, MMBoolean isObject, void *refCon );

EXPORT_MA void		MMWalkHeap( MemHeap *heapID, MMBlockInfoProc, void *refCon );

EXPORT_MA MMBoolean	MMFindBlockContaining( const void *start, const void *end,
					const void* *blockStart, const void* *blockEnd );
EXPORT_MA MMBoolean	MMValidateMemoryRange( const void *start, const void *end );

EXPORT_MA MMBoolean	MMTrackStackCrawls( MMBoolean track );
EXPORT_MA StackCrawl*	MMGetBlockStackCrawl( const void *block, long *flags );
EXPORT_MA void		MMSetBlockStackCrawl( const void *block, StackCrawl*, long flags );

EXPORT_MA void		MMBeginLeakChecking( void );
EXPORT_MA void		MMEndLeakChecking( void );


#pragma lib_export off

#ifdef __cplusplus
}
#endif

#endif /*_MEMDEBG_*/
