

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif


#ifndef __CODEFRAGMENTS__
#include <CodeFragments.h>
#endif

#ifndef _MEMMGR_
#include "MemMgr.h"
#endif

#ifndef _MEMDEBG_
#include "MemDebg.h"
#endif

#ifndef _MEMMGRPV_
#include "MemMgrPv.h"
#endif

#ifndef __GESTALT__
#include <Gestalt.h>
#endif

#ifndef __ERRORS__
#include <Errors.h>
#endif

#ifndef __PROCESSES__
#include <Processes.h>
#endif

#ifndef __TEXTUTILS__
#include <TextUtils.h>
#endif

// ANSI

#ifndef _STRING
#include <string.h>
#endif


#if !defined(qMacApp)
#ifndef __SOM__
#include <som.xh>
#endif
#endif

MMBoolean gHaveSOM;

size_t gTotalMemory;				// Declared in PlatfMem.h


static OSErr
GetProcessName( char name[] )
{
	name[0] = 0;
	
	ProcessSerialNumber psn;
	psn.highLongOfPSN = 0;
	psn.lowLongOfPSN = kCurrentProcess;
	
	ProcessInfoRec info;
	info.processInfoLength = sizeof(info);
	info.processName = (StringPtr) name;
	info.processAppSpec = kMMNULL;
	OSErr err= GetProcessInformation(&psn,&info);
	if( !err )
		p2cstr((StringPtr)name);
	return err;
}


extern "C" {
	pascal OSErr MemoryCFMInit( CFragInitBlockPtr );
	static void* MMCAllocate( size_t size, size_t n );
}

static void* MMCAllocate( size_t size, size_t n )
{
	return MMAllocateClear(n*size);
}


pascal OSErr MemoryCFMInit( CFragInitBlockPtr )
{
#if MM_DEBUG
	long result;
	if( Gestalt(gestaltLogicalRAMSize,(long*)&gTotalMemory) != noErr )
		gTotalMemory = 0x80000000;	// bogus default value
	if( Gestalt(gestaltVMAttr,&result) == noErr && (result&1) )
		gTotalMemory <<= 1;			// Use double logical RAM size if VM on
									// since code fragments get loaded above it
#endif

	// Create a default heap:
	char name[256];
	GetProcessName(name);
	strcat(name," default heap"); // For debugging only so hardcoded string is OK
	MemHeap *heap = MMNewHeap(kMMTempMemory,16*1024L,32*1024L,name);
	if( !heap )
		return memFullErr;
	MMSetDefaultHeap(heap);
	
#if !defined(qMacApp)
	gHaveSOM = ((void*)&SOMMalloc != (void*)kUnresolvedCFragSymbolAddress);	// Is SOM installed?

	if( gHaveSOM ) {
		SOMMalloc = &MMAllocate;
		SOMCalloc = &MMCAllocate;
		SOMRealloc= &MMReallocate;
		SOMFree   = &MMFree;
	}
#endif
	
	return noErr;
}

