//----------------------------------------------------------------------------------------
// UFloatingTEManager.h
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UFLOATINGTEMGR__
#define __UFLOATINGTEMGR__

#ifndef __UDIALOGTEVIEW__
#include "UDialogTEView.h"
#endif

//Constants
const ResNumber kDialogTEViewID = 300;			// The ID of the 'view' resource for the
                                                // "floating" TEView


//Forward Declaration
class TDialogTEView;
//----------------------------------------------------------------------------------------
// TFloatingTEManager: Acts as a "server" for the "floating" TDialogTEViews installed in
// EditTexts. A one-view cache is maintained
//----------------------------------------------------------------------------------------

class EXPORT_MA TFloatingTEManager
{
public:
	TFloatingTEManager();
		// Constructor
		
	virtual ~TFloatingTEManager();
		// Frees the cache, and calls Inherited::Free.

	virtual TDialogTEView* AcquireFloatingTE();
		// Returns a "floating" TDialogTEView to install in an EditText. If the cache is
        // empty, one is created.

	virtual TDialogTEView* MakeDialogTEView();

	virtual void ReleaseFloatingTE(TDialogTEView* aDialogTEView);
		// Places the specified TDialogTEView in the cache, or frees it if the cache is
        // full.

	//------------------------------------------------------------------------------------
	// data members
	//------------------------------------------------------------------------------------
public:
	CAutoPtr_AC<TDialogTEView> fCache;
};

#endif
