// UGrabberTracker.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UGRABBERTRACKER__
#define __UGRABBERTRACKER__

// MacApp

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

#ifndef __UTRACKER__
#include "UTracker.h"
#endif


//----------------------------------------------------------------------------------------
// Constants
//----------------------------------------------------------------------------------------

const ResNumber kGrabberHand = 9;					// ID of the grabberhand cursor


//----------------------------------------------------------------------------------------
// Forward and external class declarations. 
//----------------------------------------------------------------------------------------

class TDocument;
class TView;
class TScroller;


//----------------------------------------------------------------------------------------
// TGrabberTracker: Tracks a scrolling view with a MacPaint-like Grabber Hand
//----------------------------------------------------------------------------------------

class EXPORT_MA TGrabberTracker : public TTracker
{
public:
	TGrabberTracker(CommandNumber itsCommandNumber = cNoCommand,
										TDocument* itsDocument = NULL,
										TView* itsView = NULL,
										TScroller* itsScroller = NULL,
										const CViewPoint& itsMouse = gZeroVPt);
		// constructor

	virtual ~TGrabberTracker();
		// Destructor
		
	virtual TTracker* TrackMouse(TrackPhase aTrackPhase,
										CViewPoint& anchorPoint,
										CViewPoint& previousPoint,
										CViewPoint& nextPoint,
										bool mouseDidMove);
	virtual void TrackFeedback(TrackPhase aTrackPhase,
										const CViewPoint& anchorPoint,
										const CViewPoint& previousPoint,
										const CViewPoint& nextPoint,
										bool mouseDidMove,
										bool turnItOn);

	virtual void AutoScroll(const CViewPoint& delta);
};


#endif


