//----------------------------------------------------------------------------------------
// UIconSuite.h
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UICONSUITE__
#define __UICONSUITE__

#ifndef __UCONTROL__
#include "UControl.h"
#endif

#ifndef __UICON__
#include "UIcon.h"
#endif

//Toolbox
#ifndef __ICONS__
#include <Icons.h>
#endif

//----------------------------------------------------------------------------------------
// TIconSuite: Uses System 7 icon utilities to display icons from an icon suite
//----------------------------------------------------------------------------------------

class EXPORT_MA TIconSuite : public TIcon
{

	MA_DECLARE_CLASS;

public:
	TIconSuite(const CViewPoint& itsLocation = gZeroVPt,
				const CViewPoint& itsSize = gZeroVPt,
				SizeDeterminer itsHSizeDet = sizeVariable,
				SizeDeterminer itsVSizeDet = sizeVariable,
				ResNumber itsRsrcID = kNoResource,
				bool preferColor = true);
		// Constructor

	virtual ~TIconSuite();

	virtual IDType GetStandardSignature() const;

	virtual void SetIconRsrcID(ResNumber itsRsrcID,
							   bool redraw);
};

EXPORT_MA void InitUIconSuite();

#endif