// UKeySelectionBehavior.h 
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.

#ifndef __UKEYSELECTIONBEHAVIOR__
#define __UKEYSELECTIONBEHAVIOR__

// MacApp

#ifndef __UBEHAVIOR__
#include "UBehavior.h"
#endif


//----------------------------------------------------------------------------------------
// class TKeySelectionBehavior
//----------------------------------------------------------------------------------------

class EXPORT_MA TKeySelectionBehavior : public TBehavior
{
	MA_DECLARE_CLASS;
	
public: // member functions

	TKeySelectionBehavior(IDType itsIdentifier = kNoIdentifier);
		// Constructor

	virtual ~TKeySelectionBehavior();
		// Destructor
		
	virtual void DoKeyEvent(TToolboxEvent* event);
		// Accumulate the keystrokes.

	virtual void DoKeySelection(const CStr255_AC& keySequence);
		// Called with a the current sequence of characters that have been typed in
        // 'keySequence'. Derived classes can override. Default action is to called
        // 'DoKeySelection' on the fOwner field of this behavior.
		
	virtual void DoKeyUp(TToolboxEvent* event);
		// Set time of keyUp events for timing out and reseting the CPascalStr_AC of keys hit.
					  
	virtual void SetTimeOutInterval(long timeOutInterval);
		// Change the default time out interval. Default is the value of auto-key
        // threshold.

protected: // fields
	CStr255_AC fKeySequence;
	long fTimeOutInterval;
	long fLastKeyUpTime;
};

#endif
