//----------------------------------------------------------------------------------------
// U3DCommon.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef __UQD3DCOMMON__
#define __UQD3DCOMMON__

#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif

#ifndef  QD3D_h
#include <QD3D.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

#if !q68K

const OSType kMac3DMFFileType = '3DMF';

// This file only contains Fail3DErr right now, but it will contain group iterators and other
// code shared by the viewer, views, and 3D classes.

typedef long illuminationType;
typedef long lightingType;
typedef long rotationType;

enum
{
	kNoIllumination			= -1,
	kLambertIllumination 	= 0,
	kPhongIllumination 		= 1,


	kAmbientLight 			= 0,
	kDirectionalLight		= 1,
	kPointLight 			= 2,
	kSpotLight 				= 3,

	kNoRotation 			= 0,
	kAboutAxis 				= 1,
	kAboutPoint 			= 2,
	kVectorToVector 		= 3,
	kXYZ 					= 4,
	kXAxis 					= 5,
	kYAxis 					= 6,
	kZAxis 					= 7
};

extern const TQ3ColorRGB  zeroedQ3Color;
extern const TQ3Point3D  zeroedOrigin;
extern const TQ3Vector3D zeroedVector;

// ---------------------------------------------------------
// Fail3DErr - MacApp Sytle Error Handling
// ---------------------------------------------------------

EXPORT_MA void Fail3DErr(TQ3Status theStatus);

#endif

#endif // __U3DCOMMON__
