// USeparator.h
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.

#ifndef __USEPARATOR__
#define __USEPARATOR__

// ACS

#ifndef __CSeparator_AC__
#include "CSeparator_AC.h"
#endif

// MacApp

#ifndef __UVIEW__
#include "UView.h"
#endif

EXPORT_MA  void InitUSeparator();


#pragma mark TSeparator

//----------------------------------------------------------------------------------------
// TSeparator
// TView subclass. The precise width or height is irrelevant; the
// longer of the two dimensions determines the separator direction,
// and the separator is drawn along the top or left edge.
//----------------------------------------------------------------------------------------

class EXPORT_MA TSeparator : public TView
{
MA_DECLARE_CLASS;

public:

	// TView-compatible constructor
	TSeparator(const CViewPoint& itsLocation = gZeroVPt,
							 const CViewPoint& itsSize = gZeroVPt,
							 SizeDeterminer itsHSizeDet = sizeVariable,
							 SizeDeterminer itsVSizeDet = sizeVariable);

	virtual ~TSeparator();

	// MacApp overrides

	virtual void Draw(const CViewRect& area);

	virtual void Activate(bool entering);

};


#endif // __USEPARATOR__
