//----------------------------------------------------------------------------------------
// USmallIcon.h
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __USMALLICON__
#define __USMALLICON__

#ifndef __UICON__
#include "UIcon.h"
#endif

//----------------------------------------------------------------------------------------
// TSmallIcon
// 
//	This class now inherits from the revamped TIcon class, which uses the IconSuite toolbox
// 	stuff. This class is here for compatibility reasons only. The only difference between
//  this class and the new TIcon is the old TSmallIcon interface remains, and by default
// 	it tells TIcon to only load the small icons by default.
//----------------------------------------------------------------------------------------

class EXPORT_MA TSmallIcon : public TIcon
{
	MA_DECLARE_CLASS;
	
public:
	TSmallIcon(const CViewPoint& itsLocation = gZeroVPt,
				const CViewPoint& itsSize = gZeroVPt,
				SizeDeterminer itsHSizeDet = sizeVariable,
				SizeDeterminer itsVSizeDet = sizeVariable,
				ResNumber itsRsrcID = kNoResource,
				eIconSelectorFlag selector = kAllSmallData);
		// Constructor

	virtual ~TSmallIcon();
		// Destructor
		
	//------------------------------------------------------------------------------------
	// Standard signature support.
	//------------------------------------------------------------------------------------

	virtual IDType GetStandardSignature() const;	// Override 
		// Returns this class's standard signature.

	//------------------------------------------------------------------------------------
	// Data member accessors.
	//------------------------------------------------------------------------------------

	virtual void ReleaseSmallIcon();

	virtual void SetSmallIcon(ResNumber theSmallIcon, 
								bool redraw,
								eIconSelectorFlag selector = kAllSmallData);

	//------------------------------------------------------------------------------------
	// Stream I/O protocol support.
	//------------------------------------------------------------------------------------

	virtual void ReadFields(CStream_AC* aStream);
	
	virtual void WriteFields(CStream_AC* aStream) const;

};

EXPORT_MA  void InitUSmallIcon();
#endif
