//----------------------------------------------------------------------------------------
// UTargetBorderView.h
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UTARGETBORDERVIEW__
#define __UTARGETBORDERVIEW__

#ifndef __TVIEW__
#include "UView.h"
#endif

//----------------------------------------------------------------------------------------
// TTargetBorderView
//----------------------------------------------------------------------------------------

class EXPORT_MA TTargetBorderView : public TView
{
	MA_DECLARE_CLASS;
	
public:
	TTargetBorderView(const CViewPoint& itsLocation = gZeroVPt,
							const CViewPoint& itsSize = gZeroVPt,
							SizeDeterminer itsHSizeDet = sizeVariable,
							SizeDeterminer itsVSizeDet = sizeVariable,
							IDType itsTargetView = kNoIdentifier);
		// Constructor

	virtual ~TTargetBorderView();
		// Destructor
		
	virtual IDType GetStandardSignature() const;	// Override 
		// Returns this class's standard signature.
		
	virtual void ReadFields(CStream_AC* aStream);
	virtual void WriteFields(CStream_AC* aStream) const;
	virtual void DoEvent(EventNumber eventNumber,
								TEventHandler* source,
								TEvent* event);	// Override
	virtual void DoMouseCommand(CViewPoint& theMouse, 
								TToolboxEvent* event,
								CPoint_AC hysteresis); // Override
	virtual void ComputeBorderRegion(RgnHandle borderRegion);
	virtual void InvalidateBorderRegion();
	virtual void Draw(const CViewRect& area); // Override
	virtual void SetFrame(const CViewRect& newFrame, bool invalidate); // Override
	
	virtual bool ContainsTarget(TEventHandler *target);
		// return true if the relationship between this view and the target
		// determines that the border should be drawn

	//------------------------------------------------------------------------------------
	// data members
	//------------------------------------------------------------------------------------
public:
	IDType	fTargetView;

};

EXPORT_MA  void InitUTargetBorderView();
#endif