// UViewIdler.h
// Copyright  1991-97 by Apple Computer, Inc. All rights reserved.


#ifndef __UViewIdler__
#define __UViewIdler__

// MacApp

#ifndef __UBEHAVIOR__
#include "UBehavior.h"
#endif

#ifndef __MDependable_AC__
#include "MDependable_AC.h"
#endif

//----------------------------------------------------------------------------------------
// Forward declarations
//----------------------------------------------------------------------------------------

class TView;

//----------------------------------------------------------------------------------------
// TViewIdler
//----------------------------------------------------------------------------------------

class EXPORT_MA TViewIdler : public TBehavior, public MDependable_AC
{
	// Can't clone a view idler, one per view, please.
	//MA_DECLARE_CLASS;
	
public:
	TViewIdler(TView* itsView = NULL);
		// Constructor
		
	virtual ~TViewIdler();

	//------------------------------------------------------------------------------------
	// Idling.
	//------------------------------------------------------------------------------------

	virtual bool DoIdle(IdlePhase phase);
		// Returns true if it frees itself so caller can know

	virtual void DoUpdate(ChangeID_AC theChange, 
								MDependable_AC* changedObject,
								void* changeData,
								CDependencySpace_AC* dependencySpace);
		// Makes sure we get notified when view is normally freed.
		
	inline TView* GetView() const { return fView; }
	
protected:
	TView*	fView;
};

#endif
