//----------------------------------------------------------------------------------------
// UDialog.cp 
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UDIALOG__
#include "UDialog.h"
#endif

// ACS

#ifndef __CIterator_AC__
#include "CIterator_AC.h"
#endif

// MacApp

#ifndef __MACAPPTYPES__
#include "MacAppTypes.h"
#endif

#ifndef __UADORNERS__
#include "UAdorners.h"
#endif

#ifndef __UASSOCIATION__
#include "UAssociation.h"
#endif

#ifndef __UDIALOGBEHAVIOR__
#include "UDialogBehavior.h"
#endif

#ifndef __UDISPATCHER__
#include "UDispatcher.h"
#endif

#ifndef __UERRORMGR__
#include "UErrorMgr.h"
#endif

#ifndef __UGEOMETRY__
#include "UGeometry.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__
#include "UMacAppUtilities.h"
#endif

#ifndef __UMEMORY__
#include "UMemory.h"
#endif

#ifndef __UPOPUP__
#include "UPopup.h"
#endif

#ifndef __USCROLLER__
#include "UScroller.h"
#endif

#ifndef __USTREAM__
#include "UStream.h"
#endif

#ifndef __USUBSTITUTION__
#include "USubstitution.h"
#endif

#ifndef __UTECOMMANDS__
#include "UTECommands.h"
#endif

#ifndef __CTidyHeap_AC__
#include "CTidyHeap_AC.h"
#endif

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif

#ifndef __UWINDOW__
#include "UWindow.h"
#endif

// Toolbox

// ANSI

#if qModelCFM
	#ifndef __STDLIB__
	#include <stdlib.h>
	#endif
#endif

//TEMP

#ifndef __UBUTTON__
#include "UButton.h"
#endif

#ifndef __UCHECKBOX__
#include "UCheckbox.h"
#endif

#ifndef __UCLUSTER__
#include "UCluster.h"
#endif

#ifndef __UDIALOGTEVIEW__
#include "UDialogTEView.h"
#endif

#ifndef __UEDITTEXT__
#include "UEditText.h"
#endif

#ifndef __UDIALOGVIEW__
#include "UDialogView.h"
#endif

#ifndef __UICON__
#include "UIcon.h"
#endif

#ifndef __UICONSUITE__
#include "UIconSuite.h"
#endif

#ifndef __UNUMBERTEXT__
#include "UNumberText.h"
#endif


#ifndef __UPATTERN__
#include "UPattern.h"
#endif

#ifndef __UPICTURE__
#include "UPicture.h"
#endif

#ifndef __URADIO__
#include "URadio.h"
#endif

#ifndef __USMALLICON__
#include "USmallIcon.h"
#endif

#ifndef __UTARGETBORDERVIEW__
#include "UTargetBorderView.h"
#endif

//========================================================================================
// GLOBAL Procedures
//========================================================================================
//----------------------------------------------------------------------------------------
// InitUDialog: 
//----------------------------------------------------------------------------------------
void InitUDialog()
{
	static bool UDialogInitialized;
	if (!UDialogInitialized)
	{	
		if (qTemplateViews)
		{
			// So the linker doesn't dead strip these 
			MA_REGISTER_SIGNATURE(TControl, kStdControl); // only needed in case someone creates a non-subclassed TControl

			InitUButton();
			InitUCheckbox();
			InitURadio();
			InitUCluster();
			InitUIcon(true);
			InitUPicture();
			InitUPopup();
			InitUPattern();
			InitUTargetBorderView();

			InitUStaticText();
			InitUEditText();
			InitUNumberText();

			InitUDialogView();
		}
	
		UDialogInitialized = true;
	}
}

//----------------------------------------------------------------------------------------
// End of UDialog.cp
