//----------------------------------------------------------------------------------------
// UFloatingTEManager.cp 
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __UFLOATINGTEMGR__
#include "UFloatingTEManager.h"
#endif

#ifndef __UDISPATCHER__
#include "UDispatcher.h"
#endif

#ifndef __UMACAPPGLOBALS__
#include "UMacAppGlobals.h"
#endif

#ifndef __UMACAPPUTILITIES__	
#include "UMacAppUtilities.h"
#endif

#ifndef __UVIEWSERVER__
#include "UViewServer.h"
#endif



//========================================================================================
// CLASS TFloatingTEManager
//========================================================================================
//----------------------------------------------------------------------------------------
// TFloatingTEManager constructor
//----------------------------------------------------------------------------------------
TFloatingTEManager::TFloatingTEManager()
:	fCache(NULL)
{
}

//----------------------------------------------------------------------------------------
// TFloatingTEManager destructor 
//----------------------------------------------------------------------------------------
TFloatingTEManager::~TFloatingTEManager()
{
}

//----------------------------------------------------------------------------------------
// TFloatingTEManager::AcquireFloatingTE: 
//----------------------------------------------------------------------------------------
TDialogTEView* TFloatingTEManager::AcquireFloatingTE()
{
	return fCache ? fCache.release() : MakeDialogTEView();
}

//----------------------------------------------------------------------------------------
// TFloatingTEManager::MakeDialogTEView: 
//----------------------------------------------------------------------------------------
TDialogTEView* TFloatingTEManager::MakeDialogTEView()
{
	TDialogTEView * aDialogTEView = NULL;

	if (qTemplateViews)
	{
		if (gDispatcher)
			aDialogTEView = dynamic_cast<TDialogTEView*>(TViewServer::fgViewServer->DoCreateViews(NULL, NULL, kDialogTEViewID, gZeroVPt));
		if (!aDialogTEView)
		{
#if qDebugMsg
			ProgramBreak_AC("Message from TFloatingTEManager::MakeDialogTEView. Did you forget to include Dialog.rsrc?\n");
#endif
		}
		else
			aDialogTEView->fMinAhead = 1;		// Don't _jump_ the view ahead when
												// autoscrolling for scrollselectionintoview
	}
	else	// !qTemplateViews
	{
		aDialogTEView = TH_new TDialogTEView(gZeroVPt, gZeroVPt, sizeRelSuperView, sizeVariable, gZeroVRect, 
											 gSystemStyle, teFlushDefault, false);	// no autoWrap
	}
	aDialogTEView->AddToScroller();

	return aDialogTEView;
}

//----------------------------------------------------------------------------------------
// TFloatingTEManager::ReleaseFloatingTE: 
//----------------------------------------------------------------------------------------
void TFloatingTEManager::ReleaseFloatingTE(TDialogTEView* aDialogTEView)
{
	fCache = aDialogTEView;
}
