//----------------------------------------------------------------------------------------
// UQD3DUtils.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
//----------------------------------------------------------------------------------------

#ifndef  __UQD3DCOMMON__
#include "UQD3DCommon.h"
#endif

// ACS
#ifndef   Core_AC
#include "Core_AC.h" 
#endif

//QuickDraw3D

#ifndef  QD3D_h
#include "QD3D.h"
#endif

#ifndef   QD3DError_h
#include "QD3DErrors.h" 
#endif

#if !q68K

// This file only contains Fail3DErr right now, but it will contain group iterators and other
// code shared by the viewer, views, and 3D classes.

const TQ3ColorRGB  zeroedQ3Color = {0,0,0};
const TQ3Point3D  zeroedOrigin = {0,0,0};
const TQ3Vector3D zeroedVector = {0,0,0};

//----------------------------------------------------------------------------------------
// Fail3DErr: 
//----------------------------------------------------------------------------------------


void Fail3DErr(TQ3Status theStatus)
{
	if (theStatus != kQ3Success)
	{
		TQ3Error theError = Q3Error_Get(NULL);
		if(theError == kQ3ErrorMacintoshError)
			::ThrowIfOSErr_AC(Q3MacintoshError_Get(NULL));
		else if (theError != kQ3ErrorNone)
			::ThrowException_AC(theError,0);	
	}
} 

#endif
