//----------------------------------------------------------------------------------------
// USeparator.cp
// Copyright  1997 by Apple Computer, Inc. All rights reserved. 
// Portions Copyright 1997 by Trygve Isaacson.
//----------------------------------------------------------------------------------------

#ifndef __USEPARATOR__
#include "USeparator.h"
#endif

#if qWantsAppearance
#	ifndef __APPEARANCE__
#	include <Appearance.h>
#	endif
#endif

#ifndef __AGAImaging_AC__
#include "AGAImaging_AC.h"
#endif

#ifndef __ColorRamp_AC__
#include "ColorRamp_AC.h"
#endif

#ifndef __AGA_AC__
#include "AGA_AC.h"
#endif

void InitUSeparator()
{
	MA_REGISTER_CLASS(TSeparator);
}

//========================================================================================
// CLASS TSeparator
//========================================================================================
#undef Inherited
#define Inherited TView

MA_DEFINE_CLASS(TSeparator);

//----------------------------------------------------------------------------------------
// TSeparator constructor
//----------------------------------------------------------------------------------------


TSeparator::TSeparator(const CViewPoint& itsLocation, const CViewPoint& itsSize, SizeDeterminer itsHSizeDet, SizeDeterminer itsVSizeDet) :
	TView(itsLocation, itsSize, itsHSizeDet, itsVSizeDet)
{

}

//----------------------------------------------------------------------------------------
// TSeparator destructor
//----------------------------------------------------------------------------------------


TSeparator::~TSeparator()
{
}

//----------------------------------------------------------------------------------------
// TSeparator::Draw
//----------------------------------------------------------------------------------------


void TSeparator::Draw(const CViewRect& /*area*/)
{
#if qWantsAppearance
	if (::HasAppearanceMgr_AC())
		::DrawThemeSeparator(GetQDExtent(), IsActive() ? kThemeStateActive : kThemeStateDisabled);
	else
#endif
		::AGADrawSeparator(GetQDExtent(), IsActive(), kRGBColorRamp[r2], kSeparatorAutomatic);
}

//----------------------------------------------------------------------------------------
// TSeparator::Activate
//----------------------------------------------------------------------------------------


void TSeparator::Activate(bool entering)
{
	Inherited::Activate(entering);
	
	// Draw change immediately
	ForceRedraw();
	DrawContents();
}
