//----------------------------------------------------------------------------------------
// USmallIcon.cp 
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __USMALLICON__
#include "USmallIcon.h"
#endif

#ifndef __USTREAM__
#include "UStream.h"
#endif

void InitUSmallIcon()
{
	if (qTemplateViews)
	{
		MA_REGISTER_SIGNATURE(TSmallIcon, kStdSmallIcon);
	}
}


//========================================================================================
// CLASS TSmallIcon
//========================================================================================
#undef Inherited
#define Inherited TIcon


MA_DEFINE_CLASS(TSmallIcon);

//----------------------------------------------------------------------------------------
// TSmallIcon constructor
//----------------------------------------------------------------------------------------


TSmallIcon::TSmallIcon(const CViewPoint& itsLocation,
							const CViewPoint& itsSize,
							SizeDeterminer itsHSizeDet,
							SizeDeterminer itsVSizeDet,
							ResNumber itsRsrcID,
							eIconSelectorFlag selector) :
	TIcon(itsLocation, itsSize, itsHSizeDet, itsVSizeDet, itsRsrcID, selector)
{
	fEventNumber = mSmallIconHit;
}

//----------------------------------------------------------------------------------------
// TSmallIcon destructor
//----------------------------------------------------------------------------------------


TSmallIcon::~TSmallIcon()
{
}

//----------------------------------------------------------------------------------------
// TSmallIcon::GetStandardSignature: 
//----------------------------------------------------------------------------------------


IDType TSmallIcon::GetStandardSignature() const		// Override 
{
	return kStdSmallIcon;
}

//----------------------------------------------------------------------------------------
// TSmallIcon::ReleaseSmallIcon: 
//----------------------------------------------------------------------------------------


void TSmallIcon::ReleaseSmallIcon()
{
	Inherited::ReleaseIconSuite();
}

//----------------------------------------------------------------------------------------
// TSmallIcon::SetSmallIcon: 
//----------------------------------------------------------------------------------------


void TSmallIcon::SetSmallIcon(ResNumber theSmallIcon,
							  bool redraw,
							  eIconSelectorFlag selector)
{
	Inherited::SetIconSuiteRsrcID(theSmallIcon, redraw, selector );
}


//----------------------------------------------------------------------------------------
// TSmallIcon::ReadFields: 
//----------------------------------------------------------------------------------------


void TSmallIcon::ReadFields(CStream_AC* aStream)	// Override 
{
	TControl::ReadFields(aStream);
		// Calling TControl::ReadFields explicitly because TIcon::ReadFields reads in the 
		// prefersColor bool, which is not in the TSmallIcon stream. 
		
	ResNumber itsRsrcID = aStream->ReadInteger();
	SetSmallIcon(itsRsrcID, kDontRedraw);
}

//----------------------------------------------------------------------------------------
// TSmallIcon::WriteFields: 
//----------------------------------------------------------------------------------------


void TSmallIcon::WriteFields(CStream_AC* aStream) const	// Override 
{
	TControl::WriteFields(aStream);
		// Calling TControl::WriteFields explicitly because TIcon::WriteFields writes the 
		// prefersColor bool, which would be a bad thing for a TSmallIcon.

#if qDebugMsg
	if (GetIconSuiteRsrcID() == kNoResource)
		DebugStr("\pWrote a TSmallIcon with no resource ID.");
#endif

	aStream->WriteInteger(GetIconSuiteRsrcID());
}
