// MABuildTool.r
// Copyright  1986-96 by Apple Computer, Inc. All rights reserved. 

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif

#ifndef MW_Rez
#if !qNoCode
include $$Shell("ObjApp")"MABuildTool" 'CODE';
#endif
#endif


resource 'vers' (1
#if qNames
	, "App Version"
#endif
	, purgeable) {
	MA_VERS_CODE,
	verUs,
	MA_SHORT_VERSION,
	MA_LONG_VERSION
};

#ifndef MW_Rez
include "CoreDefaults.rsrc"  'vers' (2);		// part of MacApp
#else
resource 'vers' (2,
#if qNames
	"Package Version",
#endif
	purgeable) {
	MA_VERS_CODE,
	verUs,
	MA_SHORT_VERSION,
	MA_LONG_VERSION
};
#endif

#ifndef MW_Rez 	// Metrowerks will supply it's own cfrg
#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0
#if qNames
	, "Configuration Info"
#endif
) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"MABuildTool"
	}
};
#endif
#endif // MW_Rez

/* help text */

resource 'STR#' (129,
#if qNames
	"help text",
#endif
	purgeable) {
	{
		"MABuild          # MacApp Build System";
		"MABuild [option] [file]   progress";
		"    -Asm option            # Pass through options to Assembler";
		"    -BuildFlags             # Get the build flags for these options";
		"    -BuildFolder           # Specify root object folder for this build";
		"    -C option              # Pass through options to C compiler";
		"    -CP compiler            # Specify the C++ compiler to use:";
		"                            # MrC, MWC68K, MWCPPC, SCpp";
		"    -CPlusPlus             # Pass through generic C++ compiler options";
		"    -CreatorAndBundle option # Pass through options to CreatorAndBundle tool";
		"    -d name=(TRUE|FALSE)    # Set compile time variable name in all compilers";
		"    -E                      # Pass through -E to Make";
		"    -Fat appname            # Build a fat binary by adding the code and resources";
		"                            # from a 68K application file";
		"    -FolderName             # Get the folder name for these options";
		"    -Help                   # Prints this list of options to stdout";
		"    -Lib option            # Pass through options to Librarian";
		"    -Link option           # Pass through options to Linker";
		"    -Make option           # Pass through options to Make";
		"    -MakeSYM option        # Pass through options to MakeSYM";
		"    -MrC option            # Pass through options to Macintosh RISC C/C++ compiler";
		"    -MWC68K option         # Pass through options to Metrowerks C/C++ 68K compiler";
		"    -MWCPPC option         # Pass through options to Metrowerks C/C++ PPC compiler";
		"    -MWLink68K option      # Pass through options to Metrowerks C/C++ 68K linker";
		"    -MWLinkPPC option      # Pass through options to Metrowerks C/C++ PPC linker";
		"    -PPCAsm option         # Pass through options to PPC Assembler";
		"    -PPCLib option         # Pass through options to PPC Librarian";
		"    -PPCLink option        # Pass through options to PPC Linker";
		"    -R                      # Pass through -R to Make and write results of Make to stdout";
		"    -RAMDisk name           # Use a RAM Disk for pre-compiled headers";
		"    -RenameFlag oldname newname # Rename separate object folders";
		"    -Rez option            # Pass through options to Resource compiler";
		"    -RSRC                   # Build only an application .rsrc file";
		"    -S                      # Pass through -S to Make and write results of Make to stdout";
		"    -SCpp option           # Pass through options to the Symantec C++ compiler";
		"    -Symantec               # Equivalent to -CP SCpp (for compatibility)";
		"    -Version                # Display the tool version";
		"    -[No]Align              # Longword align all code and data for speed";
		"    -[No]Attachable         # Support for attaching scripts to objects";
		"    -[No]AutoBuild          # Auto-build the MacApp libraries (and any others)";
		"    -[No]Classic            # Build for classic 68K runtime";
		"    -[No]Container          # OpenDoc container application";
		"    -[No]CPlusLoad          # Make the C++ compiler use load/dump files";
		"    -[No]CreateMake         # Create a make file, even if one already exists";
		"    -[No]Debug              # Turn on debugging and install debugging gear";
		"    -[No]DebugMsg           # Turn on extra debugging messages";
		"    -[No]Drag               # Include support for Drag & Drop";
		"    -[No]Execute            # Execute the results of Make";
		"    -[No]ExpandEnvVars      # Expand environment vars in AppName.MakeIt";
		"    -[No]Fail               # Stop executing after first failure";
		"    -[No]Fast               # Compile files in one batch (faster)";
		"    -[No]GXPrinting         # Include support for GX Printing";
		"    -[No]GXViews            # Include support for GX Views";
		"    -[No]Inspector          # Include hooks for the inspector";
		"    -[No]LinkMap            # Generate a link map in AppName.map";
		"    -[No]LinkXRef           # Generate a linker cross reference in AppName.xref";
		"    -[No]MacApp             # Build for use with MacApp";
		"    -[No]MALibrary          # Use library, not object files";
		"    -[No]ModelCFM           # Build for model CFM-68K support";
		"    -[No]ModelFar           # Build for model far support";
		"    -[No]ModelFarCode       # Build for model far code support";
		"    -[No]ModelFarData       # Build for model far data support";
		"    -[No]Names              # Include embedded debugging symbols";
		"    -[No]NeedsColorQD       # Build to require Color QuickDraw";
		"    -[No]NeedsFPU           # Build to require a Floating point unit";
		"    -[No]NeedsGX            # Build to require a QuickDraw GX";
		"    -[No]NeedsMC68020       # Build to require a 68020";
		"    -[No]NeedsMC68030       # Build to require a 68030";
		"    -[No]NeedsMC68040       # Build to require a 68040";
		"    -[No]NeedsSystem7       # Build to require System 7.0 or better";
		"    -[No]NeedsSystem7_5     # Build to require System 7.5 or better";
		"    -[No]NeedsVU            # Build for VU compatibility";
		"    -[No]P                  # Show progress for the MABuild system";
		"    -[No]Perform            # Include performance monitor code";
		"    -[No]PowerTalk          # Include support for PowerTalk Mailers";
		"    -[No]PP                 # Have all invoked tools show progress too";
		"    -[No]RangeCheck         # Force range/overflow checking";
		"    -[No]Run                # Run after build";
		"    -[No]Save               # Auto-save all open windows before starting build";
		"    -[No]SeparateObjects    # Keep separate object folders for each build variation";
		"    -[No]SmallSym           # Try to generate smaller symbol files (slow!)";
		"    -[No]StatusOnly         # Write results of Make to stdout";
		"    -[No]Sym                # Generate SADE-compatible symbol information";
		"    -[No]T                  # Show elapsed time for the MABuild system";
		"    -[No]TemplateViews      # Include code to create views from templates";
		"    -[No]theDebugger        # Support Jasik's The Debugger";
		"    -[No]TT                 # Have all invoked tools show elapsed time too";
		"    -[No]UserAutoBuild      # Auto-build user-specified libraries {MAUserAutoBuild}";
		"    -[No]Verbose            # Show all kinds of progress for the MABuild system";
		"    -[No]WriteTemplateViews # Include code to write view resources"
	}
};

// These strings are the equivalent of the -RenameFlags option on the MABuild command line,
// except they are built into the build tool. 

resource 'STR#' (1000,
#if qNames
	"RenameFlags",
#endif
	purgeable) {
	{
//		"123456789 123456789 123456789 1",		"123456789 123456789 1234567", // Folders only go to 27 chars on Macintosh!
//		"S7AtDrPtTeClSC",						"68000 Deluxe",					// -classic -noNeedsMC68020 -noNeedsColorQD -deluxe
//		"S7AtDrPtTefCfDClSC",					"68000 Far Deluxe",				// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -deluxe
//		"S7AtDrPtTeSmClSC",						"68000 Sym Deluxe",				// -classic -noNeedsMC68020 -noNeedsColorQD -sym -deluxe
//		"S7AtDrPtTeSmfCfDClSC",					"68000 Sym Far Deluxe",			// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -sym -deluxe
//		"S7AtDrTeClSC",							"68000 Attach Drag",			// -classic -noNeedsMC68020 -noNeedsColorQD -attachable -drag
//		"S7AtDrTefCfDClSC",						"68000 Far Attach Drag",		// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -attachable -drag
//		"S7AtDrTeSmClSC",						"68000 Sym Attach Drag",		// -classic -noNeedsMC68020 -noNeedsColorQD -sym -attachable -drag
//		"S7AtDrTeSmfCfDClSC",					"68000 Sym Far Attach Drag",	// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -sym -attachable -drag
//		"S7AtTeClSC",							"68000 Attach",					// -classic -noNeedsMC68020 -noNeedsColorQD -attachable
//		"S7AtTefCfDClSC",						"68000 Far Attach",				// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -attachable
//		"S7AtTeSmClSC",							"68000 Sym Attach",				// -classic -noNeedsMC68020 -noNeedsColorQD -sym -attachable
//		"S7AtTeSmfCfDClSC",						"68000 Sym Far Attach",			// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -sym -attachable
		"S7Cq20AtDrTeClSC",						"68K Deluxe",					// -classic -deluxe
		"S7Cq20AtDrTefCfDClSC",					"68K Far Deluxe",				// -classic -modelfar -deluxe
		"S7Cq20AtDrTefCfDM8",					"MW68K Deluxe",					// -cp MWC68K -modelfar -deluxe
		"S7Cq20AtDrTeSmClSC",					"68K Sym Deluxe",				// -classic -sym -deluxe
		"S7Cq20AtDrTeSmfCfDClSC",				"68K Sym Far Deluxe",			// -classic -modelfar -sym -deluxe
		"S7Cq20AtDrTeSmfCfDM8",					"MW68K Sym Deluxe",				// -cp MWC68K -modelfar -sym -deluxe
//		"S7Cq20AtTeClSC",						"68K Attach",					// -classic -attachable
//		"S7Cq20AtTefCfDClSC",					"68K Far Attach",				// -classic -modelfar -attachable
//		"S7Cq20AtTefCfDM8",						"MW68K Attach",					// -cp MWC68K -modelfar -attachable
//		"S7Cq20AtTeSmClSC",						"68K Sym Attach",				// -classic -sym -attachable
//		"S7Cq20AtTeSmfCfDClSC",					"68K Sym Far Attach",			// -classic -modelfar -sym -attachable
//		"S7Cq20AtTeSmfCfDM8",					"MW68K Sym Attach",				// -cp MWC68K -modelfar -sym -attachable
//		"S7Cq20DrPtTeClSC",						"68K Drag Mail",				// -classic -drag -powertalk
//		"S7Cq20DrPtTefCfDClSC",					"68K Far Drag Mail",			// -classic -modelfar -drag -powertalk
//		"S7Cq20DrPtTefCfDM8",					"MW68K Drag Mail",				// -cp MWC68K -modelfar -drag -powertalk
//		"S7Cq20DrPtTeSmClSC",					"68K Sym Drag Mail",			// -classic -sym -drag -powertalk
//		"S7Cq20DrPtTeSmfCfDClSC",				"68K Sym Far Drag Mail",		// -classic -modelfar -sym -drag -powertalk
//		"S7Cq20DrPtTeSmfCfDM8",					"MW68K Sym Drag Mail",			// -cp MWC68K -modelfar -sym -drag -powertalk
//		"S7Cq20DrTeClSC",						"68K Drag",						// -classic -drag
//		"S7Cq20DrTefCfDClSC",					"68K Far Drag",					// -classic -modelfar -drag
//		"S7Cq20DrTefCfDM8",						"MW68K Drag",					// -cp MWC68K -modelfar -drag
//		"S7Cq20DrTeSmClSC",						"68K Sym Drag",					// -classic -sym -drag
//		"S7Cq20DrTeSmfCfDClSC",					"68K Sym Far Drag",				// -classic -modelfar -sym -drag
//		"S7Cq20DrTeSmfCfDM8",					"MW68K Sym Drag",				// -cp MWC68K -modelfar -sym -drag
		"S7Cq20FpAtDrPtTeClSC",					"68K FP Deluxe",				// -classic -NeedsFPU -deluxe
		"S7Cq20FpAtDrPtTefCfDClSC",				"68K FP Far Deluxe",			// -classic -modelfar -NeedsFPU -deluxe
		"S7Cq20FpAtDrPtTefCfDM8",				"MW68K FP Deluxe",				// -cp MWC68K -modelfar -NeedsFPU -deluxe
		"S7Cq20FpAtDrPtTeSmClSC",				"68K FP Sym Deluxe",			// -classic -NeedsFPU -sym -deluxe
		"S7Cq20FpAtDrPtTeSmfCfDClSC",			"68K FP Sym Far Deluxe",		// -classic -modelfar -NeedsFPU -sym -deluxe
		"S7Cq20FpAtDrPtTeSmfCfDM8",				"MW68K FP Sym Deluxe",			// -cp MWC68K -modelfar -NeedsFPU -sym -deluxe
		"S7Cq20FpAtDrTeClSC",					"68K FP Attach Drag",			// -classic -NeedsFPU -attachable -drag
		"S7Cq20FpAtDrTefCfDClSC",				"68K FP Far Attach Drag",		// -classic -modelfar -NeedsFPU -attachable -drag
		"S7Cq20FpAtDrTefCfDM8",					"MW68K FP Attach Drag",			// -cp MWC68K -modelfar -NeedsFPU -attachable -drag
		"S7Cq20FpAtDrTeSmClSC",					"68K FP Sym Attach Drag",		// -classic -NeedsFPU -sym -attachable -drag
		"S7Cq20FpAtDrTeSmfCfDClSC",				"68K FP Sym Far Attach Drag",	// -classic -modelfar -NeedsFPU -sym -attachable -drag
		"S7Cq20FpAtDrTeSmfCfDM8",				"MW68K FP Sym Attach Drag",		// -cp MWC68K -modelfar -NeedsFPU -sym -attachable -drag
//		"S7Cq20FpAtTeClSC",						"68K FP Attach",				// -classic -NeedsFPU -attachable
//		"S7Cq20FpAtTefCfDClSC",					"68K FP Far Attach",			// -classic -modelfar -NeedsFPU -attachable
//		"S7Cq20FpAtTefCfDM8",					"MW68K FP Attach",				// -cp MWC68K -modelfar -NeedsFPU -attachable
//		"S7Cq20FpAtTeSmClSC",					"68K FP Sym Attach",			// -classic -NeedsFPU -sym -attachable
//		"S7Cq20FpAtTeSmfCfDClSC",				"68K FP Sym Far Attach",		// -classic -modelfar -NeedsFPU -sym -attachable
//		"S7Cq20FpAtTeSmfCfDM8",					"MW68K FP Sym Attach",			// -cp MWC68K -modelfar -NeedsFPU -sym -attachable
//		"S7Cq20FpDrPtTeClSC",					"68K FP Drag Mail",				// -classic -NeedsFPU -drag -powertalk
//		"S7Cq20FpDrPtTefCfDClSC",				"68K FP Far Drag Mail",			// -classic -modelfar -NeedsFPU -drag -powertalk
//		"S7Cq20FpDrPtTefCfDM8",					"MW68K FP Drag Mail",			// -cp MWC68K -modelfar -NeedsFPU -drag -powertalk
//		"S7Cq20FpDrPtTeSmClSC",					"68K FP Sym Drag Mail",			// -classic -NeedsFPU -sym -drag -powertalk
//		"S7Cq20FpDrPtTeSmfCfDClSC",				"68K FP Sym Far Drag Mail",		// -classic -modelfar -NeedsFPU -sym -drag -powertalk
//		"S7Cq20FpDrPtTeSmfCfDM8",				"MW68K FP Sym Drag Mail",		// -cp MWC68K -modelfar -NeedsFPU -sym -drag -powertalk
//		"S7Cq20FpDrTeClSC",						"68K FP Drag",					// -classic -NeedsFPU -drag
//		"S7Cq20FpDrTefCfDClSC",					"68K FP Far Drag",				// -classic -modelfar -NeedsFPU -drag
//		"S7Cq20FpDrTefCfDM8",					"MW68K FP Drag",				// -cp MWC68K -modelfar -NeedsFPU -drag
//		"S7Cq20FpDrTeSmClSC",					"68K FP Sym Drag",				// -classic -NeedsFPU -sym -drag
//		"S7Cq20FpDrTeSmfCfDClSC",				"68K FP Sym Far Drag",			// -classic -modelfar -NeedsFPU -sym -drag
//		"S7Cq20FpDrTeSmfCfDM8",					"MW68K FP Sym Drag",			// -cp MWC68K -modelfar -NeedsFPU -sym -drag
		"S7Cq20FpNmAtDrPtTeSmClSC",				"68K FP Names Deluxe",			// -classic -NeedsFPU -names -deluxe
		"S7Cq20FpNmAtDrPtTeSmfCfDClSC",			"68K FP Names Far Deluxe",		// -classic -modelfar -NeedsFPU -names -deluxe
		"S7Cq20FpNmAtDrPtTeSmfCfDM8",			"MW68K FP Names Deluxe",		// -cp MWC68K -modelfar -NeedsFPU -names -deluxe
		"S7Cq20FpNmAtDrTeSmClSC",				"68K FP Names Attach Drag",		// -classic -NeedsFPU -names -attachable -drag
		"S7Cq20FpNmAtDrTeSmfCfDClSC",			"68KFP Names Far Attach Drag",	// -classic -modelfar -NeedsFPU -names -attachable -drag
		"S7Cq20FpNmAtDrTeSmfCfDM8",				"MW68K FP Names Attach Drag",	// -cp MWC68K -modelfar -NeedsFPU -names -attachable -drag
//		"S7Cq20FpNmAtTeSmClSC",					"68K FP Names Attach",			// -classic -NeedsFPU -names -attachable
//		"S7Cq20FpNmAtTeSmfCfDClSC",				"68K FP Names Far Attach",		// -classic -modelfar -NeedsFPU -names -attachable
//		"S7Cq20FpNmAtTeSmfCfDM8",				"MW68K FP Names Attach",		// -cp MWC68K -modelfar -NeedsFPU -names -attachable
		"S7Cq20FpNmDbDmPeRaAtDrPtTeSmClSC",		"68K FP Debug Deluxe",			// -classic -NeedsFPU -debug -deluxe
		"S7Cq20FpNmDbDmPeRaAtDrPtTeSmfCfDClSC",	"68K FP Debug Far Deluxe",		// -classic -modelfar -NeedsFPU -debug -deluxe
		"S7Cq20FpNmDbDmPeRaAtDrTeSmClSC",		"68K FP Debug Attach Drag",		// -classic -NeedsFPU -debug -attachable -drag
		"S7Cq20FpNmDbDmPeRaAtDrTeSmfCfDClSC",	"68KFP Debug Far Attach Drag",	// -classic -modelfar -NeedsFPU -debug -attachable -drag
		"S7Cq20FpNmDbDmPeRaAtTeSmClSC",			"68K FP Debug Atttach",			// -classic -NeedsFPU -debug -attachable
//		"S7Cq20FpNmDbDmPeRaAtTeSmfCfDClSC",		"68K FP Debug Far Attach",		// -classic -modelfar -NeedsFPU -debug -attachable
//		"S7Cq20FpNmDbDmPeRaDrPtTeSmClSC",		"68K FP Debug Drag Mail",		// -classic -NeedsFPU -debug -drag -powertalk
//		"S7Cq20FpNmDbDmPeRaDrPtTeSmfCfDClSC",	"68K FP Debug Far Drag Mail",	// -classic -modelfar -NeedsFPU -debug -drag -powertalk
//		"S7Cq20FpNmDbDmPeRaDrTeSmClSC",			"68K FP Debug Drag",			// -classic -NeedsFPU -debug -drag
//		"S7Cq20FpNmDbDmPeRaDrTeSmfCfDClSC",		"68K FP Debug Far Drag",		// -classic -modelfar -NeedsFPU -debug -drag
		"S7Cq20FpNmDbDmPeRaTeSmClSC",			"68K FP Debug",					// -classic -NeedsFPU -debug
		"S7Cq20FpNmDbDmPeRaTeSmfCfDClSC",		"68K FP Debug Far",				// -classic -modelfar -NeedsFPU -debug
		"S7Cq20FpNmDbDmRaAtDrPtTeSmfCfDM8",		"MW68K FP Debug Deluxe",		// -cp MWC68K -modelfar -NeedsFPU -debug -deluxe
		"S7Cq20FpNmDbDmRaAtDrTeSmfCfDM8",		"MW68K FP Debug Attach Drag",	// -cp MWC68K -modelfar -NeedsFPU -debug -attachable -drag
//		"S7Cq20FpNmDbDmRaAtTeSmfCfDM8",			"MW68K FP Debug Attach",		// -cp MWC68K -modelfar -NeedsFPU -debug -attachable
//		"S7Cq20FpNmDbDmRaDrPtTeSmfCfDM8",		"MW68K FP Debug Drag Mail",		// -cp MWC68K -modelfar -NeedsFPU -debug -drag -powertalk
//		"S7Cq20FpNmDbDmRaDrTeSmfCfDM8",			"MW68K FP Debug Drag",			// -cp MWC68K -modelfar -NeedsFPU -debug -drag
		"S7Cq20FpNmDbDmRaTeSmfCfDM8",			"MW68K FP Debug",				// -cp MWC68K -modelfar -NeedsFPU -debug
//		"S7Cq20FpNmDrPtTeSmClSC",				"68K FP Names Drag Mail",		// -classic -NeedsFPU -names -drag -powertalk
//		"S7Cq20FpNmDrPtTeSmfCfDClSC",			"68K FP Names Far Drag Mail",	// -classic -modelfar -NeedsFPU -names -drag -powertalk
//		"S7Cq20FpNmDrPtTeSmfCfDM8",				"MW68K FP Names Drag Mail",		// -cp MWC68K -modelfar -NeedsFPU -names -drag -powertalk
//		"S7Cq20FpNmDrTeSmClSC",					"68K FP Names Drag",			// -classic -NeedsFPU -names -drag
//		"S7Cq20FpNmDrTeSmfCfDClSC",				"68K FP Names Far Drag",		// -classic -modelfar -NeedsFPU -names -drag
//		"S7Cq20FpNmDrTeSmfCfDM8",				"MW68K FP Names Drag",			// -cp MWC68K -modelfar -NeedsFPU -names -drag
		"S7Cq20FpNmTeSmClSC",					"68K FP Names",					// -classic -NeedsFPU -names
		"S7Cq20FpNmTeSmfCfDClSC",				"68K FP Names Far",				// -classic -modelfar -NeedsFPU -names
		"S7Cq20FpNmTeSmfCfDM8",					"MW68K FP Names",				// -cp MWC68K -modelfar -NeedsFPU -names
		"S7Cq20FpTeClSC",						"68K FP",						// -classic -NeedsFPU
		"S7Cq20FpTefCfDClSC",					"68K FP Far",					// -classic -modelfar -NeedsFPU
		"S7Cq20FpTefCfDM8",						"MW68K FP",						// -cp MWC68K -modelfar -NeedsFPU
		"S7Cq20FpTeSmClSC",						"68K FP Sym",					// -classic -NeedsFPU -sym
		"S7Cq20FpTeSmfCfDClSC",					"68K FP Sym Far",				// -classic -modelfar -NeedsFPU -sym
		"S7Cq20FpTeSmfCfDM8",					"MW68K FP Sym",					// -cp MWC68K -modelfar -NeedsFPU -sym
		"S7Cq20NmAtDrPtTeSmClSC",				"68K Names Deluxe",				// -classic -names -deluxe
		"S7Cq20NmAtDrPtTeSmfCfDClSC",			"68K Names Far Deluxe",			// -classic -modelfar -names -deluxe
		"S7Cq20NmAtDrPtTeSmfCfDM8",				"MW68K Names Deluxe",			// -cp MWC68K -modelfar -names -deluxe
		"S7Cq20NmAtDrTeSmClSC",					"68K Names Attach Drag",		// -classic -names -attachable -drag
		"S7Cq20NmAtDrTeSmfCfDClSC",				"68K Names Far Attach Drag",	// -classic -modelfar -names -attachable -drag
		"S7Cq20NmAtDrTeSmfCfDM8",				"MW68K Names Attach Drag",		// -cp MWC68K -modelfar -names -attachable -drag
//		"S7Cq20NmAtTeSmClSC",					"68K Names Attach",				// -classic -names -attachable
//		"S7Cq20NmAtTeSmfCfDClSC",				"68K Names Far Attach",			// -classic -modelfar -names -attachable
//		"S7Cq20NmAtTeSmfCfDM8",					"MW68K Names Attach",			// -cp MWC68K -modelfar -names -attachable
		"S7Cq20NmDbDmPeRaAtDrPtTeSmClSC",		"68K Debug Deluxe",				// -classic -debug -deluxe
		"S7Cq20NmDbDmPeRaAtDrPtTeSmfCfDClSC",	"68K Debug Far Deluxe",			// -classic -modelfar -debug -deluxe
		"S7Cq20NmDbDmPeRaAtDrTeSmClSC",			"68K Debug Attach Drag",		// -classic -debug -attachable -drag
		"S7Cq20NmDbDmPeRaAtDrTeSmfCfDClSC",		"68K Debug Far Attach Drag",	// -classic -modelfar -debug -attachable -drag
		"S7Cq20NmDbDmPeRaAtTeSmClSC",			"68K Debug Atttach",			// -classic -debug -attachable
//		"S7Cq20NmDbDmPeRaAtTeSmfCfDClSC",		"68K Debug Far Attach",			// -classic -modelfar -debug -attachable
//		"S7Cq20NmDbDmPeRaDrPtTeSmClSC",			"68K Debug Drag Mail",			// -classic -debug -drag -powertalk
//		"S7Cq20NmDbDmPeRaDrPtTeSmfCfDClSC",		"68K Debug Far Drag Mail",		// -classic -modelfar -debug -drag -powertalk
//		"S7Cq20NmDbDmPeRaDrTeSmClSC",			"68K Debug Drag",				// -classic -debug -drag
//		"S7Cq20NmDbDmPeRaDrTeSmfCfDClSC",		"68K Debug Far Drag",			// -classic -modelfar -debug -drag
		"S7Cq20NmDbDmPeRaTeSmClSC",				"68K Debug",					// -classic -debug
		"S7Cq20NmDbDmPeRaTeSmfCfDClSC",			"68K Debug Far",				// -classic -modelfar -debug
		"S7Cq20NmDbDmRaAtDrPtTeSmfCfDM8",		"MW68K Debug Deluxe",			// -cp MWC68K -modelfar -debug -deluxe
		"S7Cq20NmDbDmRaAtDrTeSmfCfDM8",			"MW68K Debug Attach Drag",		// -cp MWC68K -modelfar -debug -attachable -drag
//		"S7Cq20NmDbDmRaAtTeSmfCfDM8",			"MW68K Debug Attach",			// -cp MWC68K -modelfar -debug -attachable
//		"S7Cq20NmDbDmRaDrPtTeSmfCfDM8",			"MW68K Debug Drag Mail",		// -cp MWC68K -modelfar -debug -drag -powertalk
//		"S7Cq20NmDbDmRaDrTeSmfCfDM8",			"MW68K Debug Drag",				// -cp MWC68K -modelfar -debug -drag
		"S7Cq20NmDbDmRaTeSmfCfDM8",				"MW68K Debug",					// -cp MWC68K -modelfar -debug
//		"S7Cq20NmDrPtTeSmClSC",					"68K Names Drag Mail",			// -classic -names -drag -powertalk
//		"S7Cq20NmDrPtTeSmfCfDClSC",				"68K Names Far Drag Mail",		// -classic -modelfar -names -drag -powertalk
//		"S7Cq20NmDrPtTeSmfCfDM8",				"MW68K Names Drag Mail",		// -cp MWC68K -modelfar -names -drag -powertalk
//		"S7Cq20NmDrTeSmClSC",					"68K Names Drag",				// -classic -names -drag
//		"S7Cq20NmDrTeSmfCfDClSC",				"68K Names Far Drag",			// -classic -modelfar -names -drag
//		"S7Cq20NmDrTeSmfCfDM8",					"MW68K Names Drag",				// -cp MWC68K -modelfar -names -drag
		"S7Cq20NmTeSmClSC",						"68K Names",					// -classic -names
		"S7Cq20NmTeSmfCfDClSC",					"68K Names Far",				// -classic -modelfar -names
		"S7Cq20NmTeSmfCfDM8",					"MW68K Names",					// -cp MWC68K -modelfar -names
		"S7Cq20TeClSC",							"68K",							// -classic
		"S7Cq20TefCfDClSC",						"68K Far",						// -classic -modelfar
		"S7Cq20TefCfDM8",						"MW68K",						// -cp MWC68K -modelfar
		"S7Cq20TeSmClSC",						"68K Sym",						// -classic -sym
		"S7Cq20TeSmfCfDClSC",					"68K Sym Far",					// -classic -modelfar -sym
		"S7Cq20TeSmfCfDM8",						"MW68K Sym",					// -cp MWC68K -modelfar -sym
		"S7Cq30AtDrPtTeCFSC",					"CFM68K Deluxe",				// -modelcfm -deluxe
		"S7Cq30AtDrPtTeSmCFSC",					"CFM68K Sym Deluxe",			// -modelcfm -sym -deluxe
		"S7Cq30AtDrTeCFSC",						"CFM68K Attach Drag",			// -modelcfm -attachable -drag
		"S7Cq30AtDrTeSmCFSC",					"CFM68K Sym Attach Drag",		// -modelcfm -sym -attachable -drag
//		"S7Cq30AtTeCFSC",						"CFM68K Attach",				// -modelcfm -attachable
//		"S7Cq30AtTeSmCFSC",						"CFM68K Sym Attach",			// -modelcfm -sym -attachable
//		"S7Cq30DrPtTeCFSC",						"CFM68K Drag Mail",				// -modelcfm -drag -powertalk
//		"S7Cq30DrPtTeSmCFSC",					"CFM68K Sym Drag Mail",			// -modelcfm -sym -drag -powertalk
//		"S7Cq30DrTeCFSC",						"CFM68K Drag",					// -modelcfm -drag
//		"S7Cq30DrTeSmCFSC",						"CFM68K Sym Drag",				// -modelcfm -sym -drag
		"S7Cq30NmAtDrPtTeSmCFSC",				"CFM68K Names Deluxe",			// -modelcfm -names -deluxe
//		"S7Cq30NmAtDrTeSmCFSC",					"CFM68K Names Attach Drag",		// -modelcfm -names -attachable -drag
//		"S7Cq30NmAtTeSmCFSC",					"CFM68K Names Attach",			// -modelcfm -names -attachable
//		"S7Cq30NmDrPtTeSmCFSC",					"CFM68K Names Drag Mail",		// -modelcfm -names -drag -powertalk
//		"S7Cq30NmDrTeSmCFSC",					"CFM68K Names Drag",			// -modelcfm -names -drag
		"S7Cq30NmTeSmCFSC",						"CFM68K Names",					// -modelcfm -names
		"S7Cq30TeCFSC",							"CFM68K",						// -modelcfm
		"S7Cq30TeSmCFSC",						"CFM68K Sym",					// -modelcfm -sym
		"S7CqAtDrTeMr",							"MrC Deluxe",					// -cp MrC -deluxe
		"S7CqAtDrTeMW",							"MWPPC Deluxe",					// -cp MWCPPC -deluxe
		"S7CqAtDrPtTeSmMr",						"MrC Sym Deluxe",				// -cp MrC -sym -deluxe
		"S7CqAtDrPtTeSmMr",						"MrC Sym Deluxe",				// -cp MrC -names -deluxe
		"S7CqAtDrPtTeSmMW",						"MWPPC Sym Deluxe",				// -cp MWCPPC -names -deluxe
		"S7CqAtDrPtTeSmMW",						"MWPPC Sym Deluxe",				// -cp MWCPPC -sym -deluxe
		"S7CqAtDrTeSmMr",						"MrC Names Attach Drag",		// -cp MrC -names -attachable -drag
		"S7CqAtDrTeSmMr",						"MrC Sym Attach Drag",			// -cp MrC -sym -attachable -drag
		"S7CqAtDrTeSmMW",						"MWPPC Names Attach Drag",		// -cp MWCPPC -names -attachable -drag
		"S7CqAtDrTeSmMW",						"MWPPC Sym Attach Drag",		// -cp MWCPPC -sym -attachable -drag
//		"S7CqAtTeMr",							"MrC Attach",					// -cp MrC -attachable
//		"S7CqAtTeMW",							"MWPPC Attach",					// -cp MWCPPC -attachable
//		"S7CqAtTeSmMr",							"MrC Names Attach",				// -cp MrC -names -attachable
//		"S7CqAtTeSmMr",							"MrC Sym Attach",				// -cp MrC -sym -attachable
//		"S7CqAtTeSmMW",							"MWPPC Names Attach",			// -cp MWCPPC -names -attachable
//		"S7CqAtTeSmMW",							"MWPPC Sym Attach",				// -cp MWCPPC -sym -attachable
//		"S7CqDbDmRaAtDrPtTeSmMr",				"MrC Debug Deluxe PowerTalk",	// -cp MrC -debug -deluxe -powertalk
//		"S7CqDbDmRaAtDrPtTeSmMW",				"MWPPC Debug Deluxe PowerTalk",	// -cp MWCPPC -debug -deluxe -powertalk
		"S7CqDbDmRaAtDrTeSmMr",					"MrC Debug Deluxe",				// -cp MrC -debug -attachable -drag
		"S7CqDbDmRaAtDrTeSmMW",					"MWPPC Debug Deluxe",			// -cp MWCPPC -debug -attachable -drag
//		"S7CqDbDmRaAtTeSmMr",					"MrC Debug Attach",				// -cp MrC -debug -attachable
//		"S7CqDbDmRaAtTeSmMW",					"MWPPC Debug Attach",			// -cp MWCPPC -debug -attachable
//		"S7CqDbDmRaDrPtTeSmMr",					"MrC Debug Drag Mail",			// -cp MrC -debug -drag -powertalk
//		"S7CqDbDmRaDrPtTeSmMW",					"MWPPC Debug Drag Mail",		// -cp MWCPPC -debug -drag -powertalk
//		"S7CqDbDmRaDrTeSmMr",					"MrC Debug Drag",				// -cp MrC -debug -drag
//		"S7CqDbDmRaDrTeSmMW",					"MWPPC Debug Drag",				// -cp MWCPPC -debug -drag
		"S7CqDbDmRaTeSmMr",						"MrC Debug",					// -cp MrC -debug
		"S7CqDbDmRaTeSmMW",						"MWPPC Debug",					// -cp MWCPPC -debug
//		"S7CqDrPtTeMr",							"MrC Drag Mail",				// -cp MrC -drag -powertalk
//		"S7CqDrPtTeMW",							"MWPPC Drag Mail",				// -cp MWCPPC -drag -powertalk
//		"S7CqDrPtTeSmMr",						"MrC Sym Drag Mail",			// -cp MrC -sym -drag -powertalk
//		"S7CqDrPtTeSmMr",						"MrC Sym Drag Mail",			// -cp MrC -names -drag -powertalk
//		"S7CqDrPtTeSmMW",						"MWPPC Sym Drag Mail",			// -cp MWCPPC -sym -drag -powertalk
//		"S7CqDrPtTeSmMW",						"MWPPC Sym Drag Mail",			// -cp MWCPPC -names -drag -powertalk
//		"S7CqDrTeMr",							"MrC Drag",						// -cp MrC -drag
//		"S7CqDrTeMW",							"MWPPC Drag",					// -cp MWCPPC -drag
//		"S7CqDrTeSmMr",							"MrC Names Drag",				// -cp MrC -names -drag
//		"S7CqDrTeSmMr",							"MrC Sym Drag",					// -cp MrC -sym -drag
//		"S7CqDrTeSmMW",							"MWPPC Names Drag",				// -cp MWCPPC -names -drag
//		"S7CqDrTeSmMW",							"MWPPC Sym Drag",				// -cp MWCPPC -sym -drag
		"S7CqTeMr",								"MrC",							// -cp MrC
		"S7CqTeMW",								"MWPPC",						// -cp MWCPPC
		"S7CqTeSmMr",							"MrC Sym",						// -cp MrC -sym
		"S7CqTeSmMr",							"MrC Sym",						// -cp MrC -names
		"S7CqTeSmMW",							"MWPPC Sym",					// -cp MWCPPC -sym
		"S7CqTeSmMW",							"MWPPC Sym",					// -cp MWCPPC -names
//		"S7CqVuAtDrPtTeSmMr",					"MrC Sym VU Deluxe",			// -cp MrC -NeedsVU -sym -deluxe
//		"S7CqVuAtDrPtTeSmMW",					"MWPPC Sym VU Deluxe",			// -cp MWCPPC -NeedsVU -sym -deluxe
		"S7CqVuAtDrTeSmMr",						"MrC Sym VU Attach Drag",		// -cp MrC -NeedsVU -sym -attachable -drag
		"S7CqVuAtDrTeSmMW",						"MWPPC Sym VU Attach Drag",		// -cp MWCPPC -NeedsVU -sym -attachable -drag
//		"S7CqVuAtTeSmMr",						"MrC Sym VU Attach",			// -cp MrC -NeedsVU -sym -attachable
//		"S7CqVuAtTeSmMW",						"MWPPC Sym VU Attach",			// -cp MWCPPC -NeedsVU -sym -attachable
		"S7CqVuDbDmRaAtDrPtTeSmMr",				"MrC Debug VU Deluxe",			// -cp MrC -NeedsVU -debug -deluxe
		"S7CqVuDbDmRaAtDrPtTeSmMW",				"MWPPC Debug VU Deluxe",		// -cp MWCPPC -NeedsVU -debug -deluxe
		"S7CqVuDbDmRaAtDrTeSmMr",				"MrC Debug VU Attach Drag",		// -cp MrC -NeedsVU -debug -attachable -drag
		"S7CqVuDbDmRaAtDrTeSmMW",				"MWPPC Debug VU Attach Drag",	// -cp MWCPPC -NeedsVU -debug -attachable -drag
//		"S7CqVuDbDmRaAtTeSmMr",					"MrC Debug VU Attach",			// -cp MrC -NeedsVU -debug -attachable
//		"S7CqVuDbDmRaAtTeSmMW",					"MWPPC Debug VU Attach",		// -cp MWCPPC -NeedsVU -debug -attachable
//		"S7CqVuDbDmRaDrPtTeSmMr",				"MrC Debug VU Drag Mail",		// -cp MrC -NeedsVU -debug -drag -powertalk
//		"S7CqVuDbDmRaDrPtTeSmMW",				"MWPPC Debug VU Drag Mail",		// -cp MWCPPC -NeedsVU -debug -drag -powertalk
//		"S7CqVuDbDmRaDrTeSmMr",					"MrC Debug VU Drag",			// -cp MrC -NeedsVU -debug -drag
//		"S7CqVuDbDmRaDrTeSmMW",					"MWPPC Debug VU Drag",			// -cp MWCPPC -NeedsVU -debug -drag
		"S7CqVuDbDmRaTeSmMr",					"MrC Debug VU",					// -cp MrC -NeedsVU -debug
		"S7CqVuDbDmRaTeSmMW",					"MWPPC Debug VU",				// -cp MWCPPC -NeedsVU -debug
//		"S7CqVuDrPtTeSmMr",						"MrC Sym VU Drag Mail",			// -cp MrC -NeedsVU -sym -drag -powertalk
//		"S7CqVuDrPtTeSmMW",						"MWPPC Sym VU Drag Mail",		// -cp MWCPPC -NeedsVU -sym -drag -powertalk
//		"S7CqVuDrTeSmMr",						"MrC Sym VU Drag",				// -cp MrC -NeedsVU -sym -drag
//		"S7CqVuDrTeSmMW",						"MWPPC Sym VU Drag",			// -cp MWCPPC -NeedsVU -sym -drag
		"S7CqVuTeSmMr",							"MrC Sym VU",					// -cp MrC -NeedsVU -sym
		"S7CqVuTeSmMW",							"MWPPC Sym VU",					// -cp MWCPPC -NeedsVU -sym
//		"S7DrPtTeClSC",							"68000 Drag Mail",				// -classic -noNeedsMC68020 -noNeedsColorQD -drag -powertalk
//		"S7DrPtTefCfDClSC",						"68000 Far Drag Mail",			// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -drag -powertalk
//		"S7DrPtTeSmClSC",						"68000 Sym Drag Mail",			// -classic -noNeedsMC68020 -noNeedsColorQD -sym -drag -powertalk
//		"S7DrPtTeSmfCfDClSC",					"68000 Sym Far Drag Mail",		// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -sym -drag -powertalk
//		"S7DrTeClSC",							"68000 Drag",					// -classic -noNeedsMC68020 -noNeedsColorQD -drag
//		"S7DrTefCfDClSC",						"68000 Far Drag",				// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -drag
//		"S7DrTeSmClSC",							"68000 Sym Drag",				// -classic -noNeedsMC68020 -noNeedsColorQD -sym -drag
//		"S7DrTeSmfCfDClSC",						"68000 Sym Far Drag",			// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -sym -drag
//		"S7NmAtDrPtTeSmClSC",					"68000 Names Deluxe",			// -classic -noNeedsMC68020 -noNeedsColorQD -names -deluxe
//		"S7NmAtDrPtTeSmfCfDClSC",				"68000 Names Far Deluxe",		// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -names -deluxe
//		"S7NmAtDrTeSmClSC",						"68000 Names Attach Drag",		// -classic -noNeedsMC68020 -noNeedsColorQD -names -attachable -drag
//		"S7NmAtDrTeSmfCfDClSC",					"68000 Names Far Attach Drag",	// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -names -attachable -drag
//		"S7NmAtTeSmClSC",						"68000 Names Attach",			// -classic -noNeedsMC68020 -noNeedsColorQD -names -attachable
//		"S7NmAtTeSmfCfDClSC",					"68000 Names Far Attach",		// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -names -attachable
//		"S7NmDbDmPeRaAtDrPtTeSmClSC",			"68000 Debug Deluxe",			// -classic -noNeedsMC68020 -noNeedsColorQD -debug -deluxe
//		"S7NmDbDmPeRaAtDrPtTeSmfCfDClSC",		"68000 Debug Far Deluxe",		// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -debug -deluxe
//		"S7NmDbDmPeRaAtDrTeSmClSC",				"68000 Debug Attach Drag",		// -classic -noNeedsMC68020 -noNeedsColorQD -debug -attachable -drag
//		"S7NmDbDmPeRaAtDrTeSmfCfDClSC",			"68000 Debug Far Attach Drag",	// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -debug -attachable -drag
//		"S7NmDbDmPeRaAtTeSmClSC",				"68000 Debug Atttach",			// -classic -noNeedsMC68020 -noNeedsColorQD -debug -attachable
//		"S7NmDbDmPeRaAtTeSmfCfDClSC",			"68000 Debug Far Attach",		// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -debug -attachable
//		"S7NmDbDmPeRaDrPtTeSmClSC",				"68000 Debug Drag Mail",		// -classic -noNeedsMC68020 -noNeedsColorQD -debug -drag -powertalk
//		"S7NmDbDmPeRaDrPtTeSmfCfDClSC",			"68000 Debug Far Drag Mail",	// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -debug -drag -powertalk
//		"S7NmDbDmPeRaDrTeSmClSC",				"68000 Debug Drag",				// -classic -noNeedsMC68020 -noNeedsColorQD -debug -drag
//		"S7NmDbDmPeRaDrTeSmfCfDClSC",			"68000 Debug Far Drag",			// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -debug -drag
//		"S7NmDbDmPeRaTeSmClSC",					"68000 Debug",					// -classic -noNeedsMC68020 -noNeedsColorQD -debug
//		"S7NmDbDmPeRaTeSmfCfDClSC",				"68000 Debug Far",				// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -debug
//		"S7NmDrPtTeSmClSC",						"68000 Names Drag Mail",		// -classic -noNeedsMC68020 -noNeedsColorQD -names -drag -powertalk
//		"S7NmDrPtTeSmfCfDClSC",					"68000 Names Far Drag Mail",	// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -names -drag -powertalk
//		"S7NmDrTeSmClSC",						"68000 Names Drag",				// -classic -noNeedsMC68020 -noNeedsColorQD -names -drag
//		"S7NmDrTeSmfCfDClSC",					"68000 Names Far Drag",			// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -names -drag
//		"S7NmTeSmClSC",							"68000 Names",					// -classic -noNeedsMC68020 -noNeedsColorQD -names
//		"S7NmTeSmfCfDClSC",						"68000 Names Far",				// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -names
//		"S7TeClSC",								"68000",						// -classic -noNeedsMC68020 -noNeedsColorQD
//		"S7TefCfDClSC",							"68000 Far",					// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar
//		"S7TeSmClSC",							"68000 Sym",					// -classic -noNeedsMC68020 -noNeedsColorQD -sym
//		"S7TeSmfCfDClSC",						"68000 Sym Far",				// -classic -noNeedsMC68020 -noNeedsColorQD -modelfar -sym
	}
};
