//----------------------------------------------------------------------------------------
// UStringHandle.cp
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

// MacApp

#ifndef __USTRINGHANDLE__
#include "UStringHandle.h"
#endif

#ifndef __UCOREUTILITIES__
#include "UCoreUtilities.h"
#endif

// ANSI

#ifndef __STDIO__
#include <stdio.h>
#endif

//========================================================================================
// CLASS TStringHandle
//========================================================================================
#undef Inherited

//----------------------------------------------------------------------------------------
// TStringHandle constructor
//----------------------------------------------------------------------------------------


TStringHandle::TStringHandle() :
	CDynamicArray_AC(0, sizeof(unsigned char))
{
	SetAllocationIncrement(kStr255Len + 1);
}

//----------------------------------------------------------------------------------------
// TStringHandle constructor
//----------------------------------------------------------------------------------------


TStringHandle::TStringHandle(const CStr255_AC& theString) :
	CDynamicArray_AC(0, sizeof(unsigned char))
{
	SetAllocationIncrement(kStr255Len + 1);
	InsertElementsBefore(GetSize() + 1, &theString[1], theString.Length());
}

//----------------------------------------------------------------------------------------
// TStringHandle::destructor: 
//----------------------------------------------------------------------------------------


TStringHandle::~TStringHandle()
{
}

//----------------------------------------------------------------------------------------
// TStringHandle::Catenate: 
//----------------------------------------------------------------------------------------


void TStringHandle::Catenate(const CStr255_AC& theString)
{
	InsertElementsBefore(GetSize() + 1, &theString[1], theString.Length());
}

//----------------------------------------------------------------------------------------
// TStringHandle::Catenate: 
//----------------------------------------------------------------------------------------


void TStringHandle::CatenateToFront(const CStr255_AC& theString)
{
	InsertElementsBefore(1, &theString[1], theString.Length());
}

//----------------------------------------------------------------------------------------
// TStringHandle::AsStr255: 
//----------------------------------------------------------------------------------------


void TStringHandle::AsStr255 (CStr255_AC& theString) const
{
	theString.Length() = Min_AC(GetSize(), kStr255Len);;
	theString.CopyFrom((*this)[0], theString.Length());
}

//----------------------------------------------------------------------------------------
// TStringHandle::AsStr255: 
//----------------------------------------------------------------------------------------


CStr255_AC TStringHandle::AsStr255 () const
{
	return CStr255_AC((*this)[0], Min_AC(GetSize(), kStr255Len));
}

//----------------------------------------------------------------------------------------
// TStringHandle::WriteToFile: 
//----------------------------------------------------------------------------------------


void TStringHandle::WriteToFile(FILE* theFile) const
{
	fwrite((*this)[0], (size_t)GetSize(), 1, theFile);
}

//----------------------------------------------------------------------------------------
// End of UStringHandle.cp
