// UStringHandle.h
// Copyright  1985-97 by Apple Computer, Inc. All rights reserved.

#ifndef __USTRINGHANDLE__
#define __USTRINGHANDLE__

// ACS

#ifndef __CDynamicArray_AC__
#include "CDynamicArray_AC.h"
#endif

// ANSI

#ifndef __FILE__
#include <file.h>
#endif

//========================================================================================
// CLASS TStringHandle
//========================================================================================

class TStringHandle : protected CDynamicArray_AC
{
public:
	TStringHandle();
	// constructor
	
	TStringHandle(const CStr255_AC& theString);
	// constructor catenates to end
	
	~TStringHandle();
	
	void Catenate(const CStr255_AC& theString);
	// catenates to end
	
	void CatenateToFront(const CStr255_AC& theString);
	// catenates to front
	
	void AsStr255(CStr255_AC& theString) const;
	// returns up to the first 255 chars of string

	CStr255_AC AsStr255() const;
	// returns up to the first 255 chars of string

	void WriteToFile(FILE* theFile) const;
	// outputs the string to the specified file
};

#endif // __USTRINGHANDLE__
