//
//	CWMacApp.pch.h
//
//	Generates the 'MacAppHeaders<xxx>' precompiled header for Metrowerks C/C++.
//  Copyright  1993-1997 metrowerks inc.  All rights reserved.
//
//
//--------------------------------------------------------------------------------

#ifndef __CWMACAPP_PCH_H__
#define __CWMACAPP_PCH_H__

#pragma once on
#pragma check_header_flags on

#ifndef	MSL_USE_PRECOMPILED_HEADERS 
#define MSL_USE_PRECOMPILED_HEADERS	0	/* We supply our own in MacApp */
#endif 

#ifndef __ansi_prefix__
#include <ansi_prefix.mac.h>
#endif 

// Set to 1 if you want to use precompiled MacApp Headers
#ifndef	qUSE_PRECOMPILED_HEADERS 
#define qUSE_PRECOMPILED_HEADERS    1
#endif 

#if !qUSE_PRECOMPILED_HEADERS
	#include "MacAppRequired.h"
#else
	#if __option(precompile)
		#include "MacApp.h"
   		#include "MAToolboxHeaders.h"

		//	Support for automatically naming the precompiled header file ...
		//	
		#if __CFM68K__
			#if wantDebugging
				#pragma precompile_target "MacAppHeadersCFM68K_d"
			#else
				#pragma precompile_target "MacAppHeadersCFM68K_nd"
			#endif
		#elif __MC68K__
			#if wantDebugging
				#pragma precompile_target "MacAppHeaders68K_d"
			#else
				#pragma precompile_target "MacAppHeaders68K_nd"
			#endif
		#elif __POWERPC__
			#if wantDebugging
				#pragma precompile_target "MacAppHeadersPPC_d"
			#else
				#pragma precompile_target "MacAppHeadersPPC_nd"
			#endif
		#elif __INTEL__
			#if wantDebugging
				#pragma precompile_target "MacAppHeadersx86_d"
			#else
				#pragma precompile_target "MacAppHeadersx86_nd"
			#endif
		#else
			#error "target currently unsupported"
		#endif
	#else
		#if __CFM68K__
			#if wantDebugging
				#include "MacAppHeadersCFM68K_d"
			#else
				#include "MacAppHeadersCFM68K_nd"
			#endif
		#elif __MC68K__
			#if wantDebugging
				#include "MacAppHeaders68K_d"
			#else
				#include "MacAppHeaders68K_nd"
			#endif
		#elif __POWERPC__
			#if wantDebugging
				#include "MacAppHeadersPPC_d"
			#else
				#include "MacAppHeadersPPC_nd"
			#endif
		#elif __POWERPC__
			#if wantDebugging
				#include "MacAppHeadersx86_d"
			#else
				#include "MacAppHeadersx86_nd"
			#endif
		#else
			#error "target currently unsupported"
		#endif
	#endif
#endif

#endif
//----------------------------------------------------------------------------------------
// End of CWMacApp.pch.h

