// MAToolboxHeaders.h
//

// Conditional Macros (include before any other headers)
#ifndef __MacAppRequired__
#include "MacAppRequired.h"
#endif

//----------------------------------------------------------------------------------------
// Toolbox Headers

// MacApp.h also includes the toolbox headers it needs. The reason toolbox headers
// are included here is in case you want to make a precompiled header file with the
// right MacApp #defines and the toolbox headers, but without the MacApp headers. 

#if defined(__MWERKS__) && !(__POWERPC__ || __CFM68K__ || qMSWindows)
#	pragma d0_pointers on
#endif


/*
 *	Required for c-style toolbox glue function: c2pstr and p2cstr
 *	the inverse operation (pointers_in_A0) is performed at the end ...
 */

//<snip>

/*
 *	Apple #include files
 *
 *	Uncomment any additional #includes you want to add to MacHeaders.
 */

//	#include <ADSP.h>
	#include <AEObjects.h>
	#include <AEPackObject.h>
	#include <AERegistry.h>
	#include <AEUserTermTypes.h>
//	#include <AIFF.h>
	#include <Aliases.h>
	#include <AppleEvents.h>
//	#include <AppleGuide.h>
	#include <AppleScript.h>
//	#include <AppleTalk.h>
//	#include <ASDebugging.h>
//	#include <ASRegistry.h>
	#include <Balloons.h>
//	#include <CMApplication.h>
//	#include <CMComponent.h>
//	#include <CodeFragments.h>
	#include <ColorPicker.h>
//	#include <CommResources.h>
//	#include <Components.h>
	#include <ConditionalMacros.h>
//	#include <Connections.h>
//	#include <ConnectionTools.h>
	#include <Controls.h>
//	#include <ControlStrip.h>
//	#include <CRMSerialDevices.h>
//	#include <CTBUtilities.h>
#if !qMSWindows
	#include <CursorCtl.h>
#endif
//	#include <CursorDevices.h>
//	#include <DatabaseAccess.h>
//	#include <DeskBus.h>
	#include <Devices.h>
	#include <Dialogs.h>
//	#include <Dictionary.h>
//	#include <DisAsmLookup.h>
//	#include <Disassembler.h>
	#include <DiskInit.h>
//	#include <Disks.h>
//	#include <Displays.h>
	#include <Drag.h>
	#include <Editions.h>
//	#include <ENET.h>
//	#include <EPPC.h>
#if !qMSWindows
	#include <ErrMgr.h>
#endif
	#include <Errors.h>
	#include <Events.h>
//	#include <fenv.h>
	#include <Files.h>
//	#include <FileTransfers.h>
//	#include <FileTransferTools.h>
	#include <FileTypesAndCreators.h>
	#include <Finder.h>
//	#include <FixMath.h>
	#include <Folders.h>
	#include <Fonts.h>
#if !qMSWindows
	
	// include math.h.  i.e. QD3DMath.h.  The newer QD3DMath.h fixes this I think, so we can
	// put it back in then if need be.
	//#include <fp.h>
#endif
//	#include <FragLoad.h>
//	#include <FSM.h>
	#include <Gestalt.h>
//	#include <HyperXCmd.h>
	#include <Icons.h>
//	#include <ImageCodec.h>
//	#include <ImageCompression.h>
//	#include <IntlResources.h>
//	#include <Language.h>
	#include <Lists.h>
	#include <LowMem.h>
//	#include <MachineExceptions.h>
//	#include <MacTCP.h>
//	#include <MediaHandlers.h>
#if qMSWindows
#	ifndef __QTMLMEMORY__
#	include <QTMLMemory.h>
#	endif
#else
#	ifndef __MEMORY__
#	include <Memory.h>
#	endif
#endif
	#include <Menus.h>
//	#include <MIDI.h>
	#include <MixedMode.h>
//	#include <Movies.h>
//	#include <MoviesFormat.h>
//	#include <Notification.h>
//	#include <OSA.h>
//	#include <OSAComp.h>
//	#include <OSAGeneric.h>
	#include <OSUtils.h>
	#include <Packages.h>
	#include <Palettes.h>
//	#include <Picker.h>		// replaced by ColorPicker.h (which already was included)
//	#include <PictUtil.h>
//	#include <PictUtils.h>
#if !qMSWindows
	#include <PLStringFuncs.h>
#endif
//	#include <Power.h>
//	#include <PPCToolbox.h>
	#include <Printing.h>
	#include <Processes.h>
	#include <QDOffscreen.h>
	#include <Quickdraw.h>
	#include <QuickdrawText.h>
//	#include <QuickTimeComponents.h>
	#include <Resources.h>
	#include <Retrace.h>
//	#include <ROMDefs.h>
#if !defined(__POWERPC__) || !qMSWindows
//	#include <SANE.h>
#endif
	#include <Scrap.h>
	#include <Script.h>
//	#include <SCSI.h>
	#include <SegLoad.h>
//	#include <Serial.h>
//	#include <ShutDown.h>
//	#include <Slots.h>
//	#include <Sound.h>
//	#include <SoundComponents.h>
//	#include <SoundInput.h>
//	#include <Speech.h>
	#include <StandardFile.h>
//	#include <Start.h>
	#include <Strings.h>
//	#include <Terminals.h>
//	#include <TerminalTools.h>
	#include <TextEdit.h>
//	#include <TextServices.h>
	#include <TextUtils.h>
//	#include <Threads.h>
//	#include <Timer.h>
	#include <ToolUtils.h>
//	#include <Translation.h>
//	#include <TranslationExtensions.h>
	#include <Traps.h>
//	#include <TSMTE.h>
	#include <Types.h>
//	#include <Unmangler.h>
//	#include <Video.h>
// Use Windows_AC.h instead of <windows.h> for XPlatform compatability.
#ifndef __Windows_AC__
#include "Windows_AC.h"
#endif
//	#include <WorldScript.h>


/*
 *	required for c-style toolbox glue function: c2pstr and p2cstr
 *	(match the inverse operation at the start of the file ...
 */



#if defined(__MWERKS__) && !(__POWERPC__ || __CFM68K__ || qMSWindows)
#	pragma d0_pointers reset
#endif

//----------------------------------------------------------------------------------------
// End of MAToolboxHeaders.h.h
