// DemoDialogs.r
// Copyright  1988-97 by Apple Computer, Inc. All rights reserved.

//  Auto-Include the requirements for this source

// MacAppTypes.r must be first
#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __MACAPPVERSION__
#include "MacAppVersion.h"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#ifndef __BalloonTypes__
#include "BalloonTypes.r"
#endif

#ifndef __FloatWindow__
#include "FloatWindow.r"
#endif

#ifndef THINK_Rez
#if qDebug
include "Debug.rsrc" not 'ckid';
#endif

include "MacApp.rsrc" not 'ckid';
include "Dialog.rsrc" not 'ckid';
include "Printing.rsrc" not 'ckid';

#ifndef MW_Rez
#if !qNoCode
include $$Shell("ObjApp")$$Shell("XAppName") 'CODE';
#if qModelCFM
include $$Shell("ObjApp")$$Shell("XAppName") 'cfrg';
include $$Shell("ObjApp")$$Shell("XAppName") 'rseg';
#endif
#endif
#endif
#endif //!THINK_Rez

#define kSignature			'SS11'			// Application Signature

// Resource IDs

#define kTestIcon			1000

// n.b., these popups must be greater than kMaxHierarchical (235) if they are not managed by MacApp
#define kTestPopup			 240 
#define kBaudPopup			 236
#define kParityPopup		 237
#define	kPopup				 238

// to support the TextStyle popup
#define kTextStylePopup		 239
#define kFontHier			 230
#define kStyleHier			 231
#define kSizeHier			 232

// Dynamic popup IDs
#define kDynamicPopup		 300

// More Resource IDs
#define kTestPicture		1000
#define kCalcPicture		1009

// STR# rsrc ids
#define kTestStrings		1200
#define kButtonLabels		1201
#define kCheckBoxLabels		1202
#define kClusterLabels		1203
#define kRadioLabels		1204
#define kDialogsMenuHelp	1205
#define kWindowTitles		1206
#define kStaticTextText		1207
#define kPopupLabels		1100

// 'TxSt' resource IDs
#define	kMonaco9			712
#define	kCalculatorTitle	711
#define	kSystemBold			701
#define	kSystemItalic		702
#define	kSystemUnderline	703
#define	kSystemOutline		704
#define	kSystemShadow		705
#define	kSystemCondense		706
#define	kSystemExtend		707
#define	kApplFont10TextStyle	709
#define	kItalicApplicationFont	708
#define	kRedApplicationFont	710

#define mDialogs			4		//	ID of the "Dialogs" menu

/* Command numbers */

#define cProcedureViews		1001
#define cTemplateViews		1002
#define cMonthlyDialog		1003
#define cSaveDialog			1004
#define cModalBeepDialog	1005
#define cPageSetupDialog	1006
#define cHomeBrewControls	1007
#define cTabbingTest		1008
#define cCalculator			1009
#define cScrollingTest		1011
#define cFormatDialog		1012
#define cModelessBeepDialog	1013
#define cMessageWindoid		1014
#define cBalloons			1015
#define cAdornment			1016
#define cViewInspector		1017
#define cTargetInspector	1018

#define cPopupExample		1100
#define cCluster			1101
#define cTextStyleChanged	1102
#define cResetTextStyle		1103

resource 'mem!' (132,
#if qNames
	"Additional Stack Space",
#endif
	purgeable) {
	0,				// Add to object heap size
	0,				// Add to heap increment size
	0,				// Add to temporary reserve
	0,				// Add to permanent reserve
	49152			// Add to stack space
};

#ifndef MW_Rez 	// Metrowerks will supply it's own cfrg
#if qPowerPC
#include "CodeFragmentTypes.r"

resource 'cfrg' (0, "Configuration Info") {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"DemoDialogs"
	}
};
#endif
#endif // MW_Rez

/*--------------------------------------------------------------------------------
 Apple Event Terminology
--------------------------------------------------------------------------------*/
include "Defaults.rsrc" 'aete';

/*--------------------------------------------------------------------------------
 Ad Lib 'CLSS' resources for editing TDragDropBehavior data
--------------------------------------------------------------------------------*/
include "Defaults.rsrc" 'CLSS';

/*--------------------------------------------------------------------------------
 MultiFinder/Switcher info
--------------------------------------------------------------------------------*/

/* Additional size deltas to be added to partition size */

#if qNames
#define kNamesSizeDelta 75
#else
#define kNamesSizeDelta 0
#endif

#if qDebug
#define kDebugSizeDelta 0
#else
#define kDebugSizeDelta 0
#endif

#ifndef MW_Rez		// MW projects will supply their own size resource
resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
	
	/* Suggested partition size */
	(1200 + kNamesSizeDelta + kDebugSizeDelta) * 1024,
	
	/* Minimum partition size */
	(1000 + kNamesSizeDelta + kDebugSizeDelta) * 1024
};
#endif

resource 'DITL' (phAboutApp, purgeable) {
	 {
/* [1] */	{167, 288, 187, 348}, Button { enabled, "OK" };
/* [2] */	{10, 75, 154, 348}, StaticText { disabled, 
	"This program has several examples of MacApp dialogs." 
	"\n"
	WRITTEN_WITH_MACAPP};
/* [3] */	{10, 20, 42, 52}, Icon { disabled, noteIcon }
	}
};

include "Defaults.rsrc"  'ALRT' (phAboutApp);	// Grab the default about box

include "Defaults.rsrc" 'CMNU' (mApple);		// Grab the default Apple menu

resource 'CMNU' (mFile,
#if qNames
"mFile",
#endif
nonpurgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Page Setup",		noIcon, noKey,	noMark, plain, cPageSetup;
	"Print One",		noIcon, noKey,	noMark, plain, cPrintOne;
	"Print",			noIcon, "P",	noMark, plain, cPrint;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};

include "Defaults.rsrc" 'CMNU' (mEdit);		// Grab the default Edit menus

resource 'CMNU' (mDialogs,
#if qNames
"mDialogs",
#endif
nonpurgeable) {
	mDialogs,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Dialogs",
	 {
/* [1] */	"Views by Procedures",		noIcon, noKey, noMark, plain, cProcedureViews;
/* [2] */	"Views by Templates",		noIcon, noKey, noMark, plain, cTemplateViews;
/* [3] */	"Side-by-Side Scrolling",	noIcon, noKey, noMark, plain, cScrollingTest;
/* [4] */	"Monthly Values Dialog",	noIcon, noKey, noMark, plain, cMonthlyDialog;
/* [5] */	"Save Dialog",				noIcon, noKey, noMark, plain, cSaveDialog;
/* [6] */	"Modal Beep Dialog",		noIcon, noKey, nomark, plain, cModalBeepDialog;
/* [7] */	"Modeless Beep Dialog",		noIcon, noKey, nomark, plain, cModelessBeepDialog;
/* [8] */	"Message Windoid",			noIcon, noKey, nomark, plain, cMessageWindoid;
/* [9] */	"Cursors and Balloon Help",	noIcon, noKey, nomark, plain, cBalloons;
/* [9] */	"Adorners",					noIcon, noKey, nomark, plain, cAdornment;
/* [10] */	"Page Setup Dialog",		noIcon, noKey, nomark, plain, cPageSetupDialog;
/* [11] */	"Format Dialog",			noIcon, noKey, nomark, plain, cFormatDialog;
/* [12] */	"Home Brew Controls",		noIcon, noKey, nomark, plain, cHomeBrewControls;
/* [13] */	"Tabbing Test",				noIcon, noKey, nomark, plain, cTabbingTest;
/* [14] */	"Calculator",				noIcon, noKey, noMark, plain, cCalculator;
/* [1] */	"View Inspector",			noIcon, noKey, noMark, plain, cViewInspector;
/* [1] */	"Target Inspector",			noIcon, noKey, noMark, plain, cTargetInspector;
	}
};

resource 'hmnu' (mDialogs) 
{
	HelpMgrVersion,
	hmDefaultOptions,
	0, /* balloon definition function */
	0, /* variation code */
	/* Missing items */
	HMStringResItem 
	{
		kDialogsMenuHelp,1,
		kDialogsMenuHelp,1,
		kDialogsMenuHelp,1,
		kDialogsMenuHelp,1,
	},
	/* Title and items */
	{	
		/* Title */
		HMStringResItem 
		{
			kDialogsMenuHelp,2,
			kDialogsMenuHelp,2,
			kDialogsMenuHelp,2,
			kDialogsMenuHelp,2,
		},
		/* Views by Procedures */
		HMStringResItem 
		{
			kDialogsMenuHelp,3,
			kDialogsMenuHelp,3,
			kDialogsMenuHelp,3,
			kDialogsMenuHelp,3,
		},
		/* Views by Templates */
		HMStringResItem 
		{
			kDialogsMenuHelp,4,
			kDialogsMenuHelp,4,
			kDialogsMenuHelp,4,
			kDialogsMenuHelp,4,
		},
		/* Side-by-Side Scrolling */
		HMStringResItem 
		{
			kDialogsMenuHelp,5,
			kDialogsMenuHelp,5,
			kDialogsMenuHelp,5,
			kDialogsMenuHelp,5,
		},
		/* Monthly Values Dialog */
		HMStringResItem 
		{
			kDialogsMenuHelp,6,
			kDialogsMenuHelp,6,
			kDialogsMenuHelp,6,
			kDialogsMenuHelp,6,
		},
		/* Save Dialog */
		HMStringResItem 
		{
			kDialogsMenuHelp,7,
			kDialogsMenuHelp,7,
			kDialogsMenuHelp,7,
			kDialogsMenuHelp,7,
		},
		/* Modal Beep Dialog */
		HMStringResItem 
		{
			kDialogsMenuHelp,8,
			kDialogsMenuHelp,8,
			kDialogsMenuHelp,8,
			kDialogsMenuHelp,8,
		},
		/* Modeless Beep Dialog */
		HMStringResItem 
		{
			kDialogsMenuHelp,9,
			kDialogsMenuHelp,9,
			kDialogsMenuHelp,9,
			kDialogsMenuHelp,9,
		},
		/* Message Windoid */
		HMStringResItem 
		{
			kDialogsMenuHelp,10,
			kDialogsMenuHelp,10,
			kDialogsMenuHelp,10,
			kDialogsMenuHelp,10,
		},
		/* Cursors and Balloons */
		HMStringResItem 
		{
			kDialogsMenuHelp,11,
			kDialogsMenuHelp,11,
			kDialogsMenuHelp,11,
			kDialogsMenuHelp,11,
		},
		/* Adorners */
		HMStringResItem 
		{
			kDialogsMenuHelp,12,
			kDialogsMenuHelp,13,
			kDialogsMenuHelp,12,
			kDialogsMenuHelp,12,
		},
		/* Page Setup Dialog */
		HMStringResItem 
		{
			kDialogsMenuHelp,14,
			kDialogsMenuHelp,14,
			kDialogsMenuHelp,14,
			kDialogsMenuHelp,14,
		},
		/* Format Dialog */
		HMStringResItem 
		{
			kDialogsMenuHelp,15,
			kDialogsMenuHelp,15,
			kDialogsMenuHelp,15,
			kDialogsMenuHelp,15,
		},
		/* Home Brew Controls */
		HMStringResItem 
		{
			kDialogsMenuHelp,16,
			kDialogsMenuHelp,16,
			kDialogsMenuHelp,16,
			kDialogsMenuHelp,16,
		},
		/* Tabbing Test */
		HMStringResItem 
		{
			kDialogsMenuHelp,17,
			kDialogsMenuHelp,17,
			kDialogsMenuHelp,17,
			kDialogsMenuHelp,17,
		},
		/* Calculator */
		HMStringResItem 
		{
			kDialogsMenuHelp,18,
			kDialogsMenuHelp,18,
			kDialogsMenuHelp,18,
			kDialogsMenuHelp,18,
		},
	}
};

include "Defaults.rsrc" 'CMNU' (mBuzzwords);	// Get the default buzzwords menu

resource 'CMNU' (kTestPopup) {
	kTestPopup,
	textMenuProc,
	allEnabled,
	enabled,
	"Popup:",
	{
/* [1] */	"Item 1", 	noIcon, "", "", plain, nocommand;
/* [2] */	"Item 2", 	noIcon, "", "", plain, nocommand;
/* [3] */	"Item 3", 	noIcon, "", "", plain, nocommand;
/* [4] */	"Item 4", 	noIcon, "", "", plain, nocommand;
/* [5] */	"Item 5", 	noIcon, "", "", plain, nocommand;
/* [6] */	"Item 6", 	noIcon, "", "", plain, nocommand;
/* [7] */	"Item 7", 	noIcon, "", "", plain, nocommand;
/* [8] */	"Item 8", 	noIcon, "", "", plain, nocommand
	}
};

resource 'mctb' (kTestPopup) { {
		kTestPopup, 0,
		{
		0x9999, 0x0000, 0x9999;			// title color 
		0xFFFF, 0x6666, 0x0000;			// "menu bar" color 
		0x0000, 0x6666, 0xFFFF;			// default item color 
		0xFFFF, 0xFFFF, 0x0000			// default menu background color 
		};

		kTestPopup, 3,
		{
		0xFFFF, 0x0000, 0x0000;			// mark color 
		0xFFFF, 0x0000, 0x0000;			// name color 
		0xFFFF, 0x0000, 0x0000;			// command Key color 
		0xFFFF, 0xFFFF, 0xFFFF			// NFG!!! 
		}
} };

resource 'CMNU' (kBaudPopup) {
	kBaudPopup,
	textMenuProc,
	allEnabled,
	enabled,
	"Baud:",
	{
/* [1] */	"110", 	noIcon, "", "", plain, nocommand;
/* [2] */	"300", 	noIcon, "", "", plain, nocommand;
/* [3] */	"600", 	noIcon, "", "", plain, nocommand;
/* [4] */	"1200", 	noIcon, "", "", plain, nocommand;
/* [5] */	"2400", 	noIcon, "", "", plain, nocommand;
/* [6] */	"9600", 	noIcon, "", "", plain, nocommand;
/* [7] */	"14400",	noIcon, "", "", plain, nocommand;
/* [7] */	"28800",	noIcon, "", "", plain, nocommand;
/* [7] */	"33600",	noIcon, "", "", plain, nocommand;
/* [7] */	"56600",	noIcon, "", "", plain, nocommand
	}
};

resource 'CMNU' (kParityPopup) {
	kParityPopup,
	textMenuProc,
	allEnabled,
	enabled,
	"Parity:",
	{
/* [1] */	"Even",	noIcon, "", "", plain, nocommand;
/* [2] */	"Odd",	noIcon, "", "", plain, nocommand;
/* [3] */	"No",	noIcon, "", "", plain, nocommand
	}
};

resource 'CMNU' (kPopup) {
	kPopup,
	textMenuProc,
	allEnabled,
	enabled,
	"Popup:",
	{
/* [1] */	"Plain", 		noIcon, noKey, noMark, plain, nocommand;
/* [2] */	"Bold", 		noIcon, noKey, noMark, bold, nocommand;
/* [3] */	"Italic", 		noIcon, noKey, noMark, italic, nocommand;
/* [4] */	"Underline",	noIcon, noKey, noMark, underline, nocommand;
/* [5] */	"Outline",		noIcon, noKey, noMark, outline, nocommand;
/* [6] */	"Shadow", 		noIcon, noKey, noMark, shadow, nocommand;
/* [7] */	"Condense", 	noIcon, noKey, noMark, condense, nocommand;
/* [8] */	"Extend", 		noIcon, noKey, noMark, extend, nocommand
	}
};

resource 'CMNU' (kTextStylePopup) {
	kTextStylePopup,
	textMenuProc,
	AllItems,	/* Disable dashed line */
	enabled,
	"Fonts:",
	{
/* [1] */	"Reset", 	noIcon, noKey, noMark, plain, cResetTextStyle;
/* [1] */	"Font:", 	noIcon, kHierarchicalMenu, "\0D230", plain, cTextStyleChanged;
/* [2] */	"Style:", 	noIcon, kHierarchicalMenu, "\0D231", plain, cTextStyleChanged;
/* [3] */	"Size:", 	noIcon, kHierarchicalMenu, "\0D232", plain, cTextStyleChanged
	}
};

resource 'CMNU' (kFontHier, "Font:") {
	kFontHier,
	textMenuProc,
	AllItems,
	enabled,
	"Font:",
	{
/* [1] */	"Chicago", 		noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [2] */	"Geneva", 		noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [3] */	"Helvetica",	noIcon, noKey, noMark, plain, cTextStyleChanged
	}
};

resource 'CMNU' (kStyleHier, "Style:") {
	kStyleHier,
	textMenuProc,
	AllItems,
	enabled,
	"Just:",
	{
/* [1] */	"Plain", 	noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [2] */	"Bold", 	noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [3] */	"Italic", 	noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [4] */	"Outline", 	noIcon, noKey, noMark, plain, cTextStyleChanged
	}
};

resource 'CMNU' (kSizeHier, "Size:") {
	kSizeHier,
	textMenuProc,
	AllItems,
	enabled,
	"Size:",
	{
/* [1] */	"9", 	noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [2] */	"10", 	noIcon, noKey, noMark, plain, cTextStyleChanged;
/* [3] */	"12", 	noIcon, noKey, noMark, plain, cTextStyleChanged
	}
};

resource 'MBAR' (kMBarDisplayed,
#if qNames
"kMBarDisplayed",
#endif
nonpurgeable) {
	{mApple; mFile; mEdit; mDialogs} 
};

resource 'MBAR' (kMBarHierarchical,
#if qNames
"kMBarHierarchical",
#endif
nonpurgeable) {
	{ kFontHier, kSizeHier, kStyleHier, kTestPopup, kBaudPopup, kParityPopup, kPopup, kTextStylePopup } 
};

/************************************************************************************/
/*	Views by procedure																*/
/************************************************************************************/
resource 'WIND' (cProcedureViews, purgeable) {
	{50, 20, 310, 450}, zoomDocProc, invisible, goAway, 0x0, "Views by Procedure"
#if SystemSevenOrLater
	, centerMainScreen
#endif
};

/************************************************************************************/
/*	String list rsrcs																*/
/************************************************************************************/
resource 'STR#' (kDialogsMenuHelp, purgeable) { 
	{
		"No help yet for this item",
		"Choose the items in this menu to open various example windows",
		"A window containing a variety of views, created programmatically without a 'view' resource.",
		"A window containing a variety of views, created from a 'view' resource.",
		"A window illustrating target switching between two TEViews, a TTextListView and a custom TNumbersView.",
		"A window containing one TNumberText for each month. Tests for non-numeric entries, and entries outside the allowable range.",
		"An imitation of a familiar alert.",
		"An example of a modal dialog. You enter a number, it beeps at you!",
		"An example of a modeless dialog. You enter a number, it beeps at you!",
		"A floating window with an EditText in it. You can open more than one of these, and Tab between them.",
		"Three controls. Each has its own Balloon Help. Two have their own cursors too.",
		"A view with some example adorners which can be added and removed.",
		"A view with some example adorners. This menu item is disabled on a non-color machine.",
		"An imitation of the system's Page Setup Dialog.",
		"An example format dialog. Note the key selection behavior in the font list.",
		"Some custom controls.",
		"An illustration of tabbing between EditTexts.",
		"An imitation of the Calculator Desk Accessory.",
	}
};

resource 'STR#' (kTestStrings, purgeable) { {
	"Scroll me vertically\n\n(P.S. This should read 'PARAM0': ^0\nThis should read 'PARAM1': ^1\nThis should read 'PARAM0': ^0)";
	"A static string"
} };

/************************************************************************************/
/* Balloon Help for 'ADN1',  'ADN2', 'ADN3' */
/************************************************************************************/

resource 'hdlg' (128) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		/* Help for 'ADN1' */
		HMStringItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			"Enabled, frame and shadow adornment, plus cursor",
			"Disabled,frame and shadow adornment, plus cursor",
			"Checked" ,
			"Other state" 
		},
		/* Help for 'ADN2' */
		HMPictItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,10,10 }, /* hot rectangle */
			1000, /* PICT id */
			1000, /* PICT id */
			1000, /* PICT id */
			1000, /* PICT id */
		},
		/* Help for 'ADN3' */
		HMStringItem 
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			"Enabled, frame adornment,  arrow cursor" ,
			"Disabled, frame and shadow adornment, arrow cursor" ,
			"Checked" ,
			"Other state" 
		}
	}
};


resource 'ICN#' (128, "DemoDialogs Family", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 007F 00FE 0081 0102 0080 8203"
		$"0100 8403 0100 4803 0200 5003 0200 2003"
		$"0400 0003 0400 0003 0800 0003 0800 0003"
		$"1000 0003 11FF FFE3 2100 0023 217F FFA3"
		$"4140 00A3 4140 7EA3 815B 42A3 FD54 7EAF"
		$"7D40 00AF 7D40 00AF 0140 00A0 014E 1CA0"
		$"0151 22A0 014E 1CA0 0140 00A0 017F FFA0"
		$"0100 0020 01FF FFE0",
		/* [2] */
		$"0000 0000 00FF 01FE 00FF 83FE 01FF 87FF"
		$"01FF CFFF 03FF DFFF 03FF FFFF 07FF FFFF"
		$"07FF FFFF 0FFF FFFF 0FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 3FFF FFFF 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"7FFF FFFF 7FFF FFFF 01FF FFF0 01FF FFF0"
		$"01FF FFF0 01FF FFF0 01FF FFF0 01FF FFF0"
		$"01FF FFF0 01FF FFF0 00FF FFF0"
	}
};

resource 'ics#' (128, "DemoDialogs Family", purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0707 0489 0851 0821 1001 1001 2FFD 2805"
		$"4BF5 4A15 EA15 6A15 0BF4 0804 0FFC",
		/* [2] */
		$"078F 0FDF 0FFF 1FFF 1FFF 3FFF 3FFF 7FFF"
		$"7FFF FFFF FFFF 7FFF 0FFE 0FFE 0FFE 07FE"
	}
};

resource 'ics4' (128, "DemoDialogs Family", purgeable) {
	$"0000 0666 7000 7666 0000 7677 6707 6776"
	$"0000 6777 7676 7776 0007 6777 7767 7776"
	$"0006 7777 7777 7776 0076 7777 7777 7776"
	$"0067 FFFF FFFF FF76 0767 FCCC CCCC CFD6"
	$"0677 FCFF FFFF CFD6 7677 FCF0 000F CFD6"
	$"6666 FCF0 000F CFD6 0DDD FCF0 000F CFDD"
	$"0000 FCFF FFFF CFD0 0000 FCCC CCCC CFD0"
	$"0000 FFFF FFFF FFD0 0000 0DDD DDDD DDD0"
};

resource 'ics8' (128, "DemoDialogs Family", purgeable) {
	$"0000 0000 00EC ECEC C000 0000 C0EC ECEC"
	$"0000 0000 C0EC C0C0 ECC0 00C0 ECC0 C0EC"
	$"0000 0000 ECC0 C0C0 C0EC C0EC C0C0 C0EC"
	$"0000 00C0 ECC0 C0C0 C0C0 ECC0 C0C0 C0EC"
	$"0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0EC"
	$"0000 C0EC C0C0 C0C0 C0C0 C0C0 C0C0 C0EC"
	$"0000 ECC0 FFFF FFFF FFFF FFFF FFFF C0EC"
	$"00C0 ECC0 FFF7 F7F7 F7F7 F7F7 F7FF FAEC"
	$"00EC C0C0 FFF7 FFFF FFFF FFFF F7FF FAEC"
	$"C0EC C0C0 FFF7 FF00 0000 00FF F7FF FAEC"
	$"ECEC ECEC FFF7 FF00 0000 00FF F7FF FAEC"
	$"00FA FAFA FFF7 FF00 0000 00FF F7FF FAFA"
	$"0000 0000 FFF7 FFFF FFFF FFFF F7FF FA00"
	$"0000 0000 FFF7 F7F7 F7F7 F7F7 F7FF FA00"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FA00"
	$"0000 0000 00FA FAFA FAFA FAFA FAFA FA"
};

resource 'icl4' (128, "DemoDialogs Family", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 7666 6666 0000 0007 6666 6660"
	$"0000 0000 6777 7776 7000 0076 7777 7760"
	$"0000 0007 6777 7777 6000 0767 7777 776D"
	$"0000 0006 7777 7777 6700 7677 7777 776D"
	$"0000 0076 7777 7777 7607 6777 7777 776D"
	$"0000 0067 7777 7777 7676 7777 7777 776D"
	$"0000 0767 7777 7777 7767 7777 7777 776D"
	$"0000 0677 7777 7777 7777 7777 7777 776D"
	$"0000 7677 7777 7777 7777 7777 7777 776D"
	$"0000 6777 7777 7777 7777 7777 7777 776D"
	$"0007 6777 7777 7777 7777 7777 7777 776D"
	$"0006 7777 7777 7777 7777 7777 7777 776D"
	$"0076 777F FFFF FFFF FFFF FFFF FFF7 776D"
	$"0067 777F CCCC CCCC CCCC CCCC CCFD 776D"
	$"0767 777F CFFF FFFF FFFF FFFF FCFD 776D"
	$"0677 777F CF00 0000 0000 0000 FCFD 776D"
	$"7677 777F CF06 6660 6660 0600 FCFD 776D"
	$"6777 777F CF00 0000 0000 0000 FCFD 776D"
	$"6666 666F CF00 0000 0666 6660 FCFD 666D"
	$"0DDD DDDF CF0F F0FF 0600 0060 FCFD DDDD"
	$"0DDD DDDF CF0F 0F00 0666 6660 FCFD DDDD"
	$"0000 000F CF00 0000 0000 0000 FCFD 0000"
	$"0000 000F CF00 3330 0003 3300 FCFD 0000"
	$"0000 000F CF03 0003 0030 0030 FCFD 0000"
	$"0000 000F CF00 3330 0003 3300 FCFD 0000"
	$"0000 000F CF00 0000 0000 0000 FCFD 0000"
	$"0000 000F CFFF FFFF FFFF FFFF FCFD 0000"
	$"0000 000F CCCC CCCC CCCC CCCC CCFD 0000"
	$"0000 000F FFFF FFFF FFFF FFFF FFFD 0000"
	$"0000 0000 DDDD DDDD DDDD DDDD DDDD"
};

resource 'icl8' (128, "DemoDialogs Family", purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 C0EC ECEC ECEC ECEC"
	$"0000 0000 0000 00C0 ECEC ECEC ECEC EC00"
	$"0000 0000 0000 0000 ECC0 C0C0 C0C0 C0EC"
	$"C000 0000 0000 C0EC C0C0 C0C0 C0C0 EC00"
	$"0000 0000 0000 00C0 ECC0 C0C0 C0C0 C0C0"
	$"EC00 0000 00C0 ECC0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 0000 00EC C0C0 C0C0 C0C0 C0C0"
	$"ECC0 0000 C0EC C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 0000 C0EC C0C0 C0C0 C0C0 C0C0"
	$"C0EC 00C0 ECC0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 0000 ECC0 C0C0 C0C0 C0C0 C0C0"
	$"C0EC C0EC C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 00C0 ECC0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 C0EC C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 0000 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 00C0 ECC0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 00EC C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 ECFA"
	$"0000 C0EC C0C0 C0FF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFC0 C0C0 ECFA"
	$"0000 ECC0 C0C0 C0FF F7F7 F7F7 F7F7 F7F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 FFFA C0C0 ECFA"
	$"00C0 ECC0 C0C0 C0FF F7FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFF7 FFFA C0C0 ECFA"
	$"00EC C0C0 C0C0 C0FF F7FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFF7 FFFA C0C0 ECFA"
	$"C0EC C0C0 C0C0 C0FF F7FF 00D2 D2D2 D200"
	$"D2D2 D200 00D2 0000 FFF7 FFFA C0C0 ECFA"
	$"ECC0 C0C0 C0C0 C0FF F7FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFF7 FFFA C0C0 ECFA"
	$"ECEC ECEC ECEC ECFF F7FF 0000 0000 0000"
	$"00D2 D2D2 D2D2 D200 FFF7 FFFA ECEC ECFA"
	$"00FA FAFA FAFA FAFF F7FF 00FF FF00 FFFF"
	$"00D2 0000 0000 D200 FFF7 FFFA FAFA FAFA"
	$"00FA FAFA FAFA FAFF F7FF 00FF 00FF 0000"
	$"00D2 D2D2 D2D2 D200 FFF7 FFFA FAFA FAFA"
	$"0000 0000 0000 00FF F7FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFF7 FFFA 0000 0000"
	$"0000 0000 0000 00FF F7FF 0000 4747 4700"
	$"0000 0047 4747 0000 FFF7 FFFA 0000 0000"
	$"0000 0000 0000 00FF F7FF 0047 0000 0047"
	$"0000 4700 0000 4700 FFF7 FFFA 0000 0000"
	$"0000 0000 0000 00FF F7FF 0000 4747 4700"
	$"0000 0047 4747 0000 FFF7 FFFA 0000 0000"
	$"0000 0000 0000 00FF F7FF 0000 0000 0000"
	$"0000 0000 0000 0000 FFF7 FFFA 0000 0000"
	$"0000 0000 0000 00FF F7FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFF7 FFFA 0000 0000"
	$"0000 0000 0000 00FF F7F7 F7F7 F7F7 F7F7"
	$"F7F7 F7F7 F7F7 F7F7 F7F7 FFFA 0000 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFA 0000 0000"
	$"0000 0000 0000 0000 FAFA FAFA FAFA FAFA"
	$"FAFA FAFA FAFA FAFA FAFA FAFA"
};

type kSignature as 'STR ';
resource kSignature (0,
#if qNames
"Signature",
#endif
	purgeable) {
	"DemoDialogs 3.0  1988-95 Apple Computer, Inc."
};

resource 'FREF' (128,
#if qNames
"DemoDialogs Application",
#endif
	purgeable) {
	'APPL',
	0,
	""
};

resource 'BNDL' (128,
#if qNames
"DemoDialogs",
#endif
	purgeable) {
	kSignature,
	0,
		{
		'ICN#',
			{
			0, 128,
			},
		'FREF',
			{
			0, 128,
			}
		}
};

include "Defaults.rsrc"  'STR#' (kDefaultCredits);		// Grab the default credits

// Get the default Version resources
include "Defaults.rsrc"  'vers' (1);		// Application or file specific
include "Defaults.rsrc"  'vers' (2);		// Overall package

#ifndef MW_Rez	
	include "DemoDialogs.view"	// This file is included in DemoDialogs.prj for MW Builds
#endif

#if 0 // The following has been moved into DemoDialogs.view AdLib file


/************************************************************************************/
/* STR# and TxSt resources used by the views. */
/************************************************************************************/
resource 'STR#' (kPopupLabels, "Popup titles", purgeable) {
	{
		/* [1] */	"Popup:";
		/* [2] */	"Baud:";
		/* [3] */	"Parity:";
		/* [4] */	"Plain:";
		/* [5] */	"Bold:";
		/* [6] */	"Italic:";
		/* [7] */	"Outline:";
		/* [8] */	"Center just:";
		/* [9] */	"Right just:";
		/* [10] */	"TextStyle:";
	}
};

resource 'STR#' (kButtonLabels, "Button labels", purgeable) {
	{
		/* [1] */	"Push Button";
		/* [2] */	"Yes";
		/* [3] */	"No";
		/* [4] */	"Cancel";
		/* [5] */	"OK";
		/* [6] */	"Beep";
	}
};

resource 'STR#' (kCheckBoxLabels, "Checkbox labels", purgeable) {
	{
		/* [1] */	"Check Box";
		/* [2] */	"Gray Background";
		/* [3] */	"Etched Frame (best with gray background)";
		/* [4] */	"Frame";
		/* [5] */	"Embossed Frame (best with frame)";
		/* [6] */	"Tall Adjusted";
		/* [7] */	"50 % Reduction";
		/* [8] */	"No Gap Between Pages";
		/* [9] */	"Show Invisibles";
		/* [10] */	"Auto Indent";
	}
};

resource 'STR#' (kClusterLabels, "Cluster labels", purgeable) {
	{
		/* [1] */	"A Cluster!";
		/* [2] */	"";
		/* [3] */	"Temperature Conversion";
		/* [4] */	"Celsius";
		/* [5] */	"Fahrenheit";
		/* [6] */	"Cluster One";
		/* [7] */	"Cluster Two";
	}
};

resource 'STR#' (kRadioLabels, "Radio button labels", purgeable) {
	{
		/* [1] */	"Plain";
		/* [2] */	"Bold";
		/* [3] */	"Italic";
		/* [4] */	"Underline";
		/* [5] */	"Outline";
		/* [6] */	"Shadow";
		/* [7] */	"Condense";
		/* [8] */	"Extend";
		/* [9] */	"US Letter";
		/* [10] */	"A4 Letter";
		/* [11] */	"US Legal";
		/* [12] */	"International Fanfold";
		/* [13] */	"Computer Paper";
		/* [14] */	"Invisible";
	}
};

resource 'STR#' (kWindowTitles, "Window titles", purgeable) {
	{	/* array StringArray: 15 elements */
		/* [1] */	"Clipboard",
		/* [2] */	"Views by Templates",
		/* [3] */	"Side-by-Side Scrolling",
		/* [4] */	"Monthly Values Dialog",
		/* [5] */	"Save Dialog",
		/* [6] */	"Modal Beep Dialog",
		/* [7] */	"Modeless Beep Dialog",
		/* [8] */	"Message Windoid",
		/* [9] */	"Cursors and Balloon Help",
		/* [10] */	"Adorners",
		/* [11] */	"Page Setup Dialog",
		/* [12] */	"Format Dialog",
		/* [13] */	"Home Brew Controls",
		/* [14] */	"Tabbing Test",
		/* [15] */	"Calculator",
		/* [16] */	"View Inspector",
		/* [17] */	"Target Inspector"
	}
};

resource 'STR#' (kStaticTextText, "Static Text text", purgeable) {
	{	/* array StringArray: 42 elements */
		/* [1] */	"Scroll me vertically\n\n(P.S. This should"
					" read 'PARAM0': ^0\nThis should read 'PAR"
					"AM1': ^1\nThis should read 'PARAM0': ^0)",
		/* [2] */	"A static string",
		/* [3] */	"EditText",
		/* [4] */	"January",
		/* [5] */	"0",
		/* [6] */	"February",
		/* [7] */	"March",
		/* [8] */	"April",
		/* [9] */	"May",
		/* [10] */	"June",
		/* [11] */	"July",
		/* [12] */	"August",
		/* [13] */	"September",
		/* [14] */	"October",
		/* [15] */	"November",
		/* [16] */	"December",
		/* [17] */	"Save changes to Untitled-1 before closing?",
		/* [18] */	"Number of Beeps:",
		/* [19] */	"1",
		/* [20] */	"Message Box:",
		/* [21] */	"",
		/* [22] */	"ImageWriter",
		/* [23] */	MA_SHORT_VERSION,
		/* [24] */	"Paper:",
		/* [25] */	"Orientation",
		/* [26] */	"Special Effects:",
		/* [27] */	"Font",
		/* [28] */	"Size",
		/* [29] */	"9",
		/* [30] */	"Tabs:",
		/* [31] */	"4",
		/* [32] */	"32",
		/* [33] */	"This dialog demonstrates tabbing",
		/* [34] */	"one",
		/* [35] */	"two",
		/* [36] */	"three",
		/* [37] */	"four",
		/* [38] */	"five",
		/* [39] */	"six",
		/* [40] */	"MacApp-ulator",
		/* [41] */	"Inspector of Views",
		/* [42] */	"Inspector of Targets"
	}
};

resource 'TxSt' (700, purgeable) {
	tsPlain,
	0,
	black,
	"Chicago"
};

resource 'TxSt' (701, purgeable) {
	tsBold,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (702, purgeable) {
	tsItalic,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (703, purgeable) {
	tsUnderline,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (704, purgeable) {
	tsOutline,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (705, purgeable) {
	tsShadow,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (706, purgeable) {
	tsCondense,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (707, purgeable) {
	tsExtend,
	12,
	black,
	"Chicago"
};

resource 'TxSt' (708, purgeable) {
	tsItalic,
	12,
	{	/* array: 3 elements */
		/* [1] */
		0x0,
		/* [2] */
		0x0,
		/* [3] */
		0xFFFF
	},
	"Geneva"
};

resource 'TxSt' (709, purgeable) {
	tsPlain,
	10,
	black,
	"Geneva"
};

resource 'TxSt' (710, purgeable) {
	tsPlain,
	12,
	{	/* array: 3 elements */
		/* [1] */
		0xFFFF,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Chicago"
};

resource 'TxSt' (711, purgeable) {
	35,
	9,
	{	/* array: 3 elements */
		/* [1] */
		0xFFFF,
		/* [2] */
		0x0,
		/* [3] */
		0x0
	},
	"Monaco"
};

resource 'TxSt' (712, purgeable) {
	tsPlain,
	9,
	black,
	"Monaco"
};



resource 'View' (cCluster, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'clus', 884, "", 'TCls', notEnabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {190, 150}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kClusterLabels, 1}, 8}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'PRad', enabled, noIdle, {}, MAThreeOh, 
		{20, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kRadioLabels, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'BRad', enabled, noIdle, {}, MAThreeOh, 
		{40, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 701, dontPreferOutline, off, kRadioLabels, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'IRad', enabled, noIdle, {}, MAThreeOh, 
		{60, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 702, dontPreferOutline, on, kRadioLabels, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'URad', enabled, noIdle, {}, MAThreeOh, 
		{80, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 703, dontPreferOutline, off, kRadioLabels, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'ORad', enabled, noIdle, {}, MAThreeOh, 
		{100, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 704, dontPreferOutline, off, kRadioLabels, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'SRad', enabled, noIdle, {}, MAThreeOh, 
		{120, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 705, dontPreferOutline, off, kRadioLabels, 6}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'CRad', enabled, noIdle, {}, MAThreeOh, 
		{140, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 706, dontPreferOutline, off, kRadioLabels, 7}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'ERad', enabled, noIdle, {}, MAThreeOh, 
		{160, 10}, {20, 130}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 707, dontPreferOutline, off, kRadioLabels, 8}, 
		NoSubviews}
	}
};

resource 'View' (cTemplateViews, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 1862, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{50, 20}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, 'DLOG', goAwayBox, resizable, doFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, filler, kWindowTitles, 2}, 3}, 
	ViewSignatureAndClassname
		{'scrl', 1398, "TSlowScroller", 'SCLR', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {245, 415}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCLR', 'hCLR', {900, 480}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 1287, "", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {900, 480}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		DialogView {noID, noID}, 9}, 
	ViewSignatureAndClassname
		{'inc@', 72, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{340, 100}, {190, 150}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		IncludeAt {1101, {340, 100}}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{100, 50}, {150, 300}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 708, dontPreferOutline, autoWrap, dontEraseFirst, justCenter, 1207, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{540, 100}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 130, dontPreferOutline, off, 1202, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 204, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{540, 270}, {28, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {1, "TDrawingEnvironment", {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, emptyUserArea, 
		Button {mButtonHit, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 709, dontPreferOutline, 1201, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'icon', 149, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{570, 130}, {35, 35}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"8F"}}}, emptyUserArea, 
		Icon {mIconHit, notHilited, notDimmed, sizeable, {1, 1, 1, 1}, 700, dontPreferOutline, preferColor, 1000}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'pict', 202, "", noID, enabled, noIdle, 
		{BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinApplication, noID}}}, MAThreeOh, 
		{660, 100}, {172, 173}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {1, "TDrawingEnvironment", {2, 2}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"C0"}}}, emptyUserArea, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, {8, 8, 8, 8}, 700, dontPreferOutline, 1000}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'patn', 91, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{850, 100}, {25, 220}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Pattern {mPictureHit, notHilited, notDimmed, notSizeable, noInset, 700, dontPreferOutline, preferColor, 1000}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{620, 20}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 710, dontPreferOutline, autoWrap, dontEraseFirst, justCenter, 1207, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 160, "", 'EDIT', enabled, noIdle, 
		{BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{620, 140}, {22, 100}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, 1207, 3, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 159, "", 'hCLR', enabled, noIdle, {}, MAThreeOh, 
		{245, -1}, {16, 417}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mHScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, h, 0, 0, 65}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 159, "", 'vCLR', enabled, noIdle, {}, MAThreeOh, 
		{-1, 415}, {247, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 655}, 
		NoSubviews}
	}
};

resource 'View' (cScrollingTest, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 2911, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 20}, {320, 450}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, 'NUM1', goAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, filler, kWindowTitles, 3}, 4}, 
	ViewSignatureAndClassname
		{'tbor', 621, "", 'BOR1', enabled, noIdle, {}, MAThreeOh, 
		{7, 7}, {128, 208}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TargetBorderView {'NUM1'}, 1}, 
	ViewSignatureAndClassname
		{'cntl', 502, "", 'FRA1', notEnabled, noIdle, {}, MAThreeOh, 
		{3, 3}, {122, 202}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 185, "", 'SCL1', enabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {120, 185}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCL1', noID, {160000, 1000}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'view', 74, "TNumbersView", 'NUM1', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {160000, 1000}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		View {}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 159, "", 'vCL1', enabled, noIdle, {}, MAThreeOh, 
		{0, 186}, {122, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 159880}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'tbor', 689, "", 'BOR2', enabled, noIdle, {}, MAThreeOh, 
		{7, 227}, {128, 208}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TargetBorderView {'NUM2'}, 1}, 
	ViewSignatureAndClassname
		{'cntl', 570, "", 'FRA2', notEnabled, noIdle, {}, MAThreeOh, 
		{3, 3}, {122, 202}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 253, "", 'SCL2', enabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {120, 185}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCL2', noID, {3200, 200}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'lstg', 142, "TNumberListView", 'NUM2', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinView, noID}}}, MAThreeOh, 
		{0, 0}, {3200, 185}, sizeVariable, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TextListView {200, 1, 16, 200, 0, 6, dontAdornRows, dontAdornCols, multipleSelection, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 159, "", 'vCL2', enabled, noIdle, {}, MAThreeOh, 
		{0, 186}, {122, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 3080}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'tbor', 728, "", 'BOR3', enabled, noIdle, {}, MAThreeOh, 
		{147, 7}, {128, 208}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TargetBorderView {'TEV3'}, 1}, 
	ViewSignatureAndClassname
		{'cntl', 609, "", 'FRA3', notEnabled, noIdle, {}, MAThreeOh, 
		{3, 3}, {122, 202}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 292, "", 'SCL3', enabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {120, 185}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCL3', noID, {24, 185}, {12, 16}, VertConstrain, noHorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'tevw', 181, "", 'TEV3', enabled, 0, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{0, 0}, {24, 185}, sizeVariable, sizePage, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TEView {withStyle, autoWrap, acceptChanges, freeText, cTyping, unlimited, {8, 10, 0, 10}, justSystem, 130, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 159, "", 'vCL3', enabled, noIdle, {}, MAThreeOh, 
		{0, 186}, {122, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 0}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'tbor', 728, "", 'BOR4', enabled, noIdle, {}, MAThreeOh, 
		{147, 227}, {128, 208}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TargetBorderView {'TEV4'}, 1}, 
	ViewSignatureAndClassname
		{'cntl', 609, "", 'FRA4', notEnabled, noIdle, {}, MAThreeOh, 
		{3, 3}, {122, 202}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 292, "", 'SCL4', enabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {120, 185}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Scroller {'vCL4', noID, {24, 185}, {12, 16}, VertConstrain, noHorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'tevw', 181, "", 'TEV4', enabled, 0, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{0, 0}, {24, 185}, sizeVariable, sizePage, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			DrawView, AdornerLocalObject {SelectionAdorner}}}, emptyUserArea, 
		TEView {withStyle, autoWrap, acceptChanges, freeText, cTyping, unlimited, {8, 10, 0, 10}, justSystem, 130, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 159, "", 'vCL4', enabled, noIdle, {}, MAThreeOh, 
		{0, 186}, {122, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, emptyUserArea, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 0}, 
		NoSubviews}
	}
};
resource 'View' (cMonthlyDialog, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 4095, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 20}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, 0, 
		Window {zoomDocProc, 'jan ', goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, adaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 4}, 3}, 
	ViewSignatureAndClassname
		{'scrl', 3603, "", 'SCLR', notEnabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {245, 415}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Scroller {'vCLR', 'hCLR', {1000, 500}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 3492, "TMonthlyDialog", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {1000, 500}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		DialogView {noID, noID}, 24}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{10, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'jan ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{9, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{40, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 6}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'feb ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{39, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{70, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 7}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'mar ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{69, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{100, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 8}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'apr ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{99, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{130, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 9}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'may ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{129, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{160, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 10}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'jun ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{159, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{190, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 11}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'jul ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{189, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{220, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 12}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'aug ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{219, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{250, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 13}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'sep ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{249, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{280, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 14}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'oct ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{279, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{310, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 15}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'nov ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{309, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{340, 10}, {20, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 16}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'dec ', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{339, 120}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, 5, LeftRightUpDownBackspace, 0, 0, 32767}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'hCLR', enabled, noIdle, {}, MAThreeOh, 
		{245, -1}, {16, 417}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mHScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, h, 0, 0, 85}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCLR', enabled, noIdle, {}, MAThreeOh, 
		{-1, 415}, {247, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 755}, 
		NoSubviews}
	}
};
resource 'View' (cSaveDialog, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 673, "", 'WIND', enabled, noIdle, 
		{BehaviorSignatureAndClassname {'dlgb', "TDIALOGBEHAVIOR", DialogBehavior {enabled, noIdle, modal, 'yes ', 'cncl'}}}, MAThreeOh, 
		{100, 110}, {120, 292}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {dBoxProc, 'yes ', noGoAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 5}, 4}, 
	ViewSignatureAndClassname
		{'butn', 204, "", 'yes ', enabled, noIdle, {}, MAThreeOh, 
		{56, 23}, {26, 82}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {74, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, 0, 
		Button {mDismiss, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 700, dontPreferOutline, kButtonLabels, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'no  ', enabled, noIdle, {}, MAThreeOh, 
		{86, 195}, {18, 74}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Button {mDismiss, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kButtonLabels, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'cncl', enabled, noIdle, {}, MAThreeOh, 
		{86, 25}, {18, 74}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Button {mDismiss, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kButtonLabels, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{12, 20}, {33, 257}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 17}, 
		NoSubviews}
	}
};
resource 'View' (cModalBeepDialog, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 798, "", 'WIND', enabled, noIdle, 
		{BehaviorSignatureAndClassname {'dlgb', "TDialogBehavior", DialogBehavior {enabled, noIdle, notModal, 'ok  ', 'cncl'}}}, 
		MAThreeOh, 
		{72, 64}, {80, 270}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {movableDBoxProc, 'numb', noGoAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 6}, 4}, 
	ViewSignatureAndClassname
		{'butn', 204, "", 'ok  ', enabled, noIdle, {}, MAThreeOh, 
		{40, 179}, {28, 81}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {74, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, 0, 
		Button {mDismiss, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 700, dontPreferOutline, kButtonLabels, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'cncl', enabled, noIdle, {}, MAThreeOh, 
		{44, 95}, {20, 73}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Button {mDismiss, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kButtonLabels, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{10, 8}, {16, 150}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 18}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 217, "", 'numb', enabled, noIdle, {BehaviorSignatureAndClassname {'drag', "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{8, 200}, {22, 50}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 19, 5, LeftRightUpDownBackspace, 1, 1, 10}, 
		NoSubviews}
	}
};
resource 'View' (cModelessBeepDialog, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 764, "TModelessBeepDialog", 'WIND', enabled, noIdle, 
		{BehaviorSignatureAndClassname {'dlgb', "TDialogBehavior", DialogBehavior {enabled, noIdle, notModal, 'ok  ', noID}}}, 
		MAThreeOh, 
		{72, 64}, {80, 220}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {documentProc, 'numb', goAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 7}, 3}, 
	ViewSignatureAndClassname
		{'butn', 204, "", 'ok  ', enabled, noIdle, {}, MAThreeOh, 
		{40, 129}, {28, 81}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {74, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, 0, 
		Button {mButtonHit, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 700, dontPreferOutline, kButtonLabels, 6}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 141, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {'drag', "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{10, 8}, {16, 150}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 18}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 217, "", 'numb', enabled, noIdle, {BehaviorSignatureAndClassname {'drag', "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{8, 160}, {22, 50}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 130, dontPreferOutline, dontAutoWrap,
			dontEraseFirst, justRight, kStaticTextText, 19, 5, LeftRightUpDownBackspace, 1, 1, 10}, 
		NoSubviews}
	}
};
resource 'View' (cMessageWindoid, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'fwnd', 430, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{72, 64}, {55, 364}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		FloatWindow {kSystem75_kWindoidWDEF, 'mark', goAwayBox, notResizable, doFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, floats, hidesOnSuspend, doesntGenerateActivates, filler, kWindowTitles, -1}, 2}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{8, 8}, {16, 344}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 1207, 20}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'mark', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{29, 7}, {22, 350}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justSystem, 1207, -1, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}
	}
};
resource 'View' (cViewInspector, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'fwnd', 413, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{72, 64}, {180, 210}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, 0, 
		FloatWindow { kSystem75AndLess_kWindoidWDEF + kSystem75_hasGrow, noID, goAwayBox, resizable, doFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, floats, hidesOnSuspend, doesntGenerateActivates, 0, kWindowTitles, 16}, 2}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{8, 8}, {16, 344}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 41}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 582, "", 'FRA2', notEnabled, noIdle, {}, MAThreeOh, 
		{30, 0}, {122, 210}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 257, "", 'SCL2', notEnabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {120, 193}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Scroller {'vCL2', noID, {3200, 200}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'lstg', 146, "TViewHierarchyView", 'NUM2', enabled, 2/*noIdle*/, {}, MAThreeOh, 
		{0, 0}, {3200, 200}, sizeVariable, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		TextGridView {0, 1, 10, 200, 0, 6, dontAdornRows, dontAdornCols, singleSelection, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCL2', enabled, noIdle, {}, MAThreeOh, 
		{0, 186}, {122, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 3080}, 
		NoSubviews}
	}
};

resource 'View' (cTargetInspector, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'fwnd', 413, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{92, 84}, {180, 210}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, 0, 
		FloatWindow { kSystem75AndLess_kWindoidWDEF + kSystem75_hasGrow, noID, goAwayBox, resizable, doFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, floats, hidesOnSuspend, doesntGenerateActivates, 0, kWindowTitles, 17}, 2}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{8, 8}, {16, 344}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 42}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 582, "", 'FRA2', notEnabled, noIdle, {}, MAThreeOh, 
		{30, 0}, {122, 210}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 257, "", 'SCL2', notEnabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {120, 193}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Scroller {'vCL2', noID, {3200, 200}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'lstg', 146, "TTargetChainView", 'NUM2', enabled, 2/*noIdle*/, {}, MAThreeOh, 
		{0, 0}, {3200, 200}, sizeVariable, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		TextGridView {0, 1, 10, 200, 0, 6, dontAdornRows, dontAdornCols, singleSelection, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCL2', enabled, noIdle, {}, MAThreeOh, 
		{0, 186}, {122, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 3080}, 
		NoSubviews}
	}
};

resource 'View' (cBalloons, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 1133, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{40, 40}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, 0, 
		Window {zoomDocProc, 'SCLR', goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 9}, 3}, 
	ViewSignatureAndClassname
		{'scrl', 641, "", 'SCLR', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {245, 415}, sizeRelSuperView, sizeRelSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Scroller {'vCLR', 'hCLR', {300, 480}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'view', 530, "", 'BGND', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {300, 480}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		View {}, 1}, 
	ViewSignatureAndClassname
		{'cntl', 462, "", 'ADN1', enabled, noIdle, {}, MAThreeOh, 
		{20, 20}, {200, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"8F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'cntl', 150, "", 'ADN2', notEnabled, noIdle, {}, MAThreeOh, 
		{30, 25}, {50, 50}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 150, "", 'ADN3', enabled, noIdle, {}, MAThreeOh, 
		{100, 25}, {50, 50}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'hCLR', enabled, noIdle, {}, MAThreeOh, 
		{245, -1}, {16, 417}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mHScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, h, 0, 0, 65}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCLR', enabled, noIdle, {}, MAThreeOh, 
		{-1, 415}, {247, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 55}, 
		NoSubviews}
	}
};
resource 'View' (cAdornment, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 1312, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{40, 40}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, noID, goAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, filler, 1206, 10}, 1}, 
	ViewSignatureAndClassname
		{'view', 1185, "TAdornmentDemo", 'BGND', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {300, 480}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		View {}, 7}, 
	ViewSignatureAndClassname
		{'pict', 135, "", 'test', enabled, noIdle, {BehaviorSignatureAndClassname {'drag', "TDragDropBehavior", DragDropBehavior {enabled, noIdle, notDraggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{40, 20}, {172, 173}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, {8, 8, 8, 8}, 700, dontPreferOutline, 1000}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'gray', enabled, noIdle, {}, MAThreeOh, 
		{20, 210}, {16, 215}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline, off, 1202, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'etch', enabled, noIdle, {}, MAThreeOh, 
		{40, 210}, {16, 215}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline, off, 1202, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'fram', enabled, noIdle, {}, MAThreeOh, 
		{60, 210}, {16, 215}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline, off, 1202, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'embo', enabled, noIdle, {}, MAThreeOh, 
		{80, 210}, {16, 215}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline, off, 1202, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 408, "TRoundView", 'Roun', enabled, noIdle, {}, MAThreeOh, 
		{112, 213}, {125, 200}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 3, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {1, "TDrawingEnvironment", {1, 1}, 8, $"FFFF FFFF FFFF FFFF", {57736, 8648, 7798}, {11927, 47402, 49809}}, 
		NoAdorners {}, emptyUserArea, 
		Control {mControlHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'butn', 92, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{55, 35}, {20, 64}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 4, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Button {mButtonHit, notHilited, notDimmed, notSizeable, noInset, 129, dontPreferOutline, 1000, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 152, "TRoundView", 'rv02', enabled, noIdle, {}, MAThreeOh, 
		{38, 109}, {100, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 2, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {1, "TDrawingEnvironment", {1, 1}, 8, $"FFFF FFFF FFFF FFFF", {32263, 60610, 11572}, {34079, 5999, 60487}}, 
		NoAdorners {}, emptyUserArea, 
		Control {mControlHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 152, "TRoundView", 'rv03', enabled, noIdle, {}, MAThreeOh, 
		{220, 146}, {24, 58}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 2, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {1, "TDrawingEnvironment", {1, 1}, 8, $"FFFF FFFF FFFF FFFF", {63135, 11897, 57557}, {619, 64917, 4575}}, 
		NoAdorners {}, emptyUserArea, 
		Control {mControlHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline}, 
		NoSubviews}
	}
};
resource 'View' (cPageSetupDialog, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 2509, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{30, 20}, {144, 472}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {dBoxProc, 'DLOG', noGoAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 11}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 2318, "TPageSetupDialog", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {144, 472}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		DialogView {'ok  ', 'cncl'}, 14}, 
	ViewSignatureAndClassname
		{'butn', 208, "", 'ok  ', enabled, noIdle, {}, MAThreeOh, 
		{0, 396}, {28, 68}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {74, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, 0, 
		Button {34, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 700, dontPreferOutline, kButtonLabels, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'cncl', enabled, noIdle, {}, MAThreeOh, 
		{40, 400}, {20, 60}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Button {34, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kButtonLabels, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{4, 4}, {16, 380}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 22}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 150, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{20, 4}, {3, 380}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"05"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{8, 300}, {12, 84}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 129, dontPreferOutline, autoWrap, dontEraseFirst, justRight, kStaticTextText, 23}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{24, 4}, {16, 58}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 24}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 686, "", 'papC', notEnabled, noIdle, {}, MAThreeOh, 
		{24, 68}, {46, 320}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kClusterLabels, 2}, 6}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'pap1', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {16, 140}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, on, kRadioLabels, 9}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'pap2', enabled, noIdle, {}, MAThreeOh, 
		{0, 150}, {16, 165}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kRadioLabels, 10}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'pap3', enabled, noIdle, {}, MAThreeOh, 
		{15, 0}, {16, 140}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kRadioLabels, 11}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'pap4', enabled, noIdle, {}, MAThreeOh, 
		{15, 150}, {16, 165}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kRadioLabels, 12}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'pap5', enabled, noIdle, {}, MAThreeOh, 
		{30, 0}, {16, 140}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kRadioLabels, 13}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'radb', 93, "", 'pap6', notEnabled, noIdle, {}, MAThreeOh, 
		{30, 150}, {16, 165}, sizeFixed, sizeFixed, notShown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Radio {mRadioHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kRadioLabels, 14}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{74, 4}, {16, 84}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 25}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'icon', 152, "TRadioIcon", 'vert', enabled, noIdle, {}, MAThreeOh, 
		{93, 5}, {32, 32}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 122, AdornerLocalObject {HiliteAdorner}}}, 0, 
		Icon {mIconHit, hilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, dontPreferColor, 10060}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'icon', 101, "TRadioIcon", 'horz', enabled, noIdle, {}, MAThreeOh, 
		{93, 45}, {32, 32}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Icon {mIconHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, dontPreferColor, 10061}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{74, 106}, {16, 113}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 26}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'tall', enabled, noIdle, {}, MAThreeOh, 
		{74, 220}, {16, 108}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kCheckBoxLabels, 6}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'red ', enabled, noIdle, {}, MAThreeOh, 
		{89, 220}, {16, 122}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kCheckBoxLabels, 7}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'gap ', enabled, noIdle, {}, MAThreeOh, 
		{104, 220}, {16, 181}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kCheckBoxLabels, 8}, 
		NoSubviews}
	}
};
resource 'View' (cFormatDialog, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 2899, "", 'WIND', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDIALOGBEHAVIOR", DialogBehavior {enabled, noIdle, modal, noID, noID}}}, MAThreeOh, 
		{68, 52}, {177, 383}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {dBoxProc, 'flst', noGoAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, dontStagger, forceOnScreen, 
			centerHorizontally, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 12}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 2708, "", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {177, 383}, sizeSuperView, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		DialogView {'ok  ', 'cncl'}, 14}, 
	ViewSignatureAndClassname
		{'butn', 208, "", 'ok  ', enabled, noIdle, {}, MAThreeOh, 
		{100, 264}, {28, 81}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		DrawingEnvironmentClassIDAndClassname {74, DrawingEnvironment, {3, 3}, 8, $"FFFF FFFF FFFF FFFF", {0, 0, 0}, {65535, 65535, 65535}}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"40"}}}, 0, 
		Button {34, notHilited, notDimmed, sizeable, {4, 4, 4, 4}, 700, dontPreferOutline, kButtonLabels, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'butn', 92, "", 'cncl', enabled, noIdle, {}, MAThreeOh, 
		{135, 268}, {20, 73}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Button {34, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kButtonLabels, 4}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'inv ', enabled, noIdle, {}, MAThreeOh, 
		{42, 245}, {20, 127}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, off, kCheckBoxLabels, 9}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'chkb', 93, "", 'auto', enabled, noIdle, {}, MAThreeOh, 
		{25, 245}, {18, 123}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		CheckBox {mCheckBoxHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, on, kCheckBoxLabels, 10}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{7, 15}, {18, 38}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 27}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'tbor', 703, "", 'FRB1', enabled, noIdle, {}, MAThreeOh, 
		{28, 11}, {130, 159}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		TargetBorderView {'flst'}, 1}, 
	ViewSignatureAndClassname
		{'cntl', 580, "", 'FRA1', notEnabled, noIdle, {}, MAThreeOh, 
		{3, 3}, {124, 153}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 2}, 
	ViewSignatureAndClassname
		{'scrl', 255, "", 'SCL1', enabled, noIdle, {}, MAThreeOh, 
		{1, 1}, {122, 136}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Scroller {'vCL1', noID, {0, 142}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'lstg', 144, "TFontListView", 'flst', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {0, 142}, sizeVariable, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		TextGridView {0, 1, 0, 142, 0, 6, dontAdornRows, dontAdornCols, singleSelection, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCL1', enabled, noIdle, {}, MAThreeOh, 
		{0, 137}, {124, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 0}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 150, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{60, 180}, {98, 40}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'scrl', 255, "", 'SCL2', notEnabled, noIdle, {}, MAThreeOh, 
		{61, 181}, {96, 23}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Scroller {'vCL2', noID, {0, 23}, {16, 16}, VertConstrain, HorzConstrain, noInset, respondsToFKeys}, 1}, 
	ViewSignatureAndClassname
		{'lstg', 144, "TSizeListView", 'slst', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {0, 23}, sizeVariable, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {SelectionAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		TextGridView {0, 1, 0, 23, 0, 6, dontAdornRows, dontAdornCols, singleSelection, 700, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'ssbr', 163, "", 'vCL2', enabled, noIdle, {}, MAThreeOh, 
		{60, 204}, {98, 16}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}}}, 0, 
		ScrollerScrollBar {mVScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, v, 0, 0, 0}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{7, 184}, {18, 33}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 28}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'size', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{27, 180}, {22, 40}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justSystem, kStaticTextText, 29, unlimited, LeftRightUpDownBackspace, 9, 0, 255}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{68, 253}, {17, 38}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 30}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'tabs', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{65, 295}, {22, 37}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justSystem, kStaticTextText, 31, unlimited, LeftRightUpDownBackspace, 4, 0, 99}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 157, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{28, 233}, {128, 1}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"02"}, 117, AdornerLocalObject {DimAdorner}}}, 0, 
		Control {mOKHit, notHilited, dimmed, sizeable, noInset, 700, dontPreferOutline}, 
		NoSubviews}
	}
};
resource 'View' (cHomeBrewControls, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 1501, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 20}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, 0, 
		Window {zoomDocProc, noID, goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 13}, 1}, 
	ViewSignatureAndClassname
		{'dlog', 1347, "TDialogView", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {260, 430}, sizeSuperView, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, 2, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		DialogView {noID, noID}, 4}, 
	ViewSignatureAndClassname
		{'clus', 939, "TTemperatureConversionCluster", 'Conv', notEnabled, noIdle, {}, MAThreeOh, 
		{100, 20}, {90, 236}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kClusterLabels, 3}, 2}, 
	ViewSignatureAndClassname
		{'clus', 403, "TTemperatureCluster", 'Cels', notEnabled, noIdle, {}, MAThreeOh, 
		{20, 16}, {60, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kClusterLabels, 4}, 2}, 
	ViewSignatureAndClassname
		{'pict', 104, "TArrowsControl", 'arws', enabled, noIdle, {}, MAThreeOh, 
		{30, 60}, {18, 11}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 1001}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'Numb', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{30, 10}, {22, 40}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {2, 2, 2, 2}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 5, unlimited, LeftRightUpDownBackspace, 0, -40, 105}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 403, "TTemperatureCluster", 'Fahr', notEnabled, noIdle, {}, MAThreeOh, 
		{20, 120}, {60, 100}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, kClusterLabels, 5}, 2}, 
	ViewSignatureAndClassname
		{'pict', 104, "TArrowsControl", 'arws', enabled, noIdle, {}, MAThreeOh, 
		{30, 60}, {18, 11}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 1001}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'nmbr', 176, "", 'Numb', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{30, 10}, {22, 40}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, 0, 
		NumberText {mEditTextHit, notHilited, notDimmed, sizeable, {2, 2, 2, 2}, 130, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, kStaticTextText, 32, unlimited, LeftRightUpDownBackspace, 32, -40, 220}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'pict', 97, "THomeBrewSlider", 'sldr', enabled, noIdle, {}, MAThreeOh, 
		{100, 300}, {106, 35}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 1003}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'sbar', 101, "", 'Scr1', enabled, noIdle, {}, MAThreeOh, 
		{20, 50}, {16, 300}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		ScrollBar {mHScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, h, 0, -1000, 1000}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'sbar', 101, "", 'Scr2', enabled, noIdle, {}, MAThreeOh, 
		{40, 50}, {16, 300}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		ScrollBar {mHScrollBarHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, h, 0, -1000, 1000}, 
		NoSubviews}
	}
};
resource 'View' (cTabbingTest, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 1736, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{50, 20}, {260, 430}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornLast, AdornerLocalObject {ResizeIconAdorner}}}, emptyUserArea, 
		Window {zoomDocProc, 'edt1', goAwayBox, resizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, filler, kWindowTitles, 14}, 1}, 
	ViewSignatureAndClassname
		{'view', 1602, "", 'DLOG', enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {260, 430}, sizeSuperView, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		View {}, 5}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {}, MAThreeOh, 
		{10, 0}, {16, 430}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 130, dontPreferOutline, autoWrap, dontEraseFirst, justCenter, 1207, 33}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'edt1', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{40, 20}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justSystem, 1207, 34, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'edt2', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{70, 20}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justSystem, 1207, 35, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 506, "", 'cls1', notEnabled, noIdle, {}, MAThreeOh, 
		{100, 10}, {110, 190}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 1203, 6}, 2}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'edt3', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{30, 10}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justSystem, 1207, 36, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'edt4', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{70, 10}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justRight, 1207, 37, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'clus', 506, "", 'cls2', notEnabled, noIdle, {}, MAThreeOh, 
		{30, 210}, {200, 190}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, emptyUserArea, 
		Cluster {mClusterHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 1203, 7}, 2}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'edt5', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{30, 20}, {22, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, dontAutoWrap, dontEraseFirst, justCenter, 1207, 38, unlimited, LeftRightUpDownBackspace}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'edit', 201, "", 'edt6', enabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, droppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{70, 20}, {100, 150}, sizeFixed, sizeFixed, shown, wantsToBeTarget, 
		handlesCursor, doesntLetSubViewsHandleCursor, 1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			DrawView, AdornerLocalObject {DrawAdorner}, 
			AdornAfter, AdornerSignatureAndClassname {'comp', "", 'comp', freeOnDeletion, $"0F"}}}, emptyUserArea, 
		EditText {mEditTextHit, notHilited, notDimmed, sizeable, {3, 3, 3, 3}, 700, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, 1207, 39, unlimited, 0b11110000000000000010000100000000}, 
		NoSubviews}
	}
};
resource 'View' (cCalculator, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 2158, "", 'WIND', enabled, noIdle, {}, MAThreeOh, 
		{60, 60}, {154, 112}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {noIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, DynamicArrayAllocationIncrement, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {rDocProc, 'DLOG', goAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, 0, kWindowTitles, 15}, 1}, 
	ViewSignatureAndClassname
		{'pict', 2011, "TCalcDialog", 'DLOG', notEnabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {154, 112}, sizeSuperView, sizeSuperView, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Picture {mPictureHit, notHilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 1009}, 20}, 
	ViewSignatureAndClassname
		{'stat', 96, "", noID, notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{6, 12}, {14, 88}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, noInset, 711, dontPreferOutline, autoWrap, dontEraseFirst, justSystem, kStaticTextText, 40}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 110, "TSumStaticText", 'SUMM', notEnabled, noIdle, {BehaviorSignatureAndClassname {noID, "TDragDropBehavior", DragDropBehavior {enabled, noIdle, draggable, notDroppable, moveWithinWindow, noID}}}, MAThreeOh, 
		{26, 12}, {18, 88}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, notHilited, notDimmed, sizeable, {2, 2, 2, 2}, 712, dontPreferOutline, autoWrap, dontEraseFirst, justRight, kStaticTextText, 5}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'keyC', enabled, noIdle, {}, MAThreeOh, 
		{50, 14}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key=', enabled, noIdle, {}, MAThreeOh, 
		{50, 36}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key/', enabled, noIdle, {}, MAThreeOh, 
		{50, 58}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key*', enabled, noIdle, {}, MAThreeOh, 
		{50, 80}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key7', enabled, noIdle, {}, MAThreeOh, 
		{70, 14}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key8', enabled, noIdle, {}, MAThreeOh, 
		{70, 36}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key9', enabled, noIdle, {}, MAThreeOh, 
		{70, 58}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key-', enabled, noIdle, {}, MAThreeOh, 
		{70, 80}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key4', enabled, noIdle, {}, MAThreeOh, 
		{90, 14}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key5', enabled, noIdle, {}, MAThreeOh, 
		{90, 36}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key6', enabled, noIdle, {}, MAThreeOh, 
		{90, 58}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key+', enabled, noIdle, {}, MAThreeOh, 
		{90, 80}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key1', enabled, noIdle, {}, MAThreeOh, 
		{110, 14}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key2', enabled, noIdle, {}, MAThreeOh, 
		{110, 36}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key3', enabled, noIdle, {}, MAThreeOh, 
		{110, 58}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'keyE', enabled, noIdle, {}, MAThreeOh, 
		{110, 80}, {36, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key0', enabled, noIdle, {}, MAThreeOh, 
		{130, 14}, {16, 41}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'cntl', 88, "", 'key.', enabled, noIdle, {}, MAThreeOh, 
		{130, 58}, {16, 19}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Control {mOKHit, notHilited, notDimmed, sizeable, noInset, 712, dontPreferOutline}, 
		NoSubviews}
	}
};

resource 'View' (cPopupExample, purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'view', 510, "", 'ROOT', enabled, noIdle, {}, MAThreeOh, 
		{589, 290}, {127, 120}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		View {}, 4}, 
	ViewSignatureAndClassname
		{'popp', 106, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{0, 0}, {22, 120}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Popup {mPopupHit, notHilited, notDimmed, notSizeable, noInset, 700, dontPreferOutline, 235, 2, 50, plain, justSystem, dontUseAddResMenu, noID, kPopupLabels, 1}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'popp', 106, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{35, 0}, {22, 120}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Popup {mPopupHit, notHilited, notDimmed, notSizeable, noInset, 700, dontPreferOutline, 236, 1, 50, plain, justSystem, dontUseAddResMenu, noID, kPopupLabels, 2}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'popp', 106, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{70, 0}, {22, 120}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Popup {mPopupHit, notHilited, notDimmed, notSizeable, noInset, 129, dontPreferOutline, 237, 1, 50, plain, justSystem, dontUseAddResMenu, noID, kPopupLabels, 3}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'popp', 106, "", noID, enabled, noIdle, {}, MAThreeOh, 
		{105, 0}, {22, 120}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		Popup {mPopupHit, notHilited, notDimmed, notSizeable, noInset, 700, dontPreferOutline, 300, 1, 50, plain, justSystem, dontUseAddResMenu, noID, kPopupLabels, 4}, 
		NoSubviews}
	}
};
#endif // Views moved into DemoDialgos.view AdLib file

resource 'PAT ' (1000) {
	$"1122 4488 1122 4488"
};

data 'ppat' (1000) {
	$"0001 0000 001C 0000 004E 0000 0000 FFFF"            /* .........N.... */
	$"0000 0000 0F1E 3C60 EFEF CF8F 0000 0000"            /* ......<`Ϗ.... */
	$"8004 0000 0000 0008 0008 0000 0000 0000"            /* ............... */
	$"0000 0048 0000 0048 0000 0000 0004 0001"            /* ...H...H........ */
	$"0004 0000 0000 0000 006E 0000 0000 2443"            /* .........n....$C */
	$"3112 4433 1122 4331 1224 3310 0000 3110"            /* 1.D3."C1.$3...1. */
	$"0000 1120 0000 1220 0000 2240 0000 0000"            /* ... ... .."@.... */
	$"0000 0000 0004 0000 0000 BBBB 0000 0001"            /* .............. */
	$"0000 0000 DDDD 0002 3333 0000 9999 0003"            /* ......33.... */
	$"0000 9999 FFFF 0004 9999 FFFF FFFF"                 /* .... */
};

